//
// File: Cego.cc
// This code was produced by the dragon parser generator
//
#include "Cego.h"
#include <lfcbase/Exception.h>
#include <lfcbase/StackT.h>

Cego::ScannerStateEntry::ScannerStateEntry()
{
}

Cego::ScannerStateEntry::ScannerStateEntry(int state, ScannerStateType type)
{
   _state = state;
   _type = type;
}

Cego::ScannerStateEntry& Cego::ScannerStateEntry::operator = (const Cego::ScannerStateEntry& s)
{
   _state = s._state;
   _type = s._type;
   return(*this);
}

bool Cego::ScannerStateEntry::operator == (const Cego::ScannerStateEntry& s)
{
   if ( _state == s._state )
      return true;
   return false;
}

Cego::ScannerStateType Cego::ScannerStateEntry::getType()
{
   return _type;
}
int Cego::ScannerStateEntry::getState()
{
   return _state;
}


Cego::ScannerTransEntry::ScannerTransEntry()
{
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c)
{
   _state = state;
   _c = c;
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c, int fstate)
{
   _state = state;
   _c = c;
   _fstate = fstate;
}

Cego::ScannerTransEntry& Cego::ScannerTransEntry::operator = (const Cego::ScannerTransEntry& s)
{
   _state = s._state;
   _c = s._c;
   _fstate = s._fstate;
   return(*this);
}

bool Cego::ScannerTransEntry::operator == (const Cego::ScannerTransEntry& s)
{
   if ( _state == s._state && _c == s._c)
      return true;
   return false;
}

int Cego::ScannerTransEntry::getFState()
{
   return _fstate;
}


Cego::Scanner::Scanner()
{
}


Cego::Scanner::Scanner(Token t)
{
   _token = t;
}

Cego::Token Cego::Scanner::getToken()
{
   return _token;
}

void Cego::Scanner::addState(ScannerStateEntry s)
{
   _stateList.Insert(s);
}

void Cego::Scanner::addTransition(ScannerTransEntry t)
{
   _transList.Insert(t);
}

bool Cego::Scanner::checkPattern(const Chain& p)
{
   unsigned long state = 0;
   ScannerStateEntry* pS = _stateList.First();
   while (pS)
   {
      if (pS->getType() == START || pS->getType() == ANY)
      {
         state = pS->getState();
         pS = 0;
      }
      else
      {
         pS = _stateList.Next();
      }
   }
   unsigned long i = 0;
   ScannerTransEntry* pT = 
   _transList.Find(ScannerTransEntry(state, p[i]));
   while (pT)
   {
      ScannerStateEntry* pS = _stateList.Find(ScannerStateEntry(pT->getFState())); 
      if (pS)
      {
         if ( ( i == p.length()-2 ) && ( pS->getType() == FINAL || pS->getType() == ANY))
         {
            return true;
         }
         else
         {
            state = pT->getFState();
         }
      }
      else
      {
         return false;
      }
      i++;
      pT = _transList.Find(ScannerTransEntry(state, p[i]));
   }
   return false;
}
Cego::StackEntry::StackEntry()
{
   _symbol = NONE;
}

Cego::StackEntry::StackEntry(Symbol symbol, int num, int state, Chain tval)
{
   _symbol=symbol;
   _num=num;
   _state=state;
   _tval=tval;
}

Cego::StackEntry& Cego::StackEntry::operator = (const Cego::StackEntry& se)
{
   _symbol=se._symbol;
   _num=se._num;
   _state=se._state;
   _tval=se._tval;
   return(*this);
}

int Cego::StackEntry::getState()
{
   return _state;
}
Cego::Symbol Cego::StackEntry::getSymbol()
{
   return _symbol;
}
Chain& Cego::StackEntry::getTval()
{
   return _tval;
}

Cego::ActionEntry::ActionEntry()
{
   _action=NULLACTION;
}

Cego::ActionEntry::ActionEntry(Action action , int num)
{
   _action=action;
   _num=num;
}

bool Cego::ActionEntry::operator == (const Cego::ActionEntry& ae)
{
   if (_action == ae._action && _num == ae._num)
      return true;
   return false;
}

Cego::ActionEntry& Cego::ActionEntry::operator = (const Cego::ActionEntry& ae)
{
   _action=ae._action;
   _num=ae._num;
   return(*this);
}

Cego::Action Cego::ActionEntry::getAction()
{
   return _action;
}

int Cego::ActionEntry::getNum()
{
   return _num;
}

Cego::ProdEntry::ProdEntry()
{
}

Cego::ProdEntry::ProdEntry(int id)
{
   _id = id;
}

Cego::ProdEntry::ProdEntry(int id, Production prod, int numSymbol)
{
   _id = id;
   _prod = prod;
   _numSymbol = numSymbol;
}

bool Cego::ProdEntry::operator == (const Cego::ProdEntry& pe)
{
   if (_id == pe._id)
      return true;
   return false;
}

Cego::ProdEntry& Cego::ProdEntry::operator = (const Cego::ProdEntry& pe)
{
   _id = pe._id;
   _prod = pe._prod;
   _numSymbol = pe._numSymbol;
   return(*this);
}


int Cego::ProdEntry::getId()
{
   return _id;
}

Cego::Production Cego::ProdEntry::getProd()
{
   return _prod;
}

int Cego::ProdEntry::getNumSymbol()
{
   return _numSymbol;
}
void Cego::loadScanner()
{
   Scanner s0(ADD);
   s0.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(2 ,START));
   s0.addState(ScannerStateEntry(3 ,FINAL));
   s0.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s0.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s0.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s0.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s0.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s0.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s0);

   Scanner s1(AFTER);
   s1.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(2 ,START));
   s1.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(5 ,FINAL));
   s1.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s1.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s1.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s1.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s1.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s1.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s1.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s1.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s1.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s1.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s1);

   Scanner s2(AND);
   s2.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(2 ,START));
   s2.addState(ScannerStateEntry(3 ,FINAL));
   s2.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s2.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s2.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s2.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s2.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s2.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s2);

   Scanner s3(ALL);
   s3.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(2 ,START));
   s3.addState(ScannerStateEntry(3 ,FINAL));
   s3.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s3.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s3.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s3.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s3.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s3.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s3);

   Scanner s4(ALTER);
   s4.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(2 ,START));
   s4.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(5 ,FINAL));
   s4.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s4.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s4.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s4.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s4.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s4.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s4.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s4.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s4.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s4.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s4);

   Scanner s5(APPEND);
   s5.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(2 ,START));
   s5.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(6 ,FINAL));
   s5.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s5.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s5.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s5.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s5.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s5.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s5.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s5.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s5.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s5.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s5.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s5.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s5);

   Scanner s6(AS);
   s6.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(1 ,FINAL));
   s6.addState(ScannerStateEntry(2 ,START));
   s6.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s6.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s6.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s6.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s6);

   Scanner s7(ASC);
   s7.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(2 ,START));
   s7.addState(ScannerStateEntry(3 ,FINAL));
   s7.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s7.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s7.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s7.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s7.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s7.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s7);

   Scanner s8(ASC2INT);
   s8.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(2 ,START));
   s8.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(7 ,FINAL));
   s8.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s8.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s8.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s8.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s8.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s8.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s8.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s8.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s8.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s8.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s8.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s8.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s8.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s8);

   Scanner s9(AUTHORIZE);
   s9.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(2 ,START));
   s9.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(9 ,FINAL));
   s9.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s9.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s9.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s9.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s9.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s9.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s9.addTransition(ScannerTransEntry(3 ,'H' ,4));
   s9.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s9.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s9.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s9.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s9.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s9.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s9.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s9.addTransition(ScannerTransEntry(7 ,'Z' ,8));
   s9.addTransition(ScannerTransEntry(7 ,'z' ,8));
   s9.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s9.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s9);

   Scanner s10(AUTOCOMMIT);
   s10.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(2 ,START));
   s10.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(10 ,FINAL));
   s10.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s10.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s10.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s10.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s10.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s10.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s10.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s10.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s10.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s10.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s10.addTransition(ScannerTransEntry(5 ,'O' ,6));
   s10.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s10.addTransition(ScannerTransEntry(6 ,'M' ,7));
   s10.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s10.addTransition(ScannerTransEntry(7 ,'M' ,8));
   s10.addTransition(ScannerTransEntry(7 ,'m' ,8));
   s10.addTransition(ScannerTransEntry(8 ,'I' ,9));
   s10.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s10.addTransition(ScannerTransEntry(9 ,'T' ,10));
   s10.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s10);

   Scanner s11(AVG);
   s11.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(2 ,START));
   s11.addState(ScannerStateEntry(3 ,FINAL));
   s11.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s11.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s11.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s11.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s11.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s11.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s11);

   Scanner s12(AVLTREE);
   s12.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(2 ,START));
   s12.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(7 ,FINAL));
   s12.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s12.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s12.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s12.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s12.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s12.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s12.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s12.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s12.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s12.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s12.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s12.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s12.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s12.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s12);

   Scanner s13(BEFORE);
   s13.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(2 ,START));
   s13.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(6 ,FINAL));
   s13.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s13.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s13.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s13.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s13.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s13.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s13.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s13.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s13.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s13.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s13.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s13.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s13);

   Scanner s14(BEGIN);
   s14.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(2 ,START));
   s14.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(5 ,FINAL));
   s14.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s14.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s14.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s14.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s14.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s14.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s14.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s14.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s14.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s14.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s14);

   Scanner s15(BETWEEN);
   s15.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(2 ,START));
   s15.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(7 ,FINAL));
   s15.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s15.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s15.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s15.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s15.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s15.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s15.addTransition(ScannerTransEntry(3 ,'W' ,4));
   s15.addTransition(ScannerTransEntry(3 ,'w' ,4));
   s15.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s15.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s15.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s15.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s15.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s15.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s15);

   Scanner s16(BIGINT);
   s16.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(2 ,START));
   s16.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(6 ,FINAL));
   s16.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s16.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s16.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s16.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s16.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s16.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s16.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s16.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s16.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s16.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s16.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s16.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s16);

   Scanner s17(BITAND);
   s17.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(2 ,START));
   s17.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(6 ,FINAL));
   s17.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s17.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s17.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s17.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s17.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s17.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s17.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s17.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s17.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s17.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s17.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s17.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s17);

   Scanner s18(BITOR);
   s18.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(2 ,START));
   s18.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(5 ,FINAL));
   s18.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s18.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s18.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s18.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s18.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s18.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s18.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s18.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s18.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s18.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s18);

   Scanner s19(BITXOR);
   s19.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(2 ,START));
   s19.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(6 ,FINAL));
   s19.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s19.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s19.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s19.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s19.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s19.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s19.addTransition(ScannerTransEntry(3 ,'X' ,4));
   s19.addTransition(ScannerTransEntry(3 ,'x' ,4));
   s19.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s19.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s19.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s19.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s19);

   Scanner s20(BLOB);
   s20.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(2 ,START));
   s20.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(4 ,FINAL));
   s20.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s20.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s20.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s20.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s20.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s20.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s20.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s20.addTransition(ScannerTransEntry(3 ,'b' ,4));
   _scannerList.Insert(s20);

   Scanner s21(BLOBSIZE);
   s21.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(2 ,START));
   s21.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(8 ,FINAL));
   s21.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s21.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s21.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s21.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s21.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s21.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s21.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s21.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s21.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s21.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s21.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s21.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s21.addTransition(ScannerTransEntry(6 ,'Z' ,7));
   s21.addTransition(ScannerTransEntry(6 ,'z' ,7));
   s21.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s21.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s21);

   Scanner s22(BLOBREF);
   s22.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(2 ,START));
   s22.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(7 ,FINAL));
   s22.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s22.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s22.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s22.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s22.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s22.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s22.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s22.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s22.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s22.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s22.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s22.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s22.addTransition(ScannerTransEntry(6 ,'F' ,7));
   s22.addTransition(ScannerTransEntry(6 ,'f' ,7));
   _scannerList.Insert(s22);

   Scanner s23(BOOL);
   s23.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(2 ,START));
   s23.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(4 ,FINAL));
   s23.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s23.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s23.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s23.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s23.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s23.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s23.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s23.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s23);

   Scanner s24(BTREE);
   s24.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(2 ,START));
   s24.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(5 ,FINAL));
   s24.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s24.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s24.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s24.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s24.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s24.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s24.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s24.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s24.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s24.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s24);

   Scanner s25(BY);
   s25.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(1 ,FINAL));
   s25.addState(ScannerStateEntry(2 ,START));
   s25.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s25.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s25.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s25.addTransition(ScannerTransEntry(2 ,'b' ,0));
   _scannerList.Insert(s25);

   Scanner s26(CACHED);
   s26.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(2 ,START));
   s26.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(6 ,FINAL));
   s26.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s26.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s26.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s26.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s26.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s26.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s26.addTransition(ScannerTransEntry(3 ,'H' ,4));
   s26.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s26.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s26.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s26.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s26.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s26);

   Scanner s27(CALL);
   s27.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(2 ,START));
   s27.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(4 ,FINAL));
   s27.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s27.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s27.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s27.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s27.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s27.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s27.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s27.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s27);

   Scanner s28(CASE);
   s28.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(2 ,START));
   s28.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(4 ,FINAL));
   s28.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s28.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s28.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s28.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s28.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s28.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s28.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s28.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s28);

   Scanner s29(CHECK);
   s29.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(2 ,START));
   s29.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(5 ,FINAL));
   s29.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s29.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s29.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s29.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s29.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s29.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s29.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s29.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s29.addTransition(ScannerTransEntry(4 ,'K' ,5));
   s29.addTransition(ScannerTransEntry(4 ,'k' ,5));
   _scannerList.Insert(s29);

   Scanner s30(CLOB);
   s30.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(2 ,START));
   s30.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(4 ,FINAL));
   s30.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s30.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s30.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s30.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s30.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s30.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s30.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s30.addTransition(ScannerTransEntry(3 ,'b' ,4));
   _scannerList.Insert(s30);

   Scanner s31(CLOBSIZE);
   s31.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(2 ,START));
   s31.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(8 ,FINAL));
   s31.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s31.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s31.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s31.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s31.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s31.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s31.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s31.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s31.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s31.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s31.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s31.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s31.addTransition(ScannerTransEntry(6 ,'Z' ,7));
   s31.addTransition(ScannerTransEntry(6 ,'z' ,7));
   s31.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s31.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s31);

   Scanner s32(CLOBREF);
   s32.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(2 ,START));
   s32.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(7 ,FINAL));
   s32.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s32.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s32.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s32.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s32.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s32.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s32.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s32.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s32.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s32.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s32.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s32.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s32.addTransition(ScannerTransEntry(6 ,'F' ,7));
   s32.addTransition(ScannerTransEntry(6 ,'f' ,7));
   _scannerList.Insert(s32);

   Scanner s33(CLOB2STR);
   s33.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(2 ,START));
   s33.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(8 ,FINAL));
   s33.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s33.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s33.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s33.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s33.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s33.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s33.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s33.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s33.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s33.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s33.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s33.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s33.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s33.addTransition(ScannerTransEntry(7 ,'R' ,8));
   s33.addTransition(ScannerTransEntry(7 ,'r' ,8));
   _scannerList.Insert(s33);

   Scanner s34(CLOSE);
   s34.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(2 ,START));
   s34.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(5 ,FINAL));
   s34.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s34.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s34.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s34.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s34.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s34.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s34.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s34.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s34.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s34.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s34);

   Scanner s35(COMMIT);
   s35.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(2 ,START));
   s35.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(6 ,FINAL));
   s35.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s35.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s35.addTransition(ScannerTransEntry(1 ,'M' ,3));
   s35.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s35.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s35.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s35.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s35.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s35.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s35.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s35.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s35.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s35);

   Scanner s36(COLUMN);
   s36.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(2 ,START));
   s36.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(6 ,FINAL));
   s36.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s36.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s36.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s36.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s36.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s36.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s36.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s36.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s36.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s36.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s36.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s36.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s36);

   Scanner s37(CONSTRAINT);
   s37.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(2 ,START));
   s37.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(10 ,FINAL));
   s37.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s37.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s37.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s37.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s37.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s37.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s37.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s37.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s37.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s37.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s37.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s37.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s37.addTransition(ScannerTransEntry(6 ,'A' ,7));
   s37.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s37.addTransition(ScannerTransEntry(7 ,'I' ,8));
   s37.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s37.addTransition(ScannerTransEntry(8 ,'N' ,9));
   s37.addTransition(ScannerTransEntry(8 ,'n' ,9));
   s37.addTransition(ScannerTransEntry(9 ,'T' ,10));
   s37.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s37);

   Scanner s38(COUNT);
   s38.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(2 ,START));
   s38.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(5 ,FINAL));
   s38.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s38.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s38.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s38.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s38.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s38.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s38.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s38.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s38.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s38.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s38);

   Scanner s39(COUNTER);
   s39.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(2 ,START));
   s39.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(7 ,FINAL));
   s39.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s39.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s39.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s39.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s39.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s39.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s39.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s39.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s39.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s39.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s39.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s39.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s39.addTransition(ScannerTransEntry(6 ,'R' ,7));
   s39.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s39);

   Scanner s40(CREATE);
   s40.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(2 ,START));
   s40.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(6 ,FINAL));
   s40.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s40.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s40.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s40.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s40.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s40.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s40.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s40.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s40.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s40.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s40.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s40.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s40);

   Scanner s41(CURSOR);
   s41.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(2 ,START));
   s41.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(6 ,FINAL));
   s41.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s41.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s41.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s41.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s41.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s41.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s41.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s41.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s41.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s41.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s41.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s41.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s41);

   Scanner s42(DATE);
   s42.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(2 ,START));
   s42.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(4 ,FINAL));
   s42.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s42.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s42.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s42.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s42.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s42.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s42.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s42.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s42);

   Scanner s43(DATE2STR);
   s43.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(2 ,START));
   s43.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(8 ,FINAL));
   s43.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s43.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s43.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s43.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s43.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s43.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s43.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s43.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s43.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s43.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s43.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s43.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s43.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s43.addTransition(ScannerTransEntry(7 ,'R' ,8));
   s43.addTransition(ScannerTransEntry(7 ,'r' ,8));
   _scannerList.Insert(s43);

   Scanner s44(DATE2LONG);
   s44.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(2 ,START));
   s44.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(9 ,FINAL));
   s44.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s44.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s44.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s44.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s44.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s44.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s44.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s44.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s44.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s44.addTransition(ScannerTransEntry(5 ,'L' ,6));
   s44.addTransition(ScannerTransEntry(5 ,'l' ,6));
   s44.addTransition(ScannerTransEntry(6 ,'O' ,7));
   s44.addTransition(ScannerTransEntry(6 ,'o' ,7));
   s44.addTransition(ScannerTransEntry(7 ,'N' ,8));
   s44.addTransition(ScannerTransEntry(7 ,'n' ,8));
   s44.addTransition(ScannerTransEntry(8 ,'G' ,9));
   s44.addTransition(ScannerTransEntry(8 ,'g' ,9));
   _scannerList.Insert(s44);

   Scanner s45(DATETIME);
   s45.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(2 ,START));
   s45.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(8 ,FINAL));
   s45.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s45.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s45.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s45.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s45.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s45.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s45.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s45.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s45.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s45.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s45.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s45.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s45.addTransition(ScannerTransEntry(6 ,'M' ,7));
   s45.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s45.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s45.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s45);

   Scanner s46(DECIMAL);
   s46.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(2 ,START));
   s46.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(7 ,FINAL));
   s46.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s46.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s46.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s46.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s46.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s46.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s46.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s46.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s46.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s46.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s46.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s46.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s46.addTransition(ScannerTransEntry(6 ,'L' ,7));
   s46.addTransition(ScannerTransEntry(6 ,'l' ,7));
   _scannerList.Insert(s46);

   Scanner s47(DEFAULT);
   s47.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(2 ,START));
   s47.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(7 ,FINAL));
   s47.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s47.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s47.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s47.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s47.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s47.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s47.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s47.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s47.addTransition(ScannerTransEntry(4 ,'U' ,5));
   s47.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s47.addTransition(ScannerTransEntry(5 ,'L' ,6));
   s47.addTransition(ScannerTransEntry(5 ,'l' ,6));
   s47.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s47.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s47);

   Scanner s48(DELETETOK);
   s48.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(2 ,START));
   s48.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(6 ,FINAL));
   s48.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s48.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s48.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s48.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s48.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s48.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s48.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s48.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s48.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s48.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s48.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s48.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s48);

   Scanner s49(DESC);
   s49.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(2 ,START));
   s49.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(4 ,FINAL));
   s49.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s49.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s49.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s49.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s49.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s49.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s49.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s49.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s49);

   Scanner s50(DISTINCT);
   s50.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(2 ,START));
   s50.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(8 ,FINAL));
   s50.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s50.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s50.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s50.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s50.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s50.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s50.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s50.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s50.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s50.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s50.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s50.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s50.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s50.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s50.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s50.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s50);

   Scanner s51(DIV);
   s51.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(2 ,START));
   s51.addState(ScannerStateEntry(3 ,FINAL));
   s51.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s51.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s51.addTransition(ScannerTransEntry(1 ,'V' ,3));
   s51.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s51.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s51.addTransition(ScannerTransEntry(2 ,'d' ,0));
   _scannerList.Insert(s51);

   Scanner s52(DOUBLE);
   s52.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(2 ,START));
   s52.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(6 ,FINAL));
   s52.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s52.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s52.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s52.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s52.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s52.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s52.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s52.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s52.addTransition(ScannerTransEntry(4 ,'L' ,5));
   s52.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s52.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s52.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s52);

   Scanner s53(DROP);
   s53.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(2 ,START));
   s53.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(4 ,FINAL));
   s53.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s53.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s53.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s53.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s53.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s53.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s53.addTransition(ScannerTransEntry(3 ,'P' ,4));
   s53.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s53);

   Scanner s54(ELSE);
   s54.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(2 ,START));
   s54.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(4 ,FINAL));
   s54.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s54.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s54.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s54.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s54.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s54.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s54.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s54.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s54);

   Scanner s55(ELSIF);
   s55.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(2 ,START));
   s55.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(5 ,FINAL));
   s55.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s55.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s55.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s55.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s55.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s55.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s55.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s55.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s55.addTransition(ScannerTransEntry(4 ,'F' ,5));
   s55.addTransition(ScannerTransEntry(4 ,'f' ,5));
   _scannerList.Insert(s55);

   Scanner s56(END_TOKEN);
   s56.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(2 ,START));
   s56.addState(ScannerStateEntry(3 ,FINAL));
   s56.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s56.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s56.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s56.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s56.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s56.addTransition(ScannerTransEntry(2 ,'e' ,0));
   _scannerList.Insert(s56);

   Scanner s57(EXCEPTION);
   s57.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(2 ,START));
   s57.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(9 ,FINAL));
   s57.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s57.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s57.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s57.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s57.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s57.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s57.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s57.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s57.addTransition(ScannerTransEntry(4 ,'P' ,5));
   s57.addTransition(ScannerTransEntry(4 ,'p' ,5));
   s57.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s57.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s57.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s57.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s57.addTransition(ScannerTransEntry(7 ,'O' ,8));
   s57.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s57.addTransition(ScannerTransEntry(8 ,'N' ,9));
   s57.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s57);

   Scanner s58(EXISTS);
   s58.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(2 ,START));
   s58.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(6 ,FINAL));
   s58.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s58.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s58.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s58.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s58.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s58.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s58.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s58.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s58.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s58.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s58.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s58.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s58);

   Scanner s59(FALSEVAL);
   s59.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(2 ,START));
   s59.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(5 ,FINAL));
   s59.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s59.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s59.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s59.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s59.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s59.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s59.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s59.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s59.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s59.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s59);

   Scanner s60(FETCH);
   s60.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(2 ,START));
   s60.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(5 ,FINAL));
   s60.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s60.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s60.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s60.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s60.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s60.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s60.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s60.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s60.addTransition(ScannerTransEntry(4 ,'H' ,5));
   s60.addTransition(ScannerTransEntry(4 ,'h' ,5));
   _scannerList.Insert(s60);

   Scanner s61(FIXED);
   s61.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(2 ,START));
   s61.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(5 ,FINAL));
   s61.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s61.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s61.addTransition(ScannerTransEntry(1 ,'X' ,3));
   s61.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s61.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s61.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s61.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s61.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s61.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s61.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s61);

   Scanner s62(FLOAT);
   s62.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(2 ,START));
   s62.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(5 ,FINAL));
   s62.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s62.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s62.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s62.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s62.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s62.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s62.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s62.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s62.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s62.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s62);

   Scanner s63(FOR);
   s63.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(2 ,START));
   s63.addState(ScannerStateEntry(3 ,FINAL));
   s63.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s63.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s63.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s63.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s63.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s63.addTransition(ScannerTransEntry(2 ,'f' ,0));
   _scannerList.Insert(s63);

   Scanner s64(FOREIGN);
   s64.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(2 ,START));
   s64.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(7 ,FINAL));
   s64.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s64.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s64.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s64.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s64.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s64.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s64.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s64.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s64.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s64.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s64.addTransition(ScannerTransEntry(5 ,'G' ,6));
   s64.addTransition(ScannerTransEntry(5 ,'g' ,6));
   s64.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s64.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s64);

   Scanner s65(FROM);
   s65.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(2 ,START));
   s65.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(4 ,FINAL));
   s65.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s65.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s65.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s65.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s65.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s65.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s65.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s65.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s65);

   Scanner s66(GETPOS);
   s66.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(2 ,START));
   s66.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(6 ,FINAL));
   s66.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s66.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s66.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s66.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s66.addTransition(ScannerTransEntry(2 ,'G' ,0));
   s66.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s66.addTransition(ScannerTransEntry(3 ,'P' ,4));
   s66.addTransition(ScannerTransEntry(3 ,'p' ,4));
   s66.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s66.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s66.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s66.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s66);

   Scanner s67(GROUP);
   s67.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(2 ,START));
   s67.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(5 ,FINAL));
   s67.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s67.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s67.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s67.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s67.addTransition(ScannerTransEntry(2 ,'G' ,0));
   s67.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s67.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s67.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s67.addTransition(ScannerTransEntry(4 ,'P' ,5));
   s67.addTransition(ScannerTransEntry(4 ,'p' ,5));
   _scannerList.Insert(s67);

   Scanner s68(HAVING);
   s68.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(2 ,START));
   s68.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(6 ,FINAL));
   s68.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s68.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s68.addTransition(ScannerTransEntry(1 ,'V' ,3));
   s68.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s68.addTransition(ScannerTransEntry(2 ,'H' ,0));
   s68.addTransition(ScannerTransEntry(2 ,'h' ,0));
   s68.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s68.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s68.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s68.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s68.addTransition(ScannerTransEntry(5 ,'G' ,6));
   s68.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s68);

   Scanner s69(IDENTIFIED);
   s69.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(2 ,START));
   s69.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(10 ,FINAL));
   s69.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s69.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s69.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s69.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s69.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s69.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s69.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s69.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s69.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s69.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s69.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s69.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s69.addTransition(ScannerTransEntry(6 ,'F' ,7));
   s69.addTransition(ScannerTransEntry(6 ,'f' ,7));
   s69.addTransition(ScannerTransEntry(7 ,'I' ,8));
   s69.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s69.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s69.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s69.addTransition(ScannerTransEntry(9 ,'D' ,10));
   s69.addTransition(ScannerTransEntry(9 ,'d' ,10));
   _scannerList.Insert(s69);

   Scanner s70(IF);
   s70.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(1 ,FINAL));
   s70.addState(ScannerStateEntry(2 ,START));
   s70.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s70.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s70.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s70.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s70);

   Scanner s71(INDEX);
   s71.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(2 ,START));
   s71.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(5 ,FINAL));
   s71.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s71.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s71.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s71.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s71.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s71.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s71.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s71.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s71.addTransition(ScannerTransEntry(4 ,'X' ,5));
   s71.addTransition(ScannerTransEntry(4 ,'x' ,5));
   _scannerList.Insert(s71);

   Scanner s72(INTOK);
   s72.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(1 ,FINAL));
   s72.addState(ScannerStateEntry(2 ,START));
   s72.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s72.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s72.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s72.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s72);

   Scanner s73(INNER);
   s73.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(2 ,START));
   s73.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(5 ,FINAL));
   s73.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s73.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s73.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s73.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s73.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s73.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s73.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s73.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s73.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s73.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s73);

   Scanner s74(INT);
   s74.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(2 ,START));
   s74.addState(ScannerStateEntry(3 ,FINAL));
   s74.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s74.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s74.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s74.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s74.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s74.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s74);

   Scanner s75(INTO);
   s75.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(2 ,START));
   s75.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(4 ,FINAL));
   s75.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s75.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s75.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s75.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s75.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s75.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s75.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s75.addTransition(ScannerTransEntry(3 ,'o' ,4));
   _scannerList.Insert(s75);

   Scanner s76(LONG2DATE);
   s76.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(2 ,START));
   s76.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(9 ,FINAL));
   s76.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s76.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s76.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s76.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s76.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s76.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s76.addTransition(ScannerTransEntry(3 ,'G' ,4));
   s76.addTransition(ScannerTransEntry(3 ,'g' ,4));
   s76.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s76.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s76.addTransition(ScannerTransEntry(5 ,'d' ,6));
   s76.addTransition(ScannerTransEntry(6 ,'A' ,7));
   s76.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s76.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s76.addTransition(ScannerTransEntry(7 ,'t' ,8));
   s76.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s76.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s76);

   Scanner s77(NEWDATE);
   s77.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(2 ,START));
   s77.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(7 ,FINAL));
   s77.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s77.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s77.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s77.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s77.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s77.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s77.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s77.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s77.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s77.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s77.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s77.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s77.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s77.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s77);

   Scanner s78(INSERT);
   s78.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(2 ,START));
   s78.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(6 ,FINAL));
   s78.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s78.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s78.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s78.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s78.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s78.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s78.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s78.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s78.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s78.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s78.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s78.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s78);

   Scanner s79(INT2ASC);
   s79.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(2 ,START));
   s79.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(7 ,FINAL));
   s79.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s79.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s79.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s79.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s79.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s79.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s79.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s79.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s79.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s79.addTransition(ScannerTransEntry(5 ,'C' ,6));
   s79.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s79.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s79.addTransition(ScannerTransEntry(6 ,'c' ,7));
   _scannerList.Insert(s79);

   Scanner s80(IS);
   s80.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(1 ,FINAL));
   s80.addState(ScannerStateEntry(2 ,START));
   s80.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s80.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s80.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s80.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s80);

   Scanner s81(ISOLATION);
   s81.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(2 ,START));
   s81.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(9 ,FINAL));
   s81.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s81.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s81.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s81.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s81.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s81.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s81.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s81.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s81.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s81.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s81.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s81.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s81.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s81.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s81.addTransition(ScannerTransEntry(7 ,'O' ,8));
   s81.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s81.addTransition(ScannerTransEntry(8 ,'N' ,9));
   s81.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s81);

   Scanner s82(JDBC);
   s82.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(2 ,START));
   s82.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(4 ,FINAL));
   s82.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s82.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s82.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s82.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s82.addTransition(ScannerTransEntry(2 ,'J' ,0));
   s82.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s82.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s82.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s82);

   Scanner s83(JOIN);
   s83.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(2 ,START));
   s83.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(4 ,FINAL));
   s83.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s83.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s83.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s83.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s83.addTransition(ScannerTransEntry(2 ,'J' ,0));
   s83.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s83.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s83.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s83);

   Scanner s84(KEY);
   s84.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(2 ,START));
   s84.addState(ScannerStateEntry(3 ,FINAL));
   s84.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s84.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s84.addTransition(ScannerTransEntry(1 ,'Y' ,3));
   s84.addTransition(ScannerTransEntry(1 ,'y' ,3));
   s84.addTransition(ScannerTransEntry(2 ,'K' ,0));
   s84.addTransition(ScannerTransEntry(2 ,'k' ,0));
   _scannerList.Insert(s84);

   Scanner s85(LEFT);
   s85.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(2 ,START));
   s85.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(4 ,FINAL));
   s85.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s85.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s85.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s85.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s85.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s85.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s85.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s85.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s85);

   Scanner s86(LENGTH);
   s86.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(2 ,START));
   s86.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(6 ,FINAL));
   s86.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s86.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s86.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s86.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s86.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s86.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s86.addTransition(ScannerTransEntry(3 ,'G' ,4));
   s86.addTransition(ScannerTransEntry(3 ,'g' ,4));
   s86.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s86.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s86.addTransition(ScannerTransEntry(5 ,'H' ,6));
   s86.addTransition(ScannerTransEntry(5 ,'h' ,6));
   _scannerList.Insert(s86);

   Scanner s87(LIKE);
   s87.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(2 ,START));
   s87.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(4 ,FINAL));
   s87.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s87.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s87.addTransition(ScannerTransEntry(1 ,'K' ,3));
   s87.addTransition(ScannerTransEntry(1 ,'k' ,3));
   s87.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s87.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s87.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s87.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s87);

   Scanner s88(LIST);
   s88.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(2 ,START));
   s88.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(4 ,FINAL));
   s88.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s88.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s88.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s88.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s88.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s88.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s88.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s88.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s88);

   Scanner s89(LDIV);
   s89.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(2 ,START));
   s89.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(4 ,FINAL));
   s89.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s89.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s89.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s89.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s89.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s89.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s89.addTransition(ScannerTransEntry(3 ,'V' ,4));
   s89.addTransition(ScannerTransEntry(3 ,'v' ,4));
   _scannerList.Insert(s89);

   Scanner s90(LMOD);
   s90.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(2 ,START));
   s90.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(4 ,FINAL));
   s90.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s90.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s90.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s90.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s90.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s90.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s90.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s90.addTransition(ScannerTransEntry(3 ,'d' ,4));
   _scannerList.Insert(s90);

   Scanner s91(LOAD);
   s91.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(2 ,START));
   s91.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(4 ,FINAL));
   s91.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s91.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s91.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s91.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s91.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s91.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s91.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s91.addTransition(ScannerTransEntry(3 ,'d' ,4));
   _scannerList.Insert(s91);

   Scanner s92(LOCK);
   s92.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(2 ,START));
   s92.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(4 ,FINAL));
   s92.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s92.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s92.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s92.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s92.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s92.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s92.addTransition(ScannerTransEntry(3 ,'K' ,4));
   s92.addTransition(ScannerTransEntry(3 ,'k' ,4));
   _scannerList.Insert(s92);

   Scanner s93(UNLOCK);
   s93.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(2 ,START));
   s93.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(6 ,FINAL));
   s93.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s93.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s93.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s93.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s93.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s93.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s93.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s93.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s93.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s93.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s93.addTransition(ScannerTransEntry(5 ,'K' ,6));
   s93.addTransition(ScannerTransEntry(5 ,'k' ,6));
   _scannerList.Insert(s93);

   Scanner s94(LONG);
   s94.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(2 ,START));
   s94.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(4 ,FINAL));
   s94.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s94.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s94.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s94.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s94.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s94.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s94.addTransition(ScannerTransEntry(3 ,'G' ,4));
   s94.addTransition(ScannerTransEntry(3 ,'g' ,4));
   _scannerList.Insert(s94);

   Scanner s95(LOWER);
   s95.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(2 ,START));
   s95.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(5 ,FINAL));
   s95.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s95.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s95.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s95.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s95.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s95.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s95.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s95.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s95.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s95.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s95);

   Scanner s96(LTRIM);
   s96.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(2 ,START));
   s96.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(5 ,FINAL));
   s96.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s96.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s96.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s96.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s96.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s96.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s96.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s96.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s96.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s96.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s96);

   Scanner s97(MIN);
   s97.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(2 ,START));
   s97.addState(ScannerStateEntry(3 ,FINAL));
   s97.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s97.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s97.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s97.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s97.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s97.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s97);

   Scanner s98(MAX);
   s98.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(2 ,START));
   s98.addState(ScannerStateEntry(3 ,FINAL));
   s98.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s98.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s98.addTransition(ScannerTransEntry(1 ,'X' ,3));
   s98.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s98.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s98.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s98);

   Scanner s99(MOD);
   s99.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(2 ,START));
   s99.addState(ScannerStateEntry(3 ,FINAL));
   s99.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s99.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s99.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s99.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s99.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s99.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s99);

   Scanner s100(MODIFY);
   s100.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(2 ,START));
   s100.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(6 ,FINAL));
   s100.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s100.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s100.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s100.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s100.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s100.addTransition(ScannerTransEntry(2 ,'m' ,0));
   s100.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s100.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s100.addTransition(ScannerTransEntry(4 ,'F' ,5));
   s100.addTransition(ScannerTransEntry(4 ,'f' ,5));
   s100.addTransition(ScannerTransEntry(5 ,'Y' ,6));
   s100.addTransition(ScannerTransEntry(5 ,'y' ,6));
   _scannerList.Insert(s100);

   Scanner s101(NEXTCOUNT);
   s101.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(2 ,START));
   s101.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(9 ,FINAL));
   s101.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s101.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s101.addTransition(ScannerTransEntry(1 ,'X' ,3));
   s101.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s101.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s101.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s101.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s101.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s101.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s101.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s101.addTransition(ScannerTransEntry(5 ,'O' ,6));
   s101.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s101.addTransition(ScannerTransEntry(6 ,'U' ,7));
   s101.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s101.addTransition(ScannerTransEntry(7 ,'N' ,8));
   s101.addTransition(ScannerTransEntry(7 ,'n' ,8));
   s101.addTransition(ScannerTransEntry(8 ,'T' ,9));
   s101.addTransition(ScannerTransEntry(8 ,'t' ,9));
   _scannerList.Insert(s101);

   Scanner s102(NOOP);
   s102.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(2 ,START));
   s102.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(4 ,FINAL));
   s102.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s102.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s102.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s102.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s102.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s102.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s102.addTransition(ScannerTransEntry(3 ,'P' ,4));
   s102.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s102);

   Scanner s103(NOT);
   s103.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(2 ,START));
   s103.addState(ScannerStateEntry(3 ,FINAL));
   s103.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s103.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s103.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s103.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s103.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s103.addTransition(ScannerTransEntry(2 ,'n' ,0));
   _scannerList.Insert(s103);

   Scanner s104(NULLTOKEN);
   s104.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(2 ,START));
   s104.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(4 ,FINAL));
   s104.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s104.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s104.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s104.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s104.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s104.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s104.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s104.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s104);

   Scanner s105(OFF);
   s105.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(2 ,START));
   s105.addState(ScannerStateEntry(3 ,FINAL));
   s105.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s105.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s105.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s105.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s105.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s105.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s105);

   Scanner s106(ON);
   s106.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(1 ,FINAL));
   s106.addState(ScannerStateEntry(2 ,START));
   s106.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s106.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s106.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s106);

   Scanner s107(OUTTOK);
   s107.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(2 ,START));
   s107.addState(ScannerStateEntry(3 ,FINAL));
   s107.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s107.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s107.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s107.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s107.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s107.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s107);

   Scanner s108(OUTER);
   s108.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(2 ,START));
   s108.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(5 ,FINAL));
   s108.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s108.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s108.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s108.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s108.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s108.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s108.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s108.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s108.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s108.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s108);

   Scanner s109(OR);
   s109.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(1 ,FINAL));
   s109.addState(ScannerStateEntry(2 ,START));
   s109.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s109.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s109.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s109.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s109);

   Scanner s110(ORDER);
   s110.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(2 ,START));
   s110.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(5 ,FINAL));
   s110.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s110.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s110.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s110.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s110.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s110.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s110.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s110.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s110.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s110.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s110);

   Scanner s111(PLAN);
   s111.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(2 ,START));
   s111.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(4 ,FINAL));
   s111.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s111.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s111.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s111.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s111.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s111.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s111.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s111.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s111);

   Scanner s112(POOL);
   s112.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(2 ,START));
   s112.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(4 ,FINAL));
   s112.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s112.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s112.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s112.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s112.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s112.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s112.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s112.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s112);

   Scanner s113(POWER);
   s113.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(2 ,START));
   s113.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(5 ,FINAL));
   s113.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s113.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s113.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s113.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s113.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s113.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s113.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s113.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s113.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s113.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s113);

   Scanner s114(PRIMARY);
   s114.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(2 ,START));
   s114.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(7 ,FINAL));
   s114.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s114.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s114.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s114.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s114.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s114.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s114.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s114.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s114.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s114.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s114.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s114.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s114.addTransition(ScannerTransEntry(6 ,'Y' ,7));
   s114.addTransition(ScannerTransEntry(6 ,'y' ,7));
   _scannerList.Insert(s114);

   Scanner s115(PRINT);
   s115.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(2 ,START));
   s115.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(5 ,FINAL));
   s115.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s115.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s115.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s115.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s115.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s115.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s115.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s115.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s115.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s115.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s115);

   Scanner s116(PROCEDURE);
   s116.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(2 ,START));
   s116.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(9 ,FINAL));
   s116.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s116.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s116.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s116.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s116.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s116.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s116.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s116.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s116.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s116.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s116.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s116.addTransition(ScannerTransEntry(5 ,'d' ,6));
   s116.addTransition(ScannerTransEntry(6 ,'U' ,7));
   s116.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s116.addTransition(ScannerTransEntry(7 ,'R' ,8));
   s116.addTransition(ScannerTransEntry(7 ,'r' ,8));
   s116.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s116.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s116);

   Scanner s117(QUIT);
   s117.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(2 ,START));
   s117.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(4 ,FINAL));
   s117.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s117.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s117.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s117.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s117.addTransition(ScannerTransEntry(2 ,'Q' ,0));
   s117.addTransition(ScannerTransEntry(2 ,'q' ,0));
   s117.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s117.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s117);

   Scanner s118(RANDSTR);
   s118.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(2 ,START));
   s118.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(7 ,FINAL));
   s118.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s118.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s118.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s118.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s118.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s118.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s118.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s118.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s118.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s118.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s118.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s118.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s118.addTransition(ScannerTransEntry(6 ,'R' ,7));
   s118.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s118);

   Scanner s119(RANDINT);
   s119.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(2 ,START));
   s119.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(7 ,FINAL));
   s119.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s119.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s119.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s119.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s119.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s119.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s119.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s119.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s119.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s119.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s119.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s119.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s119.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s119.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s119);

   Scanner s120(RBSEG);
   s120.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(2 ,START));
   s120.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(5 ,FINAL));
   s120.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s120.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s120.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s120.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s120.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s120.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s120.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s120.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s120.addTransition(ScannerTransEntry(4 ,'G' ,5));
   s120.addTransition(ScannerTransEntry(4 ,'g' ,5));
   _scannerList.Insert(s120);

   Scanner s121(REFERENCES);
   s121.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(2 ,START));
   s121.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(10 ,FINAL));
   s121.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s121.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s121.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s121.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s121.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s121.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s121.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s121.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s121.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s121.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s121.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s121.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s121.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s121.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s121.addTransition(ScannerTransEntry(7 ,'C' ,8));
   s121.addTransition(ScannerTransEntry(7 ,'c' ,8));
   s121.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s121.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s121.addTransition(ScannerTransEntry(9 ,'S' ,10));
   s121.addTransition(ScannerTransEntry(9 ,'s' ,10));
   _scannerList.Insert(s121);

   Scanner s122(RENAME);
   s122.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(2 ,START));
   s122.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(6 ,FINAL));
   s122.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s122.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s122.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s122.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s122.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s122.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s122.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s122.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s122.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s122.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s122.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s122.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s122);

   Scanner s123(REORGANIZE);
   s123.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(2 ,START));
   s123.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(10 ,FINAL));
   s123.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s123.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s123.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s123.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s123.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s123.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s123.addTransition(ScannerTransEntry(3 ,'R' ,4));
   s123.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s123.addTransition(ScannerTransEntry(4 ,'G' ,5));
   s123.addTransition(ScannerTransEntry(4 ,'g' ,5));
   s123.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s123.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s123.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s123.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s123.addTransition(ScannerTransEntry(7 ,'I' ,8));
   s123.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s123.addTransition(ScannerTransEntry(8 ,'Z' ,9));
   s123.addTransition(ScannerTransEntry(8 ,'z' ,9));
   s123.addTransition(ScannerTransEntry(9 ,'E' ,10));
   s123.addTransition(ScannerTransEntry(9 ,'e' ,10));
   _scannerList.Insert(s123);

   Scanner s124(RETURNTOKEN);
   s124.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(2 ,START));
   s124.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(6 ,FINAL));
   s124.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s124.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s124.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s124.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s124.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s124.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s124.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s124.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s124.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s124.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s124.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s124.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s124);

   Scanner s125(REMOVE);
   s125.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(2 ,START));
   s125.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(6 ,FINAL));
   s125.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s125.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s125.addTransition(ScannerTransEntry(1 ,'M' ,3));
   s125.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s125.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s125.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s125.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s125.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s125.addTransition(ScannerTransEntry(4 ,'V' ,5));
   s125.addTransition(ScannerTransEntry(4 ,'v' ,5));
   s125.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s125.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s125);

   Scanner s126(REPLACE);
   s126.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(2 ,START));
   s126.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(7 ,FINAL));
   s126.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s126.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s126.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s126.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s126.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s126.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s126.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s126.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s126.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s126.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s126.addTransition(ScannerTransEntry(5 ,'C' ,6));
   s126.addTransition(ScannerTransEntry(5 ,'c' ,6));
   s126.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s126.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s126);

   Scanner s127(RIGHT);
   s127.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(2 ,START));
   s127.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(5 ,FINAL));
   s127.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s127.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s127.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s127.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s127.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s127.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s127.addTransition(ScannerTransEntry(3 ,'H' ,4));
   s127.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s127.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s127.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s127);

   Scanner s128(ROLLBACK);
   s128.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(2 ,START));
   s128.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(8 ,FINAL));
   s128.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s128.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s128.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s128.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s128.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s128.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s128.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s128.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s128.addTransition(ScannerTransEntry(4 ,'B' ,5));
   s128.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s128.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s128.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s128.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s128.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s128.addTransition(ScannerTransEntry(7 ,'K' ,8));
   s128.addTransition(ScannerTransEntry(7 ,'k' ,8));
   _scannerList.Insert(s128);

   Scanner s129(ROUND);
   s129.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(2 ,START));
   s129.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(5 ,FINAL));
   s129.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s129.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s129.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s129.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s129.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s129.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s129.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s129.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s129.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s129.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s129);

   Scanner s130(ROWLIMIT);
   s130.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(2 ,START));
   s130.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(8 ,FINAL));
   s130.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s130.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s130.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s130.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s130.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s130.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s130.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s130.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s130.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s130.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s130.addTransition(ScannerTransEntry(5 ,'M' ,6));
   s130.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s130.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s130.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s130.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s130.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s130);

   Scanner s131(RTRIM);
   s131.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(2 ,START));
   s131.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(5 ,FINAL));
   s131.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s131.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s131.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s131.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s131.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s131.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s131.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s131.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s131.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s131.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s131);

   Scanner s132(SELECT);
   s132.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(2 ,START));
   s132.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(6 ,FINAL));
   s132.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s132.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s132.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s132.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s132.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s132.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s132.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s132.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s132.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s132.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s132.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s132.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s132);

   Scanner s133(SET);
   s133.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(2 ,START));
   s133.addState(ScannerStateEntry(3 ,FINAL));
   s133.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s133.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s133.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s133.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s133.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s133.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s133);

   Scanner s134(SETCOUNT);
   s134.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(2 ,START));
   s134.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(8 ,FINAL));
   s134.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s134.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s134.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s134.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s134.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s134.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s134.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s134.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s134.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s134.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s134.addTransition(ScannerTransEntry(5 ,'U' ,6));
   s134.addTransition(ScannerTransEntry(5 ,'u' ,6));
   s134.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s134.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s134.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s134.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s134);

   Scanner s135(SHOW);
   s135.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(2 ,START));
   s135.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(4 ,FINAL));
   s135.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s135.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s135.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s135.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s135.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s135.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s135.addTransition(ScannerTransEntry(3 ,'W' ,4));
   s135.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s135);

   Scanner s136(SMALLINT);
   s136.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(2 ,START));
   s136.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(8 ,FINAL));
   s136.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s136.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s136.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s136.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s136.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s136.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s136.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s136.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s136.addTransition(ScannerTransEntry(4 ,'L' ,5));
   s136.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s136.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s136.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s136.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s136.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s136.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s136.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s136);

   Scanner s137(START_TOKEN);
   s137.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(2 ,START));
   s137.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(5 ,FINAL));
   s137.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s137.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s137.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s137.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s137.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s137.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s137.addTransition(ScannerTransEntry(3 ,'R' ,4));
   s137.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s137.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s137.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s137);

   Scanner s138(STRING);
   s138.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(2 ,START));
   s138.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(6 ,FINAL));
   s138.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s138.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s138.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s138.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s138.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s138.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s138.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s138.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s138.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s138.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s138.addTransition(ScannerTransEntry(5 ,'G' ,6));
   s138.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s138);

   Scanner s139(SUBSTR);
   s139.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(2 ,START));
   s139.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(6 ,FINAL));
   s139.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s139.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s139.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s139.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s139.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s139.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s139.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s139.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s139.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s139.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s139.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s139.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s139);

   Scanner s140(SUM);
   s140.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(2 ,START));
   s140.addState(ScannerStateEntry(3 ,FINAL));
   s140.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s140.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s140.addTransition(ScannerTransEntry(1 ,'M' ,3));
   s140.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s140.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s140.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s140);

   Scanner s141(SYNC);
   s141.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(2 ,START));
   s141.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(4 ,FINAL));
   s141.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s141.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s141.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s141.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s141.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s141.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s141.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s141.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s141);

   Scanner s142(SYSDATE);
   s142.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(2 ,START));
   s142.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(7 ,FINAL));
   s142.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s142.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s142.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s142.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s142.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s142.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s142.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s142.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s142.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s142.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s142.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s142.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s142.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s142.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s142);

   Scanner s143(SYSTEMSPACE);
   s143.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(2 ,START));
   s143.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(11 ,FINAL));
   s143.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s143.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s143.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s143.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s143.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s143.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s143.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s143.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s143.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s143.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s143.addTransition(ScannerTransEntry(5 ,'M' ,6));
   s143.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s143.addTransition(ScannerTransEntry(6 ,'S' ,7));
   s143.addTransition(ScannerTransEntry(6 ,'s' ,7));
   s143.addTransition(ScannerTransEntry(7 ,'P' ,8));
   s143.addTransition(ScannerTransEntry(7 ,'p' ,8));
   s143.addTransition(ScannerTransEntry(8 ,'A' ,9));
   s143.addTransition(ScannerTransEntry(8 ,'a' ,9));
   s143.addTransition(ScannerTransEntry(9 ,'C' ,10));
   s143.addTransition(ScannerTransEntry(9 ,'c' ,10));
   s143.addTransition(ScannerTransEntry(10 ,'E' ,11));
   s143.addTransition(ScannerTransEntry(10 ,'e' ,11));
   _scannerList.Insert(s143);

   Scanner s144(SYSOBJ);
   s144.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(2 ,START));
   s144.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(6 ,FINAL));
   s144.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s144.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s144.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s144.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s144.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s144.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s144.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s144.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s144.addTransition(ScannerTransEntry(4 ,'B' ,5));
   s144.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s144.addTransition(ScannerTransEntry(5 ,'J' ,6));
   s144.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s144);

   Scanner s145(TABLEINFO);
   s145.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(2 ,START));
   s145.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(9 ,FINAL));
   s145.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s145.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s145.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s145.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s145.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s145.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s145.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s145.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s145.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s145.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s145.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s145.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s145.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s145.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s145.addTransition(ScannerTransEntry(7 ,'F' ,8));
   s145.addTransition(ScannerTransEntry(7 ,'f' ,8));
   s145.addTransition(ScannerTransEntry(8 ,'O' ,9));
   s145.addTransition(ScannerTransEntry(8 ,'o' ,9));
   _scannerList.Insert(s145);

   Scanner s146(TABLESIZE);
   s146.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(2 ,START));
   s146.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(9 ,FINAL));
   s146.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s146.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s146.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s146.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s146.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s146.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s146.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s146.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s146.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s146.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s146.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s146.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s146.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s146.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s146.addTransition(ScannerTransEntry(7 ,'Z' ,8));
   s146.addTransition(ScannerTransEntry(7 ,'z' ,8));
   s146.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s146.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s146);

   Scanner s147(TABLE);
   s147.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(2 ,START));
   s147.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(5 ,FINAL));
   s147.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s147.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s147.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s147.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s147.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s147.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s147.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s147.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s147.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s147.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s147);

   Scanner s148(TABLESET);
   s148.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(2 ,START));
   s148.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(8 ,FINAL));
   s148.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s148.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s148.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s148.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s148.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s148.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s148.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s148.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s148.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s148.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s148.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s148.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s148.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s148.addTransition(ScannerTransEntry(6 ,'e' ,7));
   s148.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s148.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s148);

   Scanner s149(THEN);
   s149.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(2 ,START));
   s149.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(4 ,FINAL));
   s149.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s149.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s149.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s149.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s149.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s149.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s149.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s149.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s149);

   Scanner s150(THROW);
   s150.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(2 ,START));
   s150.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(5 ,FINAL));
   s150.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s150.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s150.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s150.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s150.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s150.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s150.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s150.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s150.addTransition(ScannerTransEntry(4 ,'W' ,5));
   s150.addTransition(ScannerTransEntry(4 ,'w' ,5));
   _scannerList.Insert(s150);

   Scanner s151(TINYINT);
   s151.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(2 ,START));
   s151.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(7 ,FINAL));
   s151.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s151.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s151.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s151.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s151.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s151.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s151.addTransition(ScannerTransEntry(3 ,'Y' ,4));
   s151.addTransition(ScannerTransEntry(3 ,'y' ,4));
   s151.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s151.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s151.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s151.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s151.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s151.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s151);

   Scanner s152(TMPOBJ);
   s152.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(2 ,START));
   s152.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(6 ,FINAL));
   s152.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s152.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s152.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s152.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s152.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s152.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s152.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s152.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s152.addTransition(ScannerTransEntry(4 ,'B' ,5));
   s152.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s152.addTransition(ScannerTransEntry(5 ,'J' ,6));
   s152.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s152);

   Scanner s153(TRANSACTION);
   s153.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(2 ,START));
   s153.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(11 ,FINAL));
   s153.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s153.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s153.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s153.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s153.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s153.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s153.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s153.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s153.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s153.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s153.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s153.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s153.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s153.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s153.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s153.addTransition(ScannerTransEntry(7 ,'t' ,8));
   s153.addTransition(ScannerTransEntry(8 ,'I' ,9));
   s153.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s153.addTransition(ScannerTransEntry(9 ,'O' ,10));
   s153.addTransition(ScannerTransEntry(9 ,'o' ,10));
   s153.addTransition(ScannerTransEntry(10 ,'N' ,11));
   s153.addTransition(ScannerTransEntry(10 ,'n' ,11));
   _scannerList.Insert(s153);

   Scanner s154(TRIGGER);
   s154.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(2 ,START));
   s154.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(7 ,FINAL));
   s154.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s154.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s154.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s154.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s154.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s154.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s154.addTransition(ScannerTransEntry(3 ,'G' ,4));
   s154.addTransition(ScannerTransEntry(3 ,'g' ,4));
   s154.addTransition(ScannerTransEntry(4 ,'G' ,5));
   s154.addTransition(ScannerTransEntry(4 ,'g' ,5));
   s154.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s154.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s154.addTransition(ScannerTransEntry(6 ,'R' ,7));
   s154.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s154);

   Scanner s155(TUPLEINFO);
   s155.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(2 ,START));
   s155.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(9 ,FINAL));
   s155.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s155.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s155.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s155.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s155.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s155.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s155.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s155.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s155.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s155.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s155.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s155.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s155.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s155.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s155.addTransition(ScannerTransEntry(7 ,'F' ,8));
   s155.addTransition(ScannerTransEntry(7 ,'f' ,8));
   s155.addTransition(ScannerTransEntry(8 ,'O' ,9));
   s155.addTransition(ScannerTransEntry(8 ,'o' ,9));
   _scannerList.Insert(s155);

   Scanner s156(STR2INT);
   s156.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(2 ,START));
   s156.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(7 ,FINAL));
   s156.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s156.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s156.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s156.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s156.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s156.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s156.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s156.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s156.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s156.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s156.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s156.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s156.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s156);

   Scanner s157(STR2LONG);
   s157.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(2 ,START));
   s157.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(8 ,FINAL));
   s157.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s157.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s157.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s157.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s157.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s157.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s157.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s157.addTransition(ScannerTransEntry(4 ,'L' ,5));
   s157.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s157.addTransition(ScannerTransEntry(5 ,'O' ,6));
   s157.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s157.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s157.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s157.addTransition(ScannerTransEntry(7 ,'G' ,8));
   s157.addTransition(ScannerTransEntry(7 ,'g' ,8));
   _scannerList.Insert(s157);

   Scanner s158(STR2DATE);
   s158.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(2 ,START));
   s158.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(8 ,FINAL));
   s158.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s158.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s158.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s158.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s158.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s158.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s158.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s158.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s158.addTransition(ScannerTransEntry(4 ,'d' ,5));
   s158.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s158.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s158.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s158.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s158.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s158.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s158);

   Scanner s159(TO);
   s159.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(1 ,FINAL));
   s159.addState(ScannerStateEntry(2 ,START));
   s159.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s159.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s159.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s159.addTransition(ScannerTransEntry(2 ,'t' ,0));
   _scannerList.Insert(s159);

   Scanner s160(TRIM);
   s160.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(2 ,START));
   s160.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(4 ,FINAL));
   s160.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s160.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s160.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s160.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s160.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s160.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s160.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s160.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s160);

   Scanner s161(TRUEVAL);
   s161.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s161.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s161.addState(ScannerStateEntry(2 ,START));
   s161.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s161.addState(ScannerStateEntry(4 ,FINAL));
   s161.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s161.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s161.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s161.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s161.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s161.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s161.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s161.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s161);

   Scanner s162(TRUNC);
   s162.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s162.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s162.addState(ScannerStateEntry(2 ,START));
   s162.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s162.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s162.addState(ScannerStateEntry(5 ,FINAL));
   s162.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s162.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s162.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s162.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s162.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s162.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s162.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s162.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s162.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s162.addTransition(ScannerTransEntry(4 ,'c' ,5));
   _scannerList.Insert(s162);

   Scanner s163(TRUNCATE);
   s163.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s163.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s163.addState(ScannerStateEntry(2 ,START));
   s163.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s163.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s163.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s163.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s163.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s163.addState(ScannerStateEntry(8 ,FINAL));
   s163.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s163.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s163.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s163.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s163.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s163.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s163.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s163.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s163.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s163.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s163.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s163.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s163.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s163.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s163.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s163.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s163);

   Scanner s164(UNION);
   s164.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s164.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s164.addState(ScannerStateEntry(2 ,START));
   s164.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s164.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s164.addState(ScannerStateEntry(5 ,FINAL));
   s164.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s164.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s164.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s164.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s164.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s164.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s164.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s164.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s164.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s164.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s164);

   Scanner s165(UNIQUE);
   s165.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s165.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s165.addState(ScannerStateEntry(2 ,START));
   s165.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s165.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s165.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s165.addState(ScannerStateEntry(6 ,FINAL));
   s165.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s165.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s165.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s165.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s165.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s165.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s165.addTransition(ScannerTransEntry(3 ,'Q' ,4));
   s165.addTransition(ScannerTransEntry(3 ,'q' ,4));
   s165.addTransition(ScannerTransEntry(4 ,'U' ,5));
   s165.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s165.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s165.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s165);

   Scanner s166(UPDATE);
   s166.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(2 ,START));
   s166.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(6 ,FINAL));
   s166.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s166.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s166.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s166.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s166.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s166.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s166.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s166.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s166.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s166.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s166);

   Scanner s167(UPTIME);
   s167.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s167.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s167.addState(ScannerStateEntry(2 ,START));
   s167.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s167.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s167.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s167.addState(ScannerStateEntry(6 ,FINAL));
   s167.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s167.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s167.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s167.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s167.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s167.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s167.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s167.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s167.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s167.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s167);

   Scanner s168(UPPER);
   s168.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s168.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s168.addState(ScannerStateEntry(2 ,START));
   s168.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s168.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s168.addState(ScannerStateEntry(5 ,FINAL));
   s168.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s168.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s168.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s168.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s168.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s168.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s168.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s168.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s168);

   Scanner s169(VAR);
   s169.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s169.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s169.addState(ScannerStateEntry(2 ,START));
   s169.addState(ScannerStateEntry(3 ,FINAL));
   s169.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s169.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'V' ,0));
   s169.addTransition(ScannerTransEntry(2 ,'v' ,0));
   _scannerList.Insert(s169);

   Scanner s170(VALUES);
   s170.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s170.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s170.addState(ScannerStateEntry(2 ,START));
   s170.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s170.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s170.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s170.addState(ScannerStateEntry(6 ,FINAL));
   s170.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s170.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'V' ,0));
   s170.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s170.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s170.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s170.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s170.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s170.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s170.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s170);

   Scanner s171(VIEW);
   s171.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s171.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s171.addState(ScannerStateEntry(2 ,START));
   s171.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s171.addState(ScannerStateEntry(4 ,FINAL));
   s171.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s171.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'V' ,0));
   s171.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s171.addTransition(ScannerTransEntry(3 ,'W' ,4));
   s171.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s171);

   Scanner s172(WHEN);
   s172.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s172.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s172.addState(ScannerStateEntry(2 ,START));
   s172.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s172.addState(ScannerStateEntry(4 ,FINAL));
   s172.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s172.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'W' ,0));
   s172.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s172.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s172.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s172);

   Scanner s173(WHERE);
   s173.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s173.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s173.addState(ScannerStateEntry(2 ,START));
   s173.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s173.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s173.addState(ScannerStateEntry(5 ,FINAL));
   s173.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s173.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'W' ,0));
   s173.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s173.addTransition(ScannerTransEntry(3 ,'R' ,4));
   s173.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s173.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s173.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s173);

   Scanner s174(WHILE);
   s174.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s174.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s174.addState(ScannerStateEntry(2 ,START));
   s174.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s174.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s174.addState(ScannerStateEntry(5 ,FINAL));
   s174.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s174.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'W' ,0));
   s174.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s174.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s174.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s174.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s174.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s174);

   Scanner s175(CONCAT);
   s175.addState(ScannerStateEntry(0 ,START));
   s175.addState(ScannerStateEntry(1 ,FINAL));
   s175.addTransition(ScannerTransEntry(0 ,'|' ,1));
   _scannerList.Insert(s175);

   Scanner s176(EQU);
   s176.addState(ScannerStateEntry(0 ,START));
   s176.addState(ScannerStateEntry(1 ,FINAL));
   s176.addTransition(ScannerTransEntry(0 ,'=' ,1));
   _scannerList.Insert(s176);

   Scanner s177(KSEP);
   s177.addState(ScannerStateEntry(0 ,START));
   s177.addState(ScannerStateEntry(1 ,FINAL));
   s177.addTransition(ScannerTransEntry(0 ,',' ,1));
   _scannerList.Insert(s177);

   Scanner s178(LB);
   s178.addState(ScannerStateEntry(0 ,START));
   s178.addState(ScannerStateEntry(1 ,FINAL));
   s178.addTransition(ScannerTransEntry(0 ,'(' ,1));
   _scannerList.Insert(s178);

   Scanner s179(LT);
   s179.addState(ScannerStateEntry(0 ,START));
   s179.addState(ScannerStateEntry(1 ,FINAL));
   s179.addTransition(ScannerTransEntry(0 ,'<' ,1));
   _scannerList.Insert(s179);

   Scanner s180(MT);
   s180.addState(ScannerStateEntry(0 ,START));
   s180.addState(ScannerStateEntry(1 ,FINAL));
   s180.addTransition(ScannerTransEntry(0 ,'>' ,1));
   _scannerList.Insert(s180);

   Scanner s181(NEGATION);
   s181.addState(ScannerStateEntry(0 ,START));
   s181.addState(ScannerStateEntry(1 ,FINAL));
   s181.addTransition(ScannerTransEntry(0 ,'!' ,1));
   _scannerList.Insert(s181);

   Scanner s182(RB);
   s182.addState(ScannerStateEntry(0 ,START));
   s182.addState(ScannerStateEntry(1 ,FINAL));
   s182.addTransition(ScannerTransEntry(0 ,')' ,1));
   _scannerList.Insert(s182);

   Scanner s183(LAB);
   s183.addState(ScannerStateEntry(0 ,START));
   s183.addState(ScannerStateEntry(1 ,FINAL));
   s183.addTransition(ScannerTransEntry(0 ,'[' ,1));
   _scannerList.Insert(s183);

   Scanner s184(RAB);
   s184.addState(ScannerStateEntry(0 ,START));
   s184.addState(ScannerStateEntry(1 ,FINAL));
   s184.addTransition(ScannerTransEntry(0 ,']' ,1));
   _scannerList.Insert(s184);

   Scanner s185(SEMICOLON);
   s185.addState(ScannerStateEntry(0 ,START));
   s185.addState(ScannerStateEntry(1 ,FINAL));
   s185.addTransition(ScannerTransEntry(0 ,';' ,1));
   _scannerList.Insert(s185);

   Scanner s186(STAR);
   s186.addState(ScannerStateEntry(0 ,START));
   s186.addState(ScannerStateEntry(1 ,FINAL));
   s186.addTransition(ScannerTransEntry(0 ,'*' ,1));
   _scannerList.Insert(s186);

   Scanner s187(DIVISION);
   s187.addState(ScannerStateEntry(0 ,START));
   s187.addState(ScannerStateEntry(1 ,FINAL));
   s187.addTransition(ScannerTransEntry(0 ,'/' ,1));
   _scannerList.Insert(s187);

   Scanner s188(MINUS);
   s188.addState(ScannerStateEntry(0 ,START));
   s188.addState(ScannerStateEntry(1 ,FINAL));
   s188.addTransition(ScannerTransEntry(0 ,'-' ,1));
   _scannerList.Insert(s188);

   Scanner s189(PLUS);
   s189.addState(ScannerStateEntry(0 ,START));
   s189.addState(ScannerStateEntry(1 ,FINAL));
   s189.addTransition(ScannerTransEntry(0 ,'+' ,1));
   _scannerList.Insert(s189);

   Scanner s190(INTVAL);
   s190.addState(ScannerStateEntry(0 ,START));
   s190.addState(ScannerStateEntry(1 ,FINAL));
   s190.addState(ScannerStateEntry(2 ,FINAL));
   s190.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s190.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s190.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s190.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s190.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s190.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s190.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s190.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s190.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s190.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s190.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s190.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s190.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s190.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s190.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s190.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s190.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s190.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s190.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s190.addTransition(ScannerTransEntry(1 ,'9' ,1));
   _scannerList.Insert(s190);

   Scanner s191(FLOATVAL);
   s191.addState(ScannerStateEntry(0 ,START));
   s191.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s191.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s191.addState(ScannerStateEntry(3 ,FINAL));
   s191.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s191.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s191.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s191.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s191.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s191.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s191.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s191.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s191.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s191.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s191.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s191.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s191.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s191.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s191.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s191.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s191.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s191.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s191.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s191.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s191.addTransition(ScannerTransEntry(1 ,'.' ,3));
   s191.addTransition(ScannerTransEntry(2 ,'.' ,3));
   s191.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s191.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s191.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s191.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s191.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s191.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s191.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s191.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s191.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s191.addTransition(ScannerTransEntry(3 ,'9' ,3));
   _scannerList.Insert(s191);

   Scanner s192(IDENTIFIER);
   s192.addState(ScannerStateEntry(0 ,START));
   s192.addState(ScannerStateEntry(1 ,FINAL));
   s192.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s192.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s192.addTransition(ScannerTransEntry(1 ,'z' ,1));
   _scannerList.Insert(s192);

   Scanner s193(VARREF);
   s193.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s193.addState(ScannerStateEntry(1 ,FINAL));
   s193.addState(ScannerStateEntry(2 ,START));
   s193.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s193.addTransition(ScannerTransEntry(2 ,':' ,0));
   _scannerList.Insert(s193);

   Scanner s194(QUALIFIEDOBJ);
   s194.addState(ScannerStateEntry(0 ,START));
   s194.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s194.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s194.addState(ScannerStateEntry(3 ,FINAL));
   s194.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'.' ,2));
   s194.addTransition(ScannerTransEntry(2 ,'$' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s194);

   Scanner s195(QUALIFIEDPRE);
   s195.addState(ScannerStateEntry(0 ,START));
   s195.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s195.addState(ScannerStateEntry(2 ,FINAL));
   s195.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'.' ,2));
   _scannerList.Insert(s195);

   Scanner s196(QUALIFIEDTS);
   s196.addState(ScannerStateEntry(0 ,START));
   s196.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s196.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s196.addState(ScannerStateEntry(3 ,FINAL));
   s196.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'@' ,2));
   s196.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s196.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s196.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s196);

}
void Cego::loadParser0()
{
   _actionMap[935][SEMICOLON] = ActionEntry(REDUCE, 78);
   _actionMap[934][RB] = ActionEntry(SHIFT, 935);
   _actionMap[933][IDENTIFIER] = ActionEntry(SHIFT, 807);
   _jumpMap[933][SimpleAttr] = 806;
   _jumpMap[933][SimpleAttrList] = 934;
   _actionMap[930][LB] = ActionEntry(SHIFT, 933);
   _actionMap[931][ROWLIMIT] = ActionEntry(REDUCE, 266);
   _actionMap[931][UNION] = ActionEntry(REDUCE, 266);
   _actionMap[931][ENDTOKEN] = ActionEntry(REDUCE, 266);
   _actionMap[931][RB] = ActionEntry(REDUCE, 266);
   _actionMap[931][SEMICOLON] = ActionEntry(REDUCE, 266);
   _actionMap[931][KSEP] = ActionEntry(REDUCE, 266);
   _actionMap[932][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[932][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[932][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[932][ORDER] = ActionEntry(REDUCE, 260);
   _actionMap[932][ROWLIMIT] = ActionEntry(REDUCE, 260);
   _actionMap[932][UNION] = ActionEntry(REDUCE, 260);
   _actionMap[932][ENDTOKEN] = ActionEntry(REDUCE, 260);
   _actionMap[932][RB] = ActionEntry(REDUCE, 260);
   _actionMap[932][SEMICOLON] = ActionEntry(REDUCE, 260);
   _actionMap[926][IDENTIFIER] = ActionEntry(SHIFT, 930);
   _actionMap[927][SEMICOLON] = ActionEntry(REDUCE, 90);
   _actionMap[927][RB] = ActionEntry(REDUCE, 90);
   _actionMap[928][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[928][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[928][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[928][ASC] = ActionEntry(SHIFT, 919);
   _actionMap[928][ROWLIMIT] = ActionEntry(REDUCE, 271);
   _actionMap[928][DESC] = ActionEntry(SHIFT, 920);
   _actionMap[928][UNION] = ActionEntry(REDUCE, 271);
   _actionMap[928][ENDTOKEN] = ActionEntry(REDUCE, 271);
   _actionMap[928][RB] = ActionEntry(REDUCE, 271);
   _actionMap[928][SEMICOLON] = ActionEntry(REDUCE, 271);
   _actionMap[928][KSEP] = ActionEntry(REDUCE, 271);
   _jumpMap[928][DefaultOrderOpt] = 918;
   _jumpMap[928][OrderingOpt] = 931;
   _actionMap[929][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[929][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[929][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[929][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[929][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[929][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[929][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[929][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[929][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[929][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[929][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[929][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[929][NEWDATE] = ActionEntry(SHIFT, 141);
}
void Cego::loadParser1()
{
   _actionMap[929][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[929][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[929][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[929][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[929][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[929][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[929][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[929][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[929][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[929][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[929][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[929][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[929][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[929][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[929][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[929][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[929][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[929][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[929][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[929][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[929][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[929][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[929][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[929][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[929][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[929][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[929][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[929][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[929][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[929][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[929][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[929][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[929][LB] = ActionEntry(SHIFT, 172);
   _actionMap[929][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[929][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[929][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[929][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[929][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[929][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[929][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[929][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[929][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[929][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[929][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[929][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[929][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[929][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[929][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[929][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[929][MAX] = ActionEntry(SHIFT, 150);
}
void Cego::loadParser2()
{
   _jumpMap[929][ObjSpec] = 117;
   _jumpMap[929][Constant] = 116;
   _jumpMap[929][SignedFloat] = 115;
   _jumpMap[929][SignedInt] = 114;
   _jumpMap[929][Attribute] = 113;
   _jumpMap[929][Function] = 112;
   _jumpMap[929][CasePrepare] = 111;
   _jumpMap[929][CaseClause] = 110;
   _jumpMap[929][Factor] = 109;
   _jumpMap[929][Term] = 108;
   _jumpMap[929][Expr] = 932;
   _actionMap[913][REFERENCES] = ActionEntry(SHIFT, 926);
   _actionMap[914][ELSE] = ActionEntry(REDUCE, 138);
   _actionMap[914][ELSIF] = ActionEntry(REDUCE, 138);
   _actionMap[914][EXCEPTION] = ActionEntry(REDUCE, 138);
   _actionMap[914][END_TOKEN] = ActionEntry(REDUCE, 138);
   _actionMap[914][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[914][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[914][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[914][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[914][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[914][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[914][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[914][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[914][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[914][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[914][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[914][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[914][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[914][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[914][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[914][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[914][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[914][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[914][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[914][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[914][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[914][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[914][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[914][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[914][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[914][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[914][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[914][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[914][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[914][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[914][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[914][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[914][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[914][BITOR] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser3()
{
   _actionMap[914][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[914][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[914][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[914][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[914][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[914][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[914][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[914][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[914][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[914][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[914][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[914][LB] = ActionEntry(SHIFT, 172);
   _actionMap[914][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[914][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[914][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[914][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[914][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[914][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[914][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[914][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[914][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[914][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[914][VARREF] = ActionEntry(SHIFT, 400);
   _actionMap[914][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[914][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[914][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[914][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[914][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[914][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[914][IF] = ActionEntry(SHIFT, 394);
   _actionMap[914][BEGIN] = ActionEntry(SHIFT, 391);
   _actionMap[914][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[914][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[914][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[914][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[914][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[914][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[914][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[914][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[914][VAR] = ActionEntry(SHIFT, 398);
   _actionMap[914][CURSOR] = ActionEntry(SHIFT, 393);
   _actionMap[914][CLOSE] = ActionEntry(SHIFT, 392);
   _actionMap[914][NOOP] = ActionEntry(SHIFT, 395);
   _actionMap[914][THROW] = ActionEntry(SHIFT, 397);
   _actionMap[914][RETURNTOKEN] = ActionEntry(SHIFT, 396);
   _actionMap[914][WHILE] = ActionEntry(SHIFT, 399);
   _jumpMap[914][ObjSpec] = 117;
   _jumpMap[914][Constant] = 116;
   _jumpMap[914][SignedFloat] = 115;
   _jumpMap[914][SignedInt] = 114;
}
void Cego::loadParser4()
{
   _jumpMap[914][Attribute] = 113;
   _jumpMap[914][Function] = 112;
   _jumpMap[914][DeleteStatement] = 390;
   _jumpMap[914][UpdateStatement] = 389;
   _jumpMap[914][InsertStatement] = 388;
   _jumpMap[914][UnlockStatement] = 387;
   _jumpMap[914][LockStatement] = 386;
   _jumpMap[914][RollbackStatement] = 385;
   _jumpMap[914][CommitStatement] = 384;
   _jumpMap[914][StartStatement] = 383;
   _jumpMap[914][CasePrepare] = 111;
   _jumpMap[914][CaseClause] = 110;
   _jumpMap[914][Factor] = 109;
   _jumpMap[914][Term] = 108;
   _jumpMap[914][Expr] = 382;
   _jumpMap[914][ProcStatement] = 530;
   _jumpMap[914][ProcIfPart] = 380;
   _jumpMap[914][ProcBlockStart] = 379;
   _actionMap[915][SEMICOLON] = ActionEntry(REDUCE, 62);
   _actionMap[916][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[916][SelectStatement] = 927;
   _actionMap[917][ROWLIMIT] = ActionEntry(REDUCE, 267);
   _actionMap[917][UNION] = ActionEntry(REDUCE, 267);
   _actionMap[917][ENDTOKEN] = ActionEntry(REDUCE, 267);
   _actionMap[917][RB] = ActionEntry(REDUCE, 267);
   _actionMap[917][SEMICOLON] = ActionEntry(REDUCE, 267);
   _actionMap[917][KSEP] = ActionEntry(REDUCE, 267);
   _actionMap[918][ROWLIMIT] = ActionEntry(REDUCE, 268);
   _actionMap[918][UNION] = ActionEntry(REDUCE, 268);
   _actionMap[918][ENDTOKEN] = ActionEntry(REDUCE, 268);
   _actionMap[918][RB] = ActionEntry(REDUCE, 268);
   _actionMap[918][SEMICOLON] = ActionEntry(REDUCE, 268);
   _actionMap[918][KSEP] = ActionEntry(REDUCE, 268);
   _actionMap[919][ROWLIMIT] = ActionEntry(REDUCE, 270);
   _actionMap[919][UNION] = ActionEntry(REDUCE, 270);
   _actionMap[919][ENDTOKEN] = ActionEntry(REDUCE, 270);
   _actionMap[919][RB] = ActionEntry(REDUCE, 270);
   _actionMap[919][SEMICOLON] = ActionEntry(REDUCE, 270);
   _actionMap[919][KSEP] = ActionEntry(REDUCE, 270);
   _actionMap[920][ROWLIMIT] = ActionEntry(REDUCE, 269);
   _actionMap[920][UNION] = ActionEntry(REDUCE, 269);
   _actionMap[920][ENDTOKEN] = ActionEntry(REDUCE, 269);
   _actionMap[920][RB] = ActionEntry(REDUCE, 269);
   _actionMap[920][SEMICOLON] = ActionEntry(REDUCE, 269);
   _actionMap[920][KSEP] = ActionEntry(REDUCE, 269);
   _actionMap[921][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[921][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[921][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[921][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[921][ASC2INT] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser5()
{
   _actionMap[921][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[921][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[921][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[921][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[921][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[921][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[921][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[921][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[921][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[921][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[921][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[921][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[921][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[921][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[921][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[921][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[921][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[921][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[921][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[921][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[921][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[921][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[921][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[921][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[921][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[921][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[921][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[921][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[921][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[921][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[921][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[921][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[921][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[921][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[921][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[921][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[921][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[921][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[921][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[921][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[921][LB] = ActionEntry(SHIFT, 172);
   _actionMap[921][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[921][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[921][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[921][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[921][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[921][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[921][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[921][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[921][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
}
void Cego::loadParser6()
{
   _actionMap[921][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[921][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[921][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[921][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[921][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[921][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[921][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[921][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[921][ObjSpec] = 117;
   _jumpMap[921][Constant] = 116;
   _jumpMap[921][SignedFloat] = 115;
   _jumpMap[921][SignedInt] = 114;
   _jumpMap[921][Attribute] = 113;
   _jumpMap[921][Function] = 112;
   _jumpMap[921][CasePrepare] = 111;
   _jumpMap[921][CaseClause] = 110;
   _jumpMap[921][Factor] = 109;
   _jumpMap[921][Term] = 108;
   _jumpMap[921][Expr] = 928;
   _actionMap[922][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[922][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[922][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[922][EQU] = ActionEntry(SHIFT, 582);
   _actionMap[922][NEGATION] = ActionEntry(SHIFT, 585);
   _actionMap[922][LT] = ActionEntry(SHIFT, 583);
   _actionMap[922][MT] = ActionEntry(SHIFT, 584);
   _jumpMap[922][Comparison] = 929;
   _actionMap[923][KSEP] = ActionEntry(REDUCE, 258);
   _actionMap[923][HAVING] = ActionEntry(REDUCE, 258);
   _actionMap[923][ORDER] = ActionEntry(REDUCE, 258);
   _actionMap[923][ROWLIMIT] = ActionEntry(REDUCE, 258);
   _actionMap[923][UNION] = ActionEntry(REDUCE, 258);
   _actionMap[923][ENDTOKEN] = ActionEntry(REDUCE, 258);
   _actionMap[923][RB] = ActionEntry(REDUCE, 258);
   _actionMap[923][SEMICOLON] = ActionEntry(REDUCE, 258);
   _actionMap[924][AND] = ActionEntry(SHIFT, 586);
   _actionMap[924][OR] = ActionEntry(SHIFT, 587);
   _actionMap[924][LEFT] = ActionEntry(REDUCE, 243);
   _actionMap[924][RIGHT] = ActionEntry(REDUCE, 243);
   _actionMap[924][INNER] = ActionEntry(REDUCE, 243);
   _actionMap[924][JOIN] = ActionEntry(REDUCE, 243);
   _actionMap[924][RETURNTOKEN] = ActionEntry(REDUCE, 243);
   _actionMap[924][SEMICOLON] = ActionEntry(REDUCE, 243);
   _actionMap[924][RB] = ActionEntry(REDUCE, 243);
   _actionMap[924][ENDTOKEN] = ActionEntry(REDUCE, 243);
   _actionMap[924][UNION] = ActionEntry(REDUCE, 243);
   _actionMap[924][ROWLIMIT] = ActionEntry(REDUCE, 243);
   _actionMap[924][ORDER] = ActionEntry(REDUCE, 243);
   _actionMap[924][GROUP] = ActionEntry(REDUCE, 243);
   _actionMap[924][WHERE] = ActionEntry(REDUCE, 243);
}
void Cego::loadParser7()
{
   _actionMap[925][AND] = ActionEntry(SHIFT, 586);
   _actionMap[925][OR] = ActionEntry(SHIFT, 587);
   _actionMap[925][LEFT] = ActionEntry(REDUCE, 244);
   _actionMap[925][RIGHT] = ActionEntry(REDUCE, 244);
   _actionMap[925][INNER] = ActionEntry(REDUCE, 244);
   _actionMap[925][JOIN] = ActionEntry(REDUCE, 244);
   _actionMap[925][RETURNTOKEN] = ActionEntry(REDUCE, 244);
   _actionMap[925][SEMICOLON] = ActionEntry(REDUCE, 244);
   _actionMap[925][RB] = ActionEntry(REDUCE, 244);
   _actionMap[925][ENDTOKEN] = ActionEntry(REDUCE, 244);
   _actionMap[925][UNION] = ActionEntry(REDUCE, 244);
   _actionMap[925][ROWLIMIT] = ActionEntry(REDUCE, 244);
   _actionMap[925][ORDER] = ActionEntry(REDUCE, 244);
   _actionMap[925][GROUP] = ActionEntry(REDUCE, 244);
   _actionMap[925][WHERE] = ActionEntry(REDUCE, 244);
   _actionMap[887][RB] = ActionEntry(SHIFT, 913);
   _actionMap[888][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[888][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[888][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[888][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[888][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[888][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[888][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[888][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[888][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[888][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[888][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[888][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[888][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[888][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[888][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[888][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[888][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[888][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[888][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[888][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[888][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[888][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[888][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[888][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[888][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[888][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[888][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[888][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[888][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[888][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[888][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[888][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[888][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[888][BITOR] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser8()
{
   _actionMap[888][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[888][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[888][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[888][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[888][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[888][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[888][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[888][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[888][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[888][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[888][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[888][LB] = ActionEntry(SHIFT, 172);
   _actionMap[888][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[888][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[888][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[888][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[888][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[888][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[888][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[888][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[888][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[888][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[888][VARREF] = ActionEntry(SHIFT, 400);
   _actionMap[888][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[888][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[888][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[888][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[888][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[888][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[888][IF] = ActionEntry(SHIFT, 394);
   _actionMap[888][BEGIN] = ActionEntry(SHIFT, 391);
   _actionMap[888][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[888][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[888][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[888][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[888][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[888][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[888][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[888][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[888][VAR] = ActionEntry(SHIFT, 398);
   _actionMap[888][CURSOR] = ActionEntry(SHIFT, 393);
   _actionMap[888][CLOSE] = ActionEntry(SHIFT, 392);
   _actionMap[888][NOOP] = ActionEntry(SHIFT, 395);
   _actionMap[888][THROW] = ActionEntry(SHIFT, 397);
   _actionMap[888][RETURNTOKEN] = ActionEntry(SHIFT, 396);
   _actionMap[888][WHILE] = ActionEntry(SHIFT, 399);
   _jumpMap[888][ObjSpec] = 117;
   _jumpMap[888][Constant] = 116;
   _jumpMap[888][SignedFloat] = 115;
   _jumpMap[888][SignedInt] = 114;
}
void Cego::loadParser9()
{
   _jumpMap[888][Attribute] = 113;
   _jumpMap[888][Function] = 112;
   _jumpMap[888][DeleteStatement] = 390;
   _jumpMap[888][UpdateStatement] = 389;
   _jumpMap[888][InsertStatement] = 388;
   _jumpMap[888][UnlockStatement] = 387;
   _jumpMap[888][LockStatement] = 386;
   _jumpMap[888][RollbackStatement] = 385;
   _jumpMap[888][CommitStatement] = 384;
   _jumpMap[888][StartStatement] = 383;
   _jumpMap[888][CasePrepare] = 111;
   _jumpMap[888][CaseClause] = 110;
   _jumpMap[888][Factor] = 109;
   _jumpMap[888][Term] = 108;
   _jumpMap[888][Expr] = 382;
   _jumpMap[888][ProcStatement] = 381;
   _jumpMap[888][ProcIfPart] = 380;
   _jumpMap[888][ProcBlockStart] = 379;
   _jumpMap[888][ProcStatementList] = 914;
   _actionMap[889][BEGIN] = ActionEntry(REDUCE, 372);
   _actionMap[889][EQU] = ActionEntry(REDUCE, 372);
   _actionMap[889][DEFAULT] = ActionEntry(REDUCE, 372);
   _actionMap[889][NULLTOKEN] = ActionEntry(REDUCE, 372);
   _actionMap[889][NOT] = ActionEntry(REDUCE, 372);
   _actionMap[889][KSEP] = ActionEntry(REDUCE, 372);
   _actionMap[889][SEMICOLON] = ActionEntry(REDUCE, 372);
   _actionMap[889][RB] = ActionEntry(REDUCE, 372);
   _actionMap[890][BEGIN] = ActionEntry(REDUCE, 377);
   _actionMap[890][EQU] = ActionEntry(REDUCE, 377);
   _actionMap[890][DEFAULT] = ActionEntry(REDUCE, 377);
   _actionMap[890][NULLTOKEN] = ActionEntry(REDUCE, 377);
   _actionMap[890][NOT] = ActionEntry(REDUCE, 377);
   _actionMap[890][KSEP] = ActionEntry(REDUCE, 377);
   _actionMap[890][SEMICOLON] = ActionEntry(REDUCE, 377);
   _actionMap[890][RB] = ActionEntry(REDUCE, 377);
   _actionMap[891][BEGIN] = ActionEntry(REDUCE, 378);
   _actionMap[891][EQU] = ActionEntry(REDUCE, 378);
   _actionMap[891][DEFAULT] = ActionEntry(REDUCE, 378);
   _actionMap[891][NULLTOKEN] = ActionEntry(REDUCE, 378);
   _actionMap[891][NOT] = ActionEntry(REDUCE, 378);
   _actionMap[891][KSEP] = ActionEntry(REDUCE, 378);
   _actionMap[891][SEMICOLON] = ActionEntry(REDUCE, 378);
   _actionMap[891][RB] = ActionEntry(REDUCE, 378);
   _actionMap[892][BEGIN] = ActionEntry(REDUCE, 369);
   _actionMap[892][EQU] = ActionEntry(REDUCE, 369);
   _actionMap[892][DEFAULT] = ActionEntry(REDUCE, 369);
   _actionMap[892][NULLTOKEN] = ActionEntry(REDUCE, 369);
   _actionMap[892][NOT] = ActionEntry(REDUCE, 369);
   _actionMap[892][KSEP] = ActionEntry(REDUCE, 369);
   _actionMap[892][SEMICOLON] = ActionEntry(REDUCE, 369);
}
void Cego::loadParser10()
{
   _actionMap[892][RB] = ActionEntry(REDUCE, 369);
   _actionMap[893][CACHED] = ActionEntry(SHIFT, 895);
   _actionMap[893][SEMICOLON] = ActionEntry(REDUCE, 64);
   _jumpMap[893][CachedOpt] = 915;
   _actionMap[894][SEMICOLON] = ActionEntry(REDUCE, 61);
   _actionMap[895][SEMICOLON] = ActionEntry(REDUCE, 63);
   _actionMap[896][RB] = ActionEntry(REDUCE, 203);
   _actionMap[897][SEMICOLON] = ActionEntry(REDUCE, 197);
   _actionMap[897][KSEP] = ActionEntry(REDUCE, 197);
   _actionMap[897][RB] = ActionEntry(REDUCE, 197);
   _actionMap[898][LEFT] = ActionEntry(REDUCE, 358);
   _actionMap[898][RIGHT] = ActionEntry(REDUCE, 358);
   _actionMap[898][INNER] = ActionEntry(REDUCE, 358);
   _actionMap[898][JOIN] = ActionEntry(REDUCE, 358);
   _actionMap[898][RETURNTOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[898][SEMICOLON] = ActionEntry(REDUCE, 358);
   _actionMap[898][ENDTOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[898][UNION] = ActionEntry(REDUCE, 358);
   _actionMap[898][ROWLIMIT] = ActionEntry(REDUCE, 358);
   _actionMap[898][ORDER] = ActionEntry(REDUCE, 358);
   _actionMap[898][GROUP] = ActionEntry(REDUCE, 358);
   _actionMap[898][WHERE] = ActionEntry(REDUCE, 358);
   _actionMap[898][THEN] = ActionEntry(REDUCE, 358);
   _actionMap[898][AND] = ActionEntry(REDUCE, 358);
   _actionMap[898][OR] = ActionEntry(REDUCE, 358);
   _actionMap[898][RB] = ActionEntry(REDUCE, 358);
   _actionMap[899][LEFT] = ActionEntry(REDUCE, 356);
   _actionMap[899][RIGHT] = ActionEntry(REDUCE, 356);
   _actionMap[899][INNER] = ActionEntry(REDUCE, 356);
   _actionMap[899][JOIN] = ActionEntry(REDUCE, 356);
   _actionMap[899][RETURNTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[899][SEMICOLON] = ActionEntry(REDUCE, 356);
   _actionMap[899][ENDTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[899][UNION] = ActionEntry(REDUCE, 356);
   _actionMap[899][ROWLIMIT] = ActionEntry(REDUCE, 356);
   _actionMap[899][ORDER] = ActionEntry(REDUCE, 356);
   _actionMap[899][GROUP] = ActionEntry(REDUCE, 356);
   _actionMap[899][WHERE] = ActionEntry(REDUCE, 356);
   _actionMap[899][THEN] = ActionEntry(REDUCE, 356);
   _actionMap[899][AND] = ActionEntry(REDUCE, 356);
   _actionMap[899][OR] = ActionEntry(REDUCE, 356);
   _actionMap[899][RB] = ActionEntry(REDUCE, 356);
   _actionMap[900][SEMICOLON] = ActionEntry(REDUCE, 230);
   _actionMap[900][RB] = ActionEntry(REDUCE, 230);
   _actionMap[901][ALL] = ActionEntry(SHIFT, 916);
   _actionMap[902][UNION] = ActionEntry(REDUCE, 275);
   _actionMap[902][ENDTOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[902][RB] = ActionEntry(REDUCE, 275);
   _actionMap[902][SEMICOLON] = ActionEntry(REDUCE, 275);
   _actionMap[903][PLUS] = ActionEntry(SHIFT, 266);
}
void Cego::loadParser11()
{
   _actionMap[903][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[903][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[903][ASC] = ActionEntry(SHIFT, 919);
   _actionMap[903][ROWLIMIT] = ActionEntry(REDUCE, 271);
   _actionMap[903][DESC] = ActionEntry(SHIFT, 920);
   _actionMap[903][UNION] = ActionEntry(REDUCE, 271);
   _actionMap[903][ENDTOKEN] = ActionEntry(REDUCE, 271);
   _actionMap[903][RB] = ActionEntry(REDUCE, 271);
   _actionMap[903][SEMICOLON] = ActionEntry(REDUCE, 271);
   _actionMap[903][KSEP] = ActionEntry(REDUCE, 271);
   _jumpMap[903][DefaultOrderOpt] = 918;
   _jumpMap[903][OrderingOpt] = 917;
   _actionMap[904][KSEP] = ActionEntry(SHIFT, 921);
   _actionMap[904][ROWLIMIT] = ActionEntry(REDUCE, 263);
   _actionMap[904][UNION] = ActionEntry(REDUCE, 263);
   _actionMap[904][ENDTOKEN] = ActionEntry(REDUCE, 263);
   _actionMap[904][RB] = ActionEntry(REDUCE, 263);
   _actionMap[904][SEMICOLON] = ActionEntry(REDUCE, 263);
   _actionMap[905][ORDER] = ActionEntry(REDUCE, 255);
   _actionMap[905][ROWLIMIT] = ActionEntry(REDUCE, 255);
   _actionMap[905][UNION] = ActionEntry(REDUCE, 255);
   _actionMap[905][ENDTOKEN] = ActionEntry(REDUCE, 255);
   _actionMap[905][RB] = ActionEntry(REDUCE, 255);
   _actionMap[905][SEMICOLON] = ActionEntry(REDUCE, 255);
   _actionMap[906][ORDER] = ActionEntry(REDUCE, 261);
   _actionMap[906][ROWLIMIT] = ActionEntry(REDUCE, 261);
   _actionMap[906][UNION] = ActionEntry(REDUCE, 261);
   _actionMap[906][ENDTOKEN] = ActionEntry(REDUCE, 261);
   _actionMap[906][RB] = ActionEntry(REDUCE, 261);
   _actionMap[906][SEMICOLON] = ActionEntry(REDUCE, 261);
   _actionMap[907][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[907][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[907][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[907][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[907][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[907][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[907][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[907][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[907][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[907][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[907][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[907][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[907][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[907][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[907][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[907][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[907][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[907][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[907][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[907][REPLACE] = ActionEntry(SHIFT, 157);
}
void Cego::loadParser12()
{
   _actionMap[907][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[907][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[907][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[907][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[907][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[907][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[907][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[907][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[907][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[907][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[907][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[907][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[907][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[907][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[907][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[907][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[907][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[907][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[907][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[907][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[907][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[907][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[907][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[907][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[907][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[907][LB] = ActionEntry(SHIFT, 172);
   _actionMap[907][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[907][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[907][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[907][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[907][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[907][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[907][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[907][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[907][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[907][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[907][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[907][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[907][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[907][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[907][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[907][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[907][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[907][ObjSpec] = 117;
   _jumpMap[907][Constant] = 116;
   _jumpMap[907][SignedFloat] = 115;
   _jumpMap[907][SignedInt] = 114;
   _jumpMap[907][Attribute] = 113;
   _jumpMap[907][Function] = 112;
   _jumpMap[907][CasePrepare] = 111;
}
void Cego::loadParser13()
{
   _jumpMap[907][CaseClause] = 110;
   _jumpMap[907][Factor] = 109;
   _jumpMap[907][Term] = 108;
   _jumpMap[907][Expr] = 922;
   _actionMap[908][IDENTIFIER] = ActionEntry(SHIFT, 880);
   _actionMap[908][QUALIFIEDOBJ] = ActionEntry(SHIFT, 881);
   _actionMap[908][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _jumpMap[908][Attribute] = 923;
   _actionMap[909][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[909][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[909][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[909][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[909][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[909][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[909][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[909][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[909][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[909][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[909][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[909][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[909][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[909][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[909][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[909][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[909][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[909][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[909][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[909][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[909][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[909][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[909][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[909][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[909][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[909][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[909][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[909][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[909][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[909][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[909][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[909][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[909][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[909][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[909][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[909][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[909][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[909][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[909][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[909][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[909][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[909][SETCOUNT] = ActionEntry(SHIFT, 161);
}
void Cego::loadParser14()
{
   _actionMap[909][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[909][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[909][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[909][LB] = ActionEntry(SHIFT, 434);
   _actionMap[909][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[909][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[909][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[909][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[909][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[909][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[909][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[909][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[909][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[909][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[909][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[909][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[909][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[909][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[909][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[909][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[909][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[909][EXISTS] = ActionEntry(SHIFT, 432);
   _actionMap[909][NOT] = ActionEntry(SHIFT, 433);
   _jumpMap[909][ObjSpec] = 117;
   _jumpMap[909][Constant] = 116;
   _jumpMap[909][SignedFloat] = 115;
   _jumpMap[909][SignedInt] = 114;
   _jumpMap[909][Attribute] = 113;
   _jumpMap[909][QueryPredicate] = 431;
   _jumpMap[909][QueryCondition] = 924;
   _jumpMap[909][Function] = 112;
   _jumpMap[909][CasePrepare] = 111;
   _jumpMap[909][CaseClause] = 110;
   _jumpMap[909][Factor] = 109;
   _jumpMap[909][Term] = 108;
   _jumpMap[909][Expr] = 429;
   _actionMap[910][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[910][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[910][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[910][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[910][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[910][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[910][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[910][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[910][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[910][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[910][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[910][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[910][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[910][LOWER] = ActionEntry(SHIFT, 147);
}
void Cego::loadParser15()
{
   _actionMap[910][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[910][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[910][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[910][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[910][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[910][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[910][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[910][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[910][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[910][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[910][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[910][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[910][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[910][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[910][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[910][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[910][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[910][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[910][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[910][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[910][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[910][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[910][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[910][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[910][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[910][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[910][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[910][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[910][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[910][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[910][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[910][LB] = ActionEntry(SHIFT, 434);
   _actionMap[910][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[910][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[910][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[910][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[910][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[910][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[910][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[910][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[910][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[910][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[910][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[910][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[910][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[910][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[910][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[910][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[910][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[910][EXISTS] = ActionEntry(SHIFT, 432);
}
void Cego::loadParser16()
{
   _actionMap[910][NOT] = ActionEntry(SHIFT, 433);
   _jumpMap[910][ObjSpec] = 117;
   _jumpMap[910][Constant] = 116;
   _jumpMap[910][SignedFloat] = 115;
   _jumpMap[910][SignedInt] = 114;
   _jumpMap[910][Attribute] = 113;
   _jumpMap[910][QueryPredicate] = 431;
   _jumpMap[910][QueryCondition] = 925;
   _jumpMap[910][Function] = 112;
   _jumpMap[910][CasePrepare] = 111;
   _jumpMap[910][CaseClause] = 110;
   _jumpMap[910][Factor] = 109;
   _jumpMap[910][Term] = 108;
   _jumpMap[910][Expr] = 429;
   _actionMap[911][SEMICOLON] = ActionEntry(REDUCE, 284);
   _actionMap[911][KSEP] = ActionEntry(REDUCE, 284);
   _actionMap[912][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[912][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[912][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[912][SEMICOLON] = ActionEntry(REDUCE, 286);
   _actionMap[912][KSEP] = ActionEntry(REDUCE, 286);
   _actionMap[844][AND] = ActionEntry(SHIFT, 586);
   _actionMap[844][OR] = ActionEntry(SHIFT, 587);
   _actionMap[844][SEMICOLON] = ActionEntry(REDUCE, 79);
   _actionMap[845][IDENTIFIER] = ActionEntry(SHIFT, 807);
   _jumpMap[845][SimpleAttr] = 806;
   _jumpMap[845][SimpleAttrList] = 887;
   _actionMap[846][SEMICOLON] = ActionEntry(REDUCE, 296);
   _actionMap[846][KSEP] = ActionEntry(REDUCE, 296);
   _actionMap[847][LONG] = ActionEntry(SHIFT, 327);
   _actionMap[847][BIGINT] = ActionEntry(SHIFT, 323);
   _actionMap[847][SMALLINT] = ActionEntry(SHIFT, 328);
   _actionMap[847][TINYINT] = ActionEntry(SHIFT, 329);
   _actionMap[847][DOUBLE] = ActionEntry(SHIFT, 325);
   _actionMap[847][DECIMAL] = ActionEntry(SHIFT, 324);
   _actionMap[847][FIXED] = ActionEntry(SHIFT, 326);
   _actionMap[848][SEMICOLON] = ActionEntry(REDUCE, 297);
   _actionMap[848][KSEP] = ActionEntry(REDUCE, 297);
   _actionMap[849][THEN] = ActionEntry(SHIFT, 888);
   _actionMap[850][THEN] = ActionEntry(REDUCE, 143);
   _actionMap[851][END_TOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[851][ELSE] = ActionEntry(REDUCE, 148);
   _actionMap[851][ELSIF] = ActionEntry(REDUCE, 148);
   _actionMap[852][BEGIN] = ActionEntry(REDUCE, 162);
   _actionMap[852][THEN] = ActionEntry(REDUCE, 162);
   _actionMap[852][OR] = ActionEntry(REDUCE, 162);
   _actionMap[852][AND] = ActionEntry(REDUCE, 162);
   _actionMap[852][RB] = ActionEntry(REDUCE, 162);
   _actionMap[853][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[853][MINUS] = ActionEntry(SHIFT, 265);
}
void Cego::loadParser17()
{
   _actionMap[853][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[853][SEMICOLON] = ActionEntry(REDUCE, 120);
   _actionMap[854][RB] = ActionEntry(SHIFT, 889);
   _actionMap[855][RB] = ActionEntry(SHIFT, 890);
   _actionMap[856][RB] = ActionEntry(SHIFT, 891);
   _actionMap[857][RB] = ActionEntry(SHIFT, 892);
   _actionMap[858][SEMICOLON] = ActionEntry(REDUCE, 154);
   _actionMap[859][RB] = ActionEntry(SHIFT, 893);
   _actionMap[860][CACHED] = ActionEntry(SHIFT, 895);
   _actionMap[860][SEMICOLON] = ActionEntry(REDUCE, 64);
   _jumpMap[860][CachedOpt] = 894;
   _actionMap[861][IDENTIFIER] = ActionEntry(SHIFT, 807);
   _jumpMap[861][SimpleAttr] = 806;
   _jumpMap[861][SimpleAttrList] = 896;
   _actionMap[862][SEMICOLON] = ActionEntry(REDUCE, 195);
   _actionMap[862][KSEP] = ActionEntry(REDUCE, 195);
   _actionMap[862][RB] = ActionEntry(REDUCE, 195);
   _actionMap[863][SEMICOLON] = ActionEntry(REDUCE, 198);
   _actionMap[863][KSEP] = ActionEntry(REDUCE, 198);
   _actionMap[863][RB] = ActionEntry(REDUCE, 198);
   _actionMap[864][NULLTOKEN] = ActionEntry(SHIFT, 897);
   _actionMap[865][SEMICOLON] = ActionEntry(REDUCE, 196);
   _actionMap[865][KSEP] = ActionEntry(REDUCE, 196);
   _actionMap[865][RB] = ActionEntry(REDUCE, 196);
   _actionMap[866][NULLTOKEN] = ActionEntry(REDUCE, 200);
   _actionMap[866][NOT] = ActionEntry(REDUCE, 200);
   _actionMap[866][KSEP] = ActionEntry(REDUCE, 200);
   _actionMap[866][SEMICOLON] = ActionEntry(REDUCE, 200);
   _actionMap[866][RB] = ActionEntry(REDUCE, 200);
   _actionMap[867][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[867][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[867][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[867][KSEP] = ActionEntry(REDUCE, 227);
   _actionMap[867][RB] = ActionEntry(REDUCE, 227);
   _actionMap[868][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[868][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[868][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[868][LEFT] = ActionEntry(REDUCE, 360);
   _actionMap[868][RIGHT] = ActionEntry(REDUCE, 360);
   _actionMap[868][INNER] = ActionEntry(REDUCE, 360);
   _actionMap[868][JOIN] = ActionEntry(REDUCE, 360);
   _actionMap[868][RETURNTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[868][SEMICOLON] = ActionEntry(REDUCE, 360);
   _actionMap[868][ENDTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[868][UNION] = ActionEntry(REDUCE, 360);
   _actionMap[868][ROWLIMIT] = ActionEntry(REDUCE, 360);
   _actionMap[868][ORDER] = ActionEntry(REDUCE, 360);
   _actionMap[868][GROUP] = ActionEntry(REDUCE, 360);
   _actionMap[868][WHERE] = ActionEntry(REDUCE, 360);
   _actionMap[868][THEN] = ActionEntry(REDUCE, 360);
}
void Cego::loadParser18()
{
   _actionMap[868][AND] = ActionEntry(REDUCE, 360);
   _actionMap[868][OR] = ActionEntry(REDUCE, 360);
   _actionMap[868][RB] = ActionEntry(REDUCE, 360);
   _actionMap[869][LEFT] = ActionEntry(REDUCE, 357);
   _actionMap[869][RIGHT] = ActionEntry(REDUCE, 357);
   _actionMap[869][INNER] = ActionEntry(REDUCE, 357);
   _actionMap[869][JOIN] = ActionEntry(REDUCE, 357);
   _actionMap[869][RETURNTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[869][SEMICOLON] = ActionEntry(REDUCE, 357);
   _actionMap[869][ENDTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[869][UNION] = ActionEntry(REDUCE, 357);
   _actionMap[869][ROWLIMIT] = ActionEntry(REDUCE, 357);
   _actionMap[869][ORDER] = ActionEntry(REDUCE, 357);
   _actionMap[869][GROUP] = ActionEntry(REDUCE, 357);
   _actionMap[869][WHERE] = ActionEntry(REDUCE, 357);
   _actionMap[869][THEN] = ActionEntry(REDUCE, 357);
   _actionMap[869][AND] = ActionEntry(REDUCE, 357);
   _actionMap[869][OR] = ActionEntry(REDUCE, 357);
   _actionMap[869][RB] = ActionEntry(REDUCE, 357);
   _actionMap[870][LEFT] = ActionEntry(REDUCE, 355);
   _actionMap[870][RIGHT] = ActionEntry(REDUCE, 355);
   _actionMap[870][INNER] = ActionEntry(REDUCE, 355);
   _actionMap[870][JOIN] = ActionEntry(REDUCE, 355);
   _actionMap[870][RETURNTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[870][SEMICOLON] = ActionEntry(REDUCE, 355);
   _actionMap[870][ENDTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[870][UNION] = ActionEntry(REDUCE, 355);
   _actionMap[870][ROWLIMIT] = ActionEntry(REDUCE, 355);
   _actionMap[870][ORDER] = ActionEntry(REDUCE, 355);
   _actionMap[870][GROUP] = ActionEntry(REDUCE, 355);
   _actionMap[870][WHERE] = ActionEntry(REDUCE, 355);
   _actionMap[870][THEN] = ActionEntry(REDUCE, 355);
   _actionMap[870][AND] = ActionEntry(REDUCE, 355);
   _actionMap[870][OR] = ActionEntry(REDUCE, 355);
   _actionMap[870][RB] = ActionEntry(REDUCE, 355);
   _actionMap[871][RB] = ActionEntry(SHIFT, 898);
   _actionMap[872][RB] = ActionEntry(SHIFT, 899);
   _actionMap[872][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[873][KSEP] = ActionEntry(REDUCE, 189);
   _actionMap[873][RB] = ActionEntry(REDUCE, 189);
   _actionMap[874][UNION] = ActionEntry(SHIFT, 901);
   _actionMap[874][SEMICOLON] = ActionEntry(REDUCE, 91);
   _actionMap[874][RB] = ActionEntry(REDUCE, 91);
   _jumpMap[874][UnionAllOpt] = 900;
   _actionMap[875][UNION] = ActionEntry(REDUCE, 276);
   _actionMap[875][ENDTOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[875][RB] = ActionEntry(REDUCE, 276);
   _actionMap[875][SEMICOLON] = ActionEntry(REDUCE, 276);
   _actionMap[876][INTVAL] = ActionEntry(SHIFT, 902);
   _actionMap[877][FLOATVAL] = ActionEntry(SHIFT, 175);
}
void Cego::loadParser19()
{
   _actionMap[877][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[877][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[877][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[877][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[877][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[877][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[877][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[877][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[877][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[877][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[877][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[877][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[877][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[877][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[877][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[877][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[877][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[877][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[877][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[877][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[877][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[877][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[877][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[877][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[877][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[877][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[877][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[877][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[877][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[877][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[877][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[877][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[877][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[877][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[877][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[877][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[877][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[877][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[877][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[877][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[877][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[877][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[877][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[877][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[877][LB] = ActionEntry(SHIFT, 172);
   _actionMap[877][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[877][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[877][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[877][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[877][TRUEVAL] = ActionEntry(SHIFT, 169);
}
void Cego::loadParser20()
{
   _actionMap[877][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[877][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[877][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[877][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[877][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[877][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[877][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[877][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[877][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[877][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[877][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[877][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[877][ObjSpec] = 117;
   _jumpMap[877][Constant] = 116;
   _jumpMap[877][SignedFloat] = 115;
   _jumpMap[877][SignedInt] = 114;
   _jumpMap[877][Attribute] = 113;
   _jumpMap[877][Function] = 112;
   _jumpMap[877][OrderingList] = 904;
   _jumpMap[877][CasePrepare] = 111;
   _jumpMap[877][CaseClause] = 110;
   _jumpMap[877][Factor] = 109;
   _jumpMap[877][Term] = 108;
   _jumpMap[877][Expr] = 903;
   _actionMap[878][KSEP] = ActionEntry(SHIFT, 908);
   _actionMap[878][ORDER] = ActionEntry(REDUCE, 262);
   _actionMap[878][HAVING] = ActionEntry(SHIFT, 907);
   _actionMap[878][ROWLIMIT] = ActionEntry(REDUCE, 262);
   _actionMap[878][UNION] = ActionEntry(REDUCE, 262);
   _actionMap[878][ENDTOKEN] = ActionEntry(REDUCE, 262);
   _actionMap[878][RB] = ActionEntry(REDUCE, 262);
   _actionMap[878][SEMICOLON] = ActionEntry(REDUCE, 262);
   _jumpMap[878][NoHaving] = 906;
   _jumpMap[878][HavingClause] = 905;
   _actionMap[879][KSEP] = ActionEntry(REDUCE, 259);
   _actionMap[879][HAVING] = ActionEntry(REDUCE, 259);
   _actionMap[879][ORDER] = ActionEntry(REDUCE, 259);
   _actionMap[879][ROWLIMIT] = ActionEntry(REDUCE, 259);
   _actionMap[879][UNION] = ActionEntry(REDUCE, 259);
   _actionMap[879][ENDTOKEN] = ActionEntry(REDUCE, 259);
   _actionMap[879][RB] = ActionEntry(REDUCE, 259);
   _actionMap[879][SEMICOLON] = ActionEntry(REDUCE, 259);
   _actionMap[880][KSEP] = ActionEntry(REDUCE, 387);
   _actionMap[880][HAVING] = ActionEntry(REDUCE, 387);
   _actionMap[880][ORDER] = ActionEntry(REDUCE, 387);
   _actionMap[880][ROWLIMIT] = ActionEntry(REDUCE, 387);
   _actionMap[880][UNION] = ActionEntry(REDUCE, 387);
   _actionMap[880][ENDTOKEN] = ActionEntry(REDUCE, 387);
   _actionMap[880][RB] = ActionEntry(REDUCE, 387);
   _actionMap[880][SEMICOLON] = ActionEntry(REDUCE, 387);
}
void Cego::loadParser21()
{
   _actionMap[881][KSEP] = ActionEntry(REDUCE, 388);
   _actionMap[881][HAVING] = ActionEntry(REDUCE, 388);
   _actionMap[881][ORDER] = ActionEntry(REDUCE, 388);
   _actionMap[881][ROWLIMIT] = ActionEntry(REDUCE, 388);
   _actionMap[881][UNION] = ActionEntry(REDUCE, 388);
   _actionMap[881][ENDTOKEN] = ActionEntry(REDUCE, 388);
   _actionMap[881][RB] = ActionEntry(REDUCE, 388);
   _actionMap[881][SEMICOLON] = ActionEntry(REDUCE, 388);
   _actionMap[882][AND] = ActionEntry(SHIFT, 586);
   _actionMap[882][OR] = ActionEntry(SHIFT, 587);
   _actionMap[882][LEFT] = ActionEntry(REDUCE, 242);
   _actionMap[882][RIGHT] = ActionEntry(REDUCE, 242);
   _actionMap[882][INNER] = ActionEntry(REDUCE, 242);
   _actionMap[882][JOIN] = ActionEntry(REDUCE, 242);
   _actionMap[882][RETURNTOKEN] = ActionEntry(REDUCE, 242);
   _actionMap[882][SEMICOLON] = ActionEntry(REDUCE, 242);
   _actionMap[882][RB] = ActionEntry(REDUCE, 242);
   _actionMap[882][ENDTOKEN] = ActionEntry(REDUCE, 242);
   _actionMap[882][UNION] = ActionEntry(REDUCE, 242);
   _actionMap[882][ROWLIMIT] = ActionEntry(REDUCE, 242);
   _actionMap[882][ORDER] = ActionEntry(REDUCE, 242);
   _actionMap[882][GROUP] = ActionEntry(REDUCE, 242);
   _actionMap[882][WHERE] = ActionEntry(REDUCE, 242);
   _actionMap[883][ON] = ActionEntry(SHIFT, 838);
   _jumpMap[883][JoinTableOn] = 909;
   _actionMap[884][ON] = ActionEntry(SHIFT, 838);
   _jumpMap[884][JoinTableOn] = 910;
   _actionMap[885][VARREF] = ActionEntry(SHIFT, 843);
   _jumpMap[885][ReturnVar] = 911;
   _actionMap[886][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[886][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[886][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[886][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[886][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[886][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[886][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[886][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[886][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[886][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[886][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[886][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[886][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[886][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[886][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[886][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[886][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[886][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[886][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[886][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[886][LENGTH] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser22()
{
   _actionMap[886][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[886][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[886][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[886][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[886][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[886][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[886][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[886][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[886][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[886][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[886][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[886][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[886][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[886][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[886][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[886][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[886][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[886][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[886][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[886][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[886][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[886][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[886][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[886][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[886][LB] = ActionEntry(SHIFT, 172);
   _actionMap[886][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[886][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[886][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[886][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[886][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[886][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[886][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[886][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[886][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[886][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[886][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[886][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[886][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[886][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[886][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[886][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[886][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[886][ObjSpec] = 117;
   _jumpMap[886][Constant] = 116;
   _jumpMap[886][SignedFloat] = 115;
   _jumpMap[886][SignedInt] = 114;
   _jumpMap[886][Attribute] = 113;
   _jumpMap[886][Function] = 112;
   _jumpMap[886][CasePrepare] = 111;
   _jumpMap[886][CaseClause] = 110;
}
void Cego::loadParser23()
{
   _jumpMap[886][Factor] = 109;
   _jumpMap[886][Term] = 108;
   _jumpMap[886][Expr] = 912;
   _actionMap[780][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[780][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[780][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[780][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[780][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[780][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[780][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[780][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[780][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[780][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[780][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[780][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[780][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[780][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[780][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[780][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[780][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[780][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[780][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[780][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[780][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[780][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[780][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[780][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[780][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[780][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[780][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[780][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[780][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[780][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[780][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[780][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[780][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[780][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[780][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[780][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[780][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[780][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[780][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[780][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[780][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[780][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[780][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[780][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[780][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[780][LB] = ActionEntry(SHIFT, 434);
   _actionMap[780][STRINGVAL] = ActionEntry(SHIFT, 118);
}
void Cego::loadParser24()
{
   _actionMap[780][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[780][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[780][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[780][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[780][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[780][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[780][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[780][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[780][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[780][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[780][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[780][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[780][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[780][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[780][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[780][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[780][EXISTS] = ActionEntry(SHIFT, 432);
   _actionMap[780][NOT] = ActionEntry(SHIFT, 433);
   _jumpMap[780][ObjSpec] = 117;
   _jumpMap[780][Constant] = 116;
   _jumpMap[780][SignedFloat] = 115;
   _jumpMap[780][SignedInt] = 114;
   _jumpMap[780][Attribute] = 113;
   _jumpMap[780][QueryPredicate] = 431;
   _jumpMap[780][QueryCondition] = 844;
   _jumpMap[780][Function] = 112;
   _jumpMap[780][CasePrepare] = 111;
   _jumpMap[780][CaseClause] = 110;
   _jumpMap[780][Factor] = 109;
   _jumpMap[780][Term] = 108;
   _jumpMap[780][Expr] = 429;
   _actionMap[781][LB] = ActionEntry(SHIFT, 845);
   _actionMap[782][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[782][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[782][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[782][LB] = ActionEntry(SHIFT, 847);
   _actionMap[782][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[782][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[782][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[782][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[782][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[782][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[782][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[782][CLOB] = ActionEntry(SHIFT, 128);
   _jumpMap[782][Constant] = 846;
   _jumpMap[782][SignedFloat] = 115;
   _jumpMap[782][SignedInt] = 114;
   _actionMap[783][IDENTIFIER] = ActionEntry(SHIFT, 848);
   _actionMap[784][SEMICOLON] = ActionEntry(REDUCE, 34);
   _actionMap[785][IDENTIFIER] = ActionEntry(SHIFT, 850);
}
void Cego::loadParser25()
{
   _jumpMap[785][ProcExceptionType] = 849;
   _actionMap[786][END_TOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[787][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[787][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[787][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[787][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[787][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[787][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[787][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[787][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[787][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[787][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[787][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[787][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[787][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[787][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[787][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[787][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[787][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[787][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[787][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[787][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[787][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[787][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[787][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[787][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[787][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[787][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[787][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[787][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[787][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[787][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[787][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[787][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[787][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[787][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[787][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[787][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[787][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[787][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[787][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[787][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[787][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[787][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[787][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[787][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[787][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[787][LB] = ActionEntry(SHIFT, 172);
   _actionMap[787][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[787][DATE] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser26()
{
   _actionMap[787][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[787][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[787][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[787][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[787][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[787][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[787][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[787][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[787][VARREF] = ActionEntry(SHIFT, 400);
   _actionMap[787][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[787][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[787][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[787][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[787][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[787][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[787][IF] = ActionEntry(SHIFT, 394);
   _actionMap[787][BEGIN] = ActionEntry(SHIFT, 391);
   _actionMap[787][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[787][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[787][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[787][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[787][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[787][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[787][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[787][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[787][VAR] = ActionEntry(SHIFT, 398);
   _actionMap[787][CURSOR] = ActionEntry(SHIFT, 393);
   _actionMap[787][CLOSE] = ActionEntry(SHIFT, 392);
   _actionMap[787][NOOP] = ActionEntry(SHIFT, 395);
   _actionMap[787][THROW] = ActionEntry(SHIFT, 397);
   _actionMap[787][RETURNTOKEN] = ActionEntry(SHIFT, 396);
   _actionMap[787][WHILE] = ActionEntry(SHIFT, 399);
   _jumpMap[787][ObjSpec] = 117;
   _jumpMap[787][Constant] = 116;
   _jumpMap[787][SignedFloat] = 115;
   _jumpMap[787][SignedInt] = 114;
   _jumpMap[787][Attribute] = 113;
   _jumpMap[787][Function] = 112;
   _jumpMap[787][DeleteStatement] = 390;
   _jumpMap[787][UpdateStatement] = 389;
   _jumpMap[787][InsertStatement] = 388;
   _jumpMap[787][UnlockStatement] = 387;
   _jumpMap[787][LockStatement] = 386;
   _jumpMap[787][RollbackStatement] = 385;
   _jumpMap[787][CommitStatement] = 384;
   _jumpMap[787][StartStatement] = 383;
   _jumpMap[787][CasePrepare] = 111;
   _jumpMap[787][CaseClause] = 110;
   _jumpMap[787][Factor] = 109;
   _jumpMap[787][Term] = 108;
}
void Cego::loadParser27()
{
   _jumpMap[787][Expr] = 382;
   _jumpMap[787][ProcStatement] = 381;
   _jumpMap[787][ProcIfPart] = 380;
   _jumpMap[787][ProcBlockStart] = 379;
   _jumpMap[787][ProcStatementList] = 378;
   _jumpMap[787][ProcStmtBlock] = 851;
   _actionMap[788][SEMICOLON] = ActionEntry(REDUCE, 115);
   _actionMap[789][END_TOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[789][ELSE] = ActionEntry(REDUCE, 145);
   _actionMap[789][ELSIF] = ActionEntry(REDUCE, 145);
   _actionMap[790][BEGIN] = ActionEntry(REDUCE, 157);
   _actionMap[790][RB] = ActionEntry(REDUCE, 157);
   _actionMap[790][AND] = ActionEntry(REDUCE, 157);
   _actionMap[790][OR] = ActionEntry(REDUCE, 157);
   _actionMap[790][THEN] = ActionEntry(REDUCE, 157);
   _actionMap[791][BEGIN] = ActionEntry(REDUCE, 156);
   _actionMap[791][RB] = ActionEntry(REDUCE, 156);
   _actionMap[791][AND] = ActionEntry(REDUCE, 156);
   _actionMap[791][OR] = ActionEntry(REDUCE, 156);
   _actionMap[791][THEN] = ActionEntry(REDUCE, 156);
   _actionMap[792][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[792][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[792][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[792][BEGIN] = ActionEntry(REDUCE, 160);
   _actionMap[792][THEN] = ActionEntry(REDUCE, 160);
   _actionMap[792][OR] = ActionEntry(REDUCE, 160);
   _actionMap[792][AND] = ActionEntry(REDUCE, 160);
   _actionMap[792][RB] = ActionEntry(REDUCE, 160);
   _actionMap[793][NULLTOKEN] = ActionEntry(SHIFT, 852);
   _actionMap[794][BEGIN] = ActionEntry(REDUCE, 161);
   _actionMap[794][THEN] = ActionEntry(REDUCE, 161);
   _actionMap[794][OR] = ActionEntry(REDUCE, 161);
   _actionMap[794][AND] = ActionEntry(REDUCE, 161);
   _actionMap[794][RB] = ActionEntry(REDUCE, 161);
   _actionMap[795][BEGIN] = ActionEntry(REDUCE, 159);
   _actionMap[795][RB] = ActionEntry(REDUCE, 159);
   _actionMap[795][AND] = ActionEntry(REDUCE, 159);
   _actionMap[795][OR] = ActionEntry(REDUCE, 159);
   _actionMap[795][THEN] = ActionEntry(REDUCE, 159);
   _actionMap[796][SEMICOLON] = ActionEntry(REDUCE, 114);
   _actionMap[797][SEMICOLON] = ActionEntry(REDUCE, 121);
   _actionMap[798][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[798][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[798][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[798][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[798][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[798][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[798][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[798][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[798][ROUND] = ActionEntry(SHIFT, 159);
}
void Cego::loadParser28()
{
   _actionMap[798][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[798][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[798][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[798][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[798][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[798][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[798][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[798][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[798][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[798][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[798][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[798][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[798][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[798][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[798][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[798][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[798][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[798][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[798][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[798][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[798][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[798][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[798][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[798][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[798][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[798][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[798][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[798][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[798][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[798][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[798][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[798][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[798][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[798][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[798][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[798][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[798][LB] = ActionEntry(SHIFT, 172);
   _actionMap[798][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[798][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[798][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[798][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[798][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[798][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[798][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[798][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[798][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[798][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[798][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[798][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[798][COUNT] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser29()
{
   _actionMap[798][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[798][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[798][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[798][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[798][ObjSpec] = 117;
   _jumpMap[798][Constant] = 116;
   _jumpMap[798][SignedFloat] = 115;
   _jumpMap[798][SignedInt] = 114;
   _jumpMap[798][Attribute] = 113;
   _jumpMap[798][Function] = 112;
   _jumpMap[798][CasePrepare] = 111;
   _jumpMap[798][CaseClause] = 110;
   _jumpMap[798][Factor] = 109;
   _jumpMap[798][Term] = 108;
   _jumpMap[798][Expr] = 853;
   _actionMap[799][INTVAL] = ActionEntry(SHIFT, 854);
   _actionMap[800][INTVAL] = ActionEntry(SHIFT, 855);
   _actionMap[801][INTVAL] = ActionEntry(SHIFT, 856);
   _actionMap[802][INTVAL] = ActionEntry(SHIFT, 857);
   _actionMap[803][END_TOKEN] = ActionEntry(SHIFT, 858);
   _actionMap[804][IDENTIFIER] = ActionEntry(SHIFT, 807);
   _jumpMap[804][SimpleAttr] = 806;
   _jumpMap[804][SimpleAttrList] = 859;
   _actionMap[805][RB] = ActionEntry(SHIFT, 860);
   _actionMap[806][KSEP] = ActionEntry(SHIFT, 861);
   _actionMap[806][RB] = ActionEntry(REDUCE, 204);
   _actionMap[807][RB] = ActionEntry(REDUCE, 205);
   _actionMap[807][KSEP] = ActionEntry(REDUCE, 205);
   _actionMap[808][KSEP] = ActionEntry(REDUCE, 107);
   _actionMap[808][RB] = ActionEntry(REDUCE, 107);
   _actionMap[809][BEGIN] = ActionEntry(REDUCE, 103);
   _actionMap[810][KSEP] = ActionEntry(REDUCE, 109);
   _actionMap[810][RB] = ActionEntry(REDUCE, 109);
   _actionMap[811][KSEP] = ActionEntry(REDUCE, 110);
   _actionMap[811][RB] = ActionEntry(REDUCE, 110);
   _actionMap[812][KSEP] = ActionEntry(REDUCE, 191);
   _actionMap[812][RB] = ActionEntry(REDUCE, 191);
   _actionMap[813][SEMICOLON] = ActionEntry(REDUCE, 199);
   _actionMap[813][NULLTOKEN] = ActionEntry(SHIFT, 865);
   _actionMap[813][NOT] = ActionEntry(SHIFT, 864);
   _actionMap[813][KSEP] = ActionEntry(REDUCE, 199);
   _actionMap[813][RB] = ActionEntry(REDUCE, 199);
   _jumpMap[813][DefaultNullOpt] = 863;
   _jumpMap[813][NullOpt] = 862;
   _actionMap[814][NULLTOKEN] = ActionEntry(REDUCE, 201);
   _actionMap[814][NOT] = ActionEntry(REDUCE, 201);
   _actionMap[814][KSEP] = ActionEntry(REDUCE, 201);
   _actionMap[814][SEMICOLON] = ActionEntry(REDUCE, 201);
   _actionMap[814][RB] = ActionEntry(REDUCE, 201);
   _actionMap[815][FLOATVAL] = ActionEntry(SHIFT, 175);
}
void Cego::loadParser30()
{
   _actionMap[815][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[815][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[815][LB] = ActionEntry(SHIFT, 847);
   _actionMap[815][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[815][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[815][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[815][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[815][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[815][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[815][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[815][CLOB] = ActionEntry(SHIFT, 128);
   _jumpMap[815][Constant] = 866;
   _jumpMap[815][SignedFloat] = 115;
   _jumpMap[815][SignedInt] = 114;
   _actionMap[816][BEGIN] = ActionEntry(REDUCE, 93);
   _actionMap[817][OR] = ActionEntry(REDUCE, 96);
   _actionMap[817][ON] = ActionEntry(REDUCE, 96);
   _actionMap[818][SEMICOLON] = ActionEntry(REDUCE, 222);
   _actionMap[818][KSEP] = ActionEntry(REDUCE, 222);
   _actionMap[819][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[819][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[819][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[819][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[819][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[819][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[819][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[819][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[819][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[819][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[819][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[819][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[819][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[819][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[819][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[819][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[819][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[819][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[819][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[819][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[819][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[819][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[819][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[819][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[819][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[819][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[819][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[819][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[819][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[819][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[819][LDIV] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser31()
{
   _actionMap[819][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[819][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[819][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[819][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[819][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[819][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[819][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[819][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[819][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[819][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[819][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[819][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[819][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[819][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[819][LB] = ActionEntry(SHIFT, 172);
   _actionMap[819][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[819][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[819][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[819][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[819][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[819][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[819][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[819][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[819][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[819][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[819][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[819][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[819][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[819][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[819][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[819][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[819][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[819][ObjSpec] = 117;
   _jumpMap[819][Constant] = 116;
   _jumpMap[819][SignedFloat] = 115;
   _jumpMap[819][SignedInt] = 114;
   _jumpMap[819][Attribute] = 113;
   _jumpMap[819][Function] = 112;
   _jumpMap[819][CasePrepare] = 111;
   _jumpMap[819][CaseClause] = 110;
   _jumpMap[819][Factor] = 109;
   _jumpMap[819][Term] = 108;
   _jumpMap[819][Expr] = 867;
   _actionMap[820][SEMICOLON] = ActionEntry(REDUCE, 224);
   _actionMap[820][KSEP] = ActionEntry(REDUCE, 224);
   _actionMap[821][KSEP] = ActionEntry(REDUCE, 225);
   _actionMap[821][RB] = ActionEntry(REDUCE, 225);
   _actionMap[822][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[822][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[822][INTVAL] = ActionEntry(SHIFT, 174);
}
void Cego::loadParser32()
{
   _actionMap[822][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[822][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[822][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[822][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[822][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[822][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[822][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[822][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[822][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[822][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[822][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[822][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[822][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[822][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[822][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[822][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[822][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[822][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[822][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[822][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[822][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[822][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[822][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[822][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[822][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[822][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[822][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[822][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[822][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[822][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[822][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[822][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[822][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[822][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[822][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[822][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[822][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[822][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[822][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[822][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[822][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[822][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[822][LB] = ActionEntry(SHIFT, 172);
   _actionMap[822][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[822][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[822][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[822][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[822][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[822][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[822][BLOB] = ActionEntry(SHIFT, 124);
}
void Cego::loadParser33()
{
   _actionMap[822][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[822][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[822][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[822][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[822][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[822][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[822][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[822][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[822][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[822][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[822][ObjSpec] = 117;
   _jumpMap[822][Constant] = 116;
   _jumpMap[822][SignedFloat] = 115;
   _jumpMap[822][SignedInt] = 114;
   _jumpMap[822][Attribute] = 113;
   _jumpMap[822][Function] = 112;
   _jumpMap[822][CasePrepare] = 111;
   _jumpMap[822][CaseClause] = 110;
   _jumpMap[822][Factor] = 109;
   _jumpMap[822][Term] = 108;
   _jumpMap[822][Expr] = 868;
   _actionMap[823][RB] = ActionEntry(SHIFT, 869);
   _actionMap[824][RB] = ActionEntry(SHIFT, 870);
   _actionMap[824][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[825][LEFT] = ActionEntry(REDUCE, 362);
   _actionMap[825][RIGHT] = ActionEntry(REDUCE, 362);
   _actionMap[825][INNER] = ActionEntry(REDUCE, 362);
   _actionMap[825][JOIN] = ActionEntry(REDUCE, 362);
   _actionMap[825][RETURNTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[825][SEMICOLON] = ActionEntry(REDUCE, 362);
   _actionMap[825][ENDTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[825][UNION] = ActionEntry(REDUCE, 362);
   _actionMap[825][ROWLIMIT] = ActionEntry(REDUCE, 362);
   _actionMap[825][ORDER] = ActionEntry(REDUCE, 362);
   _actionMap[825][GROUP] = ActionEntry(REDUCE, 362);
   _actionMap[825][WHERE] = ActionEntry(REDUCE, 362);
   _actionMap[825][THEN] = ActionEntry(REDUCE, 362);
   _actionMap[825][AND] = ActionEntry(REDUCE, 362);
   _actionMap[825][OR] = ActionEntry(REDUCE, 362);
   _actionMap[825][RB] = ActionEntry(REDUCE, 362);
   _actionMap[826][SELECT] = ActionEntry(SHIFT, 34);
   _actionMap[826][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[826][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[826][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[826][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[826][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[826][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[826][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[826][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[826][ROUND] = ActionEntry(SHIFT, 159);
}
void Cego::loadParser34()
{
   _actionMap[826][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[826][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[826][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[826][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[826][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[826][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[826][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[826][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[826][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[826][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[826][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[826][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[826][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[826][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[826][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[826][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[826][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[826][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[826][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[826][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[826][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[826][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[826][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[826][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[826][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[826][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[826][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[826][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[826][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[826][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[826][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[826][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[826][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[826][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[826][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[826][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[826][LB] = ActionEntry(SHIFT, 172);
   _actionMap[826][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[826][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[826][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[826][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[826][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[826][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[826][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[826][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[826][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[826][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[826][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[826][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[826][COUNT] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser35()
{
   _actionMap[826][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[826][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[826][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[826][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[826][ObjSpec] = 117;
   _jumpMap[826][Constant] = 116;
   _jumpMap[826][SignedFloat] = 115;
   _jumpMap[826][SignedInt] = 114;
   _jumpMap[826][Attribute] = 113;
   _jumpMap[826][ExpressionList] = 872;
   _jumpMap[826][Function] = 112;
   _jumpMap[826][SelectStatement] = 871;
   _jumpMap[826][CasePrepare] = 111;
   _jumpMap[826][CaseClause] = 110;
   _jumpMap[826][Factor] = 109;
   _jumpMap[826][Term] = 108;
   _jumpMap[826][Expr] = 435;
   _actionMap[827][LEFT] = ActionEntry(REDUCE, 364);
   _actionMap[827][RIGHT] = ActionEntry(REDUCE, 364);
   _actionMap[827][INNER] = ActionEntry(REDUCE, 364);
   _actionMap[827][JOIN] = ActionEntry(REDUCE, 364);
   _actionMap[827][RETURNTOKEN] = ActionEntry(REDUCE, 364);
   _actionMap[827][SEMICOLON] = ActionEntry(REDUCE, 364);
   _actionMap[827][ENDTOKEN] = ActionEntry(REDUCE, 364);
   _actionMap[827][UNION] = ActionEntry(REDUCE, 364);
   _actionMap[827][ROWLIMIT] = ActionEntry(REDUCE, 364);
   _actionMap[827][ORDER] = ActionEntry(REDUCE, 364);
   _actionMap[827][GROUP] = ActionEntry(REDUCE, 364);
   _actionMap[827][WHERE] = ActionEntry(REDUCE, 364);
   _actionMap[827][THEN] = ActionEntry(REDUCE, 364);
   _actionMap[827][AND] = ActionEntry(REDUCE, 364);
   _actionMap[827][OR] = ActionEntry(REDUCE, 364);
   _actionMap[827][RB] = ActionEntry(REDUCE, 364);
   _actionMap[828][THEN] = ActionEntry(REDUCE, 354);
   _actionMap[828][LEFT] = ActionEntry(REDUCE, 354);
   _actionMap[828][RIGHT] = ActionEntry(REDUCE, 354);
   _actionMap[828][INNER] = ActionEntry(REDUCE, 354);
   _actionMap[828][JOIN] = ActionEntry(REDUCE, 354);
   _actionMap[828][RETURNTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[828][SEMICOLON] = ActionEntry(REDUCE, 354);
   _actionMap[828][RB] = ActionEntry(REDUCE, 354);
   _actionMap[828][ENDTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[828][UNION] = ActionEntry(REDUCE, 354);
   _actionMap[828][ROWLIMIT] = ActionEntry(REDUCE, 354);
   _actionMap[828][ORDER] = ActionEntry(REDUCE, 354);
   _actionMap[828][GROUP] = ActionEntry(REDUCE, 354);
   _actionMap[828][WHERE] = ActionEntry(REDUCE, 354);
   _actionMap[828][AND] = ActionEntry(REDUCE, 354);
   _actionMap[828][OR] = ActionEntry(REDUCE, 354);
   _actionMap[829][WHEN] = ActionEntry(REDUCE, 404);
}
void Cego::loadParser36()
{
   _actionMap[829][ELSE] = ActionEntry(REDUCE, 404);
   _actionMap[829][LEFT] = ActionEntry(REDUCE, 404);
   _actionMap[829][RIGHT] = ActionEntry(REDUCE, 404);
   _actionMap[829][INNER] = ActionEntry(REDUCE, 404);
   _actionMap[829][JOIN] = ActionEntry(REDUCE, 404);
   _actionMap[829][RETURNTOKEN] = ActionEntry(REDUCE, 404);
   _actionMap[829][ORDER] = ActionEntry(REDUCE, 404);
   _actionMap[829][GROUP] = ActionEntry(REDUCE, 404);
   _actionMap[829][WHERE] = ActionEntry(REDUCE, 404);
   _actionMap[829][NULLTOKEN] = ActionEntry(REDUCE, 404);
   _actionMap[829][FROM] = ActionEntry(REDUCE, 404);
   _actionMap[829][AS] = ActionEntry(REDUCE, 404);
   _actionMap[829][END_TOKEN] = ActionEntry(REDUCE, 404);
   _actionMap[829][BEGIN] = ActionEntry(REDUCE, 404);
   _actionMap[829][THEN] = ActionEntry(REDUCE, 404);
   _actionMap[829][OR] = ActionEntry(REDUCE, 404);
   _actionMap[829][AND] = ActionEntry(REDUCE, 404);
   _actionMap[829][INTOK] = ActionEntry(REDUCE, 404);
   _actionMap[829][NOT] = ActionEntry(REDUCE, 404);
   _actionMap[829][BETWEEN] = ActionEntry(REDUCE, 404);
   _actionMap[829][IS] = ActionEntry(REDUCE, 404);
   _actionMap[829][LIKE] = ActionEntry(REDUCE, 404);
   _actionMap[829][MT] = ActionEntry(REDUCE, 404);
   _actionMap[829][LT] = ActionEntry(REDUCE, 404);
   _actionMap[829][NEGATION] = ActionEntry(REDUCE, 404);
   _actionMap[829][EQU] = ActionEntry(REDUCE, 404);
   _actionMap[829][RB] = ActionEntry(REDUCE, 404);
   _actionMap[829][ENDTOKEN] = ActionEntry(REDUCE, 404);
   _actionMap[829][UNION] = ActionEntry(REDUCE, 404);
   _actionMap[829][ROWLIMIT] = ActionEntry(REDUCE, 404);
   _actionMap[829][KSEP] = ActionEntry(REDUCE, 404);
   _actionMap[829][ASC] = ActionEntry(REDUCE, 404);
   _actionMap[829][DESC] = ActionEntry(REDUCE, 404);
   _actionMap[829][SEMICOLON] = ActionEntry(REDUCE, 404);
   _actionMap[829][PLUS] = ActionEntry(REDUCE, 404);
   _actionMap[829][MINUS] = ActionEntry(REDUCE, 404);
   _actionMap[829][DIVISION] = ActionEntry(REDUCE, 404);
   _actionMap[829][STAR] = ActionEntry(REDUCE, 404);
   _actionMap[829][CONCAT] = ActionEntry(REDUCE, 404);
   _actionMap[830][VARREF] = ActionEntry(SHIFT, 873);
   _actionMap[831][WHEN] = ActionEntry(REDUCE, 172);
   _actionMap[831][ELSE] = ActionEntry(REDUCE, 172);
   _actionMap[831][LEFT] = ActionEntry(REDUCE, 172);
   _actionMap[831][RIGHT] = ActionEntry(REDUCE, 172);
   _actionMap[831][INNER] = ActionEntry(REDUCE, 172);
   _actionMap[831][JOIN] = ActionEntry(REDUCE, 172);
   _actionMap[831][RETURNTOKEN] = ActionEntry(REDUCE, 172);
   _actionMap[831][ORDER] = ActionEntry(REDUCE, 172);
   _actionMap[831][GROUP] = ActionEntry(REDUCE, 172);
   _actionMap[831][WHERE] = ActionEntry(REDUCE, 172);
}
void Cego::loadParser37()
{
   _actionMap[831][AS] = ActionEntry(REDUCE, 172);
   _actionMap[831][FROM] = ActionEntry(REDUCE, 172);
   _actionMap[831][END_TOKEN] = ActionEntry(REDUCE, 172);
   _actionMap[831][BEGIN] = ActionEntry(REDUCE, 172);
   _actionMap[831][THEN] = ActionEntry(REDUCE, 172);
   _actionMap[831][OR] = ActionEntry(REDUCE, 172);
   _actionMap[831][AND] = ActionEntry(REDUCE, 172);
   _actionMap[831][LIKE] = ActionEntry(REDUCE, 172);
   _actionMap[831][IS] = ActionEntry(REDUCE, 172);
   _actionMap[831][BETWEEN] = ActionEntry(REDUCE, 172);
   _actionMap[831][NOT] = ActionEntry(REDUCE, 172);
   _actionMap[831][INTOK] = ActionEntry(REDUCE, 172);
   _actionMap[831][EQU] = ActionEntry(REDUCE, 172);
   _actionMap[831][NEGATION] = ActionEntry(REDUCE, 172);
   _actionMap[831][LT] = ActionEntry(REDUCE, 172);
   _actionMap[831][MT] = ActionEntry(REDUCE, 172);
   _actionMap[831][DESC] = ActionEntry(REDUCE, 172);
   _actionMap[831][ASC] = ActionEntry(REDUCE, 172);
   _actionMap[831][KSEP] = ActionEntry(REDUCE, 172);
   _actionMap[831][ROWLIMIT] = ActionEntry(REDUCE, 172);
   _actionMap[831][UNION] = ActionEntry(REDUCE, 172);
   _actionMap[831][ENDTOKEN] = ActionEntry(REDUCE, 172);
   _actionMap[831][RB] = ActionEntry(REDUCE, 172);
   _actionMap[831][SEMICOLON] = ActionEntry(REDUCE, 172);
   _actionMap[831][CONCAT] = ActionEntry(REDUCE, 172);
   _actionMap[831][STAR] = ActionEntry(REDUCE, 172);
   _actionMap[831][DIVISION] = ActionEntry(REDUCE, 172);
   _actionMap[831][MINUS] = ActionEntry(REDUCE, 172);
   _actionMap[831][PLUS] = ActionEntry(REDUCE, 172);
   _actionMap[832][WHEN] = ActionEntry(REDUCE, 343);
   _actionMap[832][ELSE] = ActionEntry(REDUCE, 343);
   _actionMap[832][LEFT] = ActionEntry(REDUCE, 343);
   _actionMap[832][RIGHT] = ActionEntry(REDUCE, 343);
   _actionMap[832][INNER] = ActionEntry(REDUCE, 343);
   _actionMap[832][JOIN] = ActionEntry(REDUCE, 343);
   _actionMap[832][RETURNTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[832][ORDER] = ActionEntry(REDUCE, 343);
   _actionMap[832][GROUP] = ActionEntry(REDUCE, 343);
   _actionMap[832][WHERE] = ActionEntry(REDUCE, 343);
   _actionMap[832][FROM] = ActionEntry(REDUCE, 343);
   _actionMap[832][AS] = ActionEntry(REDUCE, 343);
   _actionMap[832][END_TOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[832][BEGIN] = ActionEntry(REDUCE, 343);
   _actionMap[832][THEN] = ActionEntry(REDUCE, 343);
   _actionMap[832][OR] = ActionEntry(REDUCE, 343);
   _actionMap[832][AND] = ActionEntry(REDUCE, 343);
   _actionMap[832][INTOK] = ActionEntry(REDUCE, 343);
   _actionMap[832][NOT] = ActionEntry(REDUCE, 343);
   _actionMap[832][BETWEEN] = ActionEntry(REDUCE, 343);
   _actionMap[832][IS] = ActionEntry(REDUCE, 343);
}
void Cego::loadParser38()
{
   _actionMap[832][LIKE] = ActionEntry(REDUCE, 343);
   _actionMap[832][MT] = ActionEntry(REDUCE, 343);
   _actionMap[832][LT] = ActionEntry(REDUCE, 343);
   _actionMap[832][NEGATION] = ActionEntry(REDUCE, 343);
   _actionMap[832][EQU] = ActionEntry(REDUCE, 343);
   _actionMap[832][RB] = ActionEntry(REDUCE, 343);
   _actionMap[832][ENDTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[832][UNION] = ActionEntry(REDUCE, 343);
   _actionMap[832][ROWLIMIT] = ActionEntry(REDUCE, 343);
   _actionMap[832][KSEP] = ActionEntry(REDUCE, 343);
   _actionMap[832][ASC] = ActionEntry(REDUCE, 343);
   _actionMap[832][DESC] = ActionEntry(REDUCE, 343);
   _actionMap[832][SEMICOLON] = ActionEntry(REDUCE, 343);
   _actionMap[832][PLUS] = ActionEntry(REDUCE, 343);
   _actionMap[832][MINUS] = ActionEntry(REDUCE, 343);
   _actionMap[832][DIVISION] = ActionEntry(REDUCE, 343);
   _actionMap[832][STAR] = ActionEntry(REDUCE, 343);
   _actionMap[832][CONCAT] = ActionEntry(REDUCE, 343);
   _actionMap[833][SEMICOLON] = ActionEntry(REDUCE, 277);
   _actionMap[833][RB] = ActionEntry(REDUCE, 277);
   _actionMap[833][ENDTOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[833][UNION] = ActionEntry(REDUCE, 277);
   _actionMap[833][ROWLIMIT] = ActionEntry(SHIFT, 876);
   _jumpMap[833][NoLimit] = 875;
   _jumpMap[833][LimitOpt] = 874;
   _actionMap[834][ROWLIMIT] = ActionEntry(REDUCE, 264);
   _actionMap[834][UNION] = ActionEntry(REDUCE, 264);
   _actionMap[834][ENDTOKEN] = ActionEntry(REDUCE, 264);
   _actionMap[834][RB] = ActionEntry(REDUCE, 264);
   _actionMap[834][SEMICOLON] = ActionEntry(REDUCE, 264);
   _actionMap[835][BY] = ActionEntry(SHIFT, 877);
   _actionMap[836][IDENTIFIER] = ActionEntry(SHIFT, 880);
   _actionMap[836][QUALIFIEDOBJ] = ActionEntry(SHIFT, 881);
   _actionMap[836][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _jumpMap[836][Attribute] = 879;
   _jumpMap[836][GroupList] = 878;
   _actionMap[837][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[837][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[837][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[837][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[837][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[837][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[837][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[837][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[837][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[837][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[837][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[837][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[837][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[837][LOWER] = ActionEntry(SHIFT, 147);
}
void Cego::loadParser39()
{
   _actionMap[837][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[837][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[837][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[837][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[837][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[837][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[837][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[837][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[837][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[837][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[837][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[837][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[837][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[837][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[837][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[837][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[837][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[837][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[837][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[837][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[837][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[837][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[837][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[837][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[837][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[837][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[837][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[837][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[837][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[837][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[837][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[837][LB] = ActionEntry(SHIFT, 434);
   _actionMap[837][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[837][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[837][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[837][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[837][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[837][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[837][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[837][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[837][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[837][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[837][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[837][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[837][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[837][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[837][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[837][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[837][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[837][EXISTS] = ActionEntry(SHIFT, 432);
}
void Cego::loadParser40()
{
   _actionMap[837][NOT] = ActionEntry(SHIFT, 433);
   _jumpMap[837][ObjSpec] = 117;
   _jumpMap[837][Constant] = 116;
   _jumpMap[837][SignedFloat] = 115;
   _jumpMap[837][SignedInt] = 114;
   _jumpMap[837][Attribute] = 113;
   _jumpMap[837][QueryPredicate] = 431;
   _jumpMap[837][QueryCondition] = 882;
   _jumpMap[837][Function] = 112;
   _jumpMap[837][CasePrepare] = 111;
   _jumpMap[837][CaseClause] = 110;
   _jumpMap[837][Factor] = 109;
   _jumpMap[837][Term] = 108;
   _jumpMap[837][Expr] = 429;
   _actionMap[838][EXISTS] = ActionEntry(REDUCE, 251);
   _actionMap[838][LB] = ActionEntry(REDUCE, 251);
   _actionMap[838][NOT] = ActionEntry(REDUCE, 251);
   _actionMap[838][VARREF] = ActionEntry(REDUCE, 251);
   _actionMap[838][FETCH] = ActionEntry(REDUCE, 251);
   _actionMap[838][COUNT] = ActionEntry(REDUCE, 251);
   _actionMap[838][SUM] = ActionEntry(REDUCE, 251);
   _actionMap[838][AVG] = ActionEntry(REDUCE, 251);
   _actionMap[838][MIN] = ActionEntry(REDUCE, 251);
   _actionMap[838][MAX] = ActionEntry(REDUCE, 251);
   _actionMap[838][CASE] = ActionEntry(REDUCE, 251);
   _actionMap[838][INT2ASC] = ActionEntry(REDUCE, 251);
   _actionMap[838][ASC2INT] = ActionEntry(REDUCE, 251);
   _actionMap[838][TRIM] = ActionEntry(REDUCE, 251);
   _actionMap[838][RTRIM] = ActionEntry(REDUCE, 251);
   _actionMap[838][LTRIM] = ActionEntry(REDUCE, 251);
   _actionMap[838][ROUND] = ActionEntry(REDUCE, 251);
   _actionMap[838][DATE2STR] = ActionEntry(REDUCE, 251);
   _actionMap[838][DATE2LONG] = ActionEntry(REDUCE, 251);
   _actionMap[838][LONG2DATE] = ActionEntry(REDUCE, 251);
   _actionMap[838][NEWDATE] = ActionEntry(REDUCE, 251);
   _actionMap[838][LOWER] = ActionEntry(REDUCE, 251);
   _actionMap[838][UPPER] = ActionEntry(REDUCE, 251);
   _actionMap[838][LEFT] = ActionEntry(REDUCE, 251);
   _actionMap[838][RIGHT] = ActionEntry(REDUCE, 251);
   _actionMap[838][GETPOS] = ActionEntry(REDUCE, 251);
   _actionMap[838][SUBSTR] = ActionEntry(REDUCE, 251);
   _actionMap[838][REPLACE] = ActionEntry(REDUCE, 251);
   _actionMap[838][LENGTH] = ActionEntry(REDUCE, 251);
   _actionMap[838][TRUNC] = ActionEntry(REDUCE, 251);
   _actionMap[838][STR2INT] = ActionEntry(REDUCE, 251);
   _actionMap[838][STR2LONG] = ActionEntry(REDUCE, 251);
   _actionMap[838][STR2DATE] = ActionEntry(REDUCE, 251);
   _actionMap[838][RANDSTR] = ActionEntry(REDUCE, 251);
   _actionMap[838][RANDINT] = ActionEntry(REDUCE, 251);
   _actionMap[838][MOD] = ActionEntry(REDUCE, 251);
}
void Cego::loadParser41()
{
   _actionMap[838][DIV] = ActionEntry(REDUCE, 251);
   _actionMap[838][LMOD] = ActionEntry(REDUCE, 251);
   _actionMap[838][LDIV] = ActionEntry(REDUCE, 251);
   _actionMap[838][POWER] = ActionEntry(REDUCE, 251);
   _actionMap[838][BITAND] = ActionEntry(REDUCE, 251);
   _actionMap[838][BITOR] = ActionEntry(REDUCE, 251);
   _actionMap[838][BITXOR] = ActionEntry(REDUCE, 251);
   _actionMap[838][BLOBSIZE] = ActionEntry(REDUCE, 251);
   _actionMap[838][BLOBREF] = ActionEntry(REDUCE, 251);
   _actionMap[838][CLOBSIZE] = ActionEntry(REDUCE, 251);
   _actionMap[838][CLOBREF] = ActionEntry(REDUCE, 251);
   _actionMap[838][CLOB2STR] = ActionEntry(REDUCE, 251);
   _actionMap[838][NEXTCOUNT] = ActionEntry(REDUCE, 251);
   _actionMap[838][SETCOUNT] = ActionEntry(REDUCE, 251);
   _actionMap[838][IDENTIFIER] = ActionEntry(REDUCE, 251);
   _actionMap[838][QUALIFIEDOBJ] = ActionEntry(REDUCE, 251);
   _actionMap[838][QUALIFIEDTS] = ActionEntry(REDUCE, 251);
   _actionMap[838][QUALIFIEDPRE] = ActionEntry(REDUCE, 251);
   _actionMap[838][STRINGVAL] = ActionEntry(REDUCE, 251);
   _actionMap[838][DATE] = ActionEntry(REDUCE, 251);
   _actionMap[838][SYSDATE] = ActionEntry(REDUCE, 251);
   _actionMap[838][NULLTOKEN] = ActionEntry(REDUCE, 251);
   _actionMap[838][TRUEVAL] = ActionEntry(REDUCE, 251);
   _actionMap[838][FALSEVAL] = ActionEntry(REDUCE, 251);
   _actionMap[838][BLOB] = ActionEntry(REDUCE, 251);
   _actionMap[838][CLOB] = ActionEntry(REDUCE, 251);
   _actionMap[838][FLOATVAL] = ActionEntry(REDUCE, 251);
   _actionMap[838][MINUS] = ActionEntry(REDUCE, 251);
   _actionMap[838][INTVAL] = ActionEntry(REDUCE, 251);
   _actionMap[839][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[839][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[839][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[839][ObjSpec] = 508;
   _jumpMap[839][Table] = 883;
   _actionMap[840][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[840][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[840][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[840][ObjSpec] = 508;
   _jumpMap[840][Table] = 884;
   _actionMap[841][KSEP] = ActionEntry(SHIFT, 885);
   _actionMap[841][SEMICOLON] = ActionEntry(REDUCE, 282);
   _actionMap[842][SEMICOLON] = ActionEntry(REDUCE, 285);
   _actionMap[842][KSEP] = ActionEntry(REDUCE, 285);
   _actionMap[843][EQU] = ActionEntry(SHIFT, 886);
   _actionMap[677][SEMICOLON] = ActionEntry(REDUCE, 291);
   _actionMap[678][COLUMN] = ActionEntry(SHIFT, 521);
   _actionMap[679][ON] = ActionEntry(SHIFT, 780);
   _actionMap[680][SEMICOLON] = ActionEntry(REDUCE, 294);
   _actionMap[680][KSEP] = ActionEntry(REDUCE, 294);
   _actionMap[681][IDENTIFIER] = ActionEntry(SHIFT, 781);
}
void Cego::loadParser42()
{
   _actionMap[682][SEMICOLON] = ActionEntry(REDUCE, 293);
   _actionMap[682][KSEP] = ActionEntry(REDUCE, 293);
   _actionMap[683][SEMICOLON] = ActionEntry(REDUCE, 295);
   _actionMap[683][KSEP] = ActionEntry(REDUCE, 295);
   _actionMap[684][DEFAULT] = ActionEntry(SHIFT, 782);
   _actionMap[684][INT] = ActionEntry(SHIFT, 717);
   _actionMap[684][LONG] = ActionEntry(SHIFT, 718);
   _actionMap[684][STRING] = ActionEntry(SHIFT, 720);
   _actionMap[684][DATETIME] = ActionEntry(SHIFT, 712);
   _actionMap[684][BOOL] = ActionEntry(SHIFT, 710);
   _actionMap[684][BIGINT] = ActionEntry(SHIFT, 708);
   _actionMap[684][FLOAT] = ActionEntry(SHIFT, 716);
   _actionMap[684][DOUBLE] = ActionEntry(SHIFT, 714);
   _actionMap[684][SMALLINT] = ActionEntry(SHIFT, 719);
   _actionMap[684][TINYINT] = ActionEntry(SHIFT, 721);
   _actionMap[684][DECIMAL] = ActionEntry(SHIFT, 713);
   _actionMap[684][FIXED] = ActionEntry(SHIFT, 715);
   _actionMap[684][BLOB] = ActionEntry(SHIFT, 709);
   _actionMap[684][CLOB] = ActionEntry(SHIFT, 711);
   _jumpMap[684][DataTypeProd] = 734;
   _actionMap[685][TO] = ActionEntry(SHIFT, 783);
   _actionMap[686][IDENTIFIER] = ActionEntry(SHIFT, 784);
   _actionMap[687][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[687][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[687][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[687][KSEP] = ActionEntry(REDUCE, 141);
   _actionMap[687][RB] = ActionEntry(REDUCE, 141);
   _actionMap[688][ELSE] = ActionEntry(REDUCE, 136);
   _actionMap[688][ELSIF] = ActionEntry(REDUCE, 136);
   _actionMap[688][EXCEPTION] = ActionEntry(REDUCE, 136);
   _actionMap[688][END_TOKEN] = ActionEntry(REDUCE, 136);
   _actionMap[689][WHEN] = ActionEntry(SHIFT, 785);
   _actionMap[690][EXCEPTION] = ActionEntry(REDUCE, 112);
   _actionMap[690][END_TOKEN] = ActionEntry(REDUCE, 112);
   _actionMap[690][ELSE] = ActionEntry(REDUCE, 112);
   _actionMap[690][ELSIF] = ActionEntry(REDUCE, 112);
   _actionMap[690][VAR] = ActionEntry(REDUCE, 112);
   _actionMap[690][CURSOR] = ActionEntry(REDUCE, 112);
   _actionMap[690][CLOSE] = ActionEntry(REDUCE, 112);
   _actionMap[690][VARREF] = ActionEntry(REDUCE, 112);
   _actionMap[690][NOOP] = ActionEntry(REDUCE, 112);
   _actionMap[690][THROW] = ActionEntry(REDUCE, 112);
   _actionMap[690][RETURNTOKEN] = ActionEntry(REDUCE, 112);
   _actionMap[690][WHILE] = ActionEntry(REDUCE, 112);
   _actionMap[690][IF] = ActionEntry(REDUCE, 112);
   _actionMap[690][BEGIN] = ActionEntry(REDUCE, 112);
   _actionMap[690][UNLOCK] = ActionEntry(REDUCE, 112);
   _actionMap[690][LOCK] = ActionEntry(REDUCE, 112);
   _actionMap[690][ROLLBACK] = ActionEntry(REDUCE, 112);
   _actionMap[690][COMMIT] = ActionEntry(REDUCE, 112);
}
void Cego::loadParser43()
{
   _actionMap[690][START_TOKEN] = ActionEntry(REDUCE, 112);
   _actionMap[690][UPDATE] = ActionEntry(REDUCE, 112);
   _actionMap[690][DELETETOK] = ActionEntry(REDUCE, 112);
   _actionMap[690][INSERT] = ActionEntry(REDUCE, 112);
   _actionMap[690][FETCH] = ActionEntry(REDUCE, 112);
   _actionMap[690][LB] = ActionEntry(REDUCE, 112);
   _actionMap[690][COUNT] = ActionEntry(REDUCE, 112);
   _actionMap[690][SUM] = ActionEntry(REDUCE, 112);
   _actionMap[690][AVG] = ActionEntry(REDUCE, 112);
   _actionMap[690][MIN] = ActionEntry(REDUCE, 112);
   _actionMap[690][MAX] = ActionEntry(REDUCE, 112);
   _actionMap[690][CASE] = ActionEntry(REDUCE, 112);
   _actionMap[690][INT2ASC] = ActionEntry(REDUCE, 112);
   _actionMap[690][ASC2INT] = ActionEntry(REDUCE, 112);
   _actionMap[690][TRIM] = ActionEntry(REDUCE, 112);
   _actionMap[690][RTRIM] = ActionEntry(REDUCE, 112);
   _actionMap[690][LTRIM] = ActionEntry(REDUCE, 112);
   _actionMap[690][ROUND] = ActionEntry(REDUCE, 112);
   _actionMap[690][DATE2STR] = ActionEntry(REDUCE, 112);
   _actionMap[690][DATE2LONG] = ActionEntry(REDUCE, 112);
   _actionMap[690][LONG2DATE] = ActionEntry(REDUCE, 112);
   _actionMap[690][NEWDATE] = ActionEntry(REDUCE, 112);
   _actionMap[690][LOWER] = ActionEntry(REDUCE, 112);
   _actionMap[690][UPPER] = ActionEntry(REDUCE, 112);
   _actionMap[690][LEFT] = ActionEntry(REDUCE, 112);
   _actionMap[690][RIGHT] = ActionEntry(REDUCE, 112);
   _actionMap[690][GETPOS] = ActionEntry(REDUCE, 112);
   _actionMap[690][SUBSTR] = ActionEntry(REDUCE, 112);
   _actionMap[690][REPLACE] = ActionEntry(REDUCE, 112);
   _actionMap[690][LENGTH] = ActionEntry(REDUCE, 112);
   _actionMap[690][TRUNC] = ActionEntry(REDUCE, 112);
   _actionMap[690][STR2INT] = ActionEntry(REDUCE, 112);
   _actionMap[690][STR2LONG] = ActionEntry(REDUCE, 112);
   _actionMap[690][STR2DATE] = ActionEntry(REDUCE, 112);
   _actionMap[690][RANDSTR] = ActionEntry(REDUCE, 112);
   _actionMap[690][RANDINT] = ActionEntry(REDUCE, 112);
   _actionMap[690][MOD] = ActionEntry(REDUCE, 112);
   _actionMap[690][DIV] = ActionEntry(REDUCE, 112);
   _actionMap[690][LMOD] = ActionEntry(REDUCE, 112);
   _actionMap[690][LDIV] = ActionEntry(REDUCE, 112);
   _actionMap[690][POWER] = ActionEntry(REDUCE, 112);
   _actionMap[690][BITAND] = ActionEntry(REDUCE, 112);
   _actionMap[690][BITOR] = ActionEntry(REDUCE, 112);
   _actionMap[690][BITXOR] = ActionEntry(REDUCE, 112);
   _actionMap[690][BLOBSIZE] = ActionEntry(REDUCE, 112);
   _actionMap[690][BLOBREF] = ActionEntry(REDUCE, 112);
   _actionMap[690][CLOBSIZE] = ActionEntry(REDUCE, 112);
   _actionMap[690][CLOBREF] = ActionEntry(REDUCE, 112);
   _actionMap[690][CLOB2STR] = ActionEntry(REDUCE, 112);
   _actionMap[690][NEXTCOUNT] = ActionEntry(REDUCE, 112);
}
void Cego::loadParser44()
{
   _actionMap[690][SETCOUNT] = ActionEntry(REDUCE, 112);
   _actionMap[690][IDENTIFIER] = ActionEntry(REDUCE, 112);
   _actionMap[690][QUALIFIEDOBJ] = ActionEntry(REDUCE, 112);
   _actionMap[690][QUALIFIEDTS] = ActionEntry(REDUCE, 112);
   _actionMap[690][QUALIFIEDPRE] = ActionEntry(REDUCE, 112);
   _actionMap[690][STRINGVAL] = ActionEntry(REDUCE, 112);
   _actionMap[690][DATE] = ActionEntry(REDUCE, 112);
   _actionMap[690][SYSDATE] = ActionEntry(REDUCE, 112);
   _actionMap[690][NULLTOKEN] = ActionEntry(REDUCE, 112);
   _actionMap[690][TRUEVAL] = ActionEntry(REDUCE, 112);
   _actionMap[690][FALSEVAL] = ActionEntry(REDUCE, 112);
   _actionMap[690][BLOB] = ActionEntry(REDUCE, 112);
   _actionMap[690][CLOB] = ActionEntry(REDUCE, 112);
   _actionMap[690][FLOATVAL] = ActionEntry(REDUCE, 112);
   _actionMap[690][MINUS] = ActionEntry(REDUCE, 112);
   _actionMap[690][INTVAL] = ActionEntry(REDUCE, 112);
   _actionMap[691][SEMICOLON] = ActionEntry(REDUCE, 134);
   _actionMap[692][END_TOKEN] = ActionEntry(SHIFT, 695);
   _actionMap[693][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[693][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[693][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[693][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[693][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[693][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[693][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[693][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[693][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[693][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[693][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[693][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[693][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[693][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[693][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[693][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[693][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[693][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[693][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[693][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[693][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[693][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[693][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[693][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[693][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[693][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[693][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[693][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[693][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[693][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[693][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[693][POWER] = ActionEntry(SHIFT, 154);
}
void Cego::loadParser45()
{
   _actionMap[693][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[693][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[693][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[693][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[693][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[693][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[693][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[693][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[693][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[693][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[693][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[693][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[693][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[693][LB] = ActionEntry(SHIFT, 172);
   _actionMap[693][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[693][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[693][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[693][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[693][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[693][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[693][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[693][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[693][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[693][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[693][VARREF] = ActionEntry(SHIFT, 400);
   _actionMap[693][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[693][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[693][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[693][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[693][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[693][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[693][IF] = ActionEntry(SHIFT, 394);
   _actionMap[693][BEGIN] = ActionEntry(SHIFT, 391);
   _actionMap[693][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[693][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[693][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[693][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[693][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[693][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[693][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[693][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[693][VAR] = ActionEntry(SHIFT, 398);
   _actionMap[693][CURSOR] = ActionEntry(SHIFT, 393);
   _actionMap[693][CLOSE] = ActionEntry(SHIFT, 392);
   _actionMap[693][NOOP] = ActionEntry(SHIFT, 395);
   _actionMap[693][THROW] = ActionEntry(SHIFT, 397);
   _actionMap[693][RETURNTOKEN] = ActionEntry(SHIFT, 396);
   _actionMap[693][WHILE] = ActionEntry(SHIFT, 399);
   _jumpMap[693][ObjSpec] = 117;
   _jumpMap[693][Constant] = 116;
}
void Cego::loadParser46()
{
   _jumpMap[693][SignedFloat] = 115;
   _jumpMap[693][SignedInt] = 114;
   _jumpMap[693][Attribute] = 113;
   _jumpMap[693][Function] = 112;
   _jumpMap[693][DeleteStatement] = 390;
   _jumpMap[693][UpdateStatement] = 389;
   _jumpMap[693][InsertStatement] = 388;
   _jumpMap[693][UnlockStatement] = 387;
   _jumpMap[693][LockStatement] = 386;
   _jumpMap[693][RollbackStatement] = 385;
   _jumpMap[693][CommitStatement] = 384;
   _jumpMap[693][StartStatement] = 383;
   _jumpMap[693][CasePrepare] = 111;
   _jumpMap[693][CaseClause] = 110;
   _jumpMap[693][Factor] = 109;
   _jumpMap[693][Term] = 108;
   _jumpMap[693][Expr] = 382;
   _jumpMap[693][ProcStatement] = 381;
   _jumpMap[693][ProcIfPart] = 380;
   _jumpMap[693][ProcBlockStart] = 379;
   _jumpMap[693][ProcStatementList] = 378;
   _jumpMap[693][ProcStmtBlock] = 786;
   _actionMap[694][VAR] = ActionEntry(REDUCE, 151);
   _actionMap[694][CURSOR] = ActionEntry(REDUCE, 151);
   _actionMap[694][CLOSE] = ActionEntry(REDUCE, 151);
   _actionMap[694][VARREF] = ActionEntry(REDUCE, 151);
   _actionMap[694][NOOP] = ActionEntry(REDUCE, 151);
   _actionMap[694][THROW] = ActionEntry(REDUCE, 151);
   _actionMap[694][RETURNTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[694][WHILE] = ActionEntry(REDUCE, 151);
   _actionMap[694][IF] = ActionEntry(REDUCE, 151);
   _actionMap[694][BEGIN] = ActionEntry(REDUCE, 151);
   _actionMap[694][UNLOCK] = ActionEntry(REDUCE, 151);
   _actionMap[694][LOCK] = ActionEntry(REDUCE, 151);
   _actionMap[694][ROLLBACK] = ActionEntry(REDUCE, 151);
   _actionMap[694][COMMIT] = ActionEntry(REDUCE, 151);
   _actionMap[694][START_TOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[694][UPDATE] = ActionEntry(REDUCE, 151);
   _actionMap[694][DELETETOK] = ActionEntry(REDUCE, 151);
   _actionMap[694][INSERT] = ActionEntry(REDUCE, 151);
   _actionMap[694][FETCH] = ActionEntry(REDUCE, 151);
   _actionMap[694][LB] = ActionEntry(REDUCE, 151);
   _actionMap[694][COUNT] = ActionEntry(REDUCE, 151);
   _actionMap[694][SUM] = ActionEntry(REDUCE, 151);
   _actionMap[694][AVG] = ActionEntry(REDUCE, 151);
   _actionMap[694][MIN] = ActionEntry(REDUCE, 151);
   _actionMap[694][MAX] = ActionEntry(REDUCE, 151);
   _actionMap[694][CASE] = ActionEntry(REDUCE, 151);
   _actionMap[694][INT2ASC] = ActionEntry(REDUCE, 151);
   _actionMap[694][ASC2INT] = ActionEntry(REDUCE, 151);
}
void Cego::loadParser47()
{
   _actionMap[694][TRIM] = ActionEntry(REDUCE, 151);
   _actionMap[694][RTRIM] = ActionEntry(REDUCE, 151);
   _actionMap[694][LTRIM] = ActionEntry(REDUCE, 151);
   _actionMap[694][ROUND] = ActionEntry(REDUCE, 151);
   _actionMap[694][DATE2STR] = ActionEntry(REDUCE, 151);
   _actionMap[694][DATE2LONG] = ActionEntry(REDUCE, 151);
   _actionMap[694][LONG2DATE] = ActionEntry(REDUCE, 151);
   _actionMap[694][NEWDATE] = ActionEntry(REDUCE, 151);
   _actionMap[694][LOWER] = ActionEntry(REDUCE, 151);
   _actionMap[694][UPPER] = ActionEntry(REDUCE, 151);
   _actionMap[694][LEFT] = ActionEntry(REDUCE, 151);
   _actionMap[694][RIGHT] = ActionEntry(REDUCE, 151);
   _actionMap[694][GETPOS] = ActionEntry(REDUCE, 151);
   _actionMap[694][SUBSTR] = ActionEntry(REDUCE, 151);
   _actionMap[694][REPLACE] = ActionEntry(REDUCE, 151);
   _actionMap[694][LENGTH] = ActionEntry(REDUCE, 151);
   _actionMap[694][TRUNC] = ActionEntry(REDUCE, 151);
   _actionMap[694][STR2INT] = ActionEntry(REDUCE, 151);
   _actionMap[694][STR2LONG] = ActionEntry(REDUCE, 151);
   _actionMap[694][STR2DATE] = ActionEntry(REDUCE, 151);
   _actionMap[694][RANDSTR] = ActionEntry(REDUCE, 151);
   _actionMap[694][RANDINT] = ActionEntry(REDUCE, 151);
   _actionMap[694][MOD] = ActionEntry(REDUCE, 151);
   _actionMap[694][DIV] = ActionEntry(REDUCE, 151);
   _actionMap[694][LMOD] = ActionEntry(REDUCE, 151);
   _actionMap[694][LDIV] = ActionEntry(REDUCE, 151);
   _actionMap[694][POWER] = ActionEntry(REDUCE, 151);
   _actionMap[694][BITAND] = ActionEntry(REDUCE, 151);
   _actionMap[694][BITOR] = ActionEntry(REDUCE, 151);
   _actionMap[694][BITXOR] = ActionEntry(REDUCE, 151);
   _actionMap[694][BLOBSIZE] = ActionEntry(REDUCE, 151);
   _actionMap[694][BLOBREF] = ActionEntry(REDUCE, 151);
   _actionMap[694][CLOBSIZE] = ActionEntry(REDUCE, 151);
   _actionMap[694][CLOBREF] = ActionEntry(REDUCE, 151);
   _actionMap[694][CLOB2STR] = ActionEntry(REDUCE, 151);
   _actionMap[694][NEXTCOUNT] = ActionEntry(REDUCE, 151);
   _actionMap[694][SETCOUNT] = ActionEntry(REDUCE, 151);
   _actionMap[694][IDENTIFIER] = ActionEntry(REDUCE, 151);
   _actionMap[694][QUALIFIEDOBJ] = ActionEntry(REDUCE, 151);
   _actionMap[694][QUALIFIEDTS] = ActionEntry(REDUCE, 151);
   _actionMap[694][QUALIFIEDPRE] = ActionEntry(REDUCE, 151);
   _actionMap[694][STRINGVAL] = ActionEntry(REDUCE, 151);
   _actionMap[694][DATE] = ActionEntry(REDUCE, 151);
   _actionMap[694][SYSDATE] = ActionEntry(REDUCE, 151);
   _actionMap[694][NULLTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[694][TRUEVAL] = ActionEntry(REDUCE, 151);
   _actionMap[694][FALSEVAL] = ActionEntry(REDUCE, 151);
   _actionMap[694][BLOB] = ActionEntry(REDUCE, 151);
   _actionMap[694][CLOB] = ActionEntry(REDUCE, 151);
   _actionMap[694][FLOATVAL] = ActionEntry(REDUCE, 151);
}
void Cego::loadParser48()
{
   _actionMap[694][MINUS] = ActionEntry(REDUCE, 151);
   _actionMap[694][INTVAL] = ActionEntry(REDUCE, 151);
   _actionMap[695][SEMICOLON] = ActionEntry(REDUCE, 144);
   _actionMap[696][END_TOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[696][ELSE] = ActionEntry(REDUCE, 146);
   _actionMap[697][THEN] = ActionEntry(SHIFT, 787);
   _actionMap[698][OR] = ActionEntry(SHIFT, 702);
   _actionMap[698][AND] = ActionEntry(SHIFT, 701);
   _actionMap[698][THEN] = ActionEntry(REDUCE, 153);
   _actionMap[699][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[699][SelectStatement] = 788;
   _actionMap[700][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[700][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[700][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[700][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[700][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[700][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[700][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[700][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[700][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[700][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[700][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[700][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[700][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[700][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[700][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[700][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[700][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[700][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[700][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[700][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[700][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[700][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[700][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[700][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[700][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[700][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[700][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[700][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[700][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[700][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[700][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[700][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[700][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[700][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[700][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[700][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[700][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[700][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[700][CLOBREF] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser49()
{
   _actionMap[700][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[700][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[700][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[700][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[700][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[700][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[700][LB] = ActionEntry(SHIFT, 172);
   _actionMap[700][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[700][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[700][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[700][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[700][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[700][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[700][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[700][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[700][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[700][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[700][VARREF] = ActionEntry(SHIFT, 400);
   _actionMap[700][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[700][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[700][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[700][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[700][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[700][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[700][IF] = ActionEntry(SHIFT, 394);
   _actionMap[700][BEGIN] = ActionEntry(SHIFT, 391);
   _actionMap[700][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[700][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[700][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[700][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[700][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[700][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[700][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[700][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[700][VAR] = ActionEntry(SHIFT, 398);
   _actionMap[700][CURSOR] = ActionEntry(SHIFT, 393);
   _actionMap[700][CLOSE] = ActionEntry(SHIFT, 392);
   _actionMap[700][NOOP] = ActionEntry(SHIFT, 395);
   _actionMap[700][THROW] = ActionEntry(SHIFT, 397);
   _actionMap[700][RETURNTOKEN] = ActionEntry(SHIFT, 396);
   _actionMap[700][WHILE] = ActionEntry(SHIFT, 399);
   _jumpMap[700][ObjSpec] = 117;
   _jumpMap[700][Constant] = 116;
   _jumpMap[700][SignedFloat] = 115;
   _jumpMap[700][SignedInt] = 114;
   _jumpMap[700][Attribute] = 113;
   _jumpMap[700][Function] = 112;
   _jumpMap[700][DeleteStatement] = 390;
   _jumpMap[700][UpdateStatement] = 389;
   _jumpMap[700][InsertStatement] = 388;
}
void Cego::loadParser50()
{
   _jumpMap[700][UnlockStatement] = 387;
   _jumpMap[700][LockStatement] = 386;
   _jumpMap[700][RollbackStatement] = 385;
   _jumpMap[700][CommitStatement] = 384;
   _jumpMap[700][StartStatement] = 383;
   _jumpMap[700][CasePrepare] = 111;
   _jumpMap[700][CaseClause] = 110;
   _jumpMap[700][Factor] = 109;
   _jumpMap[700][Term] = 108;
   _jumpMap[700][Expr] = 382;
   _jumpMap[700][ProcStatement] = 381;
   _jumpMap[700][ProcIfPart] = 380;
   _jumpMap[700][ProcBlockStart] = 379;
   _jumpMap[700][ProcStatementList] = 378;
   _jumpMap[700][ProcStmtBlock] = 789;
   _actionMap[701][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[701][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[701][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[701][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[701][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[701][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[701][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[701][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[701][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[701][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[701][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[701][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[701][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[701][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[701][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[701][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[701][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[701][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[701][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[701][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[701][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[701][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[701][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[701][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[701][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[701][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[701][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[701][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[701][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[701][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[701][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[701][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[701][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[701][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[701][BITXOR] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser51()
{
   _actionMap[701][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[701][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[701][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[701][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[701][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[701][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[701][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[701][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[701][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[701][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[701][LB] = ActionEntry(SHIFT, 542);
   _actionMap[701][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[701][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[701][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[701][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[701][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[701][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[701][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[701][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[701][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[701][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[701][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[701][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[701][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[701][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[701][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[701][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[701][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[701][ObjSpec] = 117;
   _jumpMap[701][Constant] = 116;
   _jumpMap[701][SignedFloat] = 115;
   _jumpMap[701][SignedInt] = 114;
   _jumpMap[701][Attribute] = 113;
   _jumpMap[701][Function] = 112;
   _jumpMap[701][CasePrepare] = 111;
   _jumpMap[701][CaseClause] = 110;
   _jumpMap[701][Factor] = 109;
   _jumpMap[701][Term] = 108;
   _jumpMap[701][Expr] = 541;
   _jumpMap[701][ProcPredicate] = 790;
   _actionMap[702][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[702][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[702][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[702][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[702][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[702][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[702][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[702][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[702][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[702][DATE2STR] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser52()
{
   _actionMap[702][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[702][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[702][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[702][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[702][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[702][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[702][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[702][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[702][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[702][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[702][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[702][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[702][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[702][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[702][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[702][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[702][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[702][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[702][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[702][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[702][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[702][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[702][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[702][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[702][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[702][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[702][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[702][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[702][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[702][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[702][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[702][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[702][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[702][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[702][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[702][LB] = ActionEntry(SHIFT, 542);
   _actionMap[702][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[702][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[702][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[702][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[702][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[702][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[702][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[702][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[702][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[702][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[702][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[702][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[702][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[702][SUM] = ActionEntry(SHIFT, 163);
}
void Cego::loadParser53()
{
   _actionMap[702][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[702][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[702][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[702][ObjSpec] = 117;
   _jumpMap[702][Constant] = 116;
   _jumpMap[702][SignedFloat] = 115;
   _jumpMap[702][SignedInt] = 114;
   _jumpMap[702][Attribute] = 113;
   _jumpMap[702][Function] = 112;
   _jumpMap[702][CasePrepare] = 111;
   _jumpMap[702][CaseClause] = 110;
   _jumpMap[702][Factor] = 109;
   _jumpMap[702][Term] = 108;
   _jumpMap[702][Expr] = 541;
   _jumpMap[702][ProcPredicate] = 791;
   _actionMap[703][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[703][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[703][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[703][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[703][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[703][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[703][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[703][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[703][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[703][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[703][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[703][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[703][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[703][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[703][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[703][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[703][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[703][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[703][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[703][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[703][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[703][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[703][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[703][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[703][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[703][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[703][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[703][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[703][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[703][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[703][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[703][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[703][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[703][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[703][BITXOR] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser54()
{
   _actionMap[703][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[703][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[703][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[703][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[703][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[703][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[703][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[703][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[703][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[703][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[703][LB] = ActionEntry(SHIFT, 172);
   _actionMap[703][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[703][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[703][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[703][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[703][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[703][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[703][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[703][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[703][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[703][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[703][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[703][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[703][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[703][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[703][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[703][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[703][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[703][ObjSpec] = 117;
   _jumpMap[703][Constant] = 116;
   _jumpMap[703][SignedFloat] = 115;
   _jumpMap[703][SignedInt] = 114;
   _jumpMap[703][Attribute] = 113;
   _jumpMap[703][Function] = 112;
   _jumpMap[703][CasePrepare] = 111;
   _jumpMap[703][CaseClause] = 110;
   _jumpMap[703][Factor] = 109;
   _jumpMap[703][Term] = 108;
   _jumpMap[703][Expr] = 792;
   _actionMap[704][NOT] = ActionEntry(SHIFT, 793);
   _actionMap[704][NULLTOKEN] = ActionEntry(SHIFT, 794);
   _actionMap[705][RB] = ActionEntry(SHIFT, 795);
   _actionMap[705][OR] = ActionEntry(SHIFT, 702);
   _actionMap[705][AND] = ActionEntry(SHIFT, 701);
   _actionMap[706][RB] = ActionEntry(SHIFT, 488);
   _actionMap[706][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[706][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[706][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[706][IS] = ActionEntry(SHIFT, 704);
   _actionMap[706][EQU] = ActionEntry(SHIFT, 582);
}
void Cego::loadParser55()
{
   _actionMap[706][NEGATION] = ActionEntry(SHIFT, 585);
   _actionMap[706][LT] = ActionEntry(SHIFT, 583);
   _actionMap[706][MT] = ActionEntry(SHIFT, 584);
   _jumpMap[706][Comparison] = 703;
   _actionMap[707][SEMICOLON] = ActionEntry(REDUCE, 122);
   _actionMap[707][EQU] = ActionEntry(SHIFT, 798);
   _jumpMap[707][ProcNoAssignment] = 797;
   _jumpMap[707][ProcInitialAssignment] = 796;
   _actionMap[708][LB] = ActionEntry(SHIFT, 799);
   _actionMap[709][BEGIN] = ActionEntry(REDUCE, 379);
   _actionMap[709][EQU] = ActionEntry(REDUCE, 379);
   _actionMap[709][DEFAULT] = ActionEntry(REDUCE, 379);
   _actionMap[709][NULLTOKEN] = ActionEntry(REDUCE, 379);
   _actionMap[709][NOT] = ActionEntry(REDUCE, 379);
   _actionMap[709][KSEP] = ActionEntry(REDUCE, 379);
   _actionMap[709][SEMICOLON] = ActionEntry(REDUCE, 379);
   _actionMap[709][RB] = ActionEntry(REDUCE, 379);
   _actionMap[710][BEGIN] = ActionEntry(REDUCE, 371);
   _actionMap[710][EQU] = ActionEntry(REDUCE, 371);
   _actionMap[710][DEFAULT] = ActionEntry(REDUCE, 371);
   _actionMap[710][NULLTOKEN] = ActionEntry(REDUCE, 371);
   _actionMap[710][NOT] = ActionEntry(REDUCE, 371);
   _actionMap[710][KSEP] = ActionEntry(REDUCE, 371);
   _actionMap[710][SEMICOLON] = ActionEntry(REDUCE, 371);
   _actionMap[710][RB] = ActionEntry(REDUCE, 371);
   _actionMap[711][BEGIN] = ActionEntry(REDUCE, 380);
   _actionMap[711][EQU] = ActionEntry(REDUCE, 380);
   _actionMap[711][DEFAULT] = ActionEntry(REDUCE, 380);
   _actionMap[711][NULLTOKEN] = ActionEntry(REDUCE, 380);
   _actionMap[711][NOT] = ActionEntry(REDUCE, 380);
   _actionMap[711][KSEP] = ActionEntry(REDUCE, 380);
   _actionMap[711][SEMICOLON] = ActionEntry(REDUCE, 380);
   _actionMap[711][RB] = ActionEntry(REDUCE, 380);
   _actionMap[712][BEGIN] = ActionEntry(REDUCE, 370);
   _actionMap[712][EQU] = ActionEntry(REDUCE, 370);
   _actionMap[712][DEFAULT] = ActionEntry(REDUCE, 370);
   _actionMap[712][NULLTOKEN] = ActionEntry(REDUCE, 370);
   _actionMap[712][NOT] = ActionEntry(REDUCE, 370);
   _actionMap[712][KSEP] = ActionEntry(REDUCE, 370);
   _actionMap[712][SEMICOLON] = ActionEntry(REDUCE, 370);
   _actionMap[712][RB] = ActionEntry(REDUCE, 370);
   _actionMap[713][LB] = ActionEntry(SHIFT, 800);
   _actionMap[714][BEGIN] = ActionEntry(REDUCE, 374);
   _actionMap[714][EQU] = ActionEntry(REDUCE, 374);
   _actionMap[714][DEFAULT] = ActionEntry(REDUCE, 374);
   _actionMap[714][NULLTOKEN] = ActionEntry(REDUCE, 374);
   _actionMap[714][NOT] = ActionEntry(REDUCE, 374);
   _actionMap[714][KSEP] = ActionEntry(REDUCE, 374);
   _actionMap[714][SEMICOLON] = ActionEntry(REDUCE, 374);
   _actionMap[714][RB] = ActionEntry(REDUCE, 374);
}
void Cego::loadParser56()
{
   _actionMap[715][LB] = ActionEntry(SHIFT, 801);
   _actionMap[716][BEGIN] = ActionEntry(REDUCE, 373);
   _actionMap[716][EQU] = ActionEntry(REDUCE, 373);
   _actionMap[716][DEFAULT] = ActionEntry(REDUCE, 373);
   _actionMap[716][NULLTOKEN] = ActionEntry(REDUCE, 373);
   _actionMap[716][NOT] = ActionEntry(REDUCE, 373);
   _actionMap[716][KSEP] = ActionEntry(REDUCE, 373);
   _actionMap[716][SEMICOLON] = ActionEntry(REDUCE, 373);
   _actionMap[716][RB] = ActionEntry(REDUCE, 373);
   _actionMap[717][BEGIN] = ActionEntry(REDUCE, 367);
   _actionMap[717][EQU] = ActionEntry(REDUCE, 367);
   _actionMap[717][DEFAULT] = ActionEntry(REDUCE, 367);
   _actionMap[717][NULLTOKEN] = ActionEntry(REDUCE, 367);
   _actionMap[717][NOT] = ActionEntry(REDUCE, 367);
   _actionMap[717][KSEP] = ActionEntry(REDUCE, 367);
   _actionMap[717][SEMICOLON] = ActionEntry(REDUCE, 367);
   _actionMap[717][RB] = ActionEntry(REDUCE, 367);
   _actionMap[718][BEGIN] = ActionEntry(REDUCE, 368);
   _actionMap[718][EQU] = ActionEntry(REDUCE, 368);
   _actionMap[718][DEFAULT] = ActionEntry(REDUCE, 368);
   _actionMap[718][NULLTOKEN] = ActionEntry(REDUCE, 368);
   _actionMap[718][NOT] = ActionEntry(REDUCE, 368);
   _actionMap[718][KSEP] = ActionEntry(REDUCE, 368);
   _actionMap[718][SEMICOLON] = ActionEntry(REDUCE, 368);
   _actionMap[718][RB] = ActionEntry(REDUCE, 368);
   _actionMap[719][BEGIN] = ActionEntry(REDUCE, 375);
   _actionMap[719][EQU] = ActionEntry(REDUCE, 375);
   _actionMap[719][DEFAULT] = ActionEntry(REDUCE, 375);
   _actionMap[719][NULLTOKEN] = ActionEntry(REDUCE, 375);
   _actionMap[719][NOT] = ActionEntry(REDUCE, 375);
   _actionMap[719][KSEP] = ActionEntry(REDUCE, 375);
   _actionMap[719][SEMICOLON] = ActionEntry(REDUCE, 375);
   _actionMap[719][RB] = ActionEntry(REDUCE, 375);
   _actionMap[720][LB] = ActionEntry(SHIFT, 802);
   _actionMap[721][BEGIN] = ActionEntry(REDUCE, 376);
   _actionMap[721][EQU] = ActionEntry(REDUCE, 376);
   _actionMap[721][DEFAULT] = ActionEntry(REDUCE, 376);
   _actionMap[721][NULLTOKEN] = ActionEntry(REDUCE, 376);
   _actionMap[721][NOT] = ActionEntry(REDUCE, 376);
   _actionMap[721][KSEP] = ActionEntry(REDUCE, 376);
   _actionMap[721][SEMICOLON] = ActionEntry(REDUCE, 376);
   _actionMap[721][RB] = ActionEntry(REDUCE, 376);
   _actionMap[722][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[722][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[722][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[722][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[722][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[722][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[722][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[722][LTRIM] = ActionEntry(SHIFT, 148);
}
void Cego::loadParser57()
{
   _actionMap[722][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[722][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[722][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[722][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[722][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[722][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[722][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[722][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[722][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[722][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[722][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[722][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[722][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[722][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[722][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[722][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[722][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[722][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[722][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[722][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[722][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[722][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[722][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[722][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[722][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[722][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[722][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[722][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[722][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[722][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[722][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[722][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[722][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[722][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[722][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[722][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[722][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[722][LB] = ActionEntry(SHIFT, 172);
   _actionMap[722][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[722][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[722][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[722][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[722][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[722][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[722][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[722][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[722][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[722][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[722][VARREF] = ActionEntry(SHIFT, 400);
   _actionMap[722][FETCH] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser58()
{
   _actionMap[722][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[722][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[722][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[722][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[722][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[722][IF] = ActionEntry(SHIFT, 394);
   _actionMap[722][BEGIN] = ActionEntry(SHIFT, 391);
   _actionMap[722][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[722][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[722][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[722][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[722][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[722][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[722][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[722][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[722][VAR] = ActionEntry(SHIFT, 398);
   _actionMap[722][CURSOR] = ActionEntry(SHIFT, 393);
   _actionMap[722][CLOSE] = ActionEntry(SHIFT, 392);
   _actionMap[722][NOOP] = ActionEntry(SHIFT, 395);
   _actionMap[722][THROW] = ActionEntry(SHIFT, 397);
   _actionMap[722][RETURNTOKEN] = ActionEntry(SHIFT, 396);
   _actionMap[722][WHILE] = ActionEntry(SHIFT, 399);
   _jumpMap[722][ObjSpec] = 117;
   _jumpMap[722][Constant] = 116;
   _jumpMap[722][SignedFloat] = 115;
   _jumpMap[722][SignedInt] = 114;
   _jumpMap[722][Attribute] = 113;
   _jumpMap[722][Function] = 112;
   _jumpMap[722][DeleteStatement] = 390;
   _jumpMap[722][UpdateStatement] = 389;
   _jumpMap[722][InsertStatement] = 388;
   _jumpMap[722][UnlockStatement] = 387;
   _jumpMap[722][LockStatement] = 386;
   _jumpMap[722][RollbackStatement] = 385;
   _jumpMap[722][CommitStatement] = 384;
   _jumpMap[722][StartStatement] = 383;
   _jumpMap[722][CasePrepare] = 111;
   _jumpMap[722][CaseClause] = 110;
   _jumpMap[722][Factor] = 109;
   _jumpMap[722][Term] = 108;
   _jumpMap[722][Expr] = 382;
   _jumpMap[722][ProcStatement] = 381;
   _jumpMap[722][ProcIfPart] = 380;
   _jumpMap[722][ProcBlockStart] = 379;
   _jumpMap[722][ProcStatementList] = 378;
   _jumpMap[722][ProcStmtBlock] = 803;
   _actionMap[723][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[723][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[723][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[723][SEMICOLON] = ActionEntry(REDUCE, 117);
}
void Cego::loadParser59()
{
   _actionMap[724][LB] = ActionEntry(SHIFT, 804);
   _actionMap[725][IDENTIFIER] = ActionEntry(SHIFT, 807);
   _jumpMap[725][SimpleAttr] = 806;
   _jumpMap[725][SimpleAttrList] = 805;
   _actionMap[726][IDENTIFIER] = ActionEntry(SHIFT, 556);
   _jumpMap[726][ProcArg] = 808;
   _actionMap[727][BEGIN] = ActionEntry(REDUCE, 101);
   _actionMap[728][INT] = ActionEntry(SHIFT, 717);
   _actionMap[728][LONG] = ActionEntry(SHIFT, 718);
   _actionMap[728][STRING] = ActionEntry(SHIFT, 720);
   _actionMap[728][DATETIME] = ActionEntry(SHIFT, 712);
   _actionMap[728][BOOL] = ActionEntry(SHIFT, 710);
   _actionMap[728][BIGINT] = ActionEntry(SHIFT, 708);
   _actionMap[728][FLOAT] = ActionEntry(SHIFT, 716);
   _actionMap[728][DOUBLE] = ActionEntry(SHIFT, 714);
   _actionMap[728][SMALLINT] = ActionEntry(SHIFT, 719);
   _actionMap[728][TINYINT] = ActionEntry(SHIFT, 721);
   _actionMap[728][DECIMAL] = ActionEntry(SHIFT, 713);
   _actionMap[728][FIXED] = ActionEntry(SHIFT, 715);
   _actionMap[728][BLOB] = ActionEntry(SHIFT, 709);
   _actionMap[728][CLOB] = ActionEntry(SHIFT, 711);
   _jumpMap[728][DataTypeProd] = 809;
   _actionMap[729][INT] = ActionEntry(SHIFT, 717);
   _actionMap[729][LONG] = ActionEntry(SHIFT, 718);
   _actionMap[729][STRING] = ActionEntry(SHIFT, 720);
   _actionMap[729][DATETIME] = ActionEntry(SHIFT, 712);
   _actionMap[729][BOOL] = ActionEntry(SHIFT, 710);
   _actionMap[729][BIGINT] = ActionEntry(SHIFT, 708);
   _actionMap[729][FLOAT] = ActionEntry(SHIFT, 716);
   _actionMap[729][DOUBLE] = ActionEntry(SHIFT, 714);
   _actionMap[729][SMALLINT] = ActionEntry(SHIFT, 719);
   _actionMap[729][TINYINT] = ActionEntry(SHIFT, 721);
   _actionMap[729][DECIMAL] = ActionEntry(SHIFT, 713);
   _actionMap[729][FIXED] = ActionEntry(SHIFT, 715);
   _actionMap[729][BLOB] = ActionEntry(SHIFT, 709);
   _actionMap[729][CLOB] = ActionEntry(SHIFT, 711);
   _jumpMap[729][DataTypeProd] = 810;
   _actionMap[730][INT] = ActionEntry(SHIFT, 717);
   _actionMap[730][LONG] = ActionEntry(SHIFT, 718);
   _actionMap[730][STRING] = ActionEntry(SHIFT, 720);
   _actionMap[730][DATETIME] = ActionEntry(SHIFT, 712);
   _actionMap[730][BOOL] = ActionEntry(SHIFT, 710);
   _actionMap[730][BIGINT] = ActionEntry(SHIFT, 708);
   _actionMap[730][FLOAT] = ActionEntry(SHIFT, 716);
   _actionMap[730][DOUBLE] = ActionEntry(SHIFT, 714);
   _actionMap[730][SMALLINT] = ActionEntry(SHIFT, 719);
   _actionMap[730][TINYINT] = ActionEntry(SHIFT, 721);
   _actionMap[730][DECIMAL] = ActionEntry(SHIFT, 713);
   _actionMap[730][FIXED] = ActionEntry(SHIFT, 715);
   _actionMap[730][BLOB] = ActionEntry(SHIFT, 709);
}
void Cego::loadParser60()
{
   _actionMap[730][CLOB] = ActionEntry(SHIFT, 711);
   _jumpMap[730][DataTypeProd] = 811;
   _actionMap[731][IDENTIFIER] = ActionEntry(SHIFT, 561);
   _actionMap[731][PRIMARY] = ActionEntry(SHIFT, 560);
   _jumpMap[731][ColumnDesc] = 559;
   _jumpMap[731][KeyColumn] = 812;
   _actionMap[732][SEMICOLON] = ActionEntry(REDUCE, 60);
   _actionMap[733][KSEP] = ActionEntry(REDUCE, 193);
   _actionMap[733][RB] = ActionEntry(REDUCE, 193);
   _actionMap[734][RB] = ActionEntry(REDUCE, 202);
   _actionMap[734][SEMICOLON] = ActionEntry(REDUCE, 202);
   _actionMap[734][KSEP] = ActionEntry(REDUCE, 202);
   _actionMap[734][NOT] = ActionEntry(REDUCE, 202);
   _actionMap[734][NULLTOKEN] = ActionEntry(REDUCE, 202);
   _actionMap[734][DEFAULT] = ActionEntry(SHIFT, 815);
   _jumpMap[734][DefaultDefOpt] = 814;
   _jumpMap[734][DefaultOpt] = 813;
   _actionMap[735][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[735][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[735][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[735][ObjSpec] = 816;
   _actionMap[736][INSERT] = ActionEntry(SHIFT, 565);
   _actionMap[736][UPDATE] = ActionEntry(SHIFT, 566);
   _actionMap[736][DELETETOK] = ActionEntry(SHIFT, 564);
   _jumpMap[736][TriggerOp] = 817;
   _actionMap[737][LB] = ActionEntry(SHIFT, 571);
   _jumpMap[737][InsertValueSpec] = 818;
   _actionMap[738][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[738][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[738][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[738][KSEP] = ActionEntry(REDUCE, 228);
   _actionMap[738][RB] = ActionEntry(REDUCE, 228);
   _actionMap[739][RB] = ActionEntry(SHIFT, 820);
   _actionMap[739][KSEP] = ActionEntry(SHIFT, 819);
   _actionMap[740][IDENTIFIER] = ActionEntry(SHIFT, 821);
   _actionMap[741][SELECT] = ActionEntry(REDUCE, 219);
   _actionMap[741][VALUES] = ActionEntry(REDUCE, 219);
   _actionMap[742][WHEN] = ActionEntry(REDUCE, 184);
   _actionMap[742][ELSE] = ActionEntry(REDUCE, 184);
   _actionMap[742][LEFT] = ActionEntry(REDUCE, 184);
   _actionMap[742][RIGHT] = ActionEntry(REDUCE, 184);
   _actionMap[742][INNER] = ActionEntry(REDUCE, 184);
   _actionMap[742][JOIN] = ActionEntry(REDUCE, 184);
   _actionMap[742][RETURNTOKEN] = ActionEntry(REDUCE, 184);
   _actionMap[742][ORDER] = ActionEntry(REDUCE, 184);
   _actionMap[742][GROUP] = ActionEntry(REDUCE, 184);
   _actionMap[742][WHERE] = ActionEntry(REDUCE, 184);
   _actionMap[742][BEGIN] = ActionEntry(REDUCE, 184);
   _actionMap[742][THEN] = ActionEntry(REDUCE, 184);
   _actionMap[742][OR] = ActionEntry(REDUCE, 184);
}
void Cego::loadParser61()
{
   _actionMap[742][FROM] = ActionEntry(REDUCE, 184);
   _actionMap[742][AS] = ActionEntry(REDUCE, 184);
   _actionMap[742][END_TOKEN] = ActionEntry(REDUCE, 184);
   _actionMap[742][AND] = ActionEntry(REDUCE, 184);
   _actionMap[742][INTOK] = ActionEntry(REDUCE, 184);
   _actionMap[742][NOT] = ActionEntry(REDUCE, 184);
   _actionMap[742][BETWEEN] = ActionEntry(REDUCE, 184);
   _actionMap[742][IS] = ActionEntry(REDUCE, 184);
   _actionMap[742][LIKE] = ActionEntry(REDUCE, 184);
   _actionMap[742][MT] = ActionEntry(REDUCE, 184);
   _actionMap[742][LT] = ActionEntry(REDUCE, 184);
   _actionMap[742][NEGATION] = ActionEntry(REDUCE, 184);
   _actionMap[742][EQU] = ActionEntry(REDUCE, 184);
   _actionMap[742][RB] = ActionEntry(REDUCE, 184);
   _actionMap[742][ENDTOKEN] = ActionEntry(REDUCE, 184);
   _actionMap[742][UNION] = ActionEntry(REDUCE, 184);
   _actionMap[742][ROWLIMIT] = ActionEntry(REDUCE, 184);
   _actionMap[742][KSEP] = ActionEntry(REDUCE, 184);
   _actionMap[742][ASC] = ActionEntry(REDUCE, 184);
   _actionMap[742][DESC] = ActionEntry(REDUCE, 184);
   _actionMap[742][SEMICOLON] = ActionEntry(REDUCE, 184);
   _actionMap[742][PLUS] = ActionEntry(REDUCE, 184);
   _actionMap[742][MINUS] = ActionEntry(REDUCE, 184);
   _actionMap[742][DIVISION] = ActionEntry(REDUCE, 184);
   _actionMap[742][STAR] = ActionEntry(REDUCE, 184);
   _actionMap[742][CONCAT] = ActionEntry(REDUCE, 184);
   _actionMap[743][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[743][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[743][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[743][LEFT] = ActionEntry(REDUCE, 359);
   _actionMap[743][RIGHT] = ActionEntry(REDUCE, 359);
   _actionMap[743][INNER] = ActionEntry(REDUCE, 359);
   _actionMap[743][JOIN] = ActionEntry(REDUCE, 359);
   _actionMap[743][RETURNTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[743][SEMICOLON] = ActionEntry(REDUCE, 359);
   _actionMap[743][ENDTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[743][UNION] = ActionEntry(REDUCE, 359);
   _actionMap[743][ROWLIMIT] = ActionEntry(REDUCE, 359);
   _actionMap[743][ORDER] = ActionEntry(REDUCE, 359);
   _actionMap[743][GROUP] = ActionEntry(REDUCE, 359);
   _actionMap[743][WHERE] = ActionEntry(REDUCE, 359);
   _actionMap[743][THEN] = ActionEntry(REDUCE, 359);
   _actionMap[743][AND] = ActionEntry(REDUCE, 359);
   _actionMap[743][OR] = ActionEntry(REDUCE, 359);
   _actionMap[743][RB] = ActionEntry(REDUCE, 359);
   _actionMap[744][AND] = ActionEntry(SHIFT, 822);
   _actionMap[744][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[744][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[744][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[745][FLOATVAL] = ActionEntry(SHIFT, 175);
}
void Cego::loadParser62()
{
   _actionMap[745][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[745][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[745][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[745][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[745][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[745][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[745][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[745][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[745][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[745][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[745][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[745][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[745][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[745][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[745][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[745][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[745][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[745][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[745][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[745][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[745][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[745][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[745][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[745][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[745][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[745][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[745][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[745][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[745][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[745][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[745][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[745][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[745][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[745][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[745][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[745][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[745][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[745][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[745][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[745][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[745][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[745][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[745][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[745][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[745][LB] = ActionEntry(SHIFT, 172);
   _actionMap[745][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[745][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[745][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[745][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[745][TRUEVAL] = ActionEntry(SHIFT, 169);
}
void Cego::loadParser63()
{
   _actionMap[745][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[745][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[745][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[745][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[745][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[745][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[745][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[745][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[745][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[745][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[745][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[745][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[745][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[745][ObjSpec] = 117;
   _jumpMap[745][Constant] = 116;
   _jumpMap[745][SignedFloat] = 115;
   _jumpMap[745][SignedInt] = 114;
   _jumpMap[745][Attribute] = 113;
   _jumpMap[745][ExpressionList] = 824;
   _jumpMap[745][Function] = 112;
   _jumpMap[745][SelectStatement] = 823;
   _jumpMap[745][CasePrepare] = 111;
   _jumpMap[745][CaseClause] = 110;
   _jumpMap[745][Factor] = 109;
   _jumpMap[745][Term] = 108;
   _jumpMap[745][Expr] = 435;
   _actionMap[746][NULLTOKEN] = ActionEntry(SHIFT, 825);
   _actionMap[747][LEFT] = ActionEntry(REDUCE, 361);
   _actionMap[747][RIGHT] = ActionEntry(REDUCE, 361);
   _actionMap[747][INNER] = ActionEntry(REDUCE, 361);
   _actionMap[747][JOIN] = ActionEntry(REDUCE, 361);
   _actionMap[747][RETURNTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[747][SEMICOLON] = ActionEntry(REDUCE, 361);
   _actionMap[747][ENDTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[747][UNION] = ActionEntry(REDUCE, 361);
   _actionMap[747][ROWLIMIT] = ActionEntry(REDUCE, 361);
   _actionMap[747][ORDER] = ActionEntry(REDUCE, 361);
   _actionMap[747][GROUP] = ActionEntry(REDUCE, 361);
   _actionMap[747][WHERE] = ActionEntry(REDUCE, 361);
   _actionMap[747][THEN] = ActionEntry(REDUCE, 361);
   _actionMap[747][AND] = ActionEntry(REDUCE, 361);
   _actionMap[747][OR] = ActionEntry(REDUCE, 361);
   _actionMap[747][RB] = ActionEntry(REDUCE, 361);
   _actionMap[748][LEFT] = ActionEntry(REDUCE, 363);
   _actionMap[748][RIGHT] = ActionEntry(REDUCE, 363);
   _actionMap[748][INNER] = ActionEntry(REDUCE, 363);
   _actionMap[748][JOIN] = ActionEntry(REDUCE, 363);
   _actionMap[748][RETURNTOKEN] = ActionEntry(REDUCE, 363);
   _actionMap[748][SEMICOLON] = ActionEntry(REDUCE, 363);
   _actionMap[748][ENDTOKEN] = ActionEntry(REDUCE, 363);
}
void Cego::loadParser64()
{
   _actionMap[748][UNION] = ActionEntry(REDUCE, 363);
   _actionMap[748][ROWLIMIT] = ActionEntry(REDUCE, 363);
   _actionMap[748][ORDER] = ActionEntry(REDUCE, 363);
   _actionMap[748][GROUP] = ActionEntry(REDUCE, 363);
   _actionMap[748][WHERE] = ActionEntry(REDUCE, 363);
   _actionMap[748][THEN] = ActionEntry(REDUCE, 363);
   _actionMap[748][AND] = ActionEntry(REDUCE, 363);
   _actionMap[748][OR] = ActionEntry(REDUCE, 363);
   _actionMap[748][RB] = ActionEntry(REDUCE, 363);
   _actionMap[749][LB] = ActionEntry(SHIFT, 826);
   _actionMap[750][STRINGVAL] = ActionEntry(SHIFT, 827);
   _actionMap[751][VARREF] = ActionEntry(REDUCE, 385);
   _actionMap[751][FETCH] = ActionEntry(REDUCE, 385);
   _actionMap[751][LB] = ActionEntry(REDUCE, 385);
   _actionMap[751][COUNT] = ActionEntry(REDUCE, 385);
   _actionMap[751][SUM] = ActionEntry(REDUCE, 385);
   _actionMap[751][AVG] = ActionEntry(REDUCE, 385);
   _actionMap[751][MIN] = ActionEntry(REDUCE, 385);
   _actionMap[751][MAX] = ActionEntry(REDUCE, 385);
   _actionMap[751][CASE] = ActionEntry(REDUCE, 385);
   _actionMap[751][INT2ASC] = ActionEntry(REDUCE, 385);
   _actionMap[751][ASC2INT] = ActionEntry(REDUCE, 385);
   _actionMap[751][TRIM] = ActionEntry(REDUCE, 385);
   _actionMap[751][RTRIM] = ActionEntry(REDUCE, 385);
   _actionMap[751][LTRIM] = ActionEntry(REDUCE, 385);
   _actionMap[751][ROUND] = ActionEntry(REDUCE, 385);
   _actionMap[751][DATE2STR] = ActionEntry(REDUCE, 385);
   _actionMap[751][DATE2LONG] = ActionEntry(REDUCE, 385);
   _actionMap[751][LONG2DATE] = ActionEntry(REDUCE, 385);
   _actionMap[751][NEWDATE] = ActionEntry(REDUCE, 385);
   _actionMap[751][LOWER] = ActionEntry(REDUCE, 385);
   _actionMap[751][UPPER] = ActionEntry(REDUCE, 385);
   _actionMap[751][LEFT] = ActionEntry(REDUCE, 385);
   _actionMap[751][RIGHT] = ActionEntry(REDUCE, 385);
   _actionMap[751][GETPOS] = ActionEntry(REDUCE, 385);
   _actionMap[751][SUBSTR] = ActionEntry(REDUCE, 385);
   _actionMap[751][REPLACE] = ActionEntry(REDUCE, 385);
   _actionMap[751][LENGTH] = ActionEntry(REDUCE, 385);
   _actionMap[751][TRUNC] = ActionEntry(REDUCE, 385);
   _actionMap[751][STR2INT] = ActionEntry(REDUCE, 385);
   _actionMap[751][STR2LONG] = ActionEntry(REDUCE, 385);
   _actionMap[751][STR2DATE] = ActionEntry(REDUCE, 385);
   _actionMap[751][RANDSTR] = ActionEntry(REDUCE, 385);
   _actionMap[751][RANDINT] = ActionEntry(REDUCE, 385);
   _actionMap[751][MOD] = ActionEntry(REDUCE, 385);
   _actionMap[751][DIV] = ActionEntry(REDUCE, 385);
   _actionMap[751][LMOD] = ActionEntry(REDUCE, 385);
   _actionMap[751][LDIV] = ActionEntry(REDUCE, 385);
   _actionMap[751][POWER] = ActionEntry(REDUCE, 385);
   _actionMap[751][BITAND] = ActionEntry(REDUCE, 385);
}
void Cego::loadParser65()
{
   _actionMap[751][BITOR] = ActionEntry(REDUCE, 385);
   _actionMap[751][BITXOR] = ActionEntry(REDUCE, 385);
   _actionMap[751][BLOBSIZE] = ActionEntry(REDUCE, 385);
   _actionMap[751][BLOBREF] = ActionEntry(REDUCE, 385);
   _actionMap[751][CLOBSIZE] = ActionEntry(REDUCE, 385);
   _actionMap[751][CLOBREF] = ActionEntry(REDUCE, 385);
   _actionMap[751][CLOB2STR] = ActionEntry(REDUCE, 385);
   _actionMap[751][NEXTCOUNT] = ActionEntry(REDUCE, 385);
   _actionMap[751][SETCOUNT] = ActionEntry(REDUCE, 385);
   _actionMap[751][IDENTIFIER] = ActionEntry(REDUCE, 385);
   _actionMap[751][QUALIFIEDOBJ] = ActionEntry(REDUCE, 385);
   _actionMap[751][QUALIFIEDTS] = ActionEntry(REDUCE, 385);
   _actionMap[751][QUALIFIEDPRE] = ActionEntry(REDUCE, 385);
   _actionMap[751][STRINGVAL] = ActionEntry(REDUCE, 385);
   _actionMap[751][DATE] = ActionEntry(REDUCE, 385);
   _actionMap[751][SYSDATE] = ActionEntry(REDUCE, 385);
   _actionMap[751][NULLTOKEN] = ActionEntry(REDUCE, 385);
   _actionMap[751][TRUEVAL] = ActionEntry(REDUCE, 385);
   _actionMap[751][FALSEVAL] = ActionEntry(REDUCE, 385);
   _actionMap[751][BLOB] = ActionEntry(REDUCE, 385);
   _actionMap[751][CLOB] = ActionEntry(REDUCE, 385);
   _actionMap[751][FLOATVAL] = ActionEntry(REDUCE, 385);
   _actionMap[751][MINUS] = ActionEntry(REDUCE, 385);
   _actionMap[751][INTVAL] = ActionEntry(REDUCE, 385);
   _actionMap[752][VARREF] = ActionEntry(REDUCE, 386);
   _actionMap[752][FETCH] = ActionEntry(REDUCE, 386);
   _actionMap[752][LB] = ActionEntry(REDUCE, 386);
   _actionMap[752][COUNT] = ActionEntry(REDUCE, 386);
   _actionMap[752][SUM] = ActionEntry(REDUCE, 386);
   _actionMap[752][AVG] = ActionEntry(REDUCE, 386);
   _actionMap[752][MIN] = ActionEntry(REDUCE, 386);
   _actionMap[752][MAX] = ActionEntry(REDUCE, 386);
   _actionMap[752][CASE] = ActionEntry(REDUCE, 386);
   _actionMap[752][INT2ASC] = ActionEntry(REDUCE, 386);
   _actionMap[752][ASC2INT] = ActionEntry(REDUCE, 386);
   _actionMap[752][TRIM] = ActionEntry(REDUCE, 386);
   _actionMap[752][RTRIM] = ActionEntry(REDUCE, 386);
   _actionMap[752][LTRIM] = ActionEntry(REDUCE, 386);
   _actionMap[752][ROUND] = ActionEntry(REDUCE, 386);
   _actionMap[752][DATE2STR] = ActionEntry(REDUCE, 386);
   _actionMap[752][DATE2LONG] = ActionEntry(REDUCE, 386);
   _actionMap[752][LONG2DATE] = ActionEntry(REDUCE, 386);
   _actionMap[752][NEWDATE] = ActionEntry(REDUCE, 386);
   _actionMap[752][LOWER] = ActionEntry(REDUCE, 386);
   _actionMap[752][UPPER] = ActionEntry(REDUCE, 386);
   _actionMap[752][LEFT] = ActionEntry(REDUCE, 386);
   _actionMap[752][RIGHT] = ActionEntry(REDUCE, 386);
   _actionMap[752][GETPOS] = ActionEntry(REDUCE, 386);
   _actionMap[752][SUBSTR] = ActionEntry(REDUCE, 386);
   _actionMap[752][REPLACE] = ActionEntry(REDUCE, 386);
}
void Cego::loadParser66()
{
   _actionMap[752][LENGTH] = ActionEntry(REDUCE, 386);
   _actionMap[752][TRUNC] = ActionEntry(REDUCE, 386);
   _actionMap[752][STR2INT] = ActionEntry(REDUCE, 386);
   _actionMap[752][STR2LONG] = ActionEntry(REDUCE, 386);
   _actionMap[752][STR2DATE] = ActionEntry(REDUCE, 386);
   _actionMap[752][RANDSTR] = ActionEntry(REDUCE, 386);
   _actionMap[752][RANDINT] = ActionEntry(REDUCE, 386);
   _actionMap[752][MOD] = ActionEntry(REDUCE, 386);
   _actionMap[752][DIV] = ActionEntry(REDUCE, 386);
   _actionMap[752][LMOD] = ActionEntry(REDUCE, 386);
   _actionMap[752][LDIV] = ActionEntry(REDUCE, 386);
   _actionMap[752][POWER] = ActionEntry(REDUCE, 386);
   _actionMap[752][BITAND] = ActionEntry(REDUCE, 386);
   _actionMap[752][BITOR] = ActionEntry(REDUCE, 386);
   _actionMap[752][BITXOR] = ActionEntry(REDUCE, 386);
   _actionMap[752][BLOBSIZE] = ActionEntry(REDUCE, 386);
   _actionMap[752][BLOBREF] = ActionEntry(REDUCE, 386);
   _actionMap[752][CLOBSIZE] = ActionEntry(REDUCE, 386);
   _actionMap[752][CLOBREF] = ActionEntry(REDUCE, 386);
   _actionMap[752][CLOB2STR] = ActionEntry(REDUCE, 386);
   _actionMap[752][NEXTCOUNT] = ActionEntry(REDUCE, 386);
   _actionMap[752][SETCOUNT] = ActionEntry(REDUCE, 386);
   _actionMap[752][IDENTIFIER] = ActionEntry(REDUCE, 386);
   _actionMap[752][QUALIFIEDOBJ] = ActionEntry(REDUCE, 386);
   _actionMap[752][QUALIFIEDTS] = ActionEntry(REDUCE, 386);
   _actionMap[752][QUALIFIEDPRE] = ActionEntry(REDUCE, 386);
   _actionMap[752][STRINGVAL] = ActionEntry(REDUCE, 386);
   _actionMap[752][DATE] = ActionEntry(REDUCE, 386);
   _actionMap[752][SYSDATE] = ActionEntry(REDUCE, 386);
   _actionMap[752][NULLTOKEN] = ActionEntry(REDUCE, 386);
   _actionMap[752][TRUEVAL] = ActionEntry(REDUCE, 386);
   _actionMap[752][FALSEVAL] = ActionEntry(REDUCE, 386);
   _actionMap[752][BLOB] = ActionEntry(REDUCE, 386);
   _actionMap[752][CLOB] = ActionEntry(REDUCE, 386);
   _actionMap[752][FLOATVAL] = ActionEntry(REDUCE, 386);
   _actionMap[752][MINUS] = ActionEntry(REDUCE, 386);
   _actionMap[752][INTVAL] = ActionEntry(REDUCE, 386);
   _actionMap[753][VARREF] = ActionEntry(REDUCE, 382);
   _actionMap[753][FETCH] = ActionEntry(REDUCE, 382);
   _actionMap[753][LB] = ActionEntry(REDUCE, 382);
   _actionMap[753][COUNT] = ActionEntry(REDUCE, 382);
   _actionMap[753][SUM] = ActionEntry(REDUCE, 382);
   _actionMap[753][AVG] = ActionEntry(REDUCE, 382);
   _actionMap[753][MIN] = ActionEntry(REDUCE, 382);
   _actionMap[753][MAX] = ActionEntry(REDUCE, 382);
   _actionMap[753][CASE] = ActionEntry(REDUCE, 382);
   _actionMap[753][INT2ASC] = ActionEntry(REDUCE, 382);
   _actionMap[753][ASC2INT] = ActionEntry(REDUCE, 382);
   _actionMap[753][TRIM] = ActionEntry(REDUCE, 382);
   _actionMap[753][RTRIM] = ActionEntry(REDUCE, 382);
}
void Cego::loadParser67()
{
   _actionMap[753][LTRIM] = ActionEntry(REDUCE, 382);
   _actionMap[753][ROUND] = ActionEntry(REDUCE, 382);
   _actionMap[753][DATE2STR] = ActionEntry(REDUCE, 382);
   _actionMap[753][DATE2LONG] = ActionEntry(REDUCE, 382);
   _actionMap[753][LONG2DATE] = ActionEntry(REDUCE, 382);
   _actionMap[753][NEWDATE] = ActionEntry(REDUCE, 382);
   _actionMap[753][LOWER] = ActionEntry(REDUCE, 382);
   _actionMap[753][UPPER] = ActionEntry(REDUCE, 382);
   _actionMap[753][LEFT] = ActionEntry(REDUCE, 382);
   _actionMap[753][RIGHT] = ActionEntry(REDUCE, 382);
   _actionMap[753][GETPOS] = ActionEntry(REDUCE, 382);
   _actionMap[753][SUBSTR] = ActionEntry(REDUCE, 382);
   _actionMap[753][REPLACE] = ActionEntry(REDUCE, 382);
   _actionMap[753][LENGTH] = ActionEntry(REDUCE, 382);
   _actionMap[753][TRUNC] = ActionEntry(REDUCE, 382);
   _actionMap[753][STR2INT] = ActionEntry(REDUCE, 382);
   _actionMap[753][STR2LONG] = ActionEntry(REDUCE, 382);
   _actionMap[753][STR2DATE] = ActionEntry(REDUCE, 382);
   _actionMap[753][RANDSTR] = ActionEntry(REDUCE, 382);
   _actionMap[753][RANDINT] = ActionEntry(REDUCE, 382);
   _actionMap[753][MOD] = ActionEntry(REDUCE, 382);
   _actionMap[753][DIV] = ActionEntry(REDUCE, 382);
   _actionMap[753][LMOD] = ActionEntry(REDUCE, 382);
   _actionMap[753][LDIV] = ActionEntry(REDUCE, 382);
   _actionMap[753][POWER] = ActionEntry(REDUCE, 382);
   _actionMap[753][BITAND] = ActionEntry(REDUCE, 382);
   _actionMap[753][BITOR] = ActionEntry(REDUCE, 382);
   _actionMap[753][BITXOR] = ActionEntry(REDUCE, 382);
   _actionMap[753][BLOBSIZE] = ActionEntry(REDUCE, 382);
   _actionMap[753][BLOBREF] = ActionEntry(REDUCE, 382);
   _actionMap[753][CLOBSIZE] = ActionEntry(REDUCE, 382);
   _actionMap[753][CLOBREF] = ActionEntry(REDUCE, 382);
   _actionMap[753][CLOB2STR] = ActionEntry(REDUCE, 382);
   _actionMap[753][NEXTCOUNT] = ActionEntry(REDUCE, 382);
   _actionMap[753][SETCOUNT] = ActionEntry(REDUCE, 382);
   _actionMap[753][IDENTIFIER] = ActionEntry(REDUCE, 382);
   _actionMap[753][QUALIFIEDOBJ] = ActionEntry(REDUCE, 382);
   _actionMap[753][QUALIFIEDTS] = ActionEntry(REDUCE, 382);
   _actionMap[753][QUALIFIEDPRE] = ActionEntry(REDUCE, 382);
   _actionMap[753][STRINGVAL] = ActionEntry(REDUCE, 382);
   _actionMap[753][DATE] = ActionEntry(REDUCE, 382);
   _actionMap[753][SYSDATE] = ActionEntry(REDUCE, 382);
   _actionMap[753][NULLTOKEN] = ActionEntry(REDUCE, 382);
   _actionMap[753][TRUEVAL] = ActionEntry(REDUCE, 382);
   _actionMap[753][FALSEVAL] = ActionEntry(REDUCE, 382);
   _actionMap[753][BLOB] = ActionEntry(REDUCE, 382);
   _actionMap[753][CLOB] = ActionEntry(REDUCE, 382);
   _actionMap[753][FLOATVAL] = ActionEntry(REDUCE, 382);
   _actionMap[753][MINUS] = ActionEntry(REDUCE, 382);
   _actionMap[753][INTVAL] = ActionEntry(REDUCE, 382);
}
void Cego::loadParser68()
{
   _actionMap[754][THEN] = ActionEntry(REDUCE, 351);
   _actionMap[754][LEFT] = ActionEntry(REDUCE, 351);
   _actionMap[754][RIGHT] = ActionEntry(REDUCE, 351);
   _actionMap[754][INNER] = ActionEntry(REDUCE, 351);
   _actionMap[754][JOIN] = ActionEntry(REDUCE, 351);
   _actionMap[754][RETURNTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[754][SEMICOLON] = ActionEntry(REDUCE, 351);
   _actionMap[754][RB] = ActionEntry(REDUCE, 351);
   _actionMap[754][ENDTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[754][UNION] = ActionEntry(REDUCE, 351);
   _actionMap[754][ROWLIMIT] = ActionEntry(REDUCE, 351);
   _actionMap[754][ORDER] = ActionEntry(REDUCE, 351);
   _actionMap[754][GROUP] = ActionEntry(REDUCE, 351);
   _actionMap[754][WHERE] = ActionEntry(REDUCE, 351);
   _actionMap[754][OR] = ActionEntry(REDUCE, 351);
   _actionMap[754][AND] = ActionEntry(REDUCE, 351);
   _actionMap[755][THEN] = ActionEntry(REDUCE, 352);
   _actionMap[755][LEFT] = ActionEntry(REDUCE, 352);
   _actionMap[755][RIGHT] = ActionEntry(REDUCE, 352);
   _actionMap[755][INNER] = ActionEntry(REDUCE, 352);
   _actionMap[755][JOIN] = ActionEntry(REDUCE, 352);
   _actionMap[755][RETURNTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[755][SEMICOLON] = ActionEntry(REDUCE, 352);
   _actionMap[755][RB] = ActionEntry(REDUCE, 352);
   _actionMap[755][ENDTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[755][UNION] = ActionEntry(REDUCE, 352);
   _actionMap[755][ROWLIMIT] = ActionEntry(REDUCE, 352);
   _actionMap[755][ORDER] = ActionEntry(REDUCE, 352);
   _actionMap[755][GROUP] = ActionEntry(REDUCE, 352);
   _actionMap[755][WHERE] = ActionEntry(REDUCE, 352);
   _actionMap[755][OR] = ActionEntry(REDUCE, 352);
   _actionMap[755][AND] = ActionEntry(REDUCE, 352);
   _actionMap[756][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[756][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[756][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[756][WHEN] = ActionEntry(REDUCE, 187);
   _actionMap[756][ELSE] = ActionEntry(REDUCE, 187);
   _actionMap[757][RB] = ActionEntry(SHIFT, 828);
   _actionMap[758][THEN] = ActionEntry(REDUCE, 365);
   _actionMap[758][LEFT] = ActionEntry(REDUCE, 365);
   _actionMap[758][RIGHT] = ActionEntry(REDUCE, 365);
   _actionMap[758][INNER] = ActionEntry(REDUCE, 365);
   _actionMap[758][JOIN] = ActionEntry(REDUCE, 365);
   _actionMap[758][RETURNTOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[758][SEMICOLON] = ActionEntry(REDUCE, 365);
   _actionMap[758][RB] = ActionEntry(REDUCE, 365);
   _actionMap[758][ENDTOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[758][UNION] = ActionEntry(REDUCE, 365);
   _actionMap[758][ROWLIMIT] = ActionEntry(REDUCE, 365);
   _actionMap[758][ORDER] = ActionEntry(REDUCE, 365);
}
void Cego::loadParser69()
{
   _actionMap[758][GROUP] = ActionEntry(REDUCE, 365);
   _actionMap[758][WHERE] = ActionEntry(REDUCE, 365);
   _actionMap[758][AND] = ActionEntry(REDUCE, 365);
   _actionMap[758][OR] = ActionEntry(REDUCE, 365);
   _actionMap[759][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[759][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[759][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[759][KSEP] = ActionEntry(REDUCE, 346);
   _actionMap[759][RB] = ActionEntry(REDUCE, 346);
   _actionMap[760][RB] = ActionEntry(SHIFT, 829);
   _actionMap[761][RB] = ActionEntry(REDUCE, 412);
   _actionMap[762][RB] = ActionEntry(SHIFT, 831);
   _actionMap[762][KSEP] = ActionEntry(SHIFT, 830);
   _actionMap[763][KSEP] = ActionEntry(REDUCE, 190);
   _actionMap[763][RB] = ActionEntry(REDUCE, 190);
   _actionMap[764][RB] = ActionEntry(SHIFT, 832);
   _actionMap[764][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[764][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[764][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[765][SEMICOLON] = ActionEntry(REDUCE, 265);
   _actionMap[765][RB] = ActionEntry(REDUCE, 265);
   _actionMap[765][ENDTOKEN] = ActionEntry(REDUCE, 265);
   _actionMap[765][UNION] = ActionEntry(REDUCE, 265);
   _actionMap[765][ROWLIMIT] = ActionEntry(REDUCE, 265);
   _actionMap[765][ORDER] = ActionEntry(SHIFT, 835);
   _jumpMap[765][NoOrdering] = 834;
   _jumpMap[765][OrderingClause] = 833;
   _actionMap[766][ORDER] = ActionEntry(REDUCE, 256);
   _actionMap[766][ROWLIMIT] = ActionEntry(REDUCE, 256);
   _actionMap[766][UNION] = ActionEntry(REDUCE, 256);
   _actionMap[766][ENDTOKEN] = ActionEntry(REDUCE, 256);
   _actionMap[766][RB] = ActionEntry(REDUCE, 256);
   _actionMap[766][SEMICOLON] = ActionEntry(REDUCE, 256);
   _actionMap[767][BY] = ActionEntry(SHIFT, 836);
   _actionMap[768][ON] = ActionEntry(SHIFT, 838);
   _jumpMap[768][JoinTableOn] = 837;
   _actionMap[769][IDENTIFIER] = ActionEntry(REDUCE, 245);
   _actionMap[769][QUALIFIEDOBJ] = ActionEntry(REDUCE, 245);
   _actionMap[769][QUALIFIEDTS] = ActionEntry(REDUCE, 245);
   _actionMap[770][JOIN] = ActionEntry(SHIFT, 839);
   _actionMap[771][JOIN] = ActionEntry(SHIFT, 840);
   _actionMap[772][RETURNTOKEN] = ActionEntry(REDUCE, 247);
   _actionMap[772][SEMICOLON] = ActionEntry(REDUCE, 247);
   _actionMap[772][RB] = ActionEntry(REDUCE, 247);
   _actionMap[772][ENDTOKEN] = ActionEntry(REDUCE, 247);
   _actionMap[772][UNION] = ActionEntry(REDUCE, 247);
   _actionMap[772][ROWLIMIT] = ActionEntry(REDUCE, 247);
   _actionMap[772][ORDER] = ActionEntry(REDUCE, 247);
   _actionMap[772][GROUP] = ActionEntry(REDUCE, 247);
   _actionMap[772][WHERE] = ActionEntry(REDUCE, 247);
}
void Cego::loadParser70()
{
   _actionMap[773][KSEP] = ActionEntry(SHIFT, 668);
   _actionMap[773][RETURNTOKEN] = ActionEntry(REDUCE, 248);
   _actionMap[773][SEMICOLON] = ActionEntry(REDUCE, 248);
   _actionMap[773][RB] = ActionEntry(REDUCE, 248);
   _actionMap[773][ENDTOKEN] = ActionEntry(REDUCE, 248);
   _actionMap[773][UNION] = ActionEntry(REDUCE, 248);
   _actionMap[773][ROWLIMIT] = ActionEntry(REDUCE, 248);
   _actionMap[773][ORDER] = ActionEntry(REDUCE, 248);
   _actionMap[773][GROUP] = ActionEntry(REDUCE, 248);
   _actionMap[773][WHERE] = ActionEntry(REDUCE, 248);
   _actionMap[774][SEMICOLON] = ActionEntry(REDUCE, 278);
   _actionMap[775][VARREF] = ActionEntry(SHIFT, 843);
   _jumpMap[775][ReturnVar] = 842;
   _jumpMap[775][ReturnVarList] = 841;
   _actionMap[776][KSEP] = ActionEntry(REDUCE, 279);
   _actionMap[776][WHERE] = ActionEntry(REDUCE, 279);
   _actionMap[776][GROUP] = ActionEntry(REDUCE, 279);
   _actionMap[776][ORDER] = ActionEntry(REDUCE, 279);
   _actionMap[776][ROWLIMIT] = ActionEntry(REDUCE, 279);
   _actionMap[776][UNION] = ActionEntry(REDUCE, 279);
   _actionMap[776][ENDTOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[776][RB] = ActionEntry(REDUCE, 279);
   _actionMap[776][SEMICOLON] = ActionEntry(REDUCE, 279);
   _actionMap[776][RETURNTOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[777][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[777][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[777][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[777][KSEP] = ActionEntry(REDUCE, 281);
   _actionMap[777][WHERE] = ActionEntry(REDUCE, 281);
   _actionMap[777][GROUP] = ActionEntry(REDUCE, 281);
   _actionMap[777][ORDER] = ActionEntry(REDUCE, 281);
   _actionMap[777][ROWLIMIT] = ActionEntry(REDUCE, 281);
   _actionMap[777][UNION] = ActionEntry(REDUCE, 281);
   _actionMap[777][ENDTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[777][RB] = ActionEntry(REDUCE, 281);
   _actionMap[777][SEMICOLON] = ActionEntry(REDUCE, 281);
   _actionMap[777][RETURNTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[778][RB] = ActionEntry(SHIFT, 779);
   _actionMap[779][SEMICOLON] = ActionEntry(REDUCE, 59);
   _actionMap[519][DROP] = ActionEntry(SHIFT, 369);
   _actionMap[519][ADD] = ActionEntry(SHIFT, 678);
   _actionMap[519][MODIFY] = ActionEntry(SHIFT, 370);
   _actionMap[519][RENAME] = ActionEntry(SHIFT, 371);
   _jumpMap[519][AlterOption] = 367;
   _jumpMap[519][AlterList] = 677;
   _actionMap[520][IDENTIFIER] = ActionEntry(SHIFT, 679);
   _actionMap[521][IDENTIFIER] = ActionEntry(SHIFT, 561);
   _jumpMap[521][ColumnDesc] = 680;
   _actionMap[522][KEY] = ActionEntry(SHIFT, 681);
   _actionMap[523][IDENTIFIER] = ActionEntry(SHIFT, 682);
}
void Cego::loadParser71()
{
   _actionMap[524][IDENTIFIER] = ActionEntry(SHIFT, 684);
   _jumpMap[524][ColumnDesc] = 683;
   _actionMap[525][IDENTIFIER] = ActionEntry(SHIFT, 685);
   _actionMap[526][FOR] = ActionEntry(SHIFT, 686);
   _actionMap[527][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[527][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[527][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[527][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[527][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[527][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[527][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[527][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[527][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[527][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[527][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[527][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[527][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[527][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[527][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[527][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[527][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[527][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[527][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[527][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[527][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[527][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[527][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[527][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[527][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[527][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[527][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[527][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[527][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[527][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[527][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[527][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[527][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[527][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[527][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[527][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[527][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[527][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[527][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[527][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[527][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[527][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[527][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[527][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[527][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[527][LB] = ActionEntry(SHIFT, 172);
}
void Cego::loadParser72()
{
   _actionMap[527][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[527][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[527][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[527][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[527][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[527][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[527][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[527][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[527][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[527][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[527][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[527][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[527][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[527][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[527][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[527][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[527][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[527][ObjSpec] = 117;
   _jumpMap[527][Constant] = 116;
   _jumpMap[527][SignedFloat] = 115;
   _jumpMap[527][SignedInt] = 114;
   _jumpMap[527][Attribute] = 113;
   _jumpMap[527][Function] = 112;
   _jumpMap[527][CasePrepare] = 111;
   _jumpMap[527][CaseClause] = 110;
   _jumpMap[527][Factor] = 109;
   _jumpMap[527][Term] = 108;
   _jumpMap[527][Expr] = 687;
   _actionMap[528][SEMICOLON] = ActionEntry(REDUCE, 92);
   _actionMap[529][ELSE] = ActionEntry(REDUCE, 111);
   _actionMap[529][ELSIF] = ActionEntry(REDUCE, 111);
   _actionMap[529][END_TOKEN] = ActionEntry(REDUCE, 111);
   _actionMap[529][EXCEPTION] = ActionEntry(SHIFT, 689);
   _jumpMap[529][ProcExceptionStmt] = 688;
   _actionMap[530][SEMICOLON] = ActionEntry(SHIFT, 690);
   _actionMap[531][END_TOKEN] = ActionEntry(SHIFT, 691);
   _actionMap[532][ELSE] = ActionEntry(SHIFT, 694);
   _actionMap[532][END_TOKEN] = ActionEntry(REDUCE, 150);
   _jumpMap[532][ProcElsePart] = 693;
   _jumpMap[532][ProcElseOpt] = 692;
   _actionMap[533][ELSIF] = ActionEntry(SHIFT, 534);
   _actionMap[533][END_TOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[533][ELSE] = ActionEntry(REDUCE, 147);
   _jumpMap[533][ProcElsIfOpt] = 533;
   _jumpMap[533][ProcElsIfList] = 696;
   _actionMap[534][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[534][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[534][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[534][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[534][ASC2INT] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser73()
{
   _actionMap[534][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[534][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[534][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[534][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[534][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[534][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[534][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[534][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[534][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[534][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[534][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[534][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[534][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[534][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[534][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[534][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[534][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[534][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[534][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[534][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[534][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[534][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[534][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[534][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[534][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[534][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[534][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[534][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[534][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[534][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[534][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[534][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[534][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[534][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[534][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[534][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[534][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[534][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[534][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[534][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[534][LB] = ActionEntry(SHIFT, 542);
   _actionMap[534][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[534][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[534][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[534][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[534][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[534][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[534][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[534][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[534][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
}
void Cego::loadParser74()
{
   _actionMap[534][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[534][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[534][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[534][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[534][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[534][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[534][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[534][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[534][ObjSpec] = 117;
   _jumpMap[534][Constant] = 116;
   _jumpMap[534][SignedFloat] = 115;
   _jumpMap[534][SignedInt] = 114;
   _jumpMap[534][Attribute] = 113;
   _jumpMap[534][Function] = 112;
   _jumpMap[534][CasePrepare] = 111;
   _jumpMap[534][CaseClause] = 110;
   _jumpMap[534][Factor] = 109;
   _jumpMap[534][Term] = 108;
   _jumpMap[534][Expr] = 541;
   _jumpMap[534][ProcPredicate] = 540;
   _jumpMap[534][ProcCondition] = 698;
   _jumpMap[534][ProcElsIfCondition] = 697;
   _actionMap[535][EXCEPTION] = ActionEntry(REDUCE, 113);
   _actionMap[535][END_TOKEN] = ActionEntry(REDUCE, 113);
   _actionMap[535][ELSE] = ActionEntry(REDUCE, 113);
   _actionMap[535][ELSIF] = ActionEntry(REDUCE, 113);
   _actionMap[535][VAR] = ActionEntry(REDUCE, 113);
   _actionMap[535][CURSOR] = ActionEntry(REDUCE, 113);
   _actionMap[535][CLOSE] = ActionEntry(REDUCE, 113);
   _actionMap[535][VARREF] = ActionEntry(REDUCE, 113);
   _actionMap[535][NOOP] = ActionEntry(REDUCE, 113);
   _actionMap[535][THROW] = ActionEntry(REDUCE, 113);
   _actionMap[535][RETURNTOKEN] = ActionEntry(REDUCE, 113);
   _actionMap[535][WHILE] = ActionEntry(REDUCE, 113);
   _actionMap[535][IF] = ActionEntry(REDUCE, 113);
   _actionMap[535][BEGIN] = ActionEntry(REDUCE, 113);
   _actionMap[535][UNLOCK] = ActionEntry(REDUCE, 113);
   _actionMap[535][LOCK] = ActionEntry(REDUCE, 113);
   _actionMap[535][ROLLBACK] = ActionEntry(REDUCE, 113);
   _actionMap[535][COMMIT] = ActionEntry(REDUCE, 113);
   _actionMap[535][START_TOKEN] = ActionEntry(REDUCE, 113);
   _actionMap[535][UPDATE] = ActionEntry(REDUCE, 113);
   _actionMap[535][DELETETOK] = ActionEntry(REDUCE, 113);
   _actionMap[535][INSERT] = ActionEntry(REDUCE, 113);
   _actionMap[535][FETCH] = ActionEntry(REDUCE, 113);
   _actionMap[535][LB] = ActionEntry(REDUCE, 113);
   _actionMap[535][COUNT] = ActionEntry(REDUCE, 113);
   _actionMap[535][SUM] = ActionEntry(REDUCE, 113);
   _actionMap[535][AVG] = ActionEntry(REDUCE, 113);
   _actionMap[535][MIN] = ActionEntry(REDUCE, 113);
}
void Cego::loadParser75()
{
   _actionMap[535][MAX] = ActionEntry(REDUCE, 113);
   _actionMap[535][CASE] = ActionEntry(REDUCE, 113);
   _actionMap[535][INT2ASC] = ActionEntry(REDUCE, 113);
   _actionMap[535][ASC2INT] = ActionEntry(REDUCE, 113);
   _actionMap[535][TRIM] = ActionEntry(REDUCE, 113);
   _actionMap[535][RTRIM] = ActionEntry(REDUCE, 113);
   _actionMap[535][LTRIM] = ActionEntry(REDUCE, 113);
   _actionMap[535][ROUND] = ActionEntry(REDUCE, 113);
   _actionMap[535][DATE2STR] = ActionEntry(REDUCE, 113);
   _actionMap[535][DATE2LONG] = ActionEntry(REDUCE, 113);
   _actionMap[535][LONG2DATE] = ActionEntry(REDUCE, 113);
   _actionMap[535][NEWDATE] = ActionEntry(REDUCE, 113);
   _actionMap[535][LOWER] = ActionEntry(REDUCE, 113);
   _actionMap[535][UPPER] = ActionEntry(REDUCE, 113);
   _actionMap[535][LEFT] = ActionEntry(REDUCE, 113);
   _actionMap[535][RIGHT] = ActionEntry(REDUCE, 113);
   _actionMap[535][GETPOS] = ActionEntry(REDUCE, 113);
   _actionMap[535][SUBSTR] = ActionEntry(REDUCE, 113);
   _actionMap[535][REPLACE] = ActionEntry(REDUCE, 113);
   _actionMap[535][LENGTH] = ActionEntry(REDUCE, 113);
   _actionMap[535][TRUNC] = ActionEntry(REDUCE, 113);
   _actionMap[535][STR2INT] = ActionEntry(REDUCE, 113);
   _actionMap[535][STR2LONG] = ActionEntry(REDUCE, 113);
   _actionMap[535][STR2DATE] = ActionEntry(REDUCE, 113);
   _actionMap[535][RANDSTR] = ActionEntry(REDUCE, 113);
   _actionMap[535][RANDINT] = ActionEntry(REDUCE, 113);
   _actionMap[535][MOD] = ActionEntry(REDUCE, 113);
   _actionMap[535][DIV] = ActionEntry(REDUCE, 113);
   _actionMap[535][LMOD] = ActionEntry(REDUCE, 113);
   _actionMap[535][LDIV] = ActionEntry(REDUCE, 113);
   _actionMap[535][POWER] = ActionEntry(REDUCE, 113);
   _actionMap[535][BITAND] = ActionEntry(REDUCE, 113);
   _actionMap[535][BITOR] = ActionEntry(REDUCE, 113);
   _actionMap[535][BITXOR] = ActionEntry(REDUCE, 113);
   _actionMap[535][BLOBSIZE] = ActionEntry(REDUCE, 113);
   _actionMap[535][BLOBREF] = ActionEntry(REDUCE, 113);
   _actionMap[535][CLOBSIZE] = ActionEntry(REDUCE, 113);
   _actionMap[535][CLOBREF] = ActionEntry(REDUCE, 113);
   _actionMap[535][CLOB2STR] = ActionEntry(REDUCE, 113);
   _actionMap[535][NEXTCOUNT] = ActionEntry(REDUCE, 113);
   _actionMap[535][SETCOUNT] = ActionEntry(REDUCE, 113);
   _actionMap[535][IDENTIFIER] = ActionEntry(REDUCE, 113);
   _actionMap[535][QUALIFIEDOBJ] = ActionEntry(REDUCE, 113);
   _actionMap[535][QUALIFIEDTS] = ActionEntry(REDUCE, 113);
   _actionMap[535][QUALIFIEDPRE] = ActionEntry(REDUCE, 113);
   _actionMap[535][STRINGVAL] = ActionEntry(REDUCE, 113);
   _actionMap[535][DATE] = ActionEntry(REDUCE, 113);
   _actionMap[535][SYSDATE] = ActionEntry(REDUCE, 113);
   _actionMap[535][NULLTOKEN] = ActionEntry(REDUCE, 113);
   _actionMap[535][TRUEVAL] = ActionEntry(REDUCE, 113);
}
void Cego::loadParser76()
{
   _actionMap[535][FALSEVAL] = ActionEntry(REDUCE, 113);
   _actionMap[535][BLOB] = ActionEntry(REDUCE, 113);
   _actionMap[535][CLOB] = ActionEntry(REDUCE, 113);
   _actionMap[535][FLOATVAL] = ActionEntry(REDUCE, 113);
   _actionMap[535][MINUS] = ActionEntry(REDUCE, 113);
   _actionMap[535][INTVAL] = ActionEntry(REDUCE, 113);
   _actionMap[536][SEMICOLON] = ActionEntry(REDUCE, 116);
   _actionMap[537][AS] = ActionEntry(SHIFT, 699);
   _actionMap[538][THEN] = ActionEntry(SHIFT, 700);
   _actionMap[539][OR] = ActionEntry(SHIFT, 702);
   _actionMap[539][AND] = ActionEntry(SHIFT, 701);
   _actionMap[539][THEN] = ActionEntry(REDUCE, 152);
   _actionMap[540][BEGIN] = ActionEntry(REDUCE, 158);
   _actionMap[540][RB] = ActionEntry(REDUCE, 158);
   _actionMap[540][AND] = ActionEntry(REDUCE, 158);
   _actionMap[540][OR] = ActionEntry(REDUCE, 158);
   _actionMap[540][THEN] = ActionEntry(REDUCE, 158);
   _actionMap[541][IS] = ActionEntry(SHIFT, 704);
   _actionMap[541][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[541][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[541][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[541][EQU] = ActionEntry(SHIFT, 582);
   _actionMap[541][NEGATION] = ActionEntry(SHIFT, 585);
   _actionMap[541][LT] = ActionEntry(SHIFT, 583);
   _actionMap[541][MT] = ActionEntry(SHIFT, 584);
   _jumpMap[541][Comparison] = 703;
   _actionMap[542][LONG] = ActionEntry(SHIFT, 327);
   _actionMap[542][BIGINT] = ActionEntry(SHIFT, 323);
   _actionMap[542][SMALLINT] = ActionEntry(SHIFT, 328);
   _actionMap[542][TINYINT] = ActionEntry(SHIFT, 329);
   _actionMap[542][DOUBLE] = ActionEntry(SHIFT, 325);
   _actionMap[542][DECIMAL] = ActionEntry(SHIFT, 324);
   _actionMap[542][FIXED] = ActionEntry(SHIFT, 326);
   _actionMap[542][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[542][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[542][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[542][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[542][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[542][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[542][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[542][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[542][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[542][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[542][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[542][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[542][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[542][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[542][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[542][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[542][RIGHT] = ActionEntry(SHIFT, 158);
}
void Cego::loadParser77()
{
   _actionMap[542][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[542][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[542][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[542][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[542][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[542][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[542][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[542][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[542][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[542][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[542][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[542][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[542][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[542][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[542][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[542][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[542][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[542][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[542][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[542][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[542][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[542][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[542][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[542][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[542][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[542][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[542][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[542][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[542][LB] = ActionEntry(SHIFT, 542);
   _actionMap[542][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[542][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[542][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[542][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[542][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[542][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[542][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[542][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[542][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[542][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[542][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[542][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[542][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[542][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[542][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[542][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[542][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[542][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[542][ObjSpec] = 117;
   _jumpMap[542][Constant] = 116;
   _jumpMap[542][SignedFloat] = 115;
}
void Cego::loadParser78()
{
   _jumpMap[542][SignedInt] = 114;
   _jumpMap[542][Attribute] = 113;
   _jumpMap[542][Function] = 112;
   _jumpMap[542][SelectStatement] = 322;
   _jumpMap[542][CasePrepare] = 111;
   _jumpMap[542][CaseClause] = 110;
   _jumpMap[542][Factor] = 109;
   _jumpMap[542][Term] = 108;
   _jumpMap[542][Expr] = 706;
   _jumpMap[542][ProcPredicate] = 540;
   _jumpMap[542][ProcCondition] = 705;
   _actionMap[543][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[543][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[543][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[543][SEMICOLON] = ActionEntry(REDUCE, 133);
   _actionMap[544][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[544][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[544][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[544][SEMICOLON] = ActionEntry(REDUCE, 123);
   _actionMap[545][INT] = ActionEntry(SHIFT, 717);
   _actionMap[545][LONG] = ActionEntry(SHIFT, 718);
   _actionMap[545][STRING] = ActionEntry(SHIFT, 720);
   _actionMap[545][DATETIME] = ActionEntry(SHIFT, 712);
   _actionMap[545][BOOL] = ActionEntry(SHIFT, 710);
   _actionMap[545][BIGINT] = ActionEntry(SHIFT, 708);
   _actionMap[545][FLOAT] = ActionEntry(SHIFT, 716);
   _actionMap[545][DOUBLE] = ActionEntry(SHIFT, 714);
   _actionMap[545][SMALLINT] = ActionEntry(SHIFT, 719);
   _actionMap[545][TINYINT] = ActionEntry(SHIFT, 721);
   _actionMap[545][DECIMAL] = ActionEntry(SHIFT, 713);
   _actionMap[545][FIXED] = ActionEntry(SHIFT, 715);
   _actionMap[545][BLOB] = ActionEntry(SHIFT, 709);
   _actionMap[545][CLOB] = ActionEntry(SHIFT, 711);
   _jumpMap[545][DataTypeProd] = 707;
   _actionMap[546][BEGIN] = ActionEntry(SHIFT, 722);
   _actionMap[547][OR] = ActionEntry(SHIFT, 702);
   _actionMap[547][AND] = ActionEntry(SHIFT, 701);
   _actionMap[547][BEGIN] = ActionEntry(REDUCE, 155);
   _actionMap[548][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[548][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[548][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[548][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[548][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[548][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[548][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[548][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[548][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[548][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[548][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[548][LONG2DATE] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser79()
{
   _actionMap[548][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[548][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[548][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[548][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[548][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[548][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[548][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[548][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[548][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[548][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[548][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[548][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[548][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[548][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[548][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[548][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[548][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[548][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[548][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[548][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[548][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[548][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[548][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[548][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[548][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[548][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[548][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[548][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[548][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[548][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[548][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[548][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[548][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[548][LB] = ActionEntry(SHIFT, 172);
   _actionMap[548][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[548][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[548][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[548][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[548][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[548][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[548][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[548][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[548][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[548][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[548][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[548][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[548][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[548][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[548][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[548][MIN] = ActionEntry(SHIFT, 149);
}
void Cego::loadParser80()
{
   _actionMap[548][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[548][ObjSpec] = 117;
   _jumpMap[548][Constant] = 116;
   _jumpMap[548][SignedFloat] = 115;
   _jumpMap[548][SignedInt] = 114;
   _jumpMap[548][Attribute] = 113;
   _jumpMap[548][Function] = 112;
   _jumpMap[548][CasePrepare] = 111;
   _jumpMap[548][CaseClause] = 110;
   _jumpMap[548][Factor] = 109;
   _jumpMap[548][Term] = 108;
   _jumpMap[548][Expr] = 723;
   _actionMap[549][SEMICOLON] = ActionEntry(REDUCE, 102);
   _actionMap[550][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[550][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[550][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[550][ObjSpec] = 724;
   _actionMap[551][LB] = ActionEntry(SHIFT, 725);
   _actionMap[552][RB] = ActionEntry(SHIFT, 555);
   _actionMap[553][KSEP] = ActionEntry(SHIFT, 726);
   _actionMap[553][RB] = ActionEntry(REDUCE, 105);
   _actionMap[554][KSEP] = ActionEntry(REDUCE, 108);
   _actionMap[554][RB] = ActionEntry(REDUCE, 108);
   _actionMap[555][RETURNTOKEN] = ActionEntry(SHIFT, 728);
   _actionMap[555][BEGIN] = ActionEntry(REDUCE, 104);
   _jumpMap[555][ReturnOpt] = 727;
   _actionMap[556][INTOK] = ActionEntry(SHIFT, 729);
   _actionMap[556][OUTTOK] = ActionEntry(SHIFT, 730);
   _actionMap[557][RB] = ActionEntry(SHIFT, 732);
   _actionMap[557][KSEP] = ActionEntry(SHIFT, 731);
   _actionMap[558][KSEP] = ActionEntry(REDUCE, 192);
   _actionMap[558][RB] = ActionEntry(REDUCE, 192);
   _actionMap[559][KSEP] = ActionEntry(REDUCE, 194);
   _actionMap[559][RB] = ActionEntry(REDUCE, 194);
   _actionMap[560][IDENTIFIER] = ActionEntry(SHIFT, 561);
   _jumpMap[560][ColumnDesc] = 733;
   _actionMap[561][INT] = ActionEntry(SHIFT, 717);
   _actionMap[561][LONG] = ActionEntry(SHIFT, 718);
   _actionMap[561][STRING] = ActionEntry(SHIFT, 720);
   _actionMap[561][DATETIME] = ActionEntry(SHIFT, 712);
   _actionMap[561][BOOL] = ActionEntry(SHIFT, 710);
   _actionMap[561][BIGINT] = ActionEntry(SHIFT, 708);
   _actionMap[561][FLOAT] = ActionEntry(SHIFT, 716);
   _actionMap[561][DOUBLE] = ActionEntry(SHIFT, 714);
   _actionMap[561][SMALLINT] = ActionEntry(SHIFT, 719);
   _actionMap[561][TINYINT] = ActionEntry(SHIFT, 721);
   _actionMap[561][DECIMAL] = ActionEntry(SHIFT, 713);
   _actionMap[561][FIXED] = ActionEntry(SHIFT, 715);
   _actionMap[561][BLOB] = ActionEntry(SHIFT, 709);
   _actionMap[561][CLOB] = ActionEntry(SHIFT, 711);
}
void Cego::loadParser81()
{
   _jumpMap[561][DataTypeProd] = 734;
   _actionMap[562][ON] = ActionEntry(SHIFT, 735);
   _actionMap[562][OR] = ActionEntry(SHIFT, 736);
   _actionMap[563][OR] = ActionEntry(REDUCE, 97);
   _actionMap[563][ON] = ActionEntry(REDUCE, 97);
   _actionMap[564][OR] = ActionEntry(REDUCE, 100);
   _actionMap[564][ON] = ActionEntry(REDUCE, 100);
   _actionMap[565][OR] = ActionEntry(REDUCE, 98);
   _actionMap[565][ON] = ActionEntry(REDUCE, 98);
   _actionMap[566][OR] = ActionEntry(REDUCE, 99);
   _actionMap[566][ON] = ActionEntry(REDUCE, 99);
   _actionMap[567][SEMICOLON] = ActionEntry(REDUCE, 54);
   _actionMap[568][AND] = ActionEntry(SHIFT, 586);
   _actionMap[568][OR] = ActionEntry(SHIFT, 587);
   _actionMap[568][RETURNTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[568][GROUP] = ActionEntry(REDUCE, 348);
   _actionMap[568][ORDER] = ActionEntry(REDUCE, 348);
   _actionMap[568][ROWLIMIT] = ActionEntry(REDUCE, 348);
   _actionMap[568][UNION] = ActionEntry(REDUCE, 348);
   _actionMap[568][ENDTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[568][RB] = ActionEntry(REDUCE, 348);
   _actionMap[568][SEMICOLON] = ActionEntry(REDUCE, 348);
   _actionMap[569][KSEP] = ActionEntry(SHIFT, 737);
   _actionMap[569][SEMICOLON] = ActionEntry(REDUCE, 217);
   _actionMap[570][SEMICOLON] = ActionEntry(REDUCE, 223);
   _actionMap[570][KSEP] = ActionEntry(REDUCE, 223);
   _actionMap[571][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[571][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[571][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[571][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[571][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[571][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[571][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[571][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[571][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[571][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[571][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[571][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[571][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[571][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[571][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[571][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[571][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[571][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[571][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[571][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[571][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[571][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[571][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[571][STR2LONG] = ActionEntry(SHIFT, 166);
}
void Cego::loadParser82()
{
   _actionMap[571][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[571][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[571][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[571][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[571][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[571][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[571][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[571][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[571][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[571][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[571][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[571][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[571][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[571][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[571][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[571][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[571][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[571][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[571][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[571][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[571][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[571][LB] = ActionEntry(SHIFT, 172);
   _actionMap[571][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[571][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[571][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[571][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[571][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[571][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[571][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[571][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[571][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[571][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[571][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[571][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[571][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[571][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[571][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[571][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[571][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[571][ObjSpec] = 117;
   _jumpMap[571][Constant] = 116;
   _jumpMap[571][SignedFloat] = 115;
   _jumpMap[571][SignedInt] = 114;
   _jumpMap[571][Attribute] = 113;
   _jumpMap[571][Function] = 112;
   _jumpMap[571][InsertValueList] = 739;
   _jumpMap[571][CasePrepare] = 111;
   _jumpMap[571][CaseClause] = 110;
   _jumpMap[571][Factor] = 109;
   _jumpMap[571][Term] = 108;
}
void Cego::loadParser83()
{
   _jumpMap[571][Expr] = 738;
   _actionMap[572][RB] = ActionEntry(SHIFT, 741);
   _actionMap[572][KSEP] = ActionEntry(SHIFT, 740);
   _actionMap[573][KSEP] = ActionEntry(REDUCE, 226);
   _actionMap[573][RB] = ActionEntry(REDUCE, 226);
   _actionMap[574][SEMICOLON] = ActionEntry(REDUCE, 55);
   _actionMap[575][END_TOKEN] = ActionEntry(SHIFT, 742);
   _actionMap[575][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[575][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[575][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[576][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[576][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[576][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[576][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[576][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[576][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[576][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[576][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[576][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[576][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[576][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[576][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[576][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[576][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[576][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[576][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[576][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[576][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[576][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[576][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[576][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[576][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[576][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[576][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[576][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[576][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[576][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[576][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[576][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[576][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[576][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[576][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[576][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[576][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[576][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[576][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[576][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[576][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[576][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[576][CLOB2STR] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser84()
{
   _actionMap[576][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[576][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[576][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[576][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[576][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[576][LB] = ActionEntry(SHIFT, 172);
   _actionMap[576][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[576][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[576][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[576][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[576][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[576][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[576][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[576][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[576][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[576][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[576][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[576][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[576][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[576][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[576][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[576][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[576][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[576][ObjSpec] = 117;
   _jumpMap[576][Constant] = 116;
   _jumpMap[576][SignedFloat] = 115;
   _jumpMap[576][SignedInt] = 114;
   _jumpMap[576][Attribute] = 113;
   _jumpMap[576][Function] = 112;
   _jumpMap[576][CasePrepare] = 111;
   _jumpMap[576][CaseClause] = 110;
   _jumpMap[576][Factor] = 109;
   _jumpMap[576][Term] = 108;
   _jumpMap[576][Expr] = 743;
   _actionMap[577][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[577][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[577][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[577][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[577][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[577][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[577][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[577][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[577][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[577][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[577][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[577][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[577][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[577][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[577][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[577][LEFT] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser85()
{
   _actionMap[577][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[577][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[577][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[577][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[577][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[577][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[577][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[577][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[577][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[577][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[577][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[577][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[577][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[577][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[577][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[577][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[577][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[577][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[577][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[577][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[577][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[577][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[577][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[577][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[577][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[577][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[577][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[577][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[577][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[577][LB] = ActionEntry(SHIFT, 172);
   _actionMap[577][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[577][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[577][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[577][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[577][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[577][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[577][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[577][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[577][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[577][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[577][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[577][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[577][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[577][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[577][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[577][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[577][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[577][ObjSpec] = 117;
   _jumpMap[577][Constant] = 116;
   _jumpMap[577][SignedFloat] = 115;
}
void Cego::loadParser86()
{
   _jumpMap[577][SignedInt] = 114;
   _jumpMap[577][Attribute] = 113;
   _jumpMap[577][Function] = 112;
   _jumpMap[577][CasePrepare] = 111;
   _jumpMap[577][CaseClause] = 110;
   _jumpMap[577][Factor] = 109;
   _jumpMap[577][Term] = 108;
   _jumpMap[577][Expr] = 744;
   _actionMap[578][LB] = ActionEntry(SHIFT, 745);
   _actionMap[579][NOT] = ActionEntry(SHIFT, 746);
   _actionMap[579][NULLTOKEN] = ActionEntry(SHIFT, 747);
   _actionMap[580][STRINGVAL] = ActionEntry(SHIFT, 748);
   _actionMap[581][LIKE] = ActionEntry(SHIFT, 750);
   _actionMap[581][INTOK] = ActionEntry(SHIFT, 749);
   _actionMap[582][VARREF] = ActionEntry(REDUCE, 381);
   _actionMap[582][FETCH] = ActionEntry(REDUCE, 381);
   _actionMap[582][LB] = ActionEntry(REDUCE, 381);
   _actionMap[582][COUNT] = ActionEntry(REDUCE, 381);
   _actionMap[582][SUM] = ActionEntry(REDUCE, 381);
   _actionMap[582][AVG] = ActionEntry(REDUCE, 381);
   _actionMap[582][MIN] = ActionEntry(REDUCE, 381);
   _actionMap[582][MAX] = ActionEntry(REDUCE, 381);
   _actionMap[582][CASE] = ActionEntry(REDUCE, 381);
   _actionMap[582][INT2ASC] = ActionEntry(REDUCE, 381);
   _actionMap[582][ASC2INT] = ActionEntry(REDUCE, 381);
   _actionMap[582][TRIM] = ActionEntry(REDUCE, 381);
   _actionMap[582][RTRIM] = ActionEntry(REDUCE, 381);
   _actionMap[582][LTRIM] = ActionEntry(REDUCE, 381);
   _actionMap[582][ROUND] = ActionEntry(REDUCE, 381);
   _actionMap[582][DATE2STR] = ActionEntry(REDUCE, 381);
   _actionMap[582][DATE2LONG] = ActionEntry(REDUCE, 381);
   _actionMap[582][LONG2DATE] = ActionEntry(REDUCE, 381);
   _actionMap[582][NEWDATE] = ActionEntry(REDUCE, 381);
   _actionMap[582][LOWER] = ActionEntry(REDUCE, 381);
   _actionMap[582][UPPER] = ActionEntry(REDUCE, 381);
   _actionMap[582][LEFT] = ActionEntry(REDUCE, 381);
   _actionMap[582][RIGHT] = ActionEntry(REDUCE, 381);
   _actionMap[582][GETPOS] = ActionEntry(REDUCE, 381);
   _actionMap[582][SUBSTR] = ActionEntry(REDUCE, 381);
   _actionMap[582][REPLACE] = ActionEntry(REDUCE, 381);
   _actionMap[582][LENGTH] = ActionEntry(REDUCE, 381);
   _actionMap[582][TRUNC] = ActionEntry(REDUCE, 381);
   _actionMap[582][STR2INT] = ActionEntry(REDUCE, 381);
   _actionMap[582][STR2LONG] = ActionEntry(REDUCE, 381);
   _actionMap[582][STR2DATE] = ActionEntry(REDUCE, 381);
   _actionMap[582][RANDSTR] = ActionEntry(REDUCE, 381);
   _actionMap[582][RANDINT] = ActionEntry(REDUCE, 381);
   _actionMap[582][MOD] = ActionEntry(REDUCE, 381);
   _actionMap[582][DIV] = ActionEntry(REDUCE, 381);
   _actionMap[582][LMOD] = ActionEntry(REDUCE, 381);
}
void Cego::loadParser87()
{
   _actionMap[582][LDIV] = ActionEntry(REDUCE, 381);
   _actionMap[582][POWER] = ActionEntry(REDUCE, 381);
   _actionMap[582][BITAND] = ActionEntry(REDUCE, 381);
   _actionMap[582][BITOR] = ActionEntry(REDUCE, 381);
   _actionMap[582][BITXOR] = ActionEntry(REDUCE, 381);
   _actionMap[582][BLOBSIZE] = ActionEntry(REDUCE, 381);
   _actionMap[582][BLOBREF] = ActionEntry(REDUCE, 381);
   _actionMap[582][CLOBSIZE] = ActionEntry(REDUCE, 381);
   _actionMap[582][CLOBREF] = ActionEntry(REDUCE, 381);
   _actionMap[582][CLOB2STR] = ActionEntry(REDUCE, 381);
   _actionMap[582][NEXTCOUNT] = ActionEntry(REDUCE, 381);
   _actionMap[582][SETCOUNT] = ActionEntry(REDUCE, 381);
   _actionMap[582][IDENTIFIER] = ActionEntry(REDUCE, 381);
   _actionMap[582][QUALIFIEDOBJ] = ActionEntry(REDUCE, 381);
   _actionMap[582][QUALIFIEDTS] = ActionEntry(REDUCE, 381);
   _actionMap[582][QUALIFIEDPRE] = ActionEntry(REDUCE, 381);
   _actionMap[582][STRINGVAL] = ActionEntry(REDUCE, 381);
   _actionMap[582][DATE] = ActionEntry(REDUCE, 381);
   _actionMap[582][SYSDATE] = ActionEntry(REDUCE, 381);
   _actionMap[582][NULLTOKEN] = ActionEntry(REDUCE, 381);
   _actionMap[582][TRUEVAL] = ActionEntry(REDUCE, 381);
   _actionMap[582][FALSEVAL] = ActionEntry(REDUCE, 381);
   _actionMap[582][BLOB] = ActionEntry(REDUCE, 381);
   _actionMap[582][CLOB] = ActionEntry(REDUCE, 381);
   _actionMap[582][FLOATVAL] = ActionEntry(REDUCE, 381);
   _actionMap[582][MINUS] = ActionEntry(REDUCE, 381);
   _actionMap[582][INTVAL] = ActionEntry(REDUCE, 381);
   _actionMap[583][VARREF] = ActionEntry(REDUCE, 383);
   _actionMap[583][FETCH] = ActionEntry(REDUCE, 383);
   _actionMap[583][LB] = ActionEntry(REDUCE, 383);
   _actionMap[583][COUNT] = ActionEntry(REDUCE, 383);
   _actionMap[583][SUM] = ActionEntry(REDUCE, 383);
   _actionMap[583][AVG] = ActionEntry(REDUCE, 383);
   _actionMap[583][MIN] = ActionEntry(REDUCE, 383);
   _actionMap[583][MAX] = ActionEntry(REDUCE, 383);
   _actionMap[583][CASE] = ActionEntry(REDUCE, 383);
   _actionMap[583][INT2ASC] = ActionEntry(REDUCE, 383);
   _actionMap[583][ASC2INT] = ActionEntry(REDUCE, 383);
   _actionMap[583][TRIM] = ActionEntry(REDUCE, 383);
   _actionMap[583][RTRIM] = ActionEntry(REDUCE, 383);
   _actionMap[583][LTRIM] = ActionEntry(REDUCE, 383);
   _actionMap[583][ROUND] = ActionEntry(REDUCE, 383);
   _actionMap[583][DATE2STR] = ActionEntry(REDUCE, 383);
   _actionMap[583][DATE2LONG] = ActionEntry(REDUCE, 383);
   _actionMap[583][LONG2DATE] = ActionEntry(REDUCE, 383);
   _actionMap[583][NEWDATE] = ActionEntry(REDUCE, 383);
   _actionMap[583][LOWER] = ActionEntry(REDUCE, 383);
   _actionMap[583][UPPER] = ActionEntry(REDUCE, 383);
   _actionMap[583][LEFT] = ActionEntry(REDUCE, 383);
   _actionMap[583][RIGHT] = ActionEntry(REDUCE, 383);
}
void Cego::loadParser88()
{
   _actionMap[583][GETPOS] = ActionEntry(REDUCE, 383);
   _actionMap[583][SUBSTR] = ActionEntry(REDUCE, 383);
   _actionMap[583][REPLACE] = ActionEntry(REDUCE, 383);
   _actionMap[583][LENGTH] = ActionEntry(REDUCE, 383);
   _actionMap[583][TRUNC] = ActionEntry(REDUCE, 383);
   _actionMap[583][STR2INT] = ActionEntry(REDUCE, 383);
   _actionMap[583][STR2LONG] = ActionEntry(REDUCE, 383);
   _actionMap[583][STR2DATE] = ActionEntry(REDUCE, 383);
   _actionMap[583][RANDSTR] = ActionEntry(REDUCE, 383);
   _actionMap[583][RANDINT] = ActionEntry(REDUCE, 383);
   _actionMap[583][MOD] = ActionEntry(REDUCE, 383);
   _actionMap[583][DIV] = ActionEntry(REDUCE, 383);
   _actionMap[583][LMOD] = ActionEntry(REDUCE, 383);
   _actionMap[583][LDIV] = ActionEntry(REDUCE, 383);
   _actionMap[583][POWER] = ActionEntry(REDUCE, 383);
   _actionMap[583][BITAND] = ActionEntry(REDUCE, 383);
   _actionMap[583][BITOR] = ActionEntry(REDUCE, 383);
   _actionMap[583][BITXOR] = ActionEntry(REDUCE, 383);
   _actionMap[583][BLOBSIZE] = ActionEntry(REDUCE, 383);
   _actionMap[583][BLOBREF] = ActionEntry(REDUCE, 383);
   _actionMap[583][CLOBSIZE] = ActionEntry(REDUCE, 383);
   _actionMap[583][CLOBREF] = ActionEntry(REDUCE, 383);
   _actionMap[583][CLOB2STR] = ActionEntry(REDUCE, 383);
   _actionMap[583][NEXTCOUNT] = ActionEntry(REDUCE, 383);
   _actionMap[583][SETCOUNT] = ActionEntry(REDUCE, 383);
   _actionMap[583][IDENTIFIER] = ActionEntry(REDUCE, 383);
   _actionMap[583][QUALIFIEDOBJ] = ActionEntry(REDUCE, 383);
   _actionMap[583][QUALIFIEDTS] = ActionEntry(REDUCE, 383);
   _actionMap[583][QUALIFIEDPRE] = ActionEntry(REDUCE, 383);
   _actionMap[583][STRINGVAL] = ActionEntry(REDUCE, 383);
   _actionMap[583][DATE] = ActionEntry(REDUCE, 383);
   _actionMap[583][SYSDATE] = ActionEntry(REDUCE, 383);
   _actionMap[583][NULLTOKEN] = ActionEntry(REDUCE, 383);
   _actionMap[583][TRUEVAL] = ActionEntry(REDUCE, 383);
   _actionMap[583][FALSEVAL] = ActionEntry(REDUCE, 383);
   _actionMap[583][BLOB] = ActionEntry(REDUCE, 383);
   _actionMap[583][CLOB] = ActionEntry(REDUCE, 383);
   _actionMap[583][FLOATVAL] = ActionEntry(REDUCE, 383);
   _actionMap[583][MINUS] = ActionEntry(REDUCE, 383);
   _actionMap[583][INTVAL] = ActionEntry(REDUCE, 383);
   _actionMap[583][EQU] = ActionEntry(SHIFT, 751);
   _actionMap[584][VARREF] = ActionEntry(REDUCE, 384);
   _actionMap[584][FETCH] = ActionEntry(REDUCE, 384);
   _actionMap[584][LB] = ActionEntry(REDUCE, 384);
   _actionMap[584][COUNT] = ActionEntry(REDUCE, 384);
   _actionMap[584][SUM] = ActionEntry(REDUCE, 384);
   _actionMap[584][AVG] = ActionEntry(REDUCE, 384);
   _actionMap[584][MIN] = ActionEntry(REDUCE, 384);
   _actionMap[584][MAX] = ActionEntry(REDUCE, 384);
   _actionMap[584][CASE] = ActionEntry(REDUCE, 384);
}
void Cego::loadParser89()
{
   _actionMap[584][INT2ASC] = ActionEntry(REDUCE, 384);
   _actionMap[584][ASC2INT] = ActionEntry(REDUCE, 384);
   _actionMap[584][TRIM] = ActionEntry(REDUCE, 384);
   _actionMap[584][RTRIM] = ActionEntry(REDUCE, 384);
   _actionMap[584][LTRIM] = ActionEntry(REDUCE, 384);
   _actionMap[584][ROUND] = ActionEntry(REDUCE, 384);
   _actionMap[584][DATE2STR] = ActionEntry(REDUCE, 384);
   _actionMap[584][DATE2LONG] = ActionEntry(REDUCE, 384);
   _actionMap[584][LONG2DATE] = ActionEntry(REDUCE, 384);
   _actionMap[584][NEWDATE] = ActionEntry(REDUCE, 384);
   _actionMap[584][LOWER] = ActionEntry(REDUCE, 384);
   _actionMap[584][UPPER] = ActionEntry(REDUCE, 384);
   _actionMap[584][LEFT] = ActionEntry(REDUCE, 384);
   _actionMap[584][RIGHT] = ActionEntry(REDUCE, 384);
   _actionMap[584][GETPOS] = ActionEntry(REDUCE, 384);
   _actionMap[584][SUBSTR] = ActionEntry(REDUCE, 384);
   _actionMap[584][REPLACE] = ActionEntry(REDUCE, 384);
   _actionMap[584][LENGTH] = ActionEntry(REDUCE, 384);
   _actionMap[584][TRUNC] = ActionEntry(REDUCE, 384);
   _actionMap[584][STR2INT] = ActionEntry(REDUCE, 384);
   _actionMap[584][STR2LONG] = ActionEntry(REDUCE, 384);
   _actionMap[584][STR2DATE] = ActionEntry(REDUCE, 384);
   _actionMap[584][RANDSTR] = ActionEntry(REDUCE, 384);
   _actionMap[584][RANDINT] = ActionEntry(REDUCE, 384);
   _actionMap[584][MOD] = ActionEntry(REDUCE, 384);
   _actionMap[584][DIV] = ActionEntry(REDUCE, 384);
   _actionMap[584][LMOD] = ActionEntry(REDUCE, 384);
   _actionMap[584][LDIV] = ActionEntry(REDUCE, 384);
   _actionMap[584][POWER] = ActionEntry(REDUCE, 384);
   _actionMap[584][BITAND] = ActionEntry(REDUCE, 384);
   _actionMap[584][BITOR] = ActionEntry(REDUCE, 384);
   _actionMap[584][BITXOR] = ActionEntry(REDUCE, 384);
   _actionMap[584][BLOBSIZE] = ActionEntry(REDUCE, 384);
   _actionMap[584][BLOBREF] = ActionEntry(REDUCE, 384);
   _actionMap[584][CLOBSIZE] = ActionEntry(REDUCE, 384);
   _actionMap[584][CLOBREF] = ActionEntry(REDUCE, 384);
   _actionMap[584][CLOB2STR] = ActionEntry(REDUCE, 384);
   _actionMap[584][NEXTCOUNT] = ActionEntry(REDUCE, 384);
   _actionMap[584][SETCOUNT] = ActionEntry(REDUCE, 384);
   _actionMap[584][IDENTIFIER] = ActionEntry(REDUCE, 384);
   _actionMap[584][QUALIFIEDOBJ] = ActionEntry(REDUCE, 384);
   _actionMap[584][QUALIFIEDTS] = ActionEntry(REDUCE, 384);
   _actionMap[584][QUALIFIEDPRE] = ActionEntry(REDUCE, 384);
   _actionMap[584][STRINGVAL] = ActionEntry(REDUCE, 384);
   _actionMap[584][DATE] = ActionEntry(REDUCE, 384);
   _actionMap[584][SYSDATE] = ActionEntry(REDUCE, 384);
   _actionMap[584][NULLTOKEN] = ActionEntry(REDUCE, 384);
   _actionMap[584][TRUEVAL] = ActionEntry(REDUCE, 384);
   _actionMap[584][FALSEVAL] = ActionEntry(REDUCE, 384);
   _actionMap[584][BLOB] = ActionEntry(REDUCE, 384);
}
void Cego::loadParser90()
{
   _actionMap[584][CLOB] = ActionEntry(REDUCE, 384);
   _actionMap[584][FLOATVAL] = ActionEntry(REDUCE, 384);
   _actionMap[584][MINUS] = ActionEntry(REDUCE, 384);
   _actionMap[584][INTVAL] = ActionEntry(REDUCE, 384);
   _actionMap[584][EQU] = ActionEntry(SHIFT, 752);
   _actionMap[585][EQU] = ActionEntry(SHIFT, 753);
   _actionMap[586][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[586][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[586][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[586][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[586][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[586][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[586][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[586][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[586][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[586][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[586][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[586][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[586][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[586][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[586][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[586][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[586][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[586][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[586][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[586][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[586][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[586][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[586][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[586][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[586][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[586][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[586][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[586][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[586][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[586][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[586][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[586][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[586][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[586][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[586][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[586][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[586][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[586][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[586][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[586][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[586][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[586][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[586][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[586][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
}
void Cego::loadParser91()
{
   _actionMap[586][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[586][LB] = ActionEntry(SHIFT, 434);
   _actionMap[586][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[586][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[586][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[586][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[586][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[586][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[586][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[586][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[586][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[586][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[586][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[586][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[586][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[586][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[586][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[586][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[586][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[586][EXISTS] = ActionEntry(SHIFT, 432);
   _actionMap[586][NOT] = ActionEntry(SHIFT, 433);
   _jumpMap[586][ObjSpec] = 117;
   _jumpMap[586][Constant] = 116;
   _jumpMap[586][SignedFloat] = 115;
   _jumpMap[586][SignedInt] = 114;
   _jumpMap[586][Attribute] = 113;
   _jumpMap[586][QueryPredicate] = 754;
   _jumpMap[586][Function] = 112;
   _jumpMap[586][CasePrepare] = 111;
   _jumpMap[586][CaseClause] = 110;
   _jumpMap[586][Factor] = 109;
   _jumpMap[586][Term] = 108;
   _jumpMap[586][Expr] = 429;
   _actionMap[587][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[587][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[587][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[587][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[587][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[587][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[587][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[587][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[587][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[587][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[587][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[587][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[587][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[587][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[587][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[587][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[587][RIGHT] = ActionEntry(SHIFT, 158);
}
void Cego::loadParser92()
{
   _actionMap[587][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[587][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[587][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[587][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[587][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[587][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[587][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[587][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[587][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[587][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[587][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[587][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[587][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[587][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[587][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[587][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[587][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[587][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[587][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[587][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[587][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[587][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[587][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[587][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[587][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[587][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[587][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[587][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[587][LB] = ActionEntry(SHIFT, 434);
   _actionMap[587][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[587][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[587][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[587][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[587][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[587][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[587][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[587][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[587][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[587][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[587][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[587][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[587][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[587][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[587][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[587][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[587][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[587][EXISTS] = ActionEntry(SHIFT, 432);
   _actionMap[587][NOT] = ActionEntry(SHIFT, 433);
   _jumpMap[587][ObjSpec] = 117;
   _jumpMap[587][Constant] = 116;
}
void Cego::loadParser93()
{
   _jumpMap[587][SignedFloat] = 115;
   _jumpMap[587][SignedInt] = 114;
   _jumpMap[587][Attribute] = 113;
   _jumpMap[587][QueryPredicate] = 755;
   _jumpMap[587][Function] = 112;
   _jumpMap[587][CasePrepare] = 111;
   _jumpMap[587][CaseClause] = 110;
   _jumpMap[587][Factor] = 109;
   _jumpMap[587][Term] = 108;
   _jumpMap[587][Expr] = 429;
   _actionMap[588][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[588][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[588][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[588][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[588][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[588][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[588][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[588][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[588][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[588][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[588][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[588][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[588][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[588][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[588][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[588][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[588][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[588][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[588][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[588][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[588][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[588][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[588][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[588][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[588][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[588][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[588][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[588][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[588][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[588][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[588][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[588][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[588][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[588][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[588][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[588][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[588][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[588][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[588][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[588][CLOB2STR] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser94()
{
   _actionMap[588][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[588][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[588][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[588][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[588][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[588][LB] = ActionEntry(SHIFT, 172);
   _actionMap[588][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[588][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[588][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[588][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[588][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[588][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[588][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[588][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[588][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[588][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[588][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[588][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[588][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[588][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[588][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[588][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[588][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[588][ObjSpec] = 117;
   _jumpMap[588][Constant] = 116;
   _jumpMap[588][SignedFloat] = 115;
   _jumpMap[588][SignedInt] = 114;
   _jumpMap[588][Attribute] = 113;
   _jumpMap[588][Function] = 112;
   _jumpMap[588][CasePrepare] = 111;
   _jumpMap[588][CaseClause] = 110;
   _jumpMap[588][Factor] = 109;
   _jumpMap[588][Term] = 108;
   _jumpMap[588][Expr] = 756;
   _actionMap[589][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[589][SelectStatement] = 757;
   _actionMap[590][THEN] = ActionEntry(REDUCE, 366);
   _actionMap[590][LEFT] = ActionEntry(REDUCE, 366);
   _actionMap[590][RIGHT] = ActionEntry(REDUCE, 366);
   _actionMap[590][INNER] = ActionEntry(REDUCE, 366);
   _actionMap[590][JOIN] = ActionEntry(REDUCE, 366);
   _actionMap[590][RETURNTOKEN] = ActionEntry(REDUCE, 366);
   _actionMap[590][SEMICOLON] = ActionEntry(REDUCE, 366);
   _actionMap[590][RB] = ActionEntry(REDUCE, 366);
   _actionMap[590][ENDTOKEN] = ActionEntry(REDUCE, 366);
   _actionMap[590][UNION] = ActionEntry(REDUCE, 366);
   _actionMap[590][ROWLIMIT] = ActionEntry(REDUCE, 366);
   _actionMap[590][ORDER] = ActionEntry(REDUCE, 366);
   _actionMap[590][GROUP] = ActionEntry(REDUCE, 366);
   _actionMap[590][WHERE] = ActionEntry(REDUCE, 366);
}
void Cego::loadParser95()
{
   _actionMap[590][AND] = ActionEntry(REDUCE, 366);
   _actionMap[590][OR] = ActionEntry(REDUCE, 366);
   _actionMap[591][RB] = ActionEntry(SHIFT, 488);
   _actionMap[591][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[591][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[591][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[591][INTOK] = ActionEntry(SHIFT, 578);
   _actionMap[591][NOT] = ActionEntry(SHIFT, 581);
   _actionMap[591][BETWEEN] = ActionEntry(SHIFT, 577);
   _actionMap[591][IS] = ActionEntry(SHIFT, 579);
   _actionMap[591][LIKE] = ActionEntry(SHIFT, 580);
   _actionMap[591][EQU] = ActionEntry(SHIFT, 582);
   _actionMap[591][NEGATION] = ActionEntry(SHIFT, 585);
   _actionMap[591][LT] = ActionEntry(SHIFT, 583);
   _actionMap[591][MT] = ActionEntry(SHIFT, 584);
   _jumpMap[591][Comparison] = 576;
   _actionMap[592][RB] = ActionEntry(SHIFT, 758);
   _actionMap[592][AND] = ActionEntry(SHIFT, 586);
   _actionMap[592][OR] = ActionEntry(SHIFT, 587);
   _actionMap[593][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[593][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[593][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[593][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[593][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[593][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[593][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[593][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[593][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[593][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[593][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[593][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[593][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[593][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[593][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[593][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[593][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[593][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[593][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[593][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[593][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[593][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[593][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[593][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[593][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[593][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[593][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[593][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[593][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[593][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[593][LDIV] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser96()
{
   _actionMap[593][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[593][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[593][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[593][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[593][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[593][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[593][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[593][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[593][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[593][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[593][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[593][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[593][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[593][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[593][LB] = ActionEntry(SHIFT, 172);
   _actionMap[593][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[593][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[593][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[593][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[593][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[593][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[593][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[593][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[593][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[593][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[593][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[593][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[593][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[593][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[593][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[593][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[593][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[593][ObjSpec] = 117;
   _jumpMap[593][Constant] = 116;
   _jumpMap[593][SignedFloat] = 115;
   _jumpMap[593][SignedInt] = 114;
   _jumpMap[593][Attribute] = 113;
   _jumpMap[593][Function] = 112;
   _jumpMap[593][CasePrepare] = 111;
   _jumpMap[593][CaseClause] = 110;
   _jumpMap[593][Factor] = 109;
   _jumpMap[593][Term] = 108;
   _jumpMap[593][Expr] = 759;
   _actionMap[594][WHEN] = ActionEntry(REDUCE, 344);
   _actionMap[594][ELSE] = ActionEntry(REDUCE, 344);
   _actionMap[594][LEFT] = ActionEntry(REDUCE, 344);
   _actionMap[594][RIGHT] = ActionEntry(REDUCE, 344);
   _actionMap[594][INNER] = ActionEntry(REDUCE, 344);
   _actionMap[594][JOIN] = ActionEntry(REDUCE, 344);
   _actionMap[594][RETURNTOKEN] = ActionEntry(REDUCE, 344);
}
void Cego::loadParser97()
{
   _actionMap[594][ORDER] = ActionEntry(REDUCE, 344);
   _actionMap[594][GROUP] = ActionEntry(REDUCE, 344);
   _actionMap[594][WHERE] = ActionEntry(REDUCE, 344);
   _actionMap[594][FROM] = ActionEntry(REDUCE, 344);
   _actionMap[594][AS] = ActionEntry(REDUCE, 344);
   _actionMap[594][END_TOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[594][BEGIN] = ActionEntry(REDUCE, 344);
   _actionMap[594][THEN] = ActionEntry(REDUCE, 344);
   _actionMap[594][OR] = ActionEntry(REDUCE, 344);
   _actionMap[594][AND] = ActionEntry(REDUCE, 344);
   _actionMap[594][INTOK] = ActionEntry(REDUCE, 344);
   _actionMap[594][NOT] = ActionEntry(REDUCE, 344);
   _actionMap[594][BETWEEN] = ActionEntry(REDUCE, 344);
   _actionMap[594][IS] = ActionEntry(REDUCE, 344);
   _actionMap[594][LIKE] = ActionEntry(REDUCE, 344);
   _actionMap[594][MT] = ActionEntry(REDUCE, 344);
   _actionMap[594][LT] = ActionEntry(REDUCE, 344);
   _actionMap[594][NEGATION] = ActionEntry(REDUCE, 344);
   _actionMap[594][EQU] = ActionEntry(REDUCE, 344);
   _actionMap[594][RB] = ActionEntry(REDUCE, 344);
   _actionMap[594][ENDTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[594][UNION] = ActionEntry(REDUCE, 344);
   _actionMap[594][ROWLIMIT] = ActionEntry(REDUCE, 344);
   _actionMap[594][KSEP] = ActionEntry(REDUCE, 344);
   _actionMap[594][ASC] = ActionEntry(REDUCE, 344);
   _actionMap[594][DESC] = ActionEntry(REDUCE, 344);
   _actionMap[594][SEMICOLON] = ActionEntry(REDUCE, 344);
   _actionMap[594][PLUS] = ActionEntry(REDUCE, 344);
   _actionMap[594][MINUS] = ActionEntry(REDUCE, 344);
   _actionMap[594][DIVISION] = ActionEntry(REDUCE, 344);
   _actionMap[594][STAR] = ActionEntry(REDUCE, 344);
   _actionMap[594][CONCAT] = ActionEntry(REDUCE, 344);
   _actionMap[595][WHEN] = ActionEntry(REDUCE, 306);
   _actionMap[595][ELSE] = ActionEntry(REDUCE, 306);
   _actionMap[595][LEFT] = ActionEntry(REDUCE, 306);
   _actionMap[595][RIGHT] = ActionEntry(REDUCE, 306);
   _actionMap[595][INNER] = ActionEntry(REDUCE, 306);
   _actionMap[595][JOIN] = ActionEntry(REDUCE, 306);
   _actionMap[595][RETURNTOKEN] = ActionEntry(REDUCE, 306);
   _actionMap[595][ORDER] = ActionEntry(REDUCE, 306);
   _actionMap[595][GROUP] = ActionEntry(REDUCE, 306);
   _actionMap[595][WHERE] = ActionEntry(REDUCE, 306);
   _actionMap[595][FROM] = ActionEntry(REDUCE, 306);
   _actionMap[595][AS] = ActionEntry(REDUCE, 306);
   _actionMap[595][END_TOKEN] = ActionEntry(REDUCE, 306);
   _actionMap[595][BEGIN] = ActionEntry(REDUCE, 306);
   _actionMap[595][THEN] = ActionEntry(REDUCE, 306);
   _actionMap[595][OR] = ActionEntry(REDUCE, 306);
   _actionMap[595][AND] = ActionEntry(REDUCE, 306);
   _actionMap[595][INTOK] = ActionEntry(REDUCE, 306);
}
void Cego::loadParser98()
{
   _actionMap[595][NOT] = ActionEntry(REDUCE, 306);
   _actionMap[595][BETWEEN] = ActionEntry(REDUCE, 306);
   _actionMap[595][IS] = ActionEntry(REDUCE, 306);
   _actionMap[595][LIKE] = ActionEntry(REDUCE, 306);
   _actionMap[595][MT] = ActionEntry(REDUCE, 306);
   _actionMap[595][LT] = ActionEntry(REDUCE, 306);
   _actionMap[595][NEGATION] = ActionEntry(REDUCE, 306);
   _actionMap[595][EQU] = ActionEntry(REDUCE, 306);
   _actionMap[595][RB] = ActionEntry(REDUCE, 306);
   _actionMap[595][ENDTOKEN] = ActionEntry(REDUCE, 306);
   _actionMap[595][UNION] = ActionEntry(REDUCE, 306);
   _actionMap[595][ROWLIMIT] = ActionEntry(REDUCE, 306);
   _actionMap[595][KSEP] = ActionEntry(REDUCE, 306);
   _actionMap[595][ASC] = ActionEntry(REDUCE, 306);
   _actionMap[595][DESC] = ActionEntry(REDUCE, 306);
   _actionMap[595][SEMICOLON] = ActionEntry(REDUCE, 306);
   _actionMap[595][PLUS] = ActionEntry(REDUCE, 306);
   _actionMap[595][MINUS] = ActionEntry(REDUCE, 306);
   _actionMap[595][DIVISION] = ActionEntry(REDUCE, 306);
   _actionMap[595][STAR] = ActionEntry(REDUCE, 306);
   _actionMap[595][CONCAT] = ActionEntry(REDUCE, 306);
   _actionMap[596][WHEN] = ActionEntry(REDUCE, 180);
   _actionMap[596][ELSE] = ActionEntry(REDUCE, 180);
   _actionMap[596][LEFT] = ActionEntry(REDUCE, 180);
   _actionMap[596][RIGHT] = ActionEntry(REDUCE, 180);
   _actionMap[596][INNER] = ActionEntry(REDUCE, 180);
   _actionMap[596][JOIN] = ActionEntry(REDUCE, 180);
   _actionMap[596][RETURNTOKEN] = ActionEntry(REDUCE, 180);
   _actionMap[596][ORDER] = ActionEntry(REDUCE, 180);
   _actionMap[596][GROUP] = ActionEntry(REDUCE, 180);
   _actionMap[596][WHERE] = ActionEntry(REDUCE, 180);
   _actionMap[596][AS] = ActionEntry(REDUCE, 180);
   _actionMap[596][FROM] = ActionEntry(REDUCE, 180);
   _actionMap[596][END_TOKEN] = ActionEntry(REDUCE, 180);
   _actionMap[596][BEGIN] = ActionEntry(REDUCE, 180);
   _actionMap[596][THEN] = ActionEntry(REDUCE, 180);
   _actionMap[596][OR] = ActionEntry(REDUCE, 180);
   _actionMap[596][AND] = ActionEntry(REDUCE, 180);
   _actionMap[596][LIKE] = ActionEntry(REDUCE, 180);
   _actionMap[596][IS] = ActionEntry(REDUCE, 180);
   _actionMap[596][BETWEEN] = ActionEntry(REDUCE, 180);
   _actionMap[596][NOT] = ActionEntry(REDUCE, 180);
   _actionMap[596][INTOK] = ActionEntry(REDUCE, 180);
   _actionMap[596][EQU] = ActionEntry(REDUCE, 180);
   _actionMap[596][NEGATION] = ActionEntry(REDUCE, 180);
   _actionMap[596][LT] = ActionEntry(REDUCE, 180);
   _actionMap[596][MT] = ActionEntry(REDUCE, 180);
   _actionMap[596][DESC] = ActionEntry(REDUCE, 180);
   _actionMap[596][ASC] = ActionEntry(REDUCE, 180);
   _actionMap[596][KSEP] = ActionEntry(REDUCE, 180);
}
void Cego::loadParser99()
{
   _actionMap[596][ROWLIMIT] = ActionEntry(REDUCE, 180);
   _actionMap[596][UNION] = ActionEntry(REDUCE, 180);
   _actionMap[596][ENDTOKEN] = ActionEntry(REDUCE, 180);
   _actionMap[596][RB] = ActionEntry(REDUCE, 180);
   _actionMap[596][SEMICOLON] = ActionEntry(REDUCE, 180);
   _actionMap[596][CONCAT] = ActionEntry(REDUCE, 180);
   _actionMap[596][STAR] = ActionEntry(REDUCE, 180);
   _actionMap[596][DIVISION] = ActionEntry(REDUCE, 180);
   _actionMap[596][MINUS] = ActionEntry(REDUCE, 180);
   _actionMap[596][PLUS] = ActionEntry(REDUCE, 180);
   _actionMap[597][WHEN] = ActionEntry(REDUCE, 334);
   _actionMap[597][ELSE] = ActionEntry(REDUCE, 334);
   _actionMap[597][LEFT] = ActionEntry(REDUCE, 334);
   _actionMap[597][RIGHT] = ActionEntry(REDUCE, 334);
   _actionMap[597][INNER] = ActionEntry(REDUCE, 334);
   _actionMap[597][JOIN] = ActionEntry(REDUCE, 334);
   _actionMap[597][RETURNTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[597][ORDER] = ActionEntry(REDUCE, 334);
   _actionMap[597][GROUP] = ActionEntry(REDUCE, 334);
   _actionMap[597][WHERE] = ActionEntry(REDUCE, 334);
   _actionMap[597][FROM] = ActionEntry(REDUCE, 334);
   _actionMap[597][AS] = ActionEntry(REDUCE, 334);
   _actionMap[597][END_TOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[597][BEGIN] = ActionEntry(REDUCE, 334);
   _actionMap[597][THEN] = ActionEntry(REDUCE, 334);
   _actionMap[597][OR] = ActionEntry(REDUCE, 334);
   _actionMap[597][AND] = ActionEntry(REDUCE, 334);
   _actionMap[597][INTOK] = ActionEntry(REDUCE, 334);
   _actionMap[597][NOT] = ActionEntry(REDUCE, 334);
   _actionMap[597][BETWEEN] = ActionEntry(REDUCE, 334);
   _actionMap[597][IS] = ActionEntry(REDUCE, 334);
   _actionMap[597][LIKE] = ActionEntry(REDUCE, 334);
   _actionMap[597][MT] = ActionEntry(REDUCE, 334);
   _actionMap[597][LT] = ActionEntry(REDUCE, 334);
   _actionMap[597][NEGATION] = ActionEntry(REDUCE, 334);
   _actionMap[597][EQU] = ActionEntry(REDUCE, 334);
   _actionMap[597][RB] = ActionEntry(REDUCE, 334);
   _actionMap[597][ENDTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[597][UNION] = ActionEntry(REDUCE, 334);
   _actionMap[597][ROWLIMIT] = ActionEntry(REDUCE, 334);
   _actionMap[597][KSEP] = ActionEntry(REDUCE, 334);
   _actionMap[597][ASC] = ActionEntry(REDUCE, 334);
   _actionMap[597][DESC] = ActionEntry(REDUCE, 334);
   _actionMap[597][SEMICOLON] = ActionEntry(REDUCE, 334);
   _actionMap[597][PLUS] = ActionEntry(REDUCE, 334);
   _actionMap[597][MINUS] = ActionEntry(REDUCE, 334);
   _actionMap[597][DIVISION] = ActionEntry(REDUCE, 334);
   _actionMap[597][STAR] = ActionEntry(REDUCE, 334);
   _actionMap[597][CONCAT] = ActionEntry(REDUCE, 334);
   _actionMap[598][WHEN] = ActionEntry(REDUCE, 335);
}
void Cego::loadParser100()
{
   _actionMap[598][ELSE] = ActionEntry(REDUCE, 335);
   _actionMap[598][LEFT] = ActionEntry(REDUCE, 335);
   _actionMap[598][RIGHT] = ActionEntry(REDUCE, 335);
   _actionMap[598][INNER] = ActionEntry(REDUCE, 335);
   _actionMap[598][JOIN] = ActionEntry(REDUCE, 335);
   _actionMap[598][RETURNTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[598][ORDER] = ActionEntry(REDUCE, 335);
   _actionMap[598][GROUP] = ActionEntry(REDUCE, 335);
   _actionMap[598][WHERE] = ActionEntry(REDUCE, 335);
   _actionMap[598][FROM] = ActionEntry(REDUCE, 335);
   _actionMap[598][AS] = ActionEntry(REDUCE, 335);
   _actionMap[598][END_TOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[598][BEGIN] = ActionEntry(REDUCE, 335);
   _actionMap[598][THEN] = ActionEntry(REDUCE, 335);
   _actionMap[598][OR] = ActionEntry(REDUCE, 335);
   _actionMap[598][AND] = ActionEntry(REDUCE, 335);
   _actionMap[598][INTOK] = ActionEntry(REDUCE, 335);
   _actionMap[598][NOT] = ActionEntry(REDUCE, 335);
   _actionMap[598][BETWEEN] = ActionEntry(REDUCE, 335);
   _actionMap[598][IS] = ActionEntry(REDUCE, 335);
   _actionMap[598][LIKE] = ActionEntry(REDUCE, 335);
   _actionMap[598][MT] = ActionEntry(REDUCE, 335);
   _actionMap[598][LT] = ActionEntry(REDUCE, 335);
   _actionMap[598][NEGATION] = ActionEntry(REDUCE, 335);
   _actionMap[598][EQU] = ActionEntry(REDUCE, 335);
   _actionMap[598][RB] = ActionEntry(REDUCE, 335);
   _actionMap[598][ENDTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[598][UNION] = ActionEntry(REDUCE, 335);
   _actionMap[598][ROWLIMIT] = ActionEntry(REDUCE, 335);
   _actionMap[598][KSEP] = ActionEntry(REDUCE, 335);
   _actionMap[598][ASC] = ActionEntry(REDUCE, 335);
   _actionMap[598][DESC] = ActionEntry(REDUCE, 335);
   _actionMap[598][SEMICOLON] = ActionEntry(REDUCE, 335);
   _actionMap[598][PLUS] = ActionEntry(REDUCE, 335);
   _actionMap[598][MINUS] = ActionEntry(REDUCE, 335);
   _actionMap[598][DIVISION] = ActionEntry(REDUCE, 335);
   _actionMap[598][STAR] = ActionEntry(REDUCE, 335);
   _actionMap[598][CONCAT] = ActionEntry(REDUCE, 335);
   _actionMap[599][WHEN] = ActionEntry(REDUCE, 336);
   _actionMap[599][ELSE] = ActionEntry(REDUCE, 336);
   _actionMap[599][LEFT] = ActionEntry(REDUCE, 336);
   _actionMap[599][RIGHT] = ActionEntry(REDUCE, 336);
   _actionMap[599][INNER] = ActionEntry(REDUCE, 336);
   _actionMap[599][JOIN] = ActionEntry(REDUCE, 336);
   _actionMap[599][RETURNTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[599][ORDER] = ActionEntry(REDUCE, 336);
   _actionMap[599][GROUP] = ActionEntry(REDUCE, 336);
   _actionMap[599][WHERE] = ActionEntry(REDUCE, 336);
   _actionMap[599][FROM] = ActionEntry(REDUCE, 336);
   _actionMap[599][AS] = ActionEntry(REDUCE, 336);
}
void Cego::loadParser101()
{
   _actionMap[599][END_TOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[599][BEGIN] = ActionEntry(REDUCE, 336);
   _actionMap[599][THEN] = ActionEntry(REDUCE, 336);
   _actionMap[599][OR] = ActionEntry(REDUCE, 336);
   _actionMap[599][AND] = ActionEntry(REDUCE, 336);
   _actionMap[599][INTOK] = ActionEntry(REDUCE, 336);
   _actionMap[599][NOT] = ActionEntry(REDUCE, 336);
   _actionMap[599][BETWEEN] = ActionEntry(REDUCE, 336);
   _actionMap[599][IS] = ActionEntry(REDUCE, 336);
   _actionMap[599][LIKE] = ActionEntry(REDUCE, 336);
   _actionMap[599][MT] = ActionEntry(REDUCE, 336);
   _actionMap[599][LT] = ActionEntry(REDUCE, 336);
   _actionMap[599][NEGATION] = ActionEntry(REDUCE, 336);
   _actionMap[599][EQU] = ActionEntry(REDUCE, 336);
   _actionMap[599][RB] = ActionEntry(REDUCE, 336);
   _actionMap[599][ENDTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[599][UNION] = ActionEntry(REDUCE, 336);
   _actionMap[599][ROWLIMIT] = ActionEntry(REDUCE, 336);
   _actionMap[599][KSEP] = ActionEntry(REDUCE, 336);
   _actionMap[599][ASC] = ActionEntry(REDUCE, 336);
   _actionMap[599][DESC] = ActionEntry(REDUCE, 336);
   _actionMap[599][SEMICOLON] = ActionEntry(REDUCE, 336);
   _actionMap[599][PLUS] = ActionEntry(REDUCE, 336);
   _actionMap[599][MINUS] = ActionEntry(REDUCE, 336);
   _actionMap[599][DIVISION] = ActionEntry(REDUCE, 336);
   _actionMap[599][STAR] = ActionEntry(REDUCE, 336);
   _actionMap[599][CONCAT] = ActionEntry(REDUCE, 336);
   _actionMap[600][WHEN] = ActionEntry(REDUCE, 409);
   _actionMap[600][ELSE] = ActionEntry(REDUCE, 409);
   _actionMap[600][LEFT] = ActionEntry(REDUCE, 409);
   _actionMap[600][RIGHT] = ActionEntry(REDUCE, 409);
   _actionMap[600][INNER] = ActionEntry(REDUCE, 409);
   _actionMap[600][JOIN] = ActionEntry(REDUCE, 409);
   _actionMap[600][RETURNTOKEN] = ActionEntry(REDUCE, 409);
   _actionMap[600][ORDER] = ActionEntry(REDUCE, 409);
   _actionMap[600][GROUP] = ActionEntry(REDUCE, 409);
   _actionMap[600][WHERE] = ActionEntry(REDUCE, 409);
   _actionMap[600][NULLTOKEN] = ActionEntry(REDUCE, 409);
   _actionMap[600][FROM] = ActionEntry(REDUCE, 409);
   _actionMap[600][AS] = ActionEntry(REDUCE, 409);
   _actionMap[600][END_TOKEN] = ActionEntry(REDUCE, 409);
   _actionMap[600][BEGIN] = ActionEntry(REDUCE, 409);
   _actionMap[600][THEN] = ActionEntry(REDUCE, 409);
   _actionMap[600][OR] = ActionEntry(REDUCE, 409);
   _actionMap[600][AND] = ActionEntry(REDUCE, 409);
   _actionMap[600][INTOK] = ActionEntry(REDUCE, 409);
   _actionMap[600][NOT] = ActionEntry(REDUCE, 409);
   _actionMap[600][BETWEEN] = ActionEntry(REDUCE, 409);
   _actionMap[600][IS] = ActionEntry(REDUCE, 409);
   _actionMap[600][LIKE] = ActionEntry(REDUCE, 409);
}
void Cego::loadParser102()
{
   _actionMap[600][MT] = ActionEntry(REDUCE, 409);
   _actionMap[600][LT] = ActionEntry(REDUCE, 409);
   _actionMap[600][NEGATION] = ActionEntry(REDUCE, 409);
   _actionMap[600][EQU] = ActionEntry(REDUCE, 409);
   _actionMap[600][RB] = ActionEntry(REDUCE, 409);
   _actionMap[600][ENDTOKEN] = ActionEntry(REDUCE, 409);
   _actionMap[600][UNION] = ActionEntry(REDUCE, 409);
   _actionMap[600][ROWLIMIT] = ActionEntry(REDUCE, 409);
   _actionMap[600][KSEP] = ActionEntry(REDUCE, 409);
   _actionMap[600][ASC] = ActionEntry(REDUCE, 409);
   _actionMap[600][DESC] = ActionEntry(REDUCE, 409);
   _actionMap[600][SEMICOLON] = ActionEntry(REDUCE, 409);
   _actionMap[600][PLUS] = ActionEntry(REDUCE, 409);
   _actionMap[600][MINUS] = ActionEntry(REDUCE, 409);
   _actionMap[600][DIVISION] = ActionEntry(REDUCE, 409);
   _actionMap[600][STAR] = ActionEntry(REDUCE, 409);
   _actionMap[600][CONCAT] = ActionEntry(REDUCE, 409);
   _actionMap[601][WHEN] = ActionEntry(REDUCE, 337);
   _actionMap[601][ELSE] = ActionEntry(REDUCE, 337);
   _actionMap[601][LEFT] = ActionEntry(REDUCE, 337);
   _actionMap[601][RIGHT] = ActionEntry(REDUCE, 337);
   _actionMap[601][INNER] = ActionEntry(REDUCE, 337);
   _actionMap[601][JOIN] = ActionEntry(REDUCE, 337);
   _actionMap[601][RETURNTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[601][ORDER] = ActionEntry(REDUCE, 337);
   _actionMap[601][GROUP] = ActionEntry(REDUCE, 337);
   _actionMap[601][WHERE] = ActionEntry(REDUCE, 337);
   _actionMap[601][FROM] = ActionEntry(REDUCE, 337);
   _actionMap[601][AS] = ActionEntry(REDUCE, 337);
   _actionMap[601][END_TOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[601][BEGIN] = ActionEntry(REDUCE, 337);
   _actionMap[601][THEN] = ActionEntry(REDUCE, 337);
   _actionMap[601][OR] = ActionEntry(REDUCE, 337);
   _actionMap[601][AND] = ActionEntry(REDUCE, 337);
   _actionMap[601][INTOK] = ActionEntry(REDUCE, 337);
   _actionMap[601][NOT] = ActionEntry(REDUCE, 337);
   _actionMap[601][BETWEEN] = ActionEntry(REDUCE, 337);
   _actionMap[601][IS] = ActionEntry(REDUCE, 337);
   _actionMap[601][LIKE] = ActionEntry(REDUCE, 337);
   _actionMap[601][MT] = ActionEntry(REDUCE, 337);
   _actionMap[601][LT] = ActionEntry(REDUCE, 337);
   _actionMap[601][NEGATION] = ActionEntry(REDUCE, 337);
   _actionMap[601][EQU] = ActionEntry(REDUCE, 337);
   _actionMap[601][RB] = ActionEntry(REDUCE, 337);
   _actionMap[601][ENDTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[601][UNION] = ActionEntry(REDUCE, 337);
   _actionMap[601][ROWLIMIT] = ActionEntry(REDUCE, 337);
   _actionMap[601][KSEP] = ActionEntry(REDUCE, 337);
   _actionMap[601][ASC] = ActionEntry(REDUCE, 337);
   _actionMap[601][DESC] = ActionEntry(REDUCE, 337);
}
void Cego::loadParser103()
{
   _actionMap[601][SEMICOLON] = ActionEntry(REDUCE, 337);
   _actionMap[601][PLUS] = ActionEntry(REDUCE, 337);
   _actionMap[601][MINUS] = ActionEntry(REDUCE, 337);
   _actionMap[601][DIVISION] = ActionEntry(REDUCE, 337);
   _actionMap[601][STAR] = ActionEntry(REDUCE, 337);
   _actionMap[601][CONCAT] = ActionEntry(REDUCE, 337);
   _actionMap[602][WHEN] = ActionEntry(REDUCE, 338);
   _actionMap[602][ELSE] = ActionEntry(REDUCE, 338);
   _actionMap[602][LEFT] = ActionEntry(REDUCE, 338);
   _actionMap[602][RIGHT] = ActionEntry(REDUCE, 338);
   _actionMap[602][INNER] = ActionEntry(REDUCE, 338);
   _actionMap[602][JOIN] = ActionEntry(REDUCE, 338);
   _actionMap[602][RETURNTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[602][ORDER] = ActionEntry(REDUCE, 338);
   _actionMap[602][GROUP] = ActionEntry(REDUCE, 338);
   _actionMap[602][WHERE] = ActionEntry(REDUCE, 338);
   _actionMap[602][FROM] = ActionEntry(REDUCE, 338);
   _actionMap[602][AS] = ActionEntry(REDUCE, 338);
   _actionMap[602][END_TOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[602][BEGIN] = ActionEntry(REDUCE, 338);
   _actionMap[602][THEN] = ActionEntry(REDUCE, 338);
   _actionMap[602][OR] = ActionEntry(REDUCE, 338);
   _actionMap[602][AND] = ActionEntry(REDUCE, 338);
   _actionMap[602][INTOK] = ActionEntry(REDUCE, 338);
   _actionMap[602][NOT] = ActionEntry(REDUCE, 338);
   _actionMap[602][BETWEEN] = ActionEntry(REDUCE, 338);
   _actionMap[602][IS] = ActionEntry(REDUCE, 338);
   _actionMap[602][LIKE] = ActionEntry(REDUCE, 338);
   _actionMap[602][MT] = ActionEntry(REDUCE, 338);
   _actionMap[602][LT] = ActionEntry(REDUCE, 338);
   _actionMap[602][NEGATION] = ActionEntry(REDUCE, 338);
   _actionMap[602][EQU] = ActionEntry(REDUCE, 338);
   _actionMap[602][RB] = ActionEntry(REDUCE, 338);
   _actionMap[602][ENDTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[602][UNION] = ActionEntry(REDUCE, 338);
   _actionMap[602][ROWLIMIT] = ActionEntry(REDUCE, 338);
   _actionMap[602][KSEP] = ActionEntry(REDUCE, 338);
   _actionMap[602][ASC] = ActionEntry(REDUCE, 338);
   _actionMap[602][DESC] = ActionEntry(REDUCE, 338);
   _actionMap[602][SEMICOLON] = ActionEntry(REDUCE, 338);
   _actionMap[602][PLUS] = ActionEntry(REDUCE, 338);
   _actionMap[602][MINUS] = ActionEntry(REDUCE, 338);
   _actionMap[602][DIVISION] = ActionEntry(REDUCE, 338);
   _actionMap[602][STAR] = ActionEntry(REDUCE, 338);
   _actionMap[602][CONCAT] = ActionEntry(REDUCE, 338);
   _actionMap[603][WHEN] = ActionEntry(REDUCE, 410);
   _actionMap[603][ELSE] = ActionEntry(REDUCE, 410);
   _actionMap[603][LEFT] = ActionEntry(REDUCE, 410);
   _actionMap[603][RIGHT] = ActionEntry(REDUCE, 410);
   _actionMap[603][INNER] = ActionEntry(REDUCE, 410);
}
void Cego::loadParser104()
{
   _actionMap[603][JOIN] = ActionEntry(REDUCE, 410);
   _actionMap[603][RETURNTOKEN] = ActionEntry(REDUCE, 410);
   _actionMap[603][ORDER] = ActionEntry(REDUCE, 410);
   _actionMap[603][GROUP] = ActionEntry(REDUCE, 410);
   _actionMap[603][WHERE] = ActionEntry(REDUCE, 410);
   _actionMap[603][NULLTOKEN] = ActionEntry(REDUCE, 410);
   _actionMap[603][FROM] = ActionEntry(REDUCE, 410);
   _actionMap[603][AS] = ActionEntry(REDUCE, 410);
   _actionMap[603][END_TOKEN] = ActionEntry(REDUCE, 410);
   _actionMap[603][BEGIN] = ActionEntry(REDUCE, 410);
   _actionMap[603][THEN] = ActionEntry(REDUCE, 410);
   _actionMap[603][OR] = ActionEntry(REDUCE, 410);
   _actionMap[603][AND] = ActionEntry(REDUCE, 410);
   _actionMap[603][INTOK] = ActionEntry(REDUCE, 410);
   _actionMap[603][NOT] = ActionEntry(REDUCE, 410);
   _actionMap[603][BETWEEN] = ActionEntry(REDUCE, 410);
   _actionMap[603][IS] = ActionEntry(REDUCE, 410);
   _actionMap[603][LIKE] = ActionEntry(REDUCE, 410);
   _actionMap[603][MT] = ActionEntry(REDUCE, 410);
   _actionMap[603][LT] = ActionEntry(REDUCE, 410);
   _actionMap[603][NEGATION] = ActionEntry(REDUCE, 410);
   _actionMap[603][EQU] = ActionEntry(REDUCE, 410);
   _actionMap[603][RB] = ActionEntry(REDUCE, 410);
   _actionMap[603][ENDTOKEN] = ActionEntry(REDUCE, 410);
   _actionMap[603][UNION] = ActionEntry(REDUCE, 410);
   _actionMap[603][ROWLIMIT] = ActionEntry(REDUCE, 410);
   _actionMap[603][KSEP] = ActionEntry(REDUCE, 410);
   _actionMap[603][ASC] = ActionEntry(REDUCE, 410);
   _actionMap[603][DESC] = ActionEntry(REDUCE, 410);
   _actionMap[603][SEMICOLON] = ActionEntry(REDUCE, 410);
   _actionMap[603][PLUS] = ActionEntry(REDUCE, 410);
   _actionMap[603][MINUS] = ActionEntry(REDUCE, 410);
   _actionMap[603][DIVISION] = ActionEntry(REDUCE, 410);
   _actionMap[603][STAR] = ActionEntry(REDUCE, 410);
   _actionMap[603][CONCAT] = ActionEntry(REDUCE, 410);
   _actionMap[604][WHEN] = ActionEntry(REDUCE, 339);
   _actionMap[604][ELSE] = ActionEntry(REDUCE, 339);
   _actionMap[604][LEFT] = ActionEntry(REDUCE, 339);
   _actionMap[604][RIGHT] = ActionEntry(REDUCE, 339);
   _actionMap[604][INNER] = ActionEntry(REDUCE, 339);
   _actionMap[604][JOIN] = ActionEntry(REDUCE, 339);
   _actionMap[604][RETURNTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[604][ORDER] = ActionEntry(REDUCE, 339);
   _actionMap[604][GROUP] = ActionEntry(REDUCE, 339);
   _actionMap[604][WHERE] = ActionEntry(REDUCE, 339);
   _actionMap[604][FROM] = ActionEntry(REDUCE, 339);
   _actionMap[604][AS] = ActionEntry(REDUCE, 339);
   _actionMap[604][END_TOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[604][BEGIN] = ActionEntry(REDUCE, 339);
   _actionMap[604][THEN] = ActionEntry(REDUCE, 339);
}
void Cego::loadParser105()
{
   _actionMap[604][OR] = ActionEntry(REDUCE, 339);
   _actionMap[604][AND] = ActionEntry(REDUCE, 339);
   _actionMap[604][INTOK] = ActionEntry(REDUCE, 339);
   _actionMap[604][NOT] = ActionEntry(REDUCE, 339);
   _actionMap[604][BETWEEN] = ActionEntry(REDUCE, 339);
   _actionMap[604][IS] = ActionEntry(REDUCE, 339);
   _actionMap[604][LIKE] = ActionEntry(REDUCE, 339);
   _actionMap[604][MT] = ActionEntry(REDUCE, 339);
   _actionMap[604][LT] = ActionEntry(REDUCE, 339);
   _actionMap[604][NEGATION] = ActionEntry(REDUCE, 339);
   _actionMap[604][EQU] = ActionEntry(REDUCE, 339);
   _actionMap[604][RB] = ActionEntry(REDUCE, 339);
   _actionMap[604][ENDTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[604][UNION] = ActionEntry(REDUCE, 339);
   _actionMap[604][ROWLIMIT] = ActionEntry(REDUCE, 339);
   _actionMap[604][KSEP] = ActionEntry(REDUCE, 339);
   _actionMap[604][ASC] = ActionEntry(REDUCE, 339);
   _actionMap[604][DESC] = ActionEntry(REDUCE, 339);
   _actionMap[604][SEMICOLON] = ActionEntry(REDUCE, 339);
   _actionMap[604][PLUS] = ActionEntry(REDUCE, 339);
   _actionMap[604][MINUS] = ActionEntry(REDUCE, 339);
   _actionMap[604][DIVISION] = ActionEntry(REDUCE, 339);
   _actionMap[604][STAR] = ActionEntry(REDUCE, 339);
   _actionMap[604][CONCAT] = ActionEntry(REDUCE, 339);
   _actionMap[605][WHEN] = ActionEntry(REDUCE, 340);
   _actionMap[605][ELSE] = ActionEntry(REDUCE, 340);
   _actionMap[605][LEFT] = ActionEntry(REDUCE, 340);
   _actionMap[605][RIGHT] = ActionEntry(REDUCE, 340);
   _actionMap[605][INNER] = ActionEntry(REDUCE, 340);
   _actionMap[605][JOIN] = ActionEntry(REDUCE, 340);
   _actionMap[605][RETURNTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[605][ORDER] = ActionEntry(REDUCE, 340);
   _actionMap[605][GROUP] = ActionEntry(REDUCE, 340);
   _actionMap[605][WHERE] = ActionEntry(REDUCE, 340);
   _actionMap[605][FROM] = ActionEntry(REDUCE, 340);
   _actionMap[605][AS] = ActionEntry(REDUCE, 340);
   _actionMap[605][END_TOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[605][BEGIN] = ActionEntry(REDUCE, 340);
   _actionMap[605][THEN] = ActionEntry(REDUCE, 340);
   _actionMap[605][OR] = ActionEntry(REDUCE, 340);
   _actionMap[605][AND] = ActionEntry(REDUCE, 340);
   _actionMap[605][INTOK] = ActionEntry(REDUCE, 340);
   _actionMap[605][NOT] = ActionEntry(REDUCE, 340);
   _actionMap[605][BETWEEN] = ActionEntry(REDUCE, 340);
   _actionMap[605][IS] = ActionEntry(REDUCE, 340);
   _actionMap[605][LIKE] = ActionEntry(REDUCE, 340);
   _actionMap[605][MT] = ActionEntry(REDUCE, 340);
   _actionMap[605][LT] = ActionEntry(REDUCE, 340);
   _actionMap[605][NEGATION] = ActionEntry(REDUCE, 340);
   _actionMap[605][EQU] = ActionEntry(REDUCE, 340);
}
void Cego::loadParser106()
{
   _actionMap[605][RB] = ActionEntry(REDUCE, 340);
   _actionMap[605][ENDTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[605][UNION] = ActionEntry(REDUCE, 340);
   _actionMap[605][ROWLIMIT] = ActionEntry(REDUCE, 340);
   _actionMap[605][KSEP] = ActionEntry(REDUCE, 340);
   _actionMap[605][ASC] = ActionEntry(REDUCE, 340);
   _actionMap[605][DESC] = ActionEntry(REDUCE, 340);
   _actionMap[605][SEMICOLON] = ActionEntry(REDUCE, 340);
   _actionMap[605][PLUS] = ActionEntry(REDUCE, 340);
   _actionMap[605][MINUS] = ActionEntry(REDUCE, 340);
   _actionMap[605][DIVISION] = ActionEntry(REDUCE, 340);
   _actionMap[605][STAR] = ActionEntry(REDUCE, 340);
   _actionMap[605][CONCAT] = ActionEntry(REDUCE, 340);
   _actionMap[606][WHEN] = ActionEntry(REDUCE, 341);
   _actionMap[606][ELSE] = ActionEntry(REDUCE, 341);
   _actionMap[606][LEFT] = ActionEntry(REDUCE, 341);
   _actionMap[606][RIGHT] = ActionEntry(REDUCE, 341);
   _actionMap[606][INNER] = ActionEntry(REDUCE, 341);
   _actionMap[606][JOIN] = ActionEntry(REDUCE, 341);
   _actionMap[606][RETURNTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[606][ORDER] = ActionEntry(REDUCE, 341);
   _actionMap[606][GROUP] = ActionEntry(REDUCE, 341);
   _actionMap[606][WHERE] = ActionEntry(REDUCE, 341);
   _actionMap[606][FROM] = ActionEntry(REDUCE, 341);
   _actionMap[606][AS] = ActionEntry(REDUCE, 341);
   _actionMap[606][END_TOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[606][BEGIN] = ActionEntry(REDUCE, 341);
   _actionMap[606][THEN] = ActionEntry(REDUCE, 341);
   _actionMap[606][OR] = ActionEntry(REDUCE, 341);
   _actionMap[606][AND] = ActionEntry(REDUCE, 341);
   _actionMap[606][INTOK] = ActionEntry(REDUCE, 341);
   _actionMap[606][NOT] = ActionEntry(REDUCE, 341);
   _actionMap[606][BETWEEN] = ActionEntry(REDUCE, 341);
   _actionMap[606][IS] = ActionEntry(REDUCE, 341);
   _actionMap[606][LIKE] = ActionEntry(REDUCE, 341);
   _actionMap[606][MT] = ActionEntry(REDUCE, 341);
   _actionMap[606][LT] = ActionEntry(REDUCE, 341);
   _actionMap[606][NEGATION] = ActionEntry(REDUCE, 341);
   _actionMap[606][EQU] = ActionEntry(REDUCE, 341);
   _actionMap[606][RB] = ActionEntry(REDUCE, 341);
   _actionMap[606][ENDTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[606][UNION] = ActionEntry(REDUCE, 341);
   _actionMap[606][ROWLIMIT] = ActionEntry(REDUCE, 341);
   _actionMap[606][KSEP] = ActionEntry(REDUCE, 341);
   _actionMap[606][ASC] = ActionEntry(REDUCE, 341);
   _actionMap[606][DESC] = ActionEntry(REDUCE, 341);
   _actionMap[606][SEMICOLON] = ActionEntry(REDUCE, 341);
   _actionMap[606][PLUS] = ActionEntry(REDUCE, 341);
   _actionMap[606][MINUS] = ActionEntry(REDUCE, 341);
   _actionMap[606][DIVISION] = ActionEntry(REDUCE, 341);
}
void Cego::loadParser107()
{
   _actionMap[606][STAR] = ActionEntry(REDUCE, 341);
   _actionMap[606][CONCAT] = ActionEntry(REDUCE, 341);
   _actionMap[607][WHEN] = ActionEntry(REDUCE, 181);
   _actionMap[607][ELSE] = ActionEntry(REDUCE, 181);
   _actionMap[607][LEFT] = ActionEntry(REDUCE, 181);
   _actionMap[607][RIGHT] = ActionEntry(REDUCE, 181);
   _actionMap[607][INNER] = ActionEntry(REDUCE, 181);
   _actionMap[607][JOIN] = ActionEntry(REDUCE, 181);
   _actionMap[607][RETURNTOKEN] = ActionEntry(REDUCE, 181);
   _actionMap[607][ORDER] = ActionEntry(REDUCE, 181);
   _actionMap[607][GROUP] = ActionEntry(REDUCE, 181);
   _actionMap[607][WHERE] = ActionEntry(REDUCE, 181);
   _actionMap[607][AS] = ActionEntry(REDUCE, 181);
   _actionMap[607][FROM] = ActionEntry(REDUCE, 181);
   _actionMap[607][END_TOKEN] = ActionEntry(REDUCE, 181);
   _actionMap[607][BEGIN] = ActionEntry(REDUCE, 181);
   _actionMap[607][THEN] = ActionEntry(REDUCE, 181);
   _actionMap[607][OR] = ActionEntry(REDUCE, 181);
   _actionMap[607][AND] = ActionEntry(REDUCE, 181);
   _actionMap[607][LIKE] = ActionEntry(REDUCE, 181);
   _actionMap[607][IS] = ActionEntry(REDUCE, 181);
   _actionMap[607][BETWEEN] = ActionEntry(REDUCE, 181);
   _actionMap[607][NOT] = ActionEntry(REDUCE, 181);
   _actionMap[607][INTOK] = ActionEntry(REDUCE, 181);
   _actionMap[607][EQU] = ActionEntry(REDUCE, 181);
   _actionMap[607][NEGATION] = ActionEntry(REDUCE, 181);
   _actionMap[607][LT] = ActionEntry(REDUCE, 181);
   _actionMap[607][MT] = ActionEntry(REDUCE, 181);
   _actionMap[607][DESC] = ActionEntry(REDUCE, 181);
   _actionMap[607][ASC] = ActionEntry(REDUCE, 181);
   _actionMap[607][KSEP] = ActionEntry(REDUCE, 181);
   _actionMap[607][ROWLIMIT] = ActionEntry(REDUCE, 181);
   _actionMap[607][UNION] = ActionEntry(REDUCE, 181);
   _actionMap[607][ENDTOKEN] = ActionEntry(REDUCE, 181);
   _actionMap[607][RB] = ActionEntry(REDUCE, 181);
   _actionMap[607][SEMICOLON] = ActionEntry(REDUCE, 181);
   _actionMap[607][CONCAT] = ActionEntry(REDUCE, 181);
   _actionMap[607][STAR] = ActionEntry(REDUCE, 181);
   _actionMap[607][DIVISION] = ActionEntry(REDUCE, 181);
   _actionMap[607][MINUS] = ActionEntry(REDUCE, 181);
   _actionMap[607][PLUS] = ActionEntry(REDUCE, 181);
   _actionMap[608][WHEN] = ActionEntry(REDUCE, 178);
   _actionMap[608][ELSE] = ActionEntry(REDUCE, 178);
   _actionMap[608][LEFT] = ActionEntry(REDUCE, 178);
   _actionMap[608][RIGHT] = ActionEntry(REDUCE, 178);
   _actionMap[608][INNER] = ActionEntry(REDUCE, 178);
   _actionMap[608][JOIN] = ActionEntry(REDUCE, 178);
   _actionMap[608][RETURNTOKEN] = ActionEntry(REDUCE, 178);
   _actionMap[608][ORDER] = ActionEntry(REDUCE, 178);
   _actionMap[608][GROUP] = ActionEntry(REDUCE, 178);
}
void Cego::loadParser108()
{
   _actionMap[608][WHERE] = ActionEntry(REDUCE, 178);
   _actionMap[608][AS] = ActionEntry(REDUCE, 178);
   _actionMap[608][FROM] = ActionEntry(REDUCE, 178);
   _actionMap[608][END_TOKEN] = ActionEntry(REDUCE, 178);
   _actionMap[608][BEGIN] = ActionEntry(REDUCE, 178);
   _actionMap[608][THEN] = ActionEntry(REDUCE, 178);
   _actionMap[608][OR] = ActionEntry(REDUCE, 178);
   _actionMap[608][AND] = ActionEntry(REDUCE, 178);
   _actionMap[608][LIKE] = ActionEntry(REDUCE, 178);
   _actionMap[608][IS] = ActionEntry(REDUCE, 178);
   _actionMap[608][BETWEEN] = ActionEntry(REDUCE, 178);
   _actionMap[608][NOT] = ActionEntry(REDUCE, 178);
   _actionMap[608][INTOK] = ActionEntry(REDUCE, 178);
   _actionMap[608][EQU] = ActionEntry(REDUCE, 178);
   _actionMap[608][NEGATION] = ActionEntry(REDUCE, 178);
   _actionMap[608][LT] = ActionEntry(REDUCE, 178);
   _actionMap[608][MT] = ActionEntry(REDUCE, 178);
   _actionMap[608][DESC] = ActionEntry(REDUCE, 178);
   _actionMap[608][ASC] = ActionEntry(REDUCE, 178);
   _actionMap[608][KSEP] = ActionEntry(REDUCE, 178);
   _actionMap[608][ROWLIMIT] = ActionEntry(REDUCE, 178);
   _actionMap[608][UNION] = ActionEntry(REDUCE, 178);
   _actionMap[608][ENDTOKEN] = ActionEntry(REDUCE, 178);
   _actionMap[608][RB] = ActionEntry(REDUCE, 178);
   _actionMap[608][SEMICOLON] = ActionEntry(REDUCE, 178);
   _actionMap[608][CONCAT] = ActionEntry(REDUCE, 178);
   _actionMap[608][STAR] = ActionEntry(REDUCE, 178);
   _actionMap[608][DIVISION] = ActionEntry(REDUCE, 178);
   _actionMap[608][MINUS] = ActionEntry(REDUCE, 178);
   _actionMap[608][PLUS] = ActionEntry(REDUCE, 178);
   _actionMap[609][STRINGVAL] = ActionEntry(SHIFT, 761);
   _jumpMap[609][DateValue] = 760;
   _actionMap[610][WHEN] = ActionEntry(REDUCE, 311);
   _actionMap[610][ELSE] = ActionEntry(REDUCE, 311);
   _actionMap[610][LEFT] = ActionEntry(REDUCE, 311);
   _actionMap[610][RIGHT] = ActionEntry(REDUCE, 311);
   _actionMap[610][INNER] = ActionEntry(REDUCE, 311);
   _actionMap[610][JOIN] = ActionEntry(REDUCE, 311);
   _actionMap[610][RETURNTOKEN] = ActionEntry(REDUCE, 311);
   _actionMap[610][ORDER] = ActionEntry(REDUCE, 311);
   _actionMap[610][GROUP] = ActionEntry(REDUCE, 311);
   _actionMap[610][WHERE] = ActionEntry(REDUCE, 311);
   _actionMap[610][FROM] = ActionEntry(REDUCE, 311);
   _actionMap[610][AS] = ActionEntry(REDUCE, 311);
   _actionMap[610][END_TOKEN] = ActionEntry(REDUCE, 311);
   _actionMap[610][BEGIN] = ActionEntry(REDUCE, 311);
   _actionMap[610][THEN] = ActionEntry(REDUCE, 311);
   _actionMap[610][OR] = ActionEntry(REDUCE, 311);
   _actionMap[610][AND] = ActionEntry(REDUCE, 311);
   _actionMap[610][INTOK] = ActionEntry(REDUCE, 311);
}
void Cego::loadParser109()
{
   _actionMap[610][NOT] = ActionEntry(REDUCE, 311);
   _actionMap[610][BETWEEN] = ActionEntry(REDUCE, 311);
   _actionMap[610][IS] = ActionEntry(REDUCE, 311);
   _actionMap[610][LIKE] = ActionEntry(REDUCE, 311);
   _actionMap[610][MT] = ActionEntry(REDUCE, 311);
   _actionMap[610][LT] = ActionEntry(REDUCE, 311);
   _actionMap[610][NEGATION] = ActionEntry(REDUCE, 311);
   _actionMap[610][EQU] = ActionEntry(REDUCE, 311);
   _actionMap[610][RB] = ActionEntry(REDUCE, 311);
   _actionMap[610][ENDTOKEN] = ActionEntry(REDUCE, 311);
   _actionMap[610][UNION] = ActionEntry(REDUCE, 311);
   _actionMap[610][ROWLIMIT] = ActionEntry(REDUCE, 311);
   _actionMap[610][KSEP] = ActionEntry(REDUCE, 311);
   _actionMap[610][ASC] = ActionEntry(REDUCE, 311);
   _actionMap[610][DESC] = ActionEntry(REDUCE, 311);
   _actionMap[610][SEMICOLON] = ActionEntry(REDUCE, 311);
   _actionMap[610][PLUS] = ActionEntry(REDUCE, 311);
   _actionMap[610][MINUS] = ActionEntry(REDUCE, 311);
   _actionMap[610][DIVISION] = ActionEntry(REDUCE, 311);
   _actionMap[610][STAR] = ActionEntry(REDUCE, 311);
   _actionMap[610][CONCAT] = ActionEntry(REDUCE, 311);
   _actionMap[611][WHEN] = ActionEntry(REDUCE, 312);
   _actionMap[611][ELSE] = ActionEntry(REDUCE, 312);
   _actionMap[611][LEFT] = ActionEntry(REDUCE, 312);
   _actionMap[611][RIGHT] = ActionEntry(REDUCE, 312);
   _actionMap[611][INNER] = ActionEntry(REDUCE, 312);
   _actionMap[611][JOIN] = ActionEntry(REDUCE, 312);
   _actionMap[611][RETURNTOKEN] = ActionEntry(REDUCE, 312);
   _actionMap[611][ORDER] = ActionEntry(REDUCE, 312);
   _actionMap[611][GROUP] = ActionEntry(REDUCE, 312);
   _actionMap[611][WHERE] = ActionEntry(REDUCE, 312);
   _actionMap[611][FROM] = ActionEntry(REDUCE, 312);
   _actionMap[611][AS] = ActionEntry(REDUCE, 312);
   _actionMap[611][END_TOKEN] = ActionEntry(REDUCE, 312);
   _actionMap[611][BEGIN] = ActionEntry(REDUCE, 312);
   _actionMap[611][THEN] = ActionEntry(REDUCE, 312);
   _actionMap[611][OR] = ActionEntry(REDUCE, 312);
   _actionMap[611][AND] = ActionEntry(REDUCE, 312);
   _actionMap[611][INTOK] = ActionEntry(REDUCE, 312);
   _actionMap[611][NOT] = ActionEntry(REDUCE, 312);
   _actionMap[611][BETWEEN] = ActionEntry(REDUCE, 312);
   _actionMap[611][IS] = ActionEntry(REDUCE, 312);
   _actionMap[611][LIKE] = ActionEntry(REDUCE, 312);
   _actionMap[611][MT] = ActionEntry(REDUCE, 312);
   _actionMap[611][LT] = ActionEntry(REDUCE, 312);
   _actionMap[611][NEGATION] = ActionEntry(REDUCE, 312);
   _actionMap[611][EQU] = ActionEntry(REDUCE, 312);
   _actionMap[611][RB] = ActionEntry(REDUCE, 312);
   _actionMap[611][ENDTOKEN] = ActionEntry(REDUCE, 312);
   _actionMap[611][UNION] = ActionEntry(REDUCE, 312);
}
void Cego::loadParser110()
{
   _actionMap[611][ROWLIMIT] = ActionEntry(REDUCE, 312);
   _actionMap[611][KSEP] = ActionEntry(REDUCE, 312);
   _actionMap[611][ASC] = ActionEntry(REDUCE, 312);
   _actionMap[611][DESC] = ActionEntry(REDUCE, 312);
   _actionMap[611][SEMICOLON] = ActionEntry(REDUCE, 312);
   _actionMap[611][PLUS] = ActionEntry(REDUCE, 312);
   _actionMap[611][MINUS] = ActionEntry(REDUCE, 312);
   _actionMap[611][DIVISION] = ActionEntry(REDUCE, 312);
   _actionMap[611][STAR] = ActionEntry(REDUCE, 312);
   _actionMap[611][CONCAT] = ActionEntry(REDUCE, 312);
   _actionMap[612][WHEN] = ActionEntry(REDUCE, 330);
   _actionMap[612][ELSE] = ActionEntry(REDUCE, 330);
   _actionMap[612][LEFT] = ActionEntry(REDUCE, 330);
   _actionMap[612][RIGHT] = ActionEntry(REDUCE, 330);
   _actionMap[612][INNER] = ActionEntry(REDUCE, 330);
   _actionMap[612][JOIN] = ActionEntry(REDUCE, 330);
   _actionMap[612][RETURNTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[612][ORDER] = ActionEntry(REDUCE, 330);
   _actionMap[612][GROUP] = ActionEntry(REDUCE, 330);
   _actionMap[612][WHERE] = ActionEntry(REDUCE, 330);
   _actionMap[612][FROM] = ActionEntry(REDUCE, 330);
   _actionMap[612][AS] = ActionEntry(REDUCE, 330);
   _actionMap[612][END_TOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[612][BEGIN] = ActionEntry(REDUCE, 330);
   _actionMap[612][THEN] = ActionEntry(REDUCE, 330);
   _actionMap[612][OR] = ActionEntry(REDUCE, 330);
   _actionMap[612][AND] = ActionEntry(REDUCE, 330);
   _actionMap[612][INTOK] = ActionEntry(REDUCE, 330);
   _actionMap[612][NOT] = ActionEntry(REDUCE, 330);
   _actionMap[612][BETWEEN] = ActionEntry(REDUCE, 330);
   _actionMap[612][IS] = ActionEntry(REDUCE, 330);
   _actionMap[612][LIKE] = ActionEntry(REDUCE, 330);
   _actionMap[612][MT] = ActionEntry(REDUCE, 330);
   _actionMap[612][LT] = ActionEntry(REDUCE, 330);
   _actionMap[612][NEGATION] = ActionEntry(REDUCE, 330);
   _actionMap[612][EQU] = ActionEntry(REDUCE, 330);
   _actionMap[612][RB] = ActionEntry(REDUCE, 330);
   _actionMap[612][ENDTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[612][UNION] = ActionEntry(REDUCE, 330);
   _actionMap[612][ROWLIMIT] = ActionEntry(REDUCE, 330);
   _actionMap[612][KSEP] = ActionEntry(REDUCE, 330);
   _actionMap[612][ASC] = ActionEntry(REDUCE, 330);
   _actionMap[612][DESC] = ActionEntry(REDUCE, 330);
   _actionMap[612][SEMICOLON] = ActionEntry(REDUCE, 330);
   _actionMap[612][PLUS] = ActionEntry(REDUCE, 330);
   _actionMap[612][MINUS] = ActionEntry(REDUCE, 330);
   _actionMap[612][DIVISION] = ActionEntry(REDUCE, 330);
   _actionMap[612][STAR] = ActionEntry(REDUCE, 330);
   _actionMap[612][CONCAT] = ActionEntry(REDUCE, 330);
   _actionMap[613][VARREF] = ActionEntry(SHIFT, 763);
}
void Cego::loadParser111()
{
   _jumpMap[613][FetchArgList] = 762;
   _actionMap[614][WHEN] = ActionEntry(REDUCE, 319);
   _actionMap[614][ELSE] = ActionEntry(REDUCE, 319);
   _actionMap[614][LEFT] = ActionEntry(REDUCE, 319);
   _actionMap[614][RIGHT] = ActionEntry(REDUCE, 319);
   _actionMap[614][INNER] = ActionEntry(REDUCE, 319);
   _actionMap[614][JOIN] = ActionEntry(REDUCE, 319);
   _actionMap[614][RETURNTOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[614][ORDER] = ActionEntry(REDUCE, 319);
   _actionMap[614][GROUP] = ActionEntry(REDUCE, 319);
   _actionMap[614][WHERE] = ActionEntry(REDUCE, 319);
   _actionMap[614][FROM] = ActionEntry(REDUCE, 319);
   _actionMap[614][AS] = ActionEntry(REDUCE, 319);
   _actionMap[614][END_TOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[614][BEGIN] = ActionEntry(REDUCE, 319);
   _actionMap[614][THEN] = ActionEntry(REDUCE, 319);
   _actionMap[614][OR] = ActionEntry(REDUCE, 319);
   _actionMap[614][AND] = ActionEntry(REDUCE, 319);
   _actionMap[614][INTOK] = ActionEntry(REDUCE, 319);
   _actionMap[614][NOT] = ActionEntry(REDUCE, 319);
   _actionMap[614][BETWEEN] = ActionEntry(REDUCE, 319);
   _actionMap[614][IS] = ActionEntry(REDUCE, 319);
   _actionMap[614][LIKE] = ActionEntry(REDUCE, 319);
   _actionMap[614][MT] = ActionEntry(REDUCE, 319);
   _actionMap[614][LT] = ActionEntry(REDUCE, 319);
   _actionMap[614][NEGATION] = ActionEntry(REDUCE, 319);
   _actionMap[614][EQU] = ActionEntry(REDUCE, 319);
   _actionMap[614][RB] = ActionEntry(REDUCE, 319);
   _actionMap[614][ENDTOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[614][UNION] = ActionEntry(REDUCE, 319);
   _actionMap[614][ROWLIMIT] = ActionEntry(REDUCE, 319);
   _actionMap[614][KSEP] = ActionEntry(REDUCE, 319);
   _actionMap[614][ASC] = ActionEntry(REDUCE, 319);
   _actionMap[614][DESC] = ActionEntry(REDUCE, 319);
   _actionMap[614][SEMICOLON] = ActionEntry(REDUCE, 319);
   _actionMap[614][PLUS] = ActionEntry(REDUCE, 319);
   _actionMap[614][MINUS] = ActionEntry(REDUCE, 319);
   _actionMap[614][DIVISION] = ActionEntry(REDUCE, 319);
   _actionMap[614][STAR] = ActionEntry(REDUCE, 319);
   _actionMap[614][CONCAT] = ActionEntry(REDUCE, 319);
   _actionMap[615][WHEN] = ActionEntry(REDUCE, 313);
   _actionMap[615][ELSE] = ActionEntry(REDUCE, 313);
   _actionMap[615][LEFT] = ActionEntry(REDUCE, 313);
   _actionMap[615][RIGHT] = ActionEntry(REDUCE, 313);
   _actionMap[615][INNER] = ActionEntry(REDUCE, 313);
   _actionMap[615][JOIN] = ActionEntry(REDUCE, 313);
   _actionMap[615][RETURNTOKEN] = ActionEntry(REDUCE, 313);
   _actionMap[615][ORDER] = ActionEntry(REDUCE, 313);
   _actionMap[615][GROUP] = ActionEntry(REDUCE, 313);
   _actionMap[615][WHERE] = ActionEntry(REDUCE, 313);
}
void Cego::loadParser112()
{
   _actionMap[615][FROM] = ActionEntry(REDUCE, 313);
   _actionMap[615][AS] = ActionEntry(REDUCE, 313);
   _actionMap[615][END_TOKEN] = ActionEntry(REDUCE, 313);
   _actionMap[615][BEGIN] = ActionEntry(REDUCE, 313);
   _actionMap[615][THEN] = ActionEntry(REDUCE, 313);
   _actionMap[615][OR] = ActionEntry(REDUCE, 313);
   _actionMap[615][AND] = ActionEntry(REDUCE, 313);
   _actionMap[615][INTOK] = ActionEntry(REDUCE, 313);
   _actionMap[615][NOT] = ActionEntry(REDUCE, 313);
   _actionMap[615][BETWEEN] = ActionEntry(REDUCE, 313);
   _actionMap[615][IS] = ActionEntry(REDUCE, 313);
   _actionMap[615][LIKE] = ActionEntry(REDUCE, 313);
   _actionMap[615][MT] = ActionEntry(REDUCE, 313);
   _actionMap[615][LT] = ActionEntry(REDUCE, 313);
   _actionMap[615][NEGATION] = ActionEntry(REDUCE, 313);
   _actionMap[615][EQU] = ActionEntry(REDUCE, 313);
   _actionMap[615][RB] = ActionEntry(REDUCE, 313);
   _actionMap[615][ENDTOKEN] = ActionEntry(REDUCE, 313);
   _actionMap[615][UNION] = ActionEntry(REDUCE, 313);
   _actionMap[615][ROWLIMIT] = ActionEntry(REDUCE, 313);
   _actionMap[615][KSEP] = ActionEntry(REDUCE, 313);
   _actionMap[615][ASC] = ActionEntry(REDUCE, 313);
   _actionMap[615][DESC] = ActionEntry(REDUCE, 313);
   _actionMap[615][SEMICOLON] = ActionEntry(REDUCE, 313);
   _actionMap[615][PLUS] = ActionEntry(REDUCE, 313);
   _actionMap[615][MINUS] = ActionEntry(REDUCE, 313);
   _actionMap[615][DIVISION] = ActionEntry(REDUCE, 313);
   _actionMap[615][STAR] = ActionEntry(REDUCE, 313);
   _actionMap[615][CONCAT] = ActionEntry(REDUCE, 313);
   _actionMap[616][WHEN] = ActionEntry(REDUCE, 314);
   _actionMap[616][ELSE] = ActionEntry(REDUCE, 314);
   _actionMap[616][LEFT] = ActionEntry(REDUCE, 314);
   _actionMap[616][RIGHT] = ActionEntry(REDUCE, 314);
   _actionMap[616][INNER] = ActionEntry(REDUCE, 314);
   _actionMap[616][JOIN] = ActionEntry(REDUCE, 314);
   _actionMap[616][RETURNTOKEN] = ActionEntry(REDUCE, 314);
   _actionMap[616][ORDER] = ActionEntry(REDUCE, 314);
   _actionMap[616][GROUP] = ActionEntry(REDUCE, 314);
   _actionMap[616][WHERE] = ActionEntry(REDUCE, 314);
   _actionMap[616][FROM] = ActionEntry(REDUCE, 314);
   _actionMap[616][AS] = ActionEntry(REDUCE, 314);
   _actionMap[616][END_TOKEN] = ActionEntry(REDUCE, 314);
   _actionMap[616][BEGIN] = ActionEntry(REDUCE, 314);
   _actionMap[616][THEN] = ActionEntry(REDUCE, 314);
   _actionMap[616][OR] = ActionEntry(REDUCE, 314);
   _actionMap[616][AND] = ActionEntry(REDUCE, 314);
   _actionMap[616][INTOK] = ActionEntry(REDUCE, 314);
   _actionMap[616][NOT] = ActionEntry(REDUCE, 314);
   _actionMap[616][BETWEEN] = ActionEntry(REDUCE, 314);
   _actionMap[616][IS] = ActionEntry(REDUCE, 314);
}
void Cego::loadParser113()
{
   _actionMap[616][LIKE] = ActionEntry(REDUCE, 314);
   _actionMap[616][MT] = ActionEntry(REDUCE, 314);
   _actionMap[616][LT] = ActionEntry(REDUCE, 314);
   _actionMap[616][NEGATION] = ActionEntry(REDUCE, 314);
   _actionMap[616][EQU] = ActionEntry(REDUCE, 314);
   _actionMap[616][RB] = ActionEntry(REDUCE, 314);
   _actionMap[616][ENDTOKEN] = ActionEntry(REDUCE, 314);
   _actionMap[616][UNION] = ActionEntry(REDUCE, 314);
   _actionMap[616][ROWLIMIT] = ActionEntry(REDUCE, 314);
   _actionMap[616][KSEP] = ActionEntry(REDUCE, 314);
   _actionMap[616][ASC] = ActionEntry(REDUCE, 314);
   _actionMap[616][DESC] = ActionEntry(REDUCE, 314);
   _actionMap[616][SEMICOLON] = ActionEntry(REDUCE, 314);
   _actionMap[616][PLUS] = ActionEntry(REDUCE, 314);
   _actionMap[616][MINUS] = ActionEntry(REDUCE, 314);
   _actionMap[616][DIVISION] = ActionEntry(REDUCE, 314);
   _actionMap[616][STAR] = ActionEntry(REDUCE, 314);
   _actionMap[616][CONCAT] = ActionEntry(REDUCE, 314);
   _actionMap[617][WHEN] = ActionEntry(REDUCE, 305);
   _actionMap[617][ELSE] = ActionEntry(REDUCE, 305);
   _actionMap[617][LEFT] = ActionEntry(REDUCE, 305);
   _actionMap[617][RIGHT] = ActionEntry(REDUCE, 305);
   _actionMap[617][INNER] = ActionEntry(REDUCE, 305);
   _actionMap[617][JOIN] = ActionEntry(REDUCE, 305);
   _actionMap[617][RETURNTOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[617][ORDER] = ActionEntry(REDUCE, 305);
   _actionMap[617][GROUP] = ActionEntry(REDUCE, 305);
   _actionMap[617][WHERE] = ActionEntry(REDUCE, 305);
   _actionMap[617][FROM] = ActionEntry(REDUCE, 305);
   _actionMap[617][AS] = ActionEntry(REDUCE, 305);
   _actionMap[617][END_TOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[617][BEGIN] = ActionEntry(REDUCE, 305);
   _actionMap[617][THEN] = ActionEntry(REDUCE, 305);
   _actionMap[617][OR] = ActionEntry(REDUCE, 305);
   _actionMap[617][AND] = ActionEntry(REDUCE, 305);
   _actionMap[617][INTOK] = ActionEntry(REDUCE, 305);
   _actionMap[617][NOT] = ActionEntry(REDUCE, 305);
   _actionMap[617][BETWEEN] = ActionEntry(REDUCE, 305);
   _actionMap[617][IS] = ActionEntry(REDUCE, 305);
   _actionMap[617][LIKE] = ActionEntry(REDUCE, 305);
   _actionMap[617][MT] = ActionEntry(REDUCE, 305);
   _actionMap[617][LT] = ActionEntry(REDUCE, 305);
   _actionMap[617][NEGATION] = ActionEntry(REDUCE, 305);
   _actionMap[617][EQU] = ActionEntry(REDUCE, 305);
   _actionMap[617][RB] = ActionEntry(REDUCE, 305);
   _actionMap[617][ENDTOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[617][UNION] = ActionEntry(REDUCE, 305);
   _actionMap[617][ROWLIMIT] = ActionEntry(REDUCE, 305);
   _actionMap[617][KSEP] = ActionEntry(REDUCE, 305);
   _actionMap[617][ASC] = ActionEntry(REDUCE, 305);
}
void Cego::loadParser114()
{
   _actionMap[617][DESC] = ActionEntry(REDUCE, 305);
   _actionMap[617][SEMICOLON] = ActionEntry(REDUCE, 305);
   _actionMap[617][PLUS] = ActionEntry(REDUCE, 305);
   _actionMap[617][MINUS] = ActionEntry(REDUCE, 305);
   _actionMap[617][DIVISION] = ActionEntry(REDUCE, 305);
   _actionMap[617][STAR] = ActionEntry(REDUCE, 305);
   _actionMap[617][CONCAT] = ActionEntry(REDUCE, 305);
   _actionMap[618][WHEN] = ActionEntry(REDUCE, 317);
   _actionMap[618][ELSE] = ActionEntry(REDUCE, 317);
   _actionMap[618][LEFT] = ActionEntry(REDUCE, 317);
   _actionMap[618][RIGHT] = ActionEntry(REDUCE, 317);
   _actionMap[618][INNER] = ActionEntry(REDUCE, 317);
   _actionMap[618][JOIN] = ActionEntry(REDUCE, 317);
   _actionMap[618][RETURNTOKEN] = ActionEntry(REDUCE, 317);
   _actionMap[618][ORDER] = ActionEntry(REDUCE, 317);
   _actionMap[618][GROUP] = ActionEntry(REDUCE, 317);
   _actionMap[618][WHERE] = ActionEntry(REDUCE, 317);
   _actionMap[618][FROM] = ActionEntry(REDUCE, 317);
   _actionMap[618][AS] = ActionEntry(REDUCE, 317);
   _actionMap[618][END_TOKEN] = ActionEntry(REDUCE, 317);
   _actionMap[618][BEGIN] = ActionEntry(REDUCE, 317);
   _actionMap[618][THEN] = ActionEntry(REDUCE, 317);
   _actionMap[618][OR] = ActionEntry(REDUCE, 317);
   _actionMap[618][AND] = ActionEntry(REDUCE, 317);
   _actionMap[618][INTOK] = ActionEntry(REDUCE, 317);
   _actionMap[618][NOT] = ActionEntry(REDUCE, 317);
   _actionMap[618][BETWEEN] = ActionEntry(REDUCE, 317);
   _actionMap[618][IS] = ActionEntry(REDUCE, 317);
   _actionMap[618][LIKE] = ActionEntry(REDUCE, 317);
   _actionMap[618][MT] = ActionEntry(REDUCE, 317);
   _actionMap[618][LT] = ActionEntry(REDUCE, 317);
   _actionMap[618][NEGATION] = ActionEntry(REDUCE, 317);
   _actionMap[618][EQU] = ActionEntry(REDUCE, 317);
   _actionMap[618][RB] = ActionEntry(REDUCE, 317);
   _actionMap[618][ENDTOKEN] = ActionEntry(REDUCE, 317);
   _actionMap[618][UNION] = ActionEntry(REDUCE, 317);
   _actionMap[618][ROWLIMIT] = ActionEntry(REDUCE, 317);
   _actionMap[618][KSEP] = ActionEntry(REDUCE, 317);
   _actionMap[618][ASC] = ActionEntry(REDUCE, 317);
   _actionMap[618][DESC] = ActionEntry(REDUCE, 317);
   _actionMap[618][SEMICOLON] = ActionEntry(REDUCE, 317);
   _actionMap[618][PLUS] = ActionEntry(REDUCE, 317);
   _actionMap[618][MINUS] = ActionEntry(REDUCE, 317);
   _actionMap[618][DIVISION] = ActionEntry(REDUCE, 317);
   _actionMap[618][STAR] = ActionEntry(REDUCE, 317);
   _actionMap[618][CONCAT] = ActionEntry(REDUCE, 317);
   _actionMap[619][WHEN] = ActionEntry(REDUCE, 322);
   _actionMap[619][ELSE] = ActionEntry(REDUCE, 322);
   _actionMap[619][LEFT] = ActionEntry(REDUCE, 322);
   _actionMap[619][RIGHT] = ActionEntry(REDUCE, 322);
}
void Cego::loadParser115()
{
   _actionMap[619][INNER] = ActionEntry(REDUCE, 322);
   _actionMap[619][JOIN] = ActionEntry(REDUCE, 322);
   _actionMap[619][RETURNTOKEN] = ActionEntry(REDUCE, 322);
   _actionMap[619][ORDER] = ActionEntry(REDUCE, 322);
   _actionMap[619][GROUP] = ActionEntry(REDUCE, 322);
   _actionMap[619][WHERE] = ActionEntry(REDUCE, 322);
   _actionMap[619][FROM] = ActionEntry(REDUCE, 322);
   _actionMap[619][AS] = ActionEntry(REDUCE, 322);
   _actionMap[619][END_TOKEN] = ActionEntry(REDUCE, 322);
   _actionMap[619][BEGIN] = ActionEntry(REDUCE, 322);
   _actionMap[619][THEN] = ActionEntry(REDUCE, 322);
   _actionMap[619][OR] = ActionEntry(REDUCE, 322);
   _actionMap[619][AND] = ActionEntry(REDUCE, 322);
   _actionMap[619][INTOK] = ActionEntry(REDUCE, 322);
   _actionMap[619][NOT] = ActionEntry(REDUCE, 322);
   _actionMap[619][BETWEEN] = ActionEntry(REDUCE, 322);
   _actionMap[619][IS] = ActionEntry(REDUCE, 322);
   _actionMap[619][LIKE] = ActionEntry(REDUCE, 322);
   _actionMap[619][MT] = ActionEntry(REDUCE, 322);
   _actionMap[619][LT] = ActionEntry(REDUCE, 322);
   _actionMap[619][NEGATION] = ActionEntry(REDUCE, 322);
   _actionMap[619][EQU] = ActionEntry(REDUCE, 322);
   _actionMap[619][RB] = ActionEntry(REDUCE, 322);
   _actionMap[619][ENDTOKEN] = ActionEntry(REDUCE, 322);
   _actionMap[619][UNION] = ActionEntry(REDUCE, 322);
   _actionMap[619][ROWLIMIT] = ActionEntry(REDUCE, 322);
   _actionMap[619][KSEP] = ActionEntry(REDUCE, 322);
   _actionMap[619][ASC] = ActionEntry(REDUCE, 322);
   _actionMap[619][DESC] = ActionEntry(REDUCE, 322);
   _actionMap[619][SEMICOLON] = ActionEntry(REDUCE, 322);
   _actionMap[619][PLUS] = ActionEntry(REDUCE, 322);
   _actionMap[619][MINUS] = ActionEntry(REDUCE, 322);
   _actionMap[619][DIVISION] = ActionEntry(REDUCE, 322);
   _actionMap[619][STAR] = ActionEntry(REDUCE, 322);
   _actionMap[619][CONCAT] = ActionEntry(REDUCE, 322);
   _actionMap[620][WHEN] = ActionEntry(REDUCE, 332);
   _actionMap[620][ELSE] = ActionEntry(REDUCE, 332);
   _actionMap[620][LEFT] = ActionEntry(REDUCE, 332);
   _actionMap[620][RIGHT] = ActionEntry(REDUCE, 332);
   _actionMap[620][INNER] = ActionEntry(REDUCE, 332);
   _actionMap[620][JOIN] = ActionEntry(REDUCE, 332);
   _actionMap[620][RETURNTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[620][ORDER] = ActionEntry(REDUCE, 332);
   _actionMap[620][GROUP] = ActionEntry(REDUCE, 332);
   _actionMap[620][WHERE] = ActionEntry(REDUCE, 332);
   _actionMap[620][FROM] = ActionEntry(REDUCE, 332);
   _actionMap[620][AS] = ActionEntry(REDUCE, 332);
   _actionMap[620][END_TOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[620][BEGIN] = ActionEntry(REDUCE, 332);
   _actionMap[620][THEN] = ActionEntry(REDUCE, 332);
}
void Cego::loadParser116()
{
   _actionMap[620][OR] = ActionEntry(REDUCE, 332);
   _actionMap[620][AND] = ActionEntry(REDUCE, 332);
   _actionMap[620][INTOK] = ActionEntry(REDUCE, 332);
   _actionMap[620][NOT] = ActionEntry(REDUCE, 332);
   _actionMap[620][BETWEEN] = ActionEntry(REDUCE, 332);
   _actionMap[620][IS] = ActionEntry(REDUCE, 332);
   _actionMap[620][LIKE] = ActionEntry(REDUCE, 332);
   _actionMap[620][MT] = ActionEntry(REDUCE, 332);
   _actionMap[620][LT] = ActionEntry(REDUCE, 332);
   _actionMap[620][NEGATION] = ActionEntry(REDUCE, 332);
   _actionMap[620][EQU] = ActionEntry(REDUCE, 332);
   _actionMap[620][RB] = ActionEntry(REDUCE, 332);
   _actionMap[620][ENDTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[620][UNION] = ActionEntry(REDUCE, 332);
   _actionMap[620][ROWLIMIT] = ActionEntry(REDUCE, 332);
   _actionMap[620][KSEP] = ActionEntry(REDUCE, 332);
   _actionMap[620][ASC] = ActionEntry(REDUCE, 332);
   _actionMap[620][DESC] = ActionEntry(REDUCE, 332);
   _actionMap[620][SEMICOLON] = ActionEntry(REDUCE, 332);
   _actionMap[620][PLUS] = ActionEntry(REDUCE, 332);
   _actionMap[620][MINUS] = ActionEntry(REDUCE, 332);
   _actionMap[620][DIVISION] = ActionEntry(REDUCE, 332);
   _actionMap[620][STAR] = ActionEntry(REDUCE, 332);
   _actionMap[620][CONCAT] = ActionEntry(REDUCE, 332);
   _actionMap[621][WHEN] = ActionEntry(REDUCE, 331);
   _actionMap[621][ELSE] = ActionEntry(REDUCE, 331);
   _actionMap[621][LEFT] = ActionEntry(REDUCE, 331);
   _actionMap[621][RIGHT] = ActionEntry(REDUCE, 331);
   _actionMap[621][INNER] = ActionEntry(REDUCE, 331);
   _actionMap[621][JOIN] = ActionEntry(REDUCE, 331);
   _actionMap[621][RETURNTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[621][ORDER] = ActionEntry(REDUCE, 331);
   _actionMap[621][GROUP] = ActionEntry(REDUCE, 331);
   _actionMap[621][WHERE] = ActionEntry(REDUCE, 331);
   _actionMap[621][FROM] = ActionEntry(REDUCE, 331);
   _actionMap[621][AS] = ActionEntry(REDUCE, 331);
   _actionMap[621][END_TOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[621][BEGIN] = ActionEntry(REDUCE, 331);
   _actionMap[621][THEN] = ActionEntry(REDUCE, 331);
   _actionMap[621][OR] = ActionEntry(REDUCE, 331);
   _actionMap[621][AND] = ActionEntry(REDUCE, 331);
   _actionMap[621][INTOK] = ActionEntry(REDUCE, 331);
   _actionMap[621][NOT] = ActionEntry(REDUCE, 331);
   _actionMap[621][BETWEEN] = ActionEntry(REDUCE, 331);
   _actionMap[621][IS] = ActionEntry(REDUCE, 331);
   _actionMap[621][LIKE] = ActionEntry(REDUCE, 331);
   _actionMap[621][MT] = ActionEntry(REDUCE, 331);
   _actionMap[621][LT] = ActionEntry(REDUCE, 331);
   _actionMap[621][NEGATION] = ActionEntry(REDUCE, 331);
   _actionMap[621][EQU] = ActionEntry(REDUCE, 331);
}
void Cego::loadParser117()
{
   _actionMap[621][RB] = ActionEntry(REDUCE, 331);
   _actionMap[621][ENDTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[621][UNION] = ActionEntry(REDUCE, 331);
   _actionMap[621][ROWLIMIT] = ActionEntry(REDUCE, 331);
   _actionMap[621][KSEP] = ActionEntry(REDUCE, 331);
   _actionMap[621][ASC] = ActionEntry(REDUCE, 331);
   _actionMap[621][DESC] = ActionEntry(REDUCE, 331);
   _actionMap[621][SEMICOLON] = ActionEntry(REDUCE, 331);
   _actionMap[621][PLUS] = ActionEntry(REDUCE, 331);
   _actionMap[621][MINUS] = ActionEntry(REDUCE, 331);
   _actionMap[621][DIVISION] = ActionEntry(REDUCE, 331);
   _actionMap[621][STAR] = ActionEntry(REDUCE, 331);
   _actionMap[621][CONCAT] = ActionEntry(REDUCE, 331);
   _actionMap[622][WHEN] = ActionEntry(REDUCE, 315);
   _actionMap[622][ELSE] = ActionEntry(REDUCE, 315);
   _actionMap[622][LEFT] = ActionEntry(REDUCE, 315);
   _actionMap[622][RIGHT] = ActionEntry(REDUCE, 315);
   _actionMap[622][INNER] = ActionEntry(REDUCE, 315);
   _actionMap[622][JOIN] = ActionEntry(REDUCE, 315);
   _actionMap[622][RETURNTOKEN] = ActionEntry(REDUCE, 315);
   _actionMap[622][ORDER] = ActionEntry(REDUCE, 315);
   _actionMap[622][GROUP] = ActionEntry(REDUCE, 315);
   _actionMap[622][WHERE] = ActionEntry(REDUCE, 315);
   _actionMap[622][FROM] = ActionEntry(REDUCE, 315);
   _actionMap[622][AS] = ActionEntry(REDUCE, 315);
   _actionMap[622][END_TOKEN] = ActionEntry(REDUCE, 315);
   _actionMap[622][BEGIN] = ActionEntry(REDUCE, 315);
   _actionMap[622][THEN] = ActionEntry(REDUCE, 315);
   _actionMap[622][OR] = ActionEntry(REDUCE, 315);
   _actionMap[622][AND] = ActionEntry(REDUCE, 315);
   _actionMap[622][INTOK] = ActionEntry(REDUCE, 315);
   _actionMap[622][NOT] = ActionEntry(REDUCE, 315);
   _actionMap[622][BETWEEN] = ActionEntry(REDUCE, 315);
   _actionMap[622][IS] = ActionEntry(REDUCE, 315);
   _actionMap[622][LIKE] = ActionEntry(REDUCE, 315);
   _actionMap[622][MT] = ActionEntry(REDUCE, 315);
   _actionMap[622][LT] = ActionEntry(REDUCE, 315);
   _actionMap[622][NEGATION] = ActionEntry(REDUCE, 315);
   _actionMap[622][EQU] = ActionEntry(REDUCE, 315);
   _actionMap[622][RB] = ActionEntry(REDUCE, 315);
   _actionMap[622][ENDTOKEN] = ActionEntry(REDUCE, 315);
   _actionMap[622][UNION] = ActionEntry(REDUCE, 315);
   _actionMap[622][ROWLIMIT] = ActionEntry(REDUCE, 315);
   _actionMap[622][KSEP] = ActionEntry(REDUCE, 315);
   _actionMap[622][ASC] = ActionEntry(REDUCE, 315);
   _actionMap[622][DESC] = ActionEntry(REDUCE, 315);
   _actionMap[622][SEMICOLON] = ActionEntry(REDUCE, 315);
   _actionMap[622][PLUS] = ActionEntry(REDUCE, 315);
   _actionMap[622][MINUS] = ActionEntry(REDUCE, 315);
   _actionMap[622][DIVISION] = ActionEntry(REDUCE, 315);
}
void Cego::loadParser118()
{
   _actionMap[622][STAR] = ActionEntry(REDUCE, 315);
   _actionMap[622][CONCAT] = ActionEntry(REDUCE, 315);
   _actionMap[623][WHEN] = ActionEntry(REDUCE, 309);
   _actionMap[623][ELSE] = ActionEntry(REDUCE, 309);
   _actionMap[623][LEFT] = ActionEntry(REDUCE, 309);
   _actionMap[623][RIGHT] = ActionEntry(REDUCE, 309);
   _actionMap[623][INNER] = ActionEntry(REDUCE, 309);
   _actionMap[623][JOIN] = ActionEntry(REDUCE, 309);
   _actionMap[623][RETURNTOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[623][ORDER] = ActionEntry(REDUCE, 309);
   _actionMap[623][GROUP] = ActionEntry(REDUCE, 309);
   _actionMap[623][WHERE] = ActionEntry(REDUCE, 309);
   _actionMap[623][FROM] = ActionEntry(REDUCE, 309);
   _actionMap[623][AS] = ActionEntry(REDUCE, 309);
   _actionMap[623][END_TOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[623][BEGIN] = ActionEntry(REDUCE, 309);
   _actionMap[623][THEN] = ActionEntry(REDUCE, 309);
   _actionMap[623][OR] = ActionEntry(REDUCE, 309);
   _actionMap[623][AND] = ActionEntry(REDUCE, 309);
   _actionMap[623][INTOK] = ActionEntry(REDUCE, 309);
   _actionMap[623][NOT] = ActionEntry(REDUCE, 309);
   _actionMap[623][BETWEEN] = ActionEntry(REDUCE, 309);
   _actionMap[623][IS] = ActionEntry(REDUCE, 309);
   _actionMap[623][LIKE] = ActionEntry(REDUCE, 309);
   _actionMap[623][MT] = ActionEntry(REDUCE, 309);
   _actionMap[623][LT] = ActionEntry(REDUCE, 309);
   _actionMap[623][NEGATION] = ActionEntry(REDUCE, 309);
   _actionMap[623][EQU] = ActionEntry(REDUCE, 309);
   _actionMap[623][RB] = ActionEntry(REDUCE, 309);
   _actionMap[623][ENDTOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[623][UNION] = ActionEntry(REDUCE, 309);
   _actionMap[623][ROWLIMIT] = ActionEntry(REDUCE, 309);
   _actionMap[623][KSEP] = ActionEntry(REDUCE, 309);
   _actionMap[623][ASC] = ActionEntry(REDUCE, 309);
   _actionMap[623][DESC] = ActionEntry(REDUCE, 309);
   _actionMap[623][SEMICOLON] = ActionEntry(REDUCE, 309);
   _actionMap[623][PLUS] = ActionEntry(REDUCE, 309);
   _actionMap[623][MINUS] = ActionEntry(REDUCE, 309);
   _actionMap[623][DIVISION] = ActionEntry(REDUCE, 309);
   _actionMap[623][STAR] = ActionEntry(REDUCE, 309);
   _actionMap[623][CONCAT] = ActionEntry(REDUCE, 309);
   _actionMap[624][WHEN] = ActionEntry(REDUCE, 182);
   _actionMap[624][ELSE] = ActionEntry(REDUCE, 182);
   _actionMap[624][LEFT] = ActionEntry(REDUCE, 182);
   _actionMap[624][RIGHT] = ActionEntry(REDUCE, 182);
   _actionMap[624][INNER] = ActionEntry(REDUCE, 182);
   _actionMap[624][JOIN] = ActionEntry(REDUCE, 182);
   _actionMap[624][RETURNTOKEN] = ActionEntry(REDUCE, 182);
   _actionMap[624][ORDER] = ActionEntry(REDUCE, 182);
   _actionMap[624][GROUP] = ActionEntry(REDUCE, 182);
}
void Cego::loadParser119()
{
   _actionMap[624][WHERE] = ActionEntry(REDUCE, 182);
   _actionMap[624][AS] = ActionEntry(REDUCE, 182);
   _actionMap[624][FROM] = ActionEntry(REDUCE, 182);
   _actionMap[624][END_TOKEN] = ActionEntry(REDUCE, 182);
   _actionMap[624][BEGIN] = ActionEntry(REDUCE, 182);
   _actionMap[624][THEN] = ActionEntry(REDUCE, 182);
   _actionMap[624][OR] = ActionEntry(REDUCE, 182);
   _actionMap[624][AND] = ActionEntry(REDUCE, 182);
   _actionMap[624][LIKE] = ActionEntry(REDUCE, 182);
   _actionMap[624][IS] = ActionEntry(REDUCE, 182);
   _actionMap[624][BETWEEN] = ActionEntry(REDUCE, 182);
   _actionMap[624][NOT] = ActionEntry(REDUCE, 182);
   _actionMap[624][INTOK] = ActionEntry(REDUCE, 182);
   _actionMap[624][EQU] = ActionEntry(REDUCE, 182);
   _actionMap[624][NEGATION] = ActionEntry(REDUCE, 182);
   _actionMap[624][LT] = ActionEntry(REDUCE, 182);
   _actionMap[624][MT] = ActionEntry(REDUCE, 182);
   _actionMap[624][DESC] = ActionEntry(REDUCE, 182);
   _actionMap[624][ASC] = ActionEntry(REDUCE, 182);
   _actionMap[624][KSEP] = ActionEntry(REDUCE, 182);
   _actionMap[624][ROWLIMIT] = ActionEntry(REDUCE, 182);
   _actionMap[624][UNION] = ActionEntry(REDUCE, 182);
   _actionMap[624][ENDTOKEN] = ActionEntry(REDUCE, 182);
   _actionMap[624][RB] = ActionEntry(REDUCE, 182);
   _actionMap[624][SEMICOLON] = ActionEntry(REDUCE, 182);
   _actionMap[624][CONCAT] = ActionEntry(REDUCE, 182);
   _actionMap[624][STAR] = ActionEntry(REDUCE, 182);
   _actionMap[624][DIVISION] = ActionEntry(REDUCE, 182);
   _actionMap[624][MINUS] = ActionEntry(REDUCE, 182);
   _actionMap[624][PLUS] = ActionEntry(REDUCE, 182);
   _actionMap[625][WHEN] = ActionEntry(REDUCE, 183);
   _actionMap[625][ELSE] = ActionEntry(REDUCE, 183);
   _actionMap[625][LEFT] = ActionEntry(REDUCE, 183);
   _actionMap[625][RIGHT] = ActionEntry(REDUCE, 183);
   _actionMap[625][INNER] = ActionEntry(REDUCE, 183);
   _actionMap[625][JOIN] = ActionEntry(REDUCE, 183);
   _actionMap[625][RETURNTOKEN] = ActionEntry(REDUCE, 183);
   _actionMap[625][ORDER] = ActionEntry(REDUCE, 183);
   _actionMap[625][GROUP] = ActionEntry(REDUCE, 183);
   _actionMap[625][WHERE] = ActionEntry(REDUCE, 183);
   _actionMap[625][AS] = ActionEntry(REDUCE, 183);
   _actionMap[625][FROM] = ActionEntry(REDUCE, 183);
   _actionMap[625][END_TOKEN] = ActionEntry(REDUCE, 183);
   _actionMap[625][BEGIN] = ActionEntry(REDUCE, 183);
   _actionMap[625][THEN] = ActionEntry(REDUCE, 183);
   _actionMap[625][OR] = ActionEntry(REDUCE, 183);
   _actionMap[625][AND] = ActionEntry(REDUCE, 183);
   _actionMap[625][LIKE] = ActionEntry(REDUCE, 183);
   _actionMap[625][IS] = ActionEntry(REDUCE, 183);
   _actionMap[625][BETWEEN] = ActionEntry(REDUCE, 183);
}
void Cego::loadParser120()
{
   _actionMap[625][NOT] = ActionEntry(REDUCE, 183);
   _actionMap[625][INTOK] = ActionEntry(REDUCE, 183);
   _actionMap[625][EQU] = ActionEntry(REDUCE, 183);
   _actionMap[625][NEGATION] = ActionEntry(REDUCE, 183);
   _actionMap[625][LT] = ActionEntry(REDUCE, 183);
   _actionMap[625][MT] = ActionEntry(REDUCE, 183);
   _actionMap[625][DESC] = ActionEntry(REDUCE, 183);
   _actionMap[625][ASC] = ActionEntry(REDUCE, 183);
   _actionMap[625][KSEP] = ActionEntry(REDUCE, 183);
   _actionMap[625][ROWLIMIT] = ActionEntry(REDUCE, 183);
   _actionMap[625][UNION] = ActionEntry(REDUCE, 183);
   _actionMap[625][ENDTOKEN] = ActionEntry(REDUCE, 183);
   _actionMap[625][RB] = ActionEntry(REDUCE, 183);
   _actionMap[625][SEMICOLON] = ActionEntry(REDUCE, 183);
   _actionMap[625][CONCAT] = ActionEntry(REDUCE, 183);
   _actionMap[625][STAR] = ActionEntry(REDUCE, 183);
   _actionMap[625][DIVISION] = ActionEntry(REDUCE, 183);
   _actionMap[625][MINUS] = ActionEntry(REDUCE, 183);
   _actionMap[625][PLUS] = ActionEntry(REDUCE, 183);
   _actionMap[626][WHEN] = ActionEntry(REDUCE, 329);
   _actionMap[626][ELSE] = ActionEntry(REDUCE, 329);
   _actionMap[626][LEFT] = ActionEntry(REDUCE, 329);
   _actionMap[626][RIGHT] = ActionEntry(REDUCE, 329);
   _actionMap[626][INNER] = ActionEntry(REDUCE, 329);
   _actionMap[626][JOIN] = ActionEntry(REDUCE, 329);
   _actionMap[626][RETURNTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[626][ORDER] = ActionEntry(REDUCE, 329);
   _actionMap[626][GROUP] = ActionEntry(REDUCE, 329);
   _actionMap[626][WHERE] = ActionEntry(REDUCE, 329);
   _actionMap[626][FROM] = ActionEntry(REDUCE, 329);
   _actionMap[626][AS] = ActionEntry(REDUCE, 329);
   _actionMap[626][END_TOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[626][BEGIN] = ActionEntry(REDUCE, 329);
   _actionMap[626][THEN] = ActionEntry(REDUCE, 329);
   _actionMap[626][OR] = ActionEntry(REDUCE, 329);
   _actionMap[626][AND] = ActionEntry(REDUCE, 329);
   _actionMap[626][INTOK] = ActionEntry(REDUCE, 329);
   _actionMap[626][NOT] = ActionEntry(REDUCE, 329);
   _actionMap[626][BETWEEN] = ActionEntry(REDUCE, 329);
   _actionMap[626][IS] = ActionEntry(REDUCE, 329);
   _actionMap[626][LIKE] = ActionEntry(REDUCE, 329);
   _actionMap[626][MT] = ActionEntry(REDUCE, 329);
   _actionMap[626][LT] = ActionEntry(REDUCE, 329);
   _actionMap[626][NEGATION] = ActionEntry(REDUCE, 329);
   _actionMap[626][EQU] = ActionEntry(REDUCE, 329);
   _actionMap[626][RB] = ActionEntry(REDUCE, 329);
   _actionMap[626][ENDTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[626][UNION] = ActionEntry(REDUCE, 329);
   _actionMap[626][ROWLIMIT] = ActionEntry(REDUCE, 329);
   _actionMap[626][KSEP] = ActionEntry(REDUCE, 329);
}
void Cego::loadParser121()
{
   _actionMap[626][ASC] = ActionEntry(REDUCE, 329);
   _actionMap[626][DESC] = ActionEntry(REDUCE, 329);
   _actionMap[626][SEMICOLON] = ActionEntry(REDUCE, 329);
   _actionMap[626][PLUS] = ActionEntry(REDUCE, 329);
   _actionMap[626][MINUS] = ActionEntry(REDUCE, 329);
   _actionMap[626][DIVISION] = ActionEntry(REDUCE, 329);
   _actionMap[626][STAR] = ActionEntry(REDUCE, 329);
   _actionMap[626][CONCAT] = ActionEntry(REDUCE, 329);
   _actionMap[627][WHEN] = ActionEntry(REDUCE, 342);
   _actionMap[627][ELSE] = ActionEntry(REDUCE, 342);
   _actionMap[627][LEFT] = ActionEntry(REDUCE, 342);
   _actionMap[627][RIGHT] = ActionEntry(REDUCE, 342);
   _actionMap[627][INNER] = ActionEntry(REDUCE, 342);
   _actionMap[627][JOIN] = ActionEntry(REDUCE, 342);
   _actionMap[627][RETURNTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[627][ORDER] = ActionEntry(REDUCE, 342);
   _actionMap[627][GROUP] = ActionEntry(REDUCE, 342);
   _actionMap[627][WHERE] = ActionEntry(REDUCE, 342);
   _actionMap[627][FROM] = ActionEntry(REDUCE, 342);
   _actionMap[627][AS] = ActionEntry(REDUCE, 342);
   _actionMap[627][END_TOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[627][BEGIN] = ActionEntry(REDUCE, 342);
   _actionMap[627][THEN] = ActionEntry(REDUCE, 342);
   _actionMap[627][OR] = ActionEntry(REDUCE, 342);
   _actionMap[627][AND] = ActionEntry(REDUCE, 342);
   _actionMap[627][INTOK] = ActionEntry(REDUCE, 342);
   _actionMap[627][NOT] = ActionEntry(REDUCE, 342);
   _actionMap[627][BETWEEN] = ActionEntry(REDUCE, 342);
   _actionMap[627][IS] = ActionEntry(REDUCE, 342);
   _actionMap[627][LIKE] = ActionEntry(REDUCE, 342);
   _actionMap[627][MT] = ActionEntry(REDUCE, 342);
   _actionMap[627][LT] = ActionEntry(REDUCE, 342);
   _actionMap[627][NEGATION] = ActionEntry(REDUCE, 342);
   _actionMap[627][EQU] = ActionEntry(REDUCE, 342);
   _actionMap[627][RB] = ActionEntry(REDUCE, 342);
   _actionMap[627][ENDTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[627][UNION] = ActionEntry(REDUCE, 342);
   _actionMap[627][ROWLIMIT] = ActionEntry(REDUCE, 342);
   _actionMap[627][KSEP] = ActionEntry(REDUCE, 342);
   _actionMap[627][ASC] = ActionEntry(REDUCE, 342);
   _actionMap[627][DESC] = ActionEntry(REDUCE, 342);
   _actionMap[627][SEMICOLON] = ActionEntry(REDUCE, 342);
   _actionMap[627][PLUS] = ActionEntry(REDUCE, 342);
   _actionMap[627][MINUS] = ActionEntry(REDUCE, 342);
   _actionMap[627][DIVISION] = ActionEntry(REDUCE, 342);
   _actionMap[627][STAR] = ActionEntry(REDUCE, 342);
   _actionMap[627][CONCAT] = ActionEntry(REDUCE, 342);
   _actionMap[628][WHEN] = ActionEntry(REDUCE, 333);
   _actionMap[628][ELSE] = ActionEntry(REDUCE, 333);
   _actionMap[628][LEFT] = ActionEntry(REDUCE, 333);
}
void Cego::loadParser122()
{
   _actionMap[628][RIGHT] = ActionEntry(REDUCE, 333);
   _actionMap[628][INNER] = ActionEntry(REDUCE, 333);
   _actionMap[628][JOIN] = ActionEntry(REDUCE, 333);
   _actionMap[628][RETURNTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[628][ORDER] = ActionEntry(REDUCE, 333);
   _actionMap[628][GROUP] = ActionEntry(REDUCE, 333);
   _actionMap[628][WHERE] = ActionEntry(REDUCE, 333);
   _actionMap[628][FROM] = ActionEntry(REDUCE, 333);
   _actionMap[628][AS] = ActionEntry(REDUCE, 333);
   _actionMap[628][END_TOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[628][BEGIN] = ActionEntry(REDUCE, 333);
   _actionMap[628][THEN] = ActionEntry(REDUCE, 333);
   _actionMap[628][OR] = ActionEntry(REDUCE, 333);
   _actionMap[628][AND] = ActionEntry(REDUCE, 333);
   _actionMap[628][INTOK] = ActionEntry(REDUCE, 333);
   _actionMap[628][NOT] = ActionEntry(REDUCE, 333);
   _actionMap[628][BETWEEN] = ActionEntry(REDUCE, 333);
   _actionMap[628][IS] = ActionEntry(REDUCE, 333);
   _actionMap[628][LIKE] = ActionEntry(REDUCE, 333);
   _actionMap[628][MT] = ActionEntry(REDUCE, 333);
   _actionMap[628][LT] = ActionEntry(REDUCE, 333);
   _actionMap[628][NEGATION] = ActionEntry(REDUCE, 333);
   _actionMap[628][EQU] = ActionEntry(REDUCE, 333);
   _actionMap[628][RB] = ActionEntry(REDUCE, 333);
   _actionMap[628][ENDTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[628][UNION] = ActionEntry(REDUCE, 333);
   _actionMap[628][ROWLIMIT] = ActionEntry(REDUCE, 333);
   _actionMap[628][KSEP] = ActionEntry(REDUCE, 333);
   _actionMap[628][ASC] = ActionEntry(REDUCE, 333);
   _actionMap[628][DESC] = ActionEntry(REDUCE, 333);
   _actionMap[628][SEMICOLON] = ActionEntry(REDUCE, 333);
   _actionMap[628][PLUS] = ActionEntry(REDUCE, 333);
   _actionMap[628][MINUS] = ActionEntry(REDUCE, 333);
   _actionMap[628][DIVISION] = ActionEntry(REDUCE, 333);
   _actionMap[628][STAR] = ActionEntry(REDUCE, 333);
   _actionMap[628][CONCAT] = ActionEntry(REDUCE, 333);
   _actionMap[629][WHEN] = ActionEntry(REDUCE, 327);
   _actionMap[629][ELSE] = ActionEntry(REDUCE, 327);
   _actionMap[629][LEFT] = ActionEntry(REDUCE, 327);
   _actionMap[629][RIGHT] = ActionEntry(REDUCE, 327);
   _actionMap[629][INNER] = ActionEntry(REDUCE, 327);
   _actionMap[629][JOIN] = ActionEntry(REDUCE, 327);
   _actionMap[629][RETURNTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[629][ORDER] = ActionEntry(REDUCE, 327);
   _actionMap[629][GROUP] = ActionEntry(REDUCE, 327);
   _actionMap[629][WHERE] = ActionEntry(REDUCE, 327);
   _actionMap[629][FROM] = ActionEntry(REDUCE, 327);
   _actionMap[629][AS] = ActionEntry(REDUCE, 327);
   _actionMap[629][END_TOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[629][BEGIN] = ActionEntry(REDUCE, 327);
}
void Cego::loadParser123()
{
   _actionMap[629][THEN] = ActionEntry(REDUCE, 327);
   _actionMap[629][OR] = ActionEntry(REDUCE, 327);
   _actionMap[629][AND] = ActionEntry(REDUCE, 327);
   _actionMap[629][INTOK] = ActionEntry(REDUCE, 327);
   _actionMap[629][NOT] = ActionEntry(REDUCE, 327);
   _actionMap[629][BETWEEN] = ActionEntry(REDUCE, 327);
   _actionMap[629][IS] = ActionEntry(REDUCE, 327);
   _actionMap[629][LIKE] = ActionEntry(REDUCE, 327);
   _actionMap[629][MT] = ActionEntry(REDUCE, 327);
   _actionMap[629][LT] = ActionEntry(REDUCE, 327);
   _actionMap[629][NEGATION] = ActionEntry(REDUCE, 327);
   _actionMap[629][EQU] = ActionEntry(REDUCE, 327);
   _actionMap[629][RB] = ActionEntry(REDUCE, 327);
   _actionMap[629][ENDTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[629][UNION] = ActionEntry(REDUCE, 327);
   _actionMap[629][ROWLIMIT] = ActionEntry(REDUCE, 327);
   _actionMap[629][KSEP] = ActionEntry(REDUCE, 327);
   _actionMap[629][ASC] = ActionEntry(REDUCE, 327);
   _actionMap[629][DESC] = ActionEntry(REDUCE, 327);
   _actionMap[629][SEMICOLON] = ActionEntry(REDUCE, 327);
   _actionMap[629][PLUS] = ActionEntry(REDUCE, 327);
   _actionMap[629][MINUS] = ActionEntry(REDUCE, 327);
   _actionMap[629][DIVISION] = ActionEntry(REDUCE, 327);
   _actionMap[629][STAR] = ActionEntry(REDUCE, 327);
   _actionMap[629][CONCAT] = ActionEntry(REDUCE, 327);
   _actionMap[630][WHEN] = ActionEntry(REDUCE, 328);
   _actionMap[630][ELSE] = ActionEntry(REDUCE, 328);
   _actionMap[630][LEFT] = ActionEntry(REDUCE, 328);
   _actionMap[630][RIGHT] = ActionEntry(REDUCE, 328);
   _actionMap[630][INNER] = ActionEntry(REDUCE, 328);
   _actionMap[630][JOIN] = ActionEntry(REDUCE, 328);
   _actionMap[630][RETURNTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[630][ORDER] = ActionEntry(REDUCE, 328);
   _actionMap[630][GROUP] = ActionEntry(REDUCE, 328);
   _actionMap[630][WHERE] = ActionEntry(REDUCE, 328);
   _actionMap[630][FROM] = ActionEntry(REDUCE, 328);
   _actionMap[630][AS] = ActionEntry(REDUCE, 328);
   _actionMap[630][END_TOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[630][BEGIN] = ActionEntry(REDUCE, 328);
   _actionMap[630][THEN] = ActionEntry(REDUCE, 328);
   _actionMap[630][OR] = ActionEntry(REDUCE, 328);
   _actionMap[630][AND] = ActionEntry(REDUCE, 328);
   _actionMap[630][INTOK] = ActionEntry(REDUCE, 328);
   _actionMap[630][NOT] = ActionEntry(REDUCE, 328);
   _actionMap[630][BETWEEN] = ActionEntry(REDUCE, 328);
   _actionMap[630][IS] = ActionEntry(REDUCE, 328);
   _actionMap[630][LIKE] = ActionEntry(REDUCE, 328);
   _actionMap[630][MT] = ActionEntry(REDUCE, 328);
   _actionMap[630][LT] = ActionEntry(REDUCE, 328);
   _actionMap[630][NEGATION] = ActionEntry(REDUCE, 328);
}
void Cego::loadParser124()
{
   _actionMap[630][EQU] = ActionEntry(REDUCE, 328);
   _actionMap[630][RB] = ActionEntry(REDUCE, 328);
   _actionMap[630][ENDTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[630][UNION] = ActionEntry(REDUCE, 328);
   _actionMap[630][ROWLIMIT] = ActionEntry(REDUCE, 328);
   _actionMap[630][KSEP] = ActionEntry(REDUCE, 328);
   _actionMap[630][ASC] = ActionEntry(REDUCE, 328);
   _actionMap[630][DESC] = ActionEntry(REDUCE, 328);
   _actionMap[630][SEMICOLON] = ActionEntry(REDUCE, 328);
   _actionMap[630][PLUS] = ActionEntry(REDUCE, 328);
   _actionMap[630][MINUS] = ActionEntry(REDUCE, 328);
   _actionMap[630][DIVISION] = ActionEntry(REDUCE, 328);
   _actionMap[630][STAR] = ActionEntry(REDUCE, 328);
   _actionMap[630][CONCAT] = ActionEntry(REDUCE, 328);
   _actionMap[631][WHEN] = ActionEntry(REDUCE, 321);
   _actionMap[631][ELSE] = ActionEntry(REDUCE, 321);
   _actionMap[631][LEFT] = ActionEntry(REDUCE, 321);
   _actionMap[631][RIGHT] = ActionEntry(REDUCE, 321);
   _actionMap[631][INNER] = ActionEntry(REDUCE, 321);
   _actionMap[631][JOIN] = ActionEntry(REDUCE, 321);
   _actionMap[631][RETURNTOKEN] = ActionEntry(REDUCE, 321);
   _actionMap[631][ORDER] = ActionEntry(REDUCE, 321);
   _actionMap[631][GROUP] = ActionEntry(REDUCE, 321);
   _actionMap[631][WHERE] = ActionEntry(REDUCE, 321);
   _actionMap[631][FROM] = ActionEntry(REDUCE, 321);
   _actionMap[631][AS] = ActionEntry(REDUCE, 321);
   _actionMap[631][END_TOKEN] = ActionEntry(REDUCE, 321);
   _actionMap[631][BEGIN] = ActionEntry(REDUCE, 321);
   _actionMap[631][THEN] = ActionEntry(REDUCE, 321);
   _actionMap[631][OR] = ActionEntry(REDUCE, 321);
   _actionMap[631][AND] = ActionEntry(REDUCE, 321);
   _actionMap[631][INTOK] = ActionEntry(REDUCE, 321);
   _actionMap[631][NOT] = ActionEntry(REDUCE, 321);
   _actionMap[631][BETWEEN] = ActionEntry(REDUCE, 321);
   _actionMap[631][IS] = ActionEntry(REDUCE, 321);
   _actionMap[631][LIKE] = ActionEntry(REDUCE, 321);
   _actionMap[631][MT] = ActionEntry(REDUCE, 321);
   _actionMap[631][LT] = ActionEntry(REDUCE, 321);
   _actionMap[631][NEGATION] = ActionEntry(REDUCE, 321);
   _actionMap[631][EQU] = ActionEntry(REDUCE, 321);
   _actionMap[631][RB] = ActionEntry(REDUCE, 321);
   _actionMap[631][ENDTOKEN] = ActionEntry(REDUCE, 321);
   _actionMap[631][UNION] = ActionEntry(REDUCE, 321);
   _actionMap[631][ROWLIMIT] = ActionEntry(REDUCE, 321);
   _actionMap[631][KSEP] = ActionEntry(REDUCE, 321);
   _actionMap[631][ASC] = ActionEntry(REDUCE, 321);
   _actionMap[631][DESC] = ActionEntry(REDUCE, 321);
   _actionMap[631][SEMICOLON] = ActionEntry(REDUCE, 321);
   _actionMap[631][PLUS] = ActionEntry(REDUCE, 321);
   _actionMap[631][MINUS] = ActionEntry(REDUCE, 321);
}
void Cego::loadParser125()
{
   _actionMap[631][DIVISION] = ActionEntry(REDUCE, 321);
   _actionMap[631][STAR] = ActionEntry(REDUCE, 321);
   _actionMap[631][CONCAT] = ActionEntry(REDUCE, 321);
   _actionMap[632][WHEN] = ActionEntry(REDUCE, 318);
   _actionMap[632][ELSE] = ActionEntry(REDUCE, 318);
   _actionMap[632][LEFT] = ActionEntry(REDUCE, 318);
   _actionMap[632][RIGHT] = ActionEntry(REDUCE, 318);
   _actionMap[632][INNER] = ActionEntry(REDUCE, 318);
   _actionMap[632][JOIN] = ActionEntry(REDUCE, 318);
   _actionMap[632][RETURNTOKEN] = ActionEntry(REDUCE, 318);
   _actionMap[632][ORDER] = ActionEntry(REDUCE, 318);
   _actionMap[632][GROUP] = ActionEntry(REDUCE, 318);
   _actionMap[632][WHERE] = ActionEntry(REDUCE, 318);
   _actionMap[632][FROM] = ActionEntry(REDUCE, 318);
   _actionMap[632][AS] = ActionEntry(REDUCE, 318);
   _actionMap[632][END_TOKEN] = ActionEntry(REDUCE, 318);
   _actionMap[632][BEGIN] = ActionEntry(REDUCE, 318);
   _actionMap[632][THEN] = ActionEntry(REDUCE, 318);
   _actionMap[632][OR] = ActionEntry(REDUCE, 318);
   _actionMap[632][AND] = ActionEntry(REDUCE, 318);
   _actionMap[632][INTOK] = ActionEntry(REDUCE, 318);
   _actionMap[632][NOT] = ActionEntry(REDUCE, 318);
   _actionMap[632][BETWEEN] = ActionEntry(REDUCE, 318);
   _actionMap[632][IS] = ActionEntry(REDUCE, 318);
   _actionMap[632][LIKE] = ActionEntry(REDUCE, 318);
   _actionMap[632][MT] = ActionEntry(REDUCE, 318);
   _actionMap[632][LT] = ActionEntry(REDUCE, 318);
   _actionMap[632][NEGATION] = ActionEntry(REDUCE, 318);
   _actionMap[632][EQU] = ActionEntry(REDUCE, 318);
   _actionMap[632][RB] = ActionEntry(REDUCE, 318);
   _actionMap[632][ENDTOKEN] = ActionEntry(REDUCE, 318);
   _actionMap[632][UNION] = ActionEntry(REDUCE, 318);
   _actionMap[632][ROWLIMIT] = ActionEntry(REDUCE, 318);
   _actionMap[632][KSEP] = ActionEntry(REDUCE, 318);
   _actionMap[632][ASC] = ActionEntry(REDUCE, 318);
   _actionMap[632][DESC] = ActionEntry(REDUCE, 318);
   _actionMap[632][SEMICOLON] = ActionEntry(REDUCE, 318);
   _actionMap[632][PLUS] = ActionEntry(REDUCE, 318);
   _actionMap[632][MINUS] = ActionEntry(REDUCE, 318);
   _actionMap[632][DIVISION] = ActionEntry(REDUCE, 318);
   _actionMap[632][STAR] = ActionEntry(REDUCE, 318);
   _actionMap[632][CONCAT] = ActionEntry(REDUCE, 318);
   _actionMap[633][WHEN] = ActionEntry(REDUCE, 310);
   _actionMap[633][ELSE] = ActionEntry(REDUCE, 310);
   _actionMap[633][LEFT] = ActionEntry(REDUCE, 310);
   _actionMap[633][RIGHT] = ActionEntry(REDUCE, 310);
   _actionMap[633][INNER] = ActionEntry(REDUCE, 310);
   _actionMap[633][JOIN] = ActionEntry(REDUCE, 310);
   _actionMap[633][RETURNTOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[633][ORDER] = ActionEntry(REDUCE, 310);
}
void Cego::loadParser126()
{
   _actionMap[633][GROUP] = ActionEntry(REDUCE, 310);
   _actionMap[633][WHERE] = ActionEntry(REDUCE, 310);
   _actionMap[633][FROM] = ActionEntry(REDUCE, 310);
   _actionMap[633][AS] = ActionEntry(REDUCE, 310);
   _actionMap[633][END_TOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[633][BEGIN] = ActionEntry(REDUCE, 310);
   _actionMap[633][THEN] = ActionEntry(REDUCE, 310);
   _actionMap[633][OR] = ActionEntry(REDUCE, 310);
   _actionMap[633][AND] = ActionEntry(REDUCE, 310);
   _actionMap[633][INTOK] = ActionEntry(REDUCE, 310);
   _actionMap[633][NOT] = ActionEntry(REDUCE, 310);
   _actionMap[633][BETWEEN] = ActionEntry(REDUCE, 310);
   _actionMap[633][IS] = ActionEntry(REDUCE, 310);
   _actionMap[633][LIKE] = ActionEntry(REDUCE, 310);
   _actionMap[633][MT] = ActionEntry(REDUCE, 310);
   _actionMap[633][LT] = ActionEntry(REDUCE, 310);
   _actionMap[633][NEGATION] = ActionEntry(REDUCE, 310);
   _actionMap[633][EQU] = ActionEntry(REDUCE, 310);
   _actionMap[633][RB] = ActionEntry(REDUCE, 310);
   _actionMap[633][ENDTOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[633][UNION] = ActionEntry(REDUCE, 310);
   _actionMap[633][ROWLIMIT] = ActionEntry(REDUCE, 310);
   _actionMap[633][KSEP] = ActionEntry(REDUCE, 310);
   _actionMap[633][ASC] = ActionEntry(REDUCE, 310);
   _actionMap[633][DESC] = ActionEntry(REDUCE, 310);
   _actionMap[633][SEMICOLON] = ActionEntry(REDUCE, 310);
   _actionMap[633][PLUS] = ActionEntry(REDUCE, 310);
   _actionMap[633][MINUS] = ActionEntry(REDUCE, 310);
   _actionMap[633][DIVISION] = ActionEntry(REDUCE, 310);
   _actionMap[633][STAR] = ActionEntry(REDUCE, 310);
   _actionMap[633][CONCAT] = ActionEntry(REDUCE, 310);
   _actionMap[634][WHEN] = ActionEntry(REDUCE, 308);
   _actionMap[634][ELSE] = ActionEntry(REDUCE, 308);
   _actionMap[634][LEFT] = ActionEntry(REDUCE, 308);
   _actionMap[634][RIGHT] = ActionEntry(REDUCE, 308);
   _actionMap[634][INNER] = ActionEntry(REDUCE, 308);
   _actionMap[634][JOIN] = ActionEntry(REDUCE, 308);
   _actionMap[634][RETURNTOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[634][ORDER] = ActionEntry(REDUCE, 308);
   _actionMap[634][GROUP] = ActionEntry(REDUCE, 308);
   _actionMap[634][WHERE] = ActionEntry(REDUCE, 308);
   _actionMap[634][FROM] = ActionEntry(REDUCE, 308);
   _actionMap[634][AS] = ActionEntry(REDUCE, 308);
   _actionMap[634][END_TOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[634][BEGIN] = ActionEntry(REDUCE, 308);
   _actionMap[634][THEN] = ActionEntry(REDUCE, 308);
   _actionMap[634][OR] = ActionEntry(REDUCE, 308);
   _actionMap[634][AND] = ActionEntry(REDUCE, 308);
   _actionMap[634][INTOK] = ActionEntry(REDUCE, 308);
   _actionMap[634][NOT] = ActionEntry(REDUCE, 308);
}
void Cego::loadParser127()
{
   _actionMap[634][BETWEEN] = ActionEntry(REDUCE, 308);
   _actionMap[634][IS] = ActionEntry(REDUCE, 308);
   _actionMap[634][LIKE] = ActionEntry(REDUCE, 308);
   _actionMap[634][MT] = ActionEntry(REDUCE, 308);
   _actionMap[634][LT] = ActionEntry(REDUCE, 308);
   _actionMap[634][NEGATION] = ActionEntry(REDUCE, 308);
   _actionMap[634][EQU] = ActionEntry(REDUCE, 308);
   _actionMap[634][RB] = ActionEntry(REDUCE, 308);
   _actionMap[634][ENDTOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[634][UNION] = ActionEntry(REDUCE, 308);
   _actionMap[634][ROWLIMIT] = ActionEntry(REDUCE, 308);
   _actionMap[634][KSEP] = ActionEntry(REDUCE, 308);
   _actionMap[634][ASC] = ActionEntry(REDUCE, 308);
   _actionMap[634][DESC] = ActionEntry(REDUCE, 308);
   _actionMap[634][SEMICOLON] = ActionEntry(REDUCE, 308);
   _actionMap[634][PLUS] = ActionEntry(REDUCE, 308);
   _actionMap[634][MINUS] = ActionEntry(REDUCE, 308);
   _actionMap[634][DIVISION] = ActionEntry(REDUCE, 308);
   _actionMap[634][STAR] = ActionEntry(REDUCE, 308);
   _actionMap[634][CONCAT] = ActionEntry(REDUCE, 308);
   _actionMap[635][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[635][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[635][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[635][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[635][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[635][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[635][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[635][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[635][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[635][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[635][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[635][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[635][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[635][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[635][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[635][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[635][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[635][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[635][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[635][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[635][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[635][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[635][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[635][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[635][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[635][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[635][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[635][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[635][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[635][LMOD] = ActionEntry(SHIFT, 146);
}
void Cego::loadParser128()
{
   _actionMap[635][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[635][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[635][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[635][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[635][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[635][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[635][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[635][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[635][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[635][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[635][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[635][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[635][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[635][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[635][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[635][LB] = ActionEntry(SHIFT, 172);
   _actionMap[635][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[635][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[635][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[635][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[635][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[635][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[635][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[635][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[635][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[635][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[635][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[635][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[635][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[635][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[635][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[635][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[635][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[635][ObjSpec] = 117;
   _jumpMap[635][Constant] = 116;
   _jumpMap[635][SignedFloat] = 115;
   _jumpMap[635][SignedInt] = 114;
   _jumpMap[635][Attribute] = 113;
   _jumpMap[635][Function] = 112;
   _jumpMap[635][CasePrepare] = 111;
   _jumpMap[635][CaseClause] = 110;
   _jumpMap[635][Factor] = 109;
   _jumpMap[635][Term] = 108;
   _jumpMap[635][Expr] = 764;
   _actionMap[636][WHEN] = ActionEntry(REDUCE, 320);
   _actionMap[636][ELSE] = ActionEntry(REDUCE, 320);
   _actionMap[636][LEFT] = ActionEntry(REDUCE, 320);
   _actionMap[636][RIGHT] = ActionEntry(REDUCE, 320);
   _actionMap[636][INNER] = ActionEntry(REDUCE, 320);
   _actionMap[636][JOIN] = ActionEntry(REDUCE, 320);
}
void Cego::loadParser129()
{
   _actionMap[636][RETURNTOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[636][ORDER] = ActionEntry(REDUCE, 320);
   _actionMap[636][GROUP] = ActionEntry(REDUCE, 320);
   _actionMap[636][WHERE] = ActionEntry(REDUCE, 320);
   _actionMap[636][FROM] = ActionEntry(REDUCE, 320);
   _actionMap[636][AS] = ActionEntry(REDUCE, 320);
   _actionMap[636][END_TOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[636][BEGIN] = ActionEntry(REDUCE, 320);
   _actionMap[636][THEN] = ActionEntry(REDUCE, 320);
   _actionMap[636][OR] = ActionEntry(REDUCE, 320);
   _actionMap[636][AND] = ActionEntry(REDUCE, 320);
   _actionMap[636][INTOK] = ActionEntry(REDUCE, 320);
   _actionMap[636][NOT] = ActionEntry(REDUCE, 320);
   _actionMap[636][BETWEEN] = ActionEntry(REDUCE, 320);
   _actionMap[636][IS] = ActionEntry(REDUCE, 320);
   _actionMap[636][LIKE] = ActionEntry(REDUCE, 320);
   _actionMap[636][MT] = ActionEntry(REDUCE, 320);
   _actionMap[636][LT] = ActionEntry(REDUCE, 320);
   _actionMap[636][NEGATION] = ActionEntry(REDUCE, 320);
   _actionMap[636][EQU] = ActionEntry(REDUCE, 320);
   _actionMap[636][RB] = ActionEntry(REDUCE, 320);
   _actionMap[636][ENDTOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[636][UNION] = ActionEntry(REDUCE, 320);
   _actionMap[636][ROWLIMIT] = ActionEntry(REDUCE, 320);
   _actionMap[636][KSEP] = ActionEntry(REDUCE, 320);
   _actionMap[636][ASC] = ActionEntry(REDUCE, 320);
   _actionMap[636][DESC] = ActionEntry(REDUCE, 320);
   _actionMap[636][SEMICOLON] = ActionEntry(REDUCE, 320);
   _actionMap[636][PLUS] = ActionEntry(REDUCE, 320);
   _actionMap[636][MINUS] = ActionEntry(REDUCE, 320);
   _actionMap[636][DIVISION] = ActionEntry(REDUCE, 320);
   _actionMap[636][STAR] = ActionEntry(REDUCE, 320);
   _actionMap[636][CONCAT] = ActionEntry(REDUCE, 320);
   _actionMap[637][WHEN] = ActionEntry(REDUCE, 179);
   _actionMap[637][ELSE] = ActionEntry(REDUCE, 179);
   _actionMap[637][LEFT] = ActionEntry(REDUCE, 179);
   _actionMap[637][RIGHT] = ActionEntry(REDUCE, 179);
   _actionMap[637][INNER] = ActionEntry(REDUCE, 179);
   _actionMap[637][JOIN] = ActionEntry(REDUCE, 179);
   _actionMap[637][RETURNTOKEN] = ActionEntry(REDUCE, 179);
   _actionMap[637][ORDER] = ActionEntry(REDUCE, 179);
   _actionMap[637][GROUP] = ActionEntry(REDUCE, 179);
   _actionMap[637][WHERE] = ActionEntry(REDUCE, 179);
   _actionMap[637][AS] = ActionEntry(REDUCE, 179);
   _actionMap[637][FROM] = ActionEntry(REDUCE, 179);
   _actionMap[637][END_TOKEN] = ActionEntry(REDUCE, 179);
   _actionMap[637][BEGIN] = ActionEntry(REDUCE, 179);
   _actionMap[637][THEN] = ActionEntry(REDUCE, 179);
   _actionMap[637][OR] = ActionEntry(REDUCE, 179);
   _actionMap[637][AND] = ActionEntry(REDUCE, 179);
}
void Cego::loadParser130()
{
   _actionMap[637][LIKE] = ActionEntry(REDUCE, 179);
   _actionMap[637][IS] = ActionEntry(REDUCE, 179);
   _actionMap[637][BETWEEN] = ActionEntry(REDUCE, 179);
   _actionMap[637][NOT] = ActionEntry(REDUCE, 179);
   _actionMap[637][INTOK] = ActionEntry(REDUCE, 179);
   _actionMap[637][EQU] = ActionEntry(REDUCE, 179);
   _actionMap[637][NEGATION] = ActionEntry(REDUCE, 179);
   _actionMap[637][LT] = ActionEntry(REDUCE, 179);
   _actionMap[637][MT] = ActionEntry(REDUCE, 179);
   _actionMap[637][DESC] = ActionEntry(REDUCE, 179);
   _actionMap[637][ASC] = ActionEntry(REDUCE, 179);
   _actionMap[637][KSEP] = ActionEntry(REDUCE, 179);
   _actionMap[637][ROWLIMIT] = ActionEntry(REDUCE, 179);
   _actionMap[637][UNION] = ActionEntry(REDUCE, 179);
   _actionMap[637][ENDTOKEN] = ActionEntry(REDUCE, 179);
   _actionMap[637][RB] = ActionEntry(REDUCE, 179);
   _actionMap[637][SEMICOLON] = ActionEntry(REDUCE, 179);
   _actionMap[637][CONCAT] = ActionEntry(REDUCE, 179);
   _actionMap[637][STAR] = ActionEntry(REDUCE, 179);
   _actionMap[637][DIVISION] = ActionEntry(REDUCE, 179);
   _actionMap[637][MINUS] = ActionEntry(REDUCE, 179);
   _actionMap[637][PLUS] = ActionEntry(REDUCE, 179);
   _actionMap[638][WHEN] = ActionEntry(REDUCE, 324);
   _actionMap[638][ELSE] = ActionEntry(REDUCE, 324);
   _actionMap[638][LEFT] = ActionEntry(REDUCE, 324);
   _actionMap[638][RIGHT] = ActionEntry(REDUCE, 324);
   _actionMap[638][INNER] = ActionEntry(REDUCE, 324);
   _actionMap[638][JOIN] = ActionEntry(REDUCE, 324);
   _actionMap[638][RETURNTOKEN] = ActionEntry(REDUCE, 324);
   _actionMap[638][ORDER] = ActionEntry(REDUCE, 324);
   _actionMap[638][GROUP] = ActionEntry(REDUCE, 324);
   _actionMap[638][WHERE] = ActionEntry(REDUCE, 324);
   _actionMap[638][FROM] = ActionEntry(REDUCE, 324);
   _actionMap[638][AS] = ActionEntry(REDUCE, 324);
   _actionMap[638][END_TOKEN] = ActionEntry(REDUCE, 324);
   _actionMap[638][BEGIN] = ActionEntry(REDUCE, 324);
   _actionMap[638][THEN] = ActionEntry(REDUCE, 324);
   _actionMap[638][OR] = ActionEntry(REDUCE, 324);
   _actionMap[638][AND] = ActionEntry(REDUCE, 324);
   _actionMap[638][INTOK] = ActionEntry(REDUCE, 324);
   _actionMap[638][NOT] = ActionEntry(REDUCE, 324);
   _actionMap[638][BETWEEN] = ActionEntry(REDUCE, 324);
   _actionMap[638][IS] = ActionEntry(REDUCE, 324);
   _actionMap[638][LIKE] = ActionEntry(REDUCE, 324);
   _actionMap[638][MT] = ActionEntry(REDUCE, 324);
   _actionMap[638][LT] = ActionEntry(REDUCE, 324);
   _actionMap[638][NEGATION] = ActionEntry(REDUCE, 324);
   _actionMap[638][EQU] = ActionEntry(REDUCE, 324);
   _actionMap[638][RB] = ActionEntry(REDUCE, 324);
   _actionMap[638][ENDTOKEN] = ActionEntry(REDUCE, 324);
}
void Cego::loadParser131()
{
   _actionMap[638][UNION] = ActionEntry(REDUCE, 324);
   _actionMap[638][ROWLIMIT] = ActionEntry(REDUCE, 324);
   _actionMap[638][KSEP] = ActionEntry(REDUCE, 324);
   _actionMap[638][ASC] = ActionEntry(REDUCE, 324);
   _actionMap[638][DESC] = ActionEntry(REDUCE, 324);
   _actionMap[638][SEMICOLON] = ActionEntry(REDUCE, 324);
   _actionMap[638][PLUS] = ActionEntry(REDUCE, 324);
   _actionMap[638][MINUS] = ActionEntry(REDUCE, 324);
   _actionMap[638][DIVISION] = ActionEntry(REDUCE, 324);
   _actionMap[638][STAR] = ActionEntry(REDUCE, 324);
   _actionMap[638][CONCAT] = ActionEntry(REDUCE, 324);
   _actionMap[639][WHEN] = ActionEntry(REDUCE, 325);
   _actionMap[639][ELSE] = ActionEntry(REDUCE, 325);
   _actionMap[639][LEFT] = ActionEntry(REDUCE, 325);
   _actionMap[639][RIGHT] = ActionEntry(REDUCE, 325);
   _actionMap[639][INNER] = ActionEntry(REDUCE, 325);
   _actionMap[639][JOIN] = ActionEntry(REDUCE, 325);
   _actionMap[639][RETURNTOKEN] = ActionEntry(REDUCE, 325);
   _actionMap[639][ORDER] = ActionEntry(REDUCE, 325);
   _actionMap[639][GROUP] = ActionEntry(REDUCE, 325);
   _actionMap[639][WHERE] = ActionEntry(REDUCE, 325);
   _actionMap[639][FROM] = ActionEntry(REDUCE, 325);
   _actionMap[639][AS] = ActionEntry(REDUCE, 325);
   _actionMap[639][END_TOKEN] = ActionEntry(REDUCE, 325);
   _actionMap[639][BEGIN] = ActionEntry(REDUCE, 325);
   _actionMap[639][THEN] = ActionEntry(REDUCE, 325);
   _actionMap[639][OR] = ActionEntry(REDUCE, 325);
   _actionMap[639][AND] = ActionEntry(REDUCE, 325);
   _actionMap[639][INTOK] = ActionEntry(REDUCE, 325);
   _actionMap[639][NOT] = ActionEntry(REDUCE, 325);
   _actionMap[639][BETWEEN] = ActionEntry(REDUCE, 325);
   _actionMap[639][IS] = ActionEntry(REDUCE, 325);
   _actionMap[639][LIKE] = ActionEntry(REDUCE, 325);
   _actionMap[639][MT] = ActionEntry(REDUCE, 325);
   _actionMap[639][LT] = ActionEntry(REDUCE, 325);
   _actionMap[639][NEGATION] = ActionEntry(REDUCE, 325);
   _actionMap[639][EQU] = ActionEntry(REDUCE, 325);
   _actionMap[639][RB] = ActionEntry(REDUCE, 325);
   _actionMap[639][ENDTOKEN] = ActionEntry(REDUCE, 325);
   _actionMap[639][UNION] = ActionEntry(REDUCE, 325);
   _actionMap[639][ROWLIMIT] = ActionEntry(REDUCE, 325);
   _actionMap[639][KSEP] = ActionEntry(REDUCE, 325);
   _actionMap[639][ASC] = ActionEntry(REDUCE, 325);
   _actionMap[639][DESC] = ActionEntry(REDUCE, 325);
   _actionMap[639][SEMICOLON] = ActionEntry(REDUCE, 325);
   _actionMap[639][PLUS] = ActionEntry(REDUCE, 325);
   _actionMap[639][MINUS] = ActionEntry(REDUCE, 325);
   _actionMap[639][DIVISION] = ActionEntry(REDUCE, 325);
   _actionMap[639][STAR] = ActionEntry(REDUCE, 325);
   _actionMap[639][CONCAT] = ActionEntry(REDUCE, 325);
}
void Cego::loadParser132()
{
   _actionMap[640][WHEN] = ActionEntry(REDUCE, 326);
   _actionMap[640][ELSE] = ActionEntry(REDUCE, 326);
   _actionMap[640][LEFT] = ActionEntry(REDUCE, 326);
   _actionMap[640][RIGHT] = ActionEntry(REDUCE, 326);
   _actionMap[640][INNER] = ActionEntry(REDUCE, 326);
   _actionMap[640][JOIN] = ActionEntry(REDUCE, 326);
   _actionMap[640][RETURNTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[640][ORDER] = ActionEntry(REDUCE, 326);
   _actionMap[640][GROUP] = ActionEntry(REDUCE, 326);
   _actionMap[640][WHERE] = ActionEntry(REDUCE, 326);
   _actionMap[640][FROM] = ActionEntry(REDUCE, 326);
   _actionMap[640][AS] = ActionEntry(REDUCE, 326);
   _actionMap[640][END_TOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[640][BEGIN] = ActionEntry(REDUCE, 326);
   _actionMap[640][THEN] = ActionEntry(REDUCE, 326);
   _actionMap[640][OR] = ActionEntry(REDUCE, 326);
   _actionMap[640][AND] = ActionEntry(REDUCE, 326);
   _actionMap[640][INTOK] = ActionEntry(REDUCE, 326);
   _actionMap[640][NOT] = ActionEntry(REDUCE, 326);
   _actionMap[640][BETWEEN] = ActionEntry(REDUCE, 326);
   _actionMap[640][IS] = ActionEntry(REDUCE, 326);
   _actionMap[640][LIKE] = ActionEntry(REDUCE, 326);
   _actionMap[640][MT] = ActionEntry(REDUCE, 326);
   _actionMap[640][LT] = ActionEntry(REDUCE, 326);
   _actionMap[640][NEGATION] = ActionEntry(REDUCE, 326);
   _actionMap[640][EQU] = ActionEntry(REDUCE, 326);
   _actionMap[640][RB] = ActionEntry(REDUCE, 326);
   _actionMap[640][ENDTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[640][UNION] = ActionEntry(REDUCE, 326);
   _actionMap[640][ROWLIMIT] = ActionEntry(REDUCE, 326);
   _actionMap[640][KSEP] = ActionEntry(REDUCE, 326);
   _actionMap[640][ASC] = ActionEntry(REDUCE, 326);
   _actionMap[640][DESC] = ActionEntry(REDUCE, 326);
   _actionMap[640][SEMICOLON] = ActionEntry(REDUCE, 326);
   _actionMap[640][PLUS] = ActionEntry(REDUCE, 326);
   _actionMap[640][MINUS] = ActionEntry(REDUCE, 326);
   _actionMap[640][DIVISION] = ActionEntry(REDUCE, 326);
   _actionMap[640][STAR] = ActionEntry(REDUCE, 326);
   _actionMap[640][CONCAT] = ActionEntry(REDUCE, 326);
   _actionMap[641][WHEN] = ActionEntry(REDUCE, 307);
   _actionMap[641][ELSE] = ActionEntry(REDUCE, 307);
   _actionMap[641][LEFT] = ActionEntry(REDUCE, 307);
   _actionMap[641][RIGHT] = ActionEntry(REDUCE, 307);
   _actionMap[641][INNER] = ActionEntry(REDUCE, 307);
   _actionMap[641][JOIN] = ActionEntry(REDUCE, 307);
   _actionMap[641][RETURNTOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[641][ORDER] = ActionEntry(REDUCE, 307);
   _actionMap[641][GROUP] = ActionEntry(REDUCE, 307);
   _actionMap[641][WHERE] = ActionEntry(REDUCE, 307);
   _actionMap[641][FROM] = ActionEntry(REDUCE, 307);
}
void Cego::loadParser133()
{
   _actionMap[641][AS] = ActionEntry(REDUCE, 307);
   _actionMap[641][END_TOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[641][BEGIN] = ActionEntry(REDUCE, 307);
   _actionMap[641][THEN] = ActionEntry(REDUCE, 307);
   _actionMap[641][OR] = ActionEntry(REDUCE, 307);
   _actionMap[641][AND] = ActionEntry(REDUCE, 307);
   _actionMap[641][INTOK] = ActionEntry(REDUCE, 307);
   _actionMap[641][NOT] = ActionEntry(REDUCE, 307);
   _actionMap[641][BETWEEN] = ActionEntry(REDUCE, 307);
   _actionMap[641][IS] = ActionEntry(REDUCE, 307);
   _actionMap[641][LIKE] = ActionEntry(REDUCE, 307);
   _actionMap[641][MT] = ActionEntry(REDUCE, 307);
   _actionMap[641][LT] = ActionEntry(REDUCE, 307);
   _actionMap[641][NEGATION] = ActionEntry(REDUCE, 307);
   _actionMap[641][EQU] = ActionEntry(REDUCE, 307);
   _actionMap[641][RB] = ActionEntry(REDUCE, 307);
   _actionMap[641][ENDTOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[641][UNION] = ActionEntry(REDUCE, 307);
   _actionMap[641][ROWLIMIT] = ActionEntry(REDUCE, 307);
   _actionMap[641][KSEP] = ActionEntry(REDUCE, 307);
   _actionMap[641][ASC] = ActionEntry(REDUCE, 307);
   _actionMap[641][DESC] = ActionEntry(REDUCE, 307);
   _actionMap[641][SEMICOLON] = ActionEntry(REDUCE, 307);
   _actionMap[641][PLUS] = ActionEntry(REDUCE, 307);
   _actionMap[641][MINUS] = ActionEntry(REDUCE, 307);
   _actionMap[641][DIVISION] = ActionEntry(REDUCE, 307);
   _actionMap[641][STAR] = ActionEntry(REDUCE, 307);
   _actionMap[641][CONCAT] = ActionEntry(REDUCE, 307);
   _actionMap[642][WHEN] = ActionEntry(REDUCE, 323);
   _actionMap[642][ELSE] = ActionEntry(REDUCE, 323);
   _actionMap[642][LEFT] = ActionEntry(REDUCE, 323);
   _actionMap[642][RIGHT] = ActionEntry(REDUCE, 323);
   _actionMap[642][INNER] = ActionEntry(REDUCE, 323);
   _actionMap[642][JOIN] = ActionEntry(REDUCE, 323);
   _actionMap[642][RETURNTOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[642][ORDER] = ActionEntry(REDUCE, 323);
   _actionMap[642][GROUP] = ActionEntry(REDUCE, 323);
   _actionMap[642][WHERE] = ActionEntry(REDUCE, 323);
   _actionMap[642][FROM] = ActionEntry(REDUCE, 323);
   _actionMap[642][AS] = ActionEntry(REDUCE, 323);
   _actionMap[642][END_TOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[642][BEGIN] = ActionEntry(REDUCE, 323);
   _actionMap[642][THEN] = ActionEntry(REDUCE, 323);
   _actionMap[642][OR] = ActionEntry(REDUCE, 323);
   _actionMap[642][AND] = ActionEntry(REDUCE, 323);
   _actionMap[642][INTOK] = ActionEntry(REDUCE, 323);
   _actionMap[642][NOT] = ActionEntry(REDUCE, 323);
   _actionMap[642][BETWEEN] = ActionEntry(REDUCE, 323);
   _actionMap[642][IS] = ActionEntry(REDUCE, 323);
   _actionMap[642][LIKE] = ActionEntry(REDUCE, 323);
}
void Cego::loadParser134()
{
   _actionMap[642][MT] = ActionEntry(REDUCE, 323);
   _actionMap[642][LT] = ActionEntry(REDUCE, 323);
   _actionMap[642][NEGATION] = ActionEntry(REDUCE, 323);
   _actionMap[642][EQU] = ActionEntry(REDUCE, 323);
   _actionMap[642][RB] = ActionEntry(REDUCE, 323);
   _actionMap[642][ENDTOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[642][UNION] = ActionEntry(REDUCE, 323);
   _actionMap[642][ROWLIMIT] = ActionEntry(REDUCE, 323);
   _actionMap[642][KSEP] = ActionEntry(REDUCE, 323);
   _actionMap[642][ASC] = ActionEntry(REDUCE, 323);
   _actionMap[642][DESC] = ActionEntry(REDUCE, 323);
   _actionMap[642][SEMICOLON] = ActionEntry(REDUCE, 323);
   _actionMap[642][PLUS] = ActionEntry(REDUCE, 323);
   _actionMap[642][MINUS] = ActionEntry(REDUCE, 323);
   _actionMap[642][DIVISION] = ActionEntry(REDUCE, 323);
   _actionMap[642][STAR] = ActionEntry(REDUCE, 323);
   _actionMap[642][CONCAT] = ActionEntry(REDUCE, 323);
   _actionMap[643][WHEN] = ActionEntry(REDUCE, 316);
   _actionMap[643][ELSE] = ActionEntry(REDUCE, 316);
   _actionMap[643][LEFT] = ActionEntry(REDUCE, 316);
   _actionMap[643][RIGHT] = ActionEntry(REDUCE, 316);
   _actionMap[643][INNER] = ActionEntry(REDUCE, 316);
   _actionMap[643][JOIN] = ActionEntry(REDUCE, 316);
   _actionMap[643][RETURNTOKEN] = ActionEntry(REDUCE, 316);
   _actionMap[643][ORDER] = ActionEntry(REDUCE, 316);
   _actionMap[643][GROUP] = ActionEntry(REDUCE, 316);
   _actionMap[643][WHERE] = ActionEntry(REDUCE, 316);
   _actionMap[643][FROM] = ActionEntry(REDUCE, 316);
   _actionMap[643][AS] = ActionEntry(REDUCE, 316);
   _actionMap[643][END_TOKEN] = ActionEntry(REDUCE, 316);
   _actionMap[643][BEGIN] = ActionEntry(REDUCE, 316);
   _actionMap[643][THEN] = ActionEntry(REDUCE, 316);
   _actionMap[643][OR] = ActionEntry(REDUCE, 316);
   _actionMap[643][AND] = ActionEntry(REDUCE, 316);
   _actionMap[643][INTOK] = ActionEntry(REDUCE, 316);
   _actionMap[643][NOT] = ActionEntry(REDUCE, 316);
   _actionMap[643][BETWEEN] = ActionEntry(REDUCE, 316);
   _actionMap[643][IS] = ActionEntry(REDUCE, 316);
   _actionMap[643][LIKE] = ActionEntry(REDUCE, 316);
   _actionMap[643][MT] = ActionEntry(REDUCE, 316);
   _actionMap[643][LT] = ActionEntry(REDUCE, 316);
   _actionMap[643][NEGATION] = ActionEntry(REDUCE, 316);
   _actionMap[643][EQU] = ActionEntry(REDUCE, 316);
   _actionMap[643][RB] = ActionEntry(REDUCE, 316);
   _actionMap[643][ENDTOKEN] = ActionEntry(REDUCE, 316);
   _actionMap[643][UNION] = ActionEntry(REDUCE, 316);
   _actionMap[643][ROWLIMIT] = ActionEntry(REDUCE, 316);
   _actionMap[643][KSEP] = ActionEntry(REDUCE, 316);
   _actionMap[643][ASC] = ActionEntry(REDUCE, 316);
   _actionMap[643][DESC] = ActionEntry(REDUCE, 316);
}
void Cego::loadParser135()
{
   _actionMap[643][SEMICOLON] = ActionEntry(REDUCE, 316);
   _actionMap[643][PLUS] = ActionEntry(REDUCE, 316);
   _actionMap[643][MINUS] = ActionEntry(REDUCE, 316);
   _actionMap[643][DIVISION] = ActionEntry(REDUCE, 316);
   _actionMap[643][STAR] = ActionEntry(REDUCE, 316);
   _actionMap[643][CONCAT] = ActionEntry(REDUCE, 316);
   _actionMap[644][WHEN] = ActionEntry(REDUCE, 396);
   _actionMap[644][ELSE] = ActionEntry(REDUCE, 396);
   _actionMap[644][LEFT] = ActionEntry(REDUCE, 396);
   _actionMap[644][RIGHT] = ActionEntry(REDUCE, 396);
   _actionMap[644][INNER] = ActionEntry(REDUCE, 396);
   _actionMap[644][JOIN] = ActionEntry(REDUCE, 396);
   _actionMap[644][RETURNTOKEN] = ActionEntry(REDUCE, 396);
   _actionMap[644][ORDER] = ActionEntry(REDUCE, 396);
   _actionMap[644][GROUP] = ActionEntry(REDUCE, 396);
   _actionMap[644][WHERE] = ActionEntry(REDUCE, 396);
   _actionMap[644][FROM] = ActionEntry(REDUCE, 396);
   _actionMap[644][AS] = ActionEntry(REDUCE, 396);
   _actionMap[644][END_TOKEN] = ActionEntry(REDUCE, 396);
   _actionMap[644][BEGIN] = ActionEntry(REDUCE, 396);
   _actionMap[644][THEN] = ActionEntry(REDUCE, 396);
   _actionMap[644][OR] = ActionEntry(REDUCE, 396);
   _actionMap[644][AND] = ActionEntry(REDUCE, 396);
   _actionMap[644][ENDTOKEN] = ActionEntry(REDUCE, 396);
   _actionMap[644][UNION] = ActionEntry(REDUCE, 396);
   _actionMap[644][ROWLIMIT] = ActionEntry(REDUCE, 396);
   _actionMap[644][ASC] = ActionEntry(REDUCE, 396);
   _actionMap[644][DESC] = ActionEntry(REDUCE, 396);
   _actionMap[644][INTOK] = ActionEntry(REDUCE, 396);
   _actionMap[644][BETWEEN] = ActionEntry(REDUCE, 396);
   _actionMap[644][LIKE] = ActionEntry(REDUCE, 396);
   _actionMap[644][PLUS] = ActionEntry(REDUCE, 396);
   _actionMap[644][MINUS] = ActionEntry(REDUCE, 396);
   _actionMap[644][CONCAT] = ActionEntry(REDUCE, 396);
   _actionMap[644][DIVISION] = ActionEntry(REDUCE, 396);
   _actionMap[644][STAR] = ActionEntry(REDUCE, 396);
   _actionMap[644][MT] = ActionEntry(REDUCE, 396);
   _actionMap[644][LT] = ActionEntry(REDUCE, 396);
   _actionMap[644][NEGATION] = ActionEntry(REDUCE, 396);
   _actionMap[644][EQU] = ActionEntry(REDUCE, 396);
   _actionMap[644][IS] = ActionEntry(REDUCE, 396);
   _actionMap[644][NULLTOKEN] = ActionEntry(REDUCE, 396);
   _actionMap[644][NOT] = ActionEntry(REDUCE, 396);
   _actionMap[644][KSEP] = ActionEntry(REDUCE, 396);
   _actionMap[644][SEMICOLON] = ActionEntry(REDUCE, 396);
   _actionMap[644][RB] = ActionEntry(REDUCE, 396);
   _actionMap[645][INTVAL] = ActionEntry(SHIFT, 330);
   _actionMap[646][WHEN] = ActionEntry(REDUCE, 402);
   _actionMap[646][ELSE] = ActionEntry(REDUCE, 402);
   _actionMap[646][LEFT] = ActionEntry(REDUCE, 402);
}
void Cego::loadParser136()
{
   _actionMap[646][RIGHT] = ActionEntry(REDUCE, 402);
   _actionMap[646][INNER] = ActionEntry(REDUCE, 402);
   _actionMap[646][JOIN] = ActionEntry(REDUCE, 402);
   _actionMap[646][RETURNTOKEN] = ActionEntry(REDUCE, 402);
   _actionMap[646][ORDER] = ActionEntry(REDUCE, 402);
   _actionMap[646][GROUP] = ActionEntry(REDUCE, 402);
   _actionMap[646][WHERE] = ActionEntry(REDUCE, 402);
   _actionMap[646][FROM] = ActionEntry(REDUCE, 402);
   _actionMap[646][AS] = ActionEntry(REDUCE, 402);
   _actionMap[646][END_TOKEN] = ActionEntry(REDUCE, 402);
   _actionMap[646][BEGIN] = ActionEntry(REDUCE, 402);
   _actionMap[646][THEN] = ActionEntry(REDUCE, 402);
   _actionMap[646][OR] = ActionEntry(REDUCE, 402);
   _actionMap[646][AND] = ActionEntry(REDUCE, 402);
   _actionMap[646][ENDTOKEN] = ActionEntry(REDUCE, 402);
   _actionMap[646][UNION] = ActionEntry(REDUCE, 402);
   _actionMap[646][ROWLIMIT] = ActionEntry(REDUCE, 402);
   _actionMap[646][ASC] = ActionEntry(REDUCE, 402);
   _actionMap[646][DESC] = ActionEntry(REDUCE, 402);
   _actionMap[646][INTOK] = ActionEntry(REDUCE, 402);
   _actionMap[646][BETWEEN] = ActionEntry(REDUCE, 402);
   _actionMap[646][LIKE] = ActionEntry(REDUCE, 402);
   _actionMap[646][PLUS] = ActionEntry(REDUCE, 402);
   _actionMap[646][MINUS] = ActionEntry(REDUCE, 402);
   _actionMap[646][CONCAT] = ActionEntry(REDUCE, 402);
   _actionMap[646][DIVISION] = ActionEntry(REDUCE, 402);
   _actionMap[646][STAR] = ActionEntry(REDUCE, 402);
   _actionMap[646][MT] = ActionEntry(REDUCE, 402);
   _actionMap[646][LT] = ActionEntry(REDUCE, 402);
   _actionMap[646][NEGATION] = ActionEntry(REDUCE, 402);
   _actionMap[646][EQU] = ActionEntry(REDUCE, 402);
   _actionMap[646][IS] = ActionEntry(REDUCE, 402);
   _actionMap[646][NULLTOKEN] = ActionEntry(REDUCE, 402);
   _actionMap[646][NOT] = ActionEntry(REDUCE, 402);
   _actionMap[646][KSEP] = ActionEntry(REDUCE, 402);
   _actionMap[646][SEMICOLON] = ActionEntry(REDUCE, 402);
   _actionMap[646][RB] = ActionEntry(REDUCE, 402);
   _actionMap[647][FLOATVAL] = ActionEntry(SHIFT, 331);
   _actionMap[648][WHEN] = ActionEntry(REDUCE, 401);
   _actionMap[648][ELSE] = ActionEntry(REDUCE, 401);
   _actionMap[648][LEFT] = ActionEntry(REDUCE, 401);
   _actionMap[648][RIGHT] = ActionEntry(REDUCE, 401);
   _actionMap[648][INNER] = ActionEntry(REDUCE, 401);
   _actionMap[648][JOIN] = ActionEntry(REDUCE, 401);
   _actionMap[648][RETURNTOKEN] = ActionEntry(REDUCE, 401);
   _actionMap[648][ORDER] = ActionEntry(REDUCE, 401);
   _actionMap[648][GROUP] = ActionEntry(REDUCE, 401);
   _actionMap[648][WHERE] = ActionEntry(REDUCE, 401);
   _actionMap[648][FROM] = ActionEntry(REDUCE, 401);
   _actionMap[648][AS] = ActionEntry(REDUCE, 401);
}
void Cego::loadParser137()
{
   _actionMap[648][END_TOKEN] = ActionEntry(REDUCE, 401);
   _actionMap[648][BEGIN] = ActionEntry(REDUCE, 401);
   _actionMap[648][THEN] = ActionEntry(REDUCE, 401);
   _actionMap[648][OR] = ActionEntry(REDUCE, 401);
   _actionMap[648][AND] = ActionEntry(REDUCE, 401);
   _actionMap[648][ENDTOKEN] = ActionEntry(REDUCE, 401);
   _actionMap[648][UNION] = ActionEntry(REDUCE, 401);
   _actionMap[648][ROWLIMIT] = ActionEntry(REDUCE, 401);
   _actionMap[648][ASC] = ActionEntry(REDUCE, 401);
   _actionMap[648][DESC] = ActionEntry(REDUCE, 401);
   _actionMap[648][INTOK] = ActionEntry(REDUCE, 401);
   _actionMap[648][BETWEEN] = ActionEntry(REDUCE, 401);
   _actionMap[648][LIKE] = ActionEntry(REDUCE, 401);
   _actionMap[648][PLUS] = ActionEntry(REDUCE, 401);
   _actionMap[648][MINUS] = ActionEntry(REDUCE, 401);
   _actionMap[648][CONCAT] = ActionEntry(REDUCE, 401);
   _actionMap[648][DIVISION] = ActionEntry(REDUCE, 401);
   _actionMap[648][STAR] = ActionEntry(REDUCE, 401);
   _actionMap[648][MT] = ActionEntry(REDUCE, 401);
   _actionMap[648][LT] = ActionEntry(REDUCE, 401);
   _actionMap[648][NEGATION] = ActionEntry(REDUCE, 401);
   _actionMap[648][EQU] = ActionEntry(REDUCE, 401);
   _actionMap[648][IS] = ActionEntry(REDUCE, 401);
   _actionMap[648][NULLTOKEN] = ActionEntry(REDUCE, 401);
   _actionMap[648][NOT] = ActionEntry(REDUCE, 401);
   _actionMap[648][KSEP] = ActionEntry(REDUCE, 401);
   _actionMap[648][SEMICOLON] = ActionEntry(REDUCE, 401);
   _actionMap[648][RB] = ActionEntry(REDUCE, 401);
   _actionMap[649][WHEN] = ActionEntry(REDUCE, 403);
   _actionMap[649][ELSE] = ActionEntry(REDUCE, 403);
   _actionMap[649][LEFT] = ActionEntry(REDUCE, 403);
   _actionMap[649][RIGHT] = ActionEntry(REDUCE, 403);
   _actionMap[649][INNER] = ActionEntry(REDUCE, 403);
   _actionMap[649][JOIN] = ActionEntry(REDUCE, 403);
   _actionMap[649][RETURNTOKEN] = ActionEntry(REDUCE, 403);
   _actionMap[649][ORDER] = ActionEntry(REDUCE, 403);
   _actionMap[649][GROUP] = ActionEntry(REDUCE, 403);
   _actionMap[649][WHERE] = ActionEntry(REDUCE, 403);
   _actionMap[649][FROM] = ActionEntry(REDUCE, 403);
   _actionMap[649][AS] = ActionEntry(REDUCE, 403);
   _actionMap[649][END_TOKEN] = ActionEntry(REDUCE, 403);
   _actionMap[649][BEGIN] = ActionEntry(REDUCE, 403);
   _actionMap[649][THEN] = ActionEntry(REDUCE, 403);
   _actionMap[649][OR] = ActionEntry(REDUCE, 403);
   _actionMap[649][AND] = ActionEntry(REDUCE, 403);
   _actionMap[649][ENDTOKEN] = ActionEntry(REDUCE, 403);
   _actionMap[649][UNION] = ActionEntry(REDUCE, 403);
   _actionMap[649][ROWLIMIT] = ActionEntry(REDUCE, 403);
   _actionMap[649][ASC] = ActionEntry(REDUCE, 403);
   _actionMap[649][DESC] = ActionEntry(REDUCE, 403);
}
void Cego::loadParser138()
{
   _actionMap[649][INTOK] = ActionEntry(REDUCE, 403);
   _actionMap[649][BETWEEN] = ActionEntry(REDUCE, 403);
   _actionMap[649][LIKE] = ActionEntry(REDUCE, 403);
   _actionMap[649][PLUS] = ActionEntry(REDUCE, 403);
   _actionMap[649][MINUS] = ActionEntry(REDUCE, 403);
   _actionMap[649][CONCAT] = ActionEntry(REDUCE, 403);
   _actionMap[649][DIVISION] = ActionEntry(REDUCE, 403);
   _actionMap[649][STAR] = ActionEntry(REDUCE, 403);
   _actionMap[649][MT] = ActionEntry(REDUCE, 403);
   _actionMap[649][LT] = ActionEntry(REDUCE, 403);
   _actionMap[649][NEGATION] = ActionEntry(REDUCE, 403);
   _actionMap[649][EQU] = ActionEntry(REDUCE, 403);
   _actionMap[649][IS] = ActionEntry(REDUCE, 403);
   _actionMap[649][NULLTOKEN] = ActionEntry(REDUCE, 403);
   _actionMap[649][NOT] = ActionEntry(REDUCE, 403);
   _actionMap[649][KSEP] = ActionEntry(REDUCE, 403);
   _actionMap[649][SEMICOLON] = ActionEntry(REDUCE, 403);
   _actionMap[649][RB] = ActionEntry(REDUCE, 403);
   _actionMap[650][WHEN] = ActionEntry(REDUCE, 395);
   _actionMap[650][ELSE] = ActionEntry(REDUCE, 395);
   _actionMap[650][LEFT] = ActionEntry(REDUCE, 395);
   _actionMap[650][RIGHT] = ActionEntry(REDUCE, 395);
   _actionMap[650][INNER] = ActionEntry(REDUCE, 395);
   _actionMap[650][JOIN] = ActionEntry(REDUCE, 395);
   _actionMap[650][RETURNTOKEN] = ActionEntry(REDUCE, 395);
   _actionMap[650][ORDER] = ActionEntry(REDUCE, 395);
   _actionMap[650][GROUP] = ActionEntry(REDUCE, 395);
   _actionMap[650][WHERE] = ActionEntry(REDUCE, 395);
   _actionMap[650][FROM] = ActionEntry(REDUCE, 395);
   _actionMap[650][AS] = ActionEntry(REDUCE, 395);
   _actionMap[650][END_TOKEN] = ActionEntry(REDUCE, 395);
   _actionMap[650][BEGIN] = ActionEntry(REDUCE, 395);
   _actionMap[650][THEN] = ActionEntry(REDUCE, 395);
   _actionMap[650][OR] = ActionEntry(REDUCE, 395);
   _actionMap[650][AND] = ActionEntry(REDUCE, 395);
   _actionMap[650][ENDTOKEN] = ActionEntry(REDUCE, 395);
   _actionMap[650][UNION] = ActionEntry(REDUCE, 395);
   _actionMap[650][ROWLIMIT] = ActionEntry(REDUCE, 395);
   _actionMap[650][ASC] = ActionEntry(REDUCE, 395);
   _actionMap[650][DESC] = ActionEntry(REDUCE, 395);
   _actionMap[650][INTOK] = ActionEntry(REDUCE, 395);
   _actionMap[650][BETWEEN] = ActionEntry(REDUCE, 395);
   _actionMap[650][LIKE] = ActionEntry(REDUCE, 395);
   _actionMap[650][PLUS] = ActionEntry(REDUCE, 395);
   _actionMap[650][MINUS] = ActionEntry(REDUCE, 395);
   _actionMap[650][CONCAT] = ActionEntry(REDUCE, 395);
   _actionMap[650][DIVISION] = ActionEntry(REDUCE, 395);
   _actionMap[650][STAR] = ActionEntry(REDUCE, 395);
   _actionMap[650][MT] = ActionEntry(REDUCE, 395);
   _actionMap[650][LT] = ActionEntry(REDUCE, 395);
}
void Cego::loadParser139()
{
   _actionMap[650][NEGATION] = ActionEntry(REDUCE, 395);
   _actionMap[650][EQU] = ActionEntry(REDUCE, 395);
   _actionMap[650][IS] = ActionEntry(REDUCE, 395);
   _actionMap[650][NULLTOKEN] = ActionEntry(REDUCE, 395);
   _actionMap[650][NOT] = ActionEntry(REDUCE, 395);
   _actionMap[650][KSEP] = ActionEntry(REDUCE, 395);
   _actionMap[650][SEMICOLON] = ActionEntry(REDUCE, 395);
   _actionMap[650][RB] = ActionEntry(REDUCE, 395);
   _actionMap[651][WHEN] = ActionEntry(REDUCE, 397);
   _actionMap[651][ELSE] = ActionEntry(REDUCE, 397);
   _actionMap[651][LEFT] = ActionEntry(REDUCE, 397);
   _actionMap[651][RIGHT] = ActionEntry(REDUCE, 397);
   _actionMap[651][INNER] = ActionEntry(REDUCE, 397);
   _actionMap[651][JOIN] = ActionEntry(REDUCE, 397);
   _actionMap[651][RETURNTOKEN] = ActionEntry(REDUCE, 397);
   _actionMap[651][ORDER] = ActionEntry(REDUCE, 397);
   _actionMap[651][GROUP] = ActionEntry(REDUCE, 397);
   _actionMap[651][WHERE] = ActionEntry(REDUCE, 397);
   _actionMap[651][FROM] = ActionEntry(REDUCE, 397);
   _actionMap[651][AS] = ActionEntry(REDUCE, 397);
   _actionMap[651][END_TOKEN] = ActionEntry(REDUCE, 397);
   _actionMap[651][BEGIN] = ActionEntry(REDUCE, 397);
   _actionMap[651][THEN] = ActionEntry(REDUCE, 397);
   _actionMap[651][OR] = ActionEntry(REDUCE, 397);
   _actionMap[651][AND] = ActionEntry(REDUCE, 397);
   _actionMap[651][ENDTOKEN] = ActionEntry(REDUCE, 397);
   _actionMap[651][UNION] = ActionEntry(REDUCE, 397);
   _actionMap[651][ROWLIMIT] = ActionEntry(REDUCE, 397);
   _actionMap[651][ASC] = ActionEntry(REDUCE, 397);
   _actionMap[651][DESC] = ActionEntry(REDUCE, 397);
   _actionMap[651][INTOK] = ActionEntry(REDUCE, 397);
   _actionMap[651][BETWEEN] = ActionEntry(REDUCE, 397);
   _actionMap[651][LIKE] = ActionEntry(REDUCE, 397);
   _actionMap[651][PLUS] = ActionEntry(REDUCE, 397);
   _actionMap[651][MINUS] = ActionEntry(REDUCE, 397);
   _actionMap[651][CONCAT] = ActionEntry(REDUCE, 397);
   _actionMap[651][DIVISION] = ActionEntry(REDUCE, 397);
   _actionMap[651][STAR] = ActionEntry(REDUCE, 397);
   _actionMap[651][MT] = ActionEntry(REDUCE, 397);
   _actionMap[651][LT] = ActionEntry(REDUCE, 397);
   _actionMap[651][NEGATION] = ActionEntry(REDUCE, 397);
   _actionMap[651][EQU] = ActionEntry(REDUCE, 397);
   _actionMap[651][IS] = ActionEntry(REDUCE, 397);
   _actionMap[651][NULLTOKEN] = ActionEntry(REDUCE, 397);
   _actionMap[651][NOT] = ActionEntry(REDUCE, 397);
   _actionMap[651][KSEP] = ActionEntry(REDUCE, 397);
   _actionMap[651][SEMICOLON] = ActionEntry(REDUCE, 397);
   _actionMap[651][RB] = ActionEntry(REDUCE, 397);
   _actionMap[652][WHEN] = ActionEntry(REDUCE, 398);
   _actionMap[652][ELSE] = ActionEntry(REDUCE, 398);
}
void Cego::loadParser140()
{
   _actionMap[652][LEFT] = ActionEntry(REDUCE, 398);
   _actionMap[652][RIGHT] = ActionEntry(REDUCE, 398);
   _actionMap[652][INNER] = ActionEntry(REDUCE, 398);
   _actionMap[652][JOIN] = ActionEntry(REDUCE, 398);
   _actionMap[652][RETURNTOKEN] = ActionEntry(REDUCE, 398);
   _actionMap[652][ORDER] = ActionEntry(REDUCE, 398);
   _actionMap[652][GROUP] = ActionEntry(REDUCE, 398);
   _actionMap[652][WHERE] = ActionEntry(REDUCE, 398);
   _actionMap[652][FROM] = ActionEntry(REDUCE, 398);
   _actionMap[652][AS] = ActionEntry(REDUCE, 398);
   _actionMap[652][END_TOKEN] = ActionEntry(REDUCE, 398);
   _actionMap[652][BEGIN] = ActionEntry(REDUCE, 398);
   _actionMap[652][THEN] = ActionEntry(REDUCE, 398);
   _actionMap[652][OR] = ActionEntry(REDUCE, 398);
   _actionMap[652][AND] = ActionEntry(REDUCE, 398);
   _actionMap[652][ENDTOKEN] = ActionEntry(REDUCE, 398);
   _actionMap[652][UNION] = ActionEntry(REDUCE, 398);
   _actionMap[652][ROWLIMIT] = ActionEntry(REDUCE, 398);
   _actionMap[652][ASC] = ActionEntry(REDUCE, 398);
   _actionMap[652][DESC] = ActionEntry(REDUCE, 398);
   _actionMap[652][INTOK] = ActionEntry(REDUCE, 398);
   _actionMap[652][BETWEEN] = ActionEntry(REDUCE, 398);
   _actionMap[652][LIKE] = ActionEntry(REDUCE, 398);
   _actionMap[652][PLUS] = ActionEntry(REDUCE, 398);
   _actionMap[652][MINUS] = ActionEntry(REDUCE, 398);
   _actionMap[652][CONCAT] = ActionEntry(REDUCE, 398);
   _actionMap[652][DIVISION] = ActionEntry(REDUCE, 398);
   _actionMap[652][STAR] = ActionEntry(REDUCE, 398);
   _actionMap[652][MT] = ActionEntry(REDUCE, 398);
   _actionMap[652][LT] = ActionEntry(REDUCE, 398);
   _actionMap[652][NEGATION] = ActionEntry(REDUCE, 398);
   _actionMap[652][EQU] = ActionEntry(REDUCE, 398);
   _actionMap[652][IS] = ActionEntry(REDUCE, 398);
   _actionMap[652][NULLTOKEN] = ActionEntry(REDUCE, 398);
   _actionMap[652][NOT] = ActionEntry(REDUCE, 398);
   _actionMap[652][KSEP] = ActionEntry(REDUCE, 398);
   _actionMap[652][SEMICOLON] = ActionEntry(REDUCE, 398);
   _actionMap[652][RB] = ActionEntry(REDUCE, 398);
   _actionMap[653][SEMICOLON] = ActionEntry(REDUCE, 300);
   _actionMap[654][SEMICOLON] = ActionEntry(REDUCE, 299);
   _actionMap[655][SEMICOLON] = ActionEntry(REDUCE, 304);
   _actionMap[656][SEMICOLON] = ActionEntry(REDUCE, 301);
   _actionMap[657][SEMICOLON] = ActionEntry(REDUCE, 302);
   _actionMap[658][SEMICOLON] = ActionEntry(REDUCE, 298);
   _actionMap[659][SEMICOLON] = ActionEntry(REDUCE, 303);
   _actionMap[660][SEMICOLON] = ActionEntry(REDUCE, 257);
   _actionMap[660][RB] = ActionEntry(REDUCE, 257);
   _actionMap[660][ENDTOKEN] = ActionEntry(REDUCE, 257);
   _actionMap[660][UNION] = ActionEntry(REDUCE, 257);
   _actionMap[660][ROWLIMIT] = ActionEntry(REDUCE, 257);
}
void Cego::loadParser141()
{
   _actionMap[660][ORDER] = ActionEntry(REDUCE, 257);
   _actionMap[660][GROUP] = ActionEntry(SHIFT, 767);
   _jumpMap[660][NoGroup] = 766;
   _jumpMap[660][GroupClause] = 765;
   _actionMap[661][LEFT] = ActionEntry(REDUCE, 240);
   _actionMap[661][RIGHT] = ActionEntry(REDUCE, 240);
   _actionMap[661][INNER] = ActionEntry(REDUCE, 240);
   _actionMap[661][JOIN] = ActionEntry(REDUCE, 240);
   _actionMap[661][RETURNTOKEN] = ActionEntry(REDUCE, 240);
   _actionMap[661][SEMICOLON] = ActionEntry(REDUCE, 240);
   _actionMap[661][RB] = ActionEntry(REDUCE, 240);
   _actionMap[661][ENDTOKEN] = ActionEntry(REDUCE, 240);
   _actionMap[661][UNION] = ActionEntry(REDUCE, 240);
   _actionMap[661][ROWLIMIT] = ActionEntry(REDUCE, 240);
   _actionMap[661][ORDER] = ActionEntry(REDUCE, 240);
   _actionMap[661][GROUP] = ActionEntry(REDUCE, 240);
   _actionMap[661][WHERE] = ActionEntry(REDUCE, 240);
   _actionMap[662][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[662][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[662][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[662][ObjSpec] = 508;
   _jumpMap[662][Table] = 768;
   _actionMap[663][JOIN] = ActionEntry(SHIFT, 769);
   _actionMap[664][IDENTIFIER] = ActionEntry(REDUCE, 246);
   _actionMap[664][QUALIFIEDOBJ] = ActionEntry(REDUCE, 246);
   _actionMap[664][QUALIFIEDTS] = ActionEntry(REDUCE, 246);
   _actionMap[665][OUTER] = ActionEntry(SHIFT, 770);
   _actionMap[666][OUTER] = ActionEntry(SHIFT, 771);
   _actionMap[667][LEFT] = ActionEntry(REDUCE, 241);
   _actionMap[667][RIGHT] = ActionEntry(REDUCE, 241);
   _actionMap[667][INNER] = ActionEntry(REDUCE, 241);
   _actionMap[667][JOIN] = ActionEntry(REDUCE, 241);
   _actionMap[667][RETURNTOKEN] = ActionEntry(REDUCE, 241);
   _actionMap[667][SEMICOLON] = ActionEntry(REDUCE, 241);
   _actionMap[667][RB] = ActionEntry(REDUCE, 241);
   _actionMap[667][ENDTOKEN] = ActionEntry(REDUCE, 241);
   _actionMap[667][UNION] = ActionEntry(REDUCE, 241);
   _actionMap[667][ROWLIMIT] = ActionEntry(REDUCE, 241);
   _actionMap[667][ORDER] = ActionEntry(REDUCE, 241);
   _actionMap[667][GROUP] = ActionEntry(REDUCE, 241);
   _actionMap[667][WHERE] = ActionEntry(REDUCE, 241);
   _actionMap[668][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[668][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[668][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[668][ObjSpec] = 508;
   _jumpMap[668][Table] = 773;
   _jumpMap[668][TableList] = 772;
   _actionMap[669][WHERE] = ActionEntry(REDUCE, 250);
   _actionMap[669][GROUP] = ActionEntry(REDUCE, 250);
   _actionMap[669][ORDER] = ActionEntry(REDUCE, 250);
}
void Cego::loadParser142()
{
   _actionMap[669][ROWLIMIT] = ActionEntry(REDUCE, 250);
   _actionMap[669][UNION] = ActionEntry(REDUCE, 250);
   _actionMap[669][ENDTOKEN] = ActionEntry(REDUCE, 250);
   _actionMap[669][RB] = ActionEntry(REDUCE, 250);
   _actionMap[669][SEMICOLON] = ActionEntry(REDUCE, 250);
   _actionMap[669][RETURNTOKEN] = ActionEntry(REDUCE, 250);
   _actionMap[669][LEFT] = ActionEntry(REDUCE, 250);
   _actionMap[669][RIGHT] = ActionEntry(REDUCE, 250);
   _actionMap[669][INNER] = ActionEntry(REDUCE, 250);
   _actionMap[669][JOIN] = ActionEntry(REDUCE, 250);
   _actionMap[669][KSEP] = ActionEntry(REDUCE, 250);
   _actionMap[669][ON] = ActionEntry(REDUCE, 250);
   _actionMap[670][FROM] = ActionEntry(REDUCE, 252);
   _actionMap[670][RB] = ActionEntry(REDUCE, 252);
   _actionMap[670][SEMICOLON] = ActionEntry(REDUCE, 252);
   _actionMap[670][ENDTOKEN] = ActionEntry(REDUCE, 252);
   _actionMap[670][KSEP] = ActionEntry(REDUCE, 252);
   _actionMap[671][FROM] = ActionEntry(REDUCE, 235);
   _actionMap[671][RB] = ActionEntry(REDUCE, 235);
   _actionMap[671][SEMICOLON] = ActionEntry(REDUCE, 235);
   _actionMap[671][ENDTOKEN] = ActionEntry(REDUCE, 235);
   _actionMap[671][KSEP] = ActionEntry(REDUCE, 235);
   _actionMap[672][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[672][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[672][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[672][SEMICOLON] = ActionEntry(REDUCE, 85);
   _actionMap[673][RETURNTOKEN] = ActionEntry(SHIFT, 775);
   _actionMap[673][SEMICOLON] = ActionEntry(REDUCE, 283);
   _jumpMap[673][UpdReturnOpt] = 774;
   _actionMap[674][IDENTIFIER] = ActionEntry(SHIFT, 517);
   _jumpMap[674][Assignment] = 776;
   _actionMap[675][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[675][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[675][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[675][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[675][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[675][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[675][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[675][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[675][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[675][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[675][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[675][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[675][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[675][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[675][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[675][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[675][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[675][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[675][SUBSTR] = ActionEntry(SHIFT, 162);
}
void Cego::loadParser143()
{
   _actionMap[675][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[675][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[675][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[675][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[675][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[675][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[675][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[675][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[675][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[675][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[675][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[675][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[675][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[675][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[675][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[675][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[675][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[675][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[675][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[675][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[675][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[675][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[675][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[675][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[675][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[675][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[675][LB] = ActionEntry(SHIFT, 172);
   _actionMap[675][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[675][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[675][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[675][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[675][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[675][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[675][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[675][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[675][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[675][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[675][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[675][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[675][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[675][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[675][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[675][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[675][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[675][ObjSpec] = 117;
   _jumpMap[675][Constant] = 116;
   _jumpMap[675][SignedFloat] = 115;
   _jumpMap[675][SignedInt] = 114;
   _jumpMap[675][Attribute] = 113;
   _jumpMap[675][Function] = 112;
}
void Cego::loadParser144()
{
   _jumpMap[675][CasePrepare] = 111;
   _jumpMap[675][CaseClause] = 110;
   _jumpMap[675][Factor] = 109;
   _jumpMap[675][Term] = 108;
   _jumpMap[675][Expr] = 777;
   _actionMap[676][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[676][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[676][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[676][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[676][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[676][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[676][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[676][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[676][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[676][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[676][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[676][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[676][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[676][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[676][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[676][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[676][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[676][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[676][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[676][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[676][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[676][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[676][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[676][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[676][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[676][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[676][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[676][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[676][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[676][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[676][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[676][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[676][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[676][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[676][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[676][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[676][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[676][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[676][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[676][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[676][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[676][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[676][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[676][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[676][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
}
void Cego::loadParser145()
{
   _actionMap[676][LB] = ActionEntry(SHIFT, 172);
   _actionMap[676][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[676][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[676][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[676][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[676][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[676][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[676][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[676][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[676][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[676][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[676][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[676][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[676][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[676][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[676][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[676][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[676][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[676][RB] = ActionEntry(REDUCE, 140);
   _jumpMap[676][ObjSpec] = 117;
   _jumpMap[676][Constant] = 116;
   _jumpMap[676][SignedFloat] = 115;
   _jumpMap[676][SignedInt] = 114;
   _jumpMap[676][Attribute] = 113;
   _jumpMap[676][Function] = 112;
   _jumpMap[676][CasePrepare] = 111;
   _jumpMap[676][CaseClause] = 110;
   _jumpMap[676][Factor] = 109;
   _jumpMap[676][Term] = 108;
   _jumpMap[676][Expr] = 375;
   _jumpMap[676][ProcValueList] = 374;
   _jumpMap[676][ProcValueListOpt] = 778;
   _actionMap[365][SEMICOLON] = ActionEntry(REDUCE, 72);
   _actionMap[366][SEMICOLON] = ActionEntry(REDUCE, 290);
   _actionMap[367][KSEP] = ActionEntry(SHIFT, 519);
   _actionMap[367][SEMICOLON] = ActionEntry(REDUCE, 292);
   _actionMap[368][CHECK] = ActionEntry(SHIFT, 520);
   _actionMap[368][FOREIGN] = ActionEntry(SHIFT, 522);
   _actionMap[368][COLUMN] = ActionEntry(SHIFT, 521);
   _actionMap[369][COLUMN] = ActionEntry(SHIFT, 523);
   _actionMap[370][COLUMN] = ActionEntry(SHIFT, 524);
   _actionMap[371][COLUMN] = ActionEntry(SHIFT, 525);
   _actionMap[372][STRINGVAL] = ActionEntry(SHIFT, 526);
   _actionMap[373][RB] = ActionEntry(SHIFT, 376);
   _actionMap[374][KSEP] = ActionEntry(SHIFT, 527);
   _actionMap[374][RB] = ActionEntry(REDUCE, 139);
   _actionMap[375][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[375][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[375][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[375][KSEP] = ActionEntry(REDUCE, 142);
}
void Cego::loadParser146()
{
   _actionMap[375][RB] = ActionEntry(REDUCE, 142);
   _actionMap[376][SEMICOLON] = ActionEntry(REDUCE, 58);
   _actionMap[377][END_TOKEN] = ActionEntry(SHIFT, 528);
   _actionMap[378][EXCEPTION] = ActionEntry(REDUCE, 137);
   _actionMap[378][ELSE] = ActionEntry(REDUCE, 137);
   _actionMap[378][ELSIF] = ActionEntry(REDUCE, 137);
   _actionMap[378][END_TOKEN] = ActionEntry(REDUCE, 137);
   _actionMap[378][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[378][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[378][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[378][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[378][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[378][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[378][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[378][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[378][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[378][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[378][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[378][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[378][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[378][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[378][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[378][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[378][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[378][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[378][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[378][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[378][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[378][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[378][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[378][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[378][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[378][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[378][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[378][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[378][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[378][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[378][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[378][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[378][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[378][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[378][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[378][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[378][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[378][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[378][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[378][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[378][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[378][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[378][IDENTIFIER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser147()
{
   _actionMap[378][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[378][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[378][LB] = ActionEntry(SHIFT, 172);
   _actionMap[378][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[378][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[378][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[378][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[378][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[378][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[378][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[378][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[378][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[378][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[378][VARREF] = ActionEntry(SHIFT, 400);
   _actionMap[378][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[378][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[378][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[378][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[378][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[378][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[378][IF] = ActionEntry(SHIFT, 394);
   _actionMap[378][BEGIN] = ActionEntry(SHIFT, 391);
   _actionMap[378][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[378][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[378][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[378][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[378][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[378][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[378][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[378][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[378][VAR] = ActionEntry(SHIFT, 398);
   _actionMap[378][CURSOR] = ActionEntry(SHIFT, 393);
   _actionMap[378][CLOSE] = ActionEntry(SHIFT, 392);
   _actionMap[378][NOOP] = ActionEntry(SHIFT, 395);
   _actionMap[378][THROW] = ActionEntry(SHIFT, 397);
   _actionMap[378][RETURNTOKEN] = ActionEntry(SHIFT, 396);
   _actionMap[378][WHILE] = ActionEntry(SHIFT, 399);
   _jumpMap[378][ObjSpec] = 117;
   _jumpMap[378][Constant] = 116;
   _jumpMap[378][SignedFloat] = 115;
   _jumpMap[378][SignedInt] = 114;
   _jumpMap[378][Attribute] = 113;
   _jumpMap[378][Function] = 112;
   _jumpMap[378][DeleteStatement] = 390;
   _jumpMap[378][UpdateStatement] = 389;
   _jumpMap[378][InsertStatement] = 388;
   _jumpMap[378][UnlockStatement] = 387;
   _jumpMap[378][LockStatement] = 386;
   _jumpMap[378][RollbackStatement] = 385;
   _jumpMap[378][CommitStatement] = 384;
}
void Cego::loadParser148()
{
   _jumpMap[378][StartStatement] = 383;
   _jumpMap[378][CasePrepare] = 111;
   _jumpMap[378][CaseClause] = 110;
   _jumpMap[378][Factor] = 109;
   _jumpMap[378][Term] = 108;
   _jumpMap[378][Expr] = 382;
   _jumpMap[378][ProcStatement] = 530;
   _jumpMap[378][ProcIfPart] = 380;
   _jumpMap[378][ProcExceptionList] = 529;
   _jumpMap[378][ProcBlockStart] = 379;
   _actionMap[379][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[379][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[379][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[379][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[379][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[379][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[379][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[379][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[379][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[379][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[379][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[379][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[379][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[379][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[379][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[379][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[379][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[379][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[379][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[379][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[379][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[379][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[379][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[379][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[379][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[379][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[379][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[379][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[379][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[379][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[379][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[379][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[379][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[379][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[379][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[379][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[379][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[379][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[379][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[379][CLOB2STR] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser149()
{
   _actionMap[379][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[379][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[379][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[379][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[379][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[379][LB] = ActionEntry(SHIFT, 172);
   _actionMap[379][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[379][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[379][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[379][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[379][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[379][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[379][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[379][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[379][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[379][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[379][VARREF] = ActionEntry(SHIFT, 400);
   _actionMap[379][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[379][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[379][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[379][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[379][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[379][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[379][IF] = ActionEntry(SHIFT, 394);
   _actionMap[379][BEGIN] = ActionEntry(SHIFT, 391);
   _actionMap[379][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[379][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[379][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[379][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[379][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[379][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[379][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[379][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[379][VAR] = ActionEntry(SHIFT, 398);
   _actionMap[379][CURSOR] = ActionEntry(SHIFT, 393);
   _actionMap[379][CLOSE] = ActionEntry(SHIFT, 392);
   _actionMap[379][NOOP] = ActionEntry(SHIFT, 395);
   _actionMap[379][THROW] = ActionEntry(SHIFT, 397);
   _actionMap[379][RETURNTOKEN] = ActionEntry(SHIFT, 396);
   _actionMap[379][WHILE] = ActionEntry(SHIFT, 399);
   _jumpMap[379][ObjSpec] = 117;
   _jumpMap[379][Constant] = 116;
   _jumpMap[379][SignedFloat] = 115;
   _jumpMap[379][SignedInt] = 114;
   _jumpMap[379][Attribute] = 113;
   _jumpMap[379][Function] = 112;
   _jumpMap[379][DeleteStatement] = 390;
   _jumpMap[379][UpdateStatement] = 389;
   _jumpMap[379][InsertStatement] = 388;
   _jumpMap[379][UnlockStatement] = 387;
}
void Cego::loadParser150()
{
   _jumpMap[379][LockStatement] = 386;
   _jumpMap[379][RollbackStatement] = 385;
   _jumpMap[379][CommitStatement] = 384;
   _jumpMap[379][StartStatement] = 383;
   _jumpMap[379][CasePrepare] = 111;
   _jumpMap[379][CaseClause] = 110;
   _jumpMap[379][Factor] = 109;
   _jumpMap[379][Term] = 108;
   _jumpMap[379][Expr] = 382;
   _jumpMap[379][ProcStatement] = 381;
   _jumpMap[379][ProcIfPart] = 380;
   _jumpMap[379][ProcBlockStart] = 379;
   _jumpMap[379][ProcStatementList] = 378;
   _jumpMap[379][ProcStmtBlock] = 531;
   _actionMap[380][ELSIF] = ActionEntry(SHIFT, 534);
   _actionMap[380][END_TOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[380][ELSE] = ActionEntry(REDUCE, 147);
   _jumpMap[380][ProcElsIfOpt] = 533;
   _jumpMap[380][ProcElsIfList] = 532;
   _actionMap[381][SEMICOLON] = ActionEntry(SHIFT, 535);
   _actionMap[382][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[382][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[382][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[382][SEMICOLON] = ActionEntry(REDUCE, 118);
   _actionMap[383][SEMICOLON] = ActionEntry(REDUCE, 127);
   _actionMap[384][SEMICOLON] = ActionEntry(REDUCE, 128);
   _actionMap[385][SEMICOLON] = ActionEntry(REDUCE, 129);
   _actionMap[386][SEMICOLON] = ActionEntry(REDUCE, 130);
   _actionMap[387][SEMICOLON] = ActionEntry(REDUCE, 131);
   _actionMap[388][SEMICOLON] = ActionEntry(REDUCE, 124);
   _actionMap[389][SEMICOLON] = ActionEntry(REDUCE, 126);
   _actionMap[390][SEMICOLON] = ActionEntry(REDUCE, 125);
   _actionMap[391][VAR] = ActionEntry(REDUCE, 135);
   _actionMap[391][CURSOR] = ActionEntry(REDUCE, 135);
   _actionMap[391][CLOSE] = ActionEntry(REDUCE, 135);
   _actionMap[391][VARREF] = ActionEntry(REDUCE, 135);
   _actionMap[391][NOOP] = ActionEntry(REDUCE, 135);
   _actionMap[391][THROW] = ActionEntry(REDUCE, 135);
   _actionMap[391][RETURNTOKEN] = ActionEntry(REDUCE, 135);
   _actionMap[391][WHILE] = ActionEntry(REDUCE, 135);
   _actionMap[391][IF] = ActionEntry(REDUCE, 135);
   _actionMap[391][BEGIN] = ActionEntry(REDUCE, 135);
   _actionMap[391][UNLOCK] = ActionEntry(REDUCE, 135);
   _actionMap[391][LOCK] = ActionEntry(REDUCE, 135);
   _actionMap[391][ROLLBACK] = ActionEntry(REDUCE, 135);
   _actionMap[391][COMMIT] = ActionEntry(REDUCE, 135);
   _actionMap[391][START_TOKEN] = ActionEntry(REDUCE, 135);
   _actionMap[391][UPDATE] = ActionEntry(REDUCE, 135);
   _actionMap[391][DELETETOK] = ActionEntry(REDUCE, 135);
   _actionMap[391][INSERT] = ActionEntry(REDUCE, 135);
}
void Cego::loadParser151()
{
   _actionMap[391][FETCH] = ActionEntry(REDUCE, 135);
   _actionMap[391][LB] = ActionEntry(REDUCE, 135);
   _actionMap[391][COUNT] = ActionEntry(REDUCE, 135);
   _actionMap[391][SUM] = ActionEntry(REDUCE, 135);
   _actionMap[391][AVG] = ActionEntry(REDUCE, 135);
   _actionMap[391][MIN] = ActionEntry(REDUCE, 135);
   _actionMap[391][MAX] = ActionEntry(REDUCE, 135);
   _actionMap[391][CASE] = ActionEntry(REDUCE, 135);
   _actionMap[391][INT2ASC] = ActionEntry(REDUCE, 135);
   _actionMap[391][ASC2INT] = ActionEntry(REDUCE, 135);
   _actionMap[391][TRIM] = ActionEntry(REDUCE, 135);
   _actionMap[391][RTRIM] = ActionEntry(REDUCE, 135);
   _actionMap[391][LTRIM] = ActionEntry(REDUCE, 135);
   _actionMap[391][ROUND] = ActionEntry(REDUCE, 135);
   _actionMap[391][DATE2STR] = ActionEntry(REDUCE, 135);
   _actionMap[391][DATE2LONG] = ActionEntry(REDUCE, 135);
   _actionMap[391][LONG2DATE] = ActionEntry(REDUCE, 135);
   _actionMap[391][NEWDATE] = ActionEntry(REDUCE, 135);
   _actionMap[391][LOWER] = ActionEntry(REDUCE, 135);
   _actionMap[391][UPPER] = ActionEntry(REDUCE, 135);
   _actionMap[391][LEFT] = ActionEntry(REDUCE, 135);
   _actionMap[391][RIGHT] = ActionEntry(REDUCE, 135);
   _actionMap[391][GETPOS] = ActionEntry(REDUCE, 135);
   _actionMap[391][SUBSTR] = ActionEntry(REDUCE, 135);
   _actionMap[391][REPLACE] = ActionEntry(REDUCE, 135);
   _actionMap[391][LENGTH] = ActionEntry(REDUCE, 135);
   _actionMap[391][TRUNC] = ActionEntry(REDUCE, 135);
   _actionMap[391][STR2INT] = ActionEntry(REDUCE, 135);
   _actionMap[391][STR2LONG] = ActionEntry(REDUCE, 135);
   _actionMap[391][STR2DATE] = ActionEntry(REDUCE, 135);
   _actionMap[391][RANDSTR] = ActionEntry(REDUCE, 135);
   _actionMap[391][RANDINT] = ActionEntry(REDUCE, 135);
   _actionMap[391][MOD] = ActionEntry(REDUCE, 135);
   _actionMap[391][DIV] = ActionEntry(REDUCE, 135);
   _actionMap[391][LMOD] = ActionEntry(REDUCE, 135);
   _actionMap[391][LDIV] = ActionEntry(REDUCE, 135);
   _actionMap[391][POWER] = ActionEntry(REDUCE, 135);
   _actionMap[391][BITAND] = ActionEntry(REDUCE, 135);
   _actionMap[391][BITOR] = ActionEntry(REDUCE, 135);
   _actionMap[391][BITXOR] = ActionEntry(REDUCE, 135);
   _actionMap[391][BLOBSIZE] = ActionEntry(REDUCE, 135);
   _actionMap[391][BLOBREF] = ActionEntry(REDUCE, 135);
   _actionMap[391][CLOBSIZE] = ActionEntry(REDUCE, 135);
   _actionMap[391][CLOBREF] = ActionEntry(REDUCE, 135);
   _actionMap[391][CLOB2STR] = ActionEntry(REDUCE, 135);
   _actionMap[391][NEXTCOUNT] = ActionEntry(REDUCE, 135);
   _actionMap[391][SETCOUNT] = ActionEntry(REDUCE, 135);
   _actionMap[391][IDENTIFIER] = ActionEntry(REDUCE, 135);
   _actionMap[391][QUALIFIEDOBJ] = ActionEntry(REDUCE, 135);
   _actionMap[391][QUALIFIEDTS] = ActionEntry(REDUCE, 135);
}
void Cego::loadParser152()
{
   _actionMap[391][QUALIFIEDPRE] = ActionEntry(REDUCE, 135);
   _actionMap[391][STRINGVAL] = ActionEntry(REDUCE, 135);
   _actionMap[391][DATE] = ActionEntry(REDUCE, 135);
   _actionMap[391][SYSDATE] = ActionEntry(REDUCE, 135);
   _actionMap[391][NULLTOKEN] = ActionEntry(REDUCE, 135);
   _actionMap[391][TRUEVAL] = ActionEntry(REDUCE, 135);
   _actionMap[391][FALSEVAL] = ActionEntry(REDUCE, 135);
   _actionMap[391][BLOB] = ActionEntry(REDUCE, 135);
   _actionMap[391][CLOB] = ActionEntry(REDUCE, 135);
   _actionMap[391][FLOATVAL] = ActionEntry(REDUCE, 135);
   _actionMap[391][MINUS] = ActionEntry(REDUCE, 135);
   _actionMap[391][INTVAL] = ActionEntry(REDUCE, 135);
   _actionMap[392][IDENTIFIER] = ActionEntry(SHIFT, 536);
   _actionMap[393][IDENTIFIER] = ActionEntry(SHIFT, 537);
   _actionMap[394][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[394][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[394][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[394][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[394][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[394][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[394][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[394][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[394][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[394][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[394][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[394][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[394][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[394][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[394][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[394][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[394][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[394][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[394][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[394][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[394][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[394][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[394][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[394][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[394][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[394][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[394][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[394][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[394][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[394][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[394][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[394][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[394][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[394][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[394][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[394][BLOBSIZE] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser153()
{
   _actionMap[394][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[394][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[394][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[394][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[394][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[394][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[394][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[394][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[394][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[394][LB] = ActionEntry(SHIFT, 542);
   _actionMap[394][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[394][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[394][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[394][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[394][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[394][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[394][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[394][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[394][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[394][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[394][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[394][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[394][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[394][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[394][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[394][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[394][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[394][ObjSpec] = 117;
   _jumpMap[394][Constant] = 116;
   _jumpMap[394][SignedFloat] = 115;
   _jumpMap[394][SignedInt] = 114;
   _jumpMap[394][Attribute] = 113;
   _jumpMap[394][Function] = 112;
   _jumpMap[394][CasePrepare] = 111;
   _jumpMap[394][CaseClause] = 110;
   _jumpMap[394][Factor] = 109;
   _jumpMap[394][Term] = 108;
   _jumpMap[394][Expr] = 541;
   _jumpMap[394][ProcPredicate] = 540;
   _jumpMap[394][ProcCondition] = 539;
   _jumpMap[394][ProcIfCondition] = 538;
   _actionMap[395][SEMICOLON] = ActionEntry(REDUCE, 119);
   _actionMap[396][SEMICOLON] = ActionEntry(REDUCE, 132);
   _actionMap[396][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[396][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[396][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[396][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[396][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[396][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[396][RTRIM] = ActionEntry(SHIFT, 160);
}
void Cego::loadParser154()
{
   _actionMap[396][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[396][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[396][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[396][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[396][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[396][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[396][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[396][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[396][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[396][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[396][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[396][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[396][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[396][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[396][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[396][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[396][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[396][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[396][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[396][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[396][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[396][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[396][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[396][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[396][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[396][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[396][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[396][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[396][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[396][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[396][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[396][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[396][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[396][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[396][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[396][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[396][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[396][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[396][LB] = ActionEntry(SHIFT, 172);
   _actionMap[396][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[396][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[396][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[396][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[396][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[396][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[396][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[396][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[396][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[396][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[396][VARREF] = ActionEntry(SHIFT, 177);
}
void Cego::loadParser155()
{
   _actionMap[396][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[396][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[396][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[396][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[396][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[396][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[396][ObjSpec] = 117;
   _jumpMap[396][Constant] = 116;
   _jumpMap[396][SignedFloat] = 115;
   _jumpMap[396][SignedInt] = 114;
   _jumpMap[396][Attribute] = 113;
   _jumpMap[396][Function] = 112;
   _jumpMap[396][CasePrepare] = 111;
   _jumpMap[396][CaseClause] = 110;
   _jumpMap[396][Factor] = 109;
   _jumpMap[396][Term] = 108;
   _jumpMap[396][Expr] = 543;
   _actionMap[397][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[397][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[397][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[397][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[397][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[397][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[397][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[397][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[397][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[397][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[397][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[397][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[397][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[397][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[397][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[397][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[397][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[397][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[397][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[397][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[397][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[397][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[397][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[397][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[397][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[397][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[397][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[397][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[397][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[397][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[397][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[397][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[397][BITAND] = ActionEntry(SHIFT, 121);
}
void Cego::loadParser156()
{
   _actionMap[397][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[397][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[397][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[397][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[397][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[397][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[397][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[397][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[397][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[397][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[397][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[397][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[397][LB] = ActionEntry(SHIFT, 172);
   _actionMap[397][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[397][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[397][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[397][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[397][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[397][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[397][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[397][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[397][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[397][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[397][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[397][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[397][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[397][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[397][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[397][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[397][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[397][ObjSpec] = 117;
   _jumpMap[397][Constant] = 116;
   _jumpMap[397][SignedFloat] = 115;
   _jumpMap[397][SignedInt] = 114;
   _jumpMap[397][Attribute] = 113;
   _jumpMap[397][Function] = 112;
   _jumpMap[397][CasePrepare] = 111;
   _jumpMap[397][CaseClause] = 110;
   _jumpMap[397][Factor] = 109;
   _jumpMap[397][Term] = 108;
   _jumpMap[397][Expr] = 544;
   _actionMap[398][IDENTIFIER] = ActionEntry(SHIFT, 545);
   _actionMap[399][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[399][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[399][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[399][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[399][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[399][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[399][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[399][LTRIM] = ActionEntry(SHIFT, 148);
}
void Cego::loadParser157()
{
   _actionMap[399][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[399][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[399][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[399][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[399][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[399][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[399][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[399][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[399][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[399][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[399][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[399][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[399][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[399][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[399][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[399][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[399][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[399][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[399][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[399][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[399][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[399][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[399][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[399][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[399][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[399][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[399][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[399][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[399][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[399][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[399][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[399][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[399][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[399][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[399][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[399][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[399][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[399][LB] = ActionEntry(SHIFT, 542);
   _actionMap[399][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[399][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[399][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[399][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[399][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[399][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[399][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[399][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[399][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[399][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[399][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[399][FETCH] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser158()
{
   _actionMap[399][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[399][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[399][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[399][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[399][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[399][ObjSpec] = 117;
   _jumpMap[399][Constant] = 116;
   _jumpMap[399][SignedFloat] = 115;
   _jumpMap[399][SignedInt] = 114;
   _jumpMap[399][Attribute] = 113;
   _jumpMap[399][Function] = 112;
   _jumpMap[399][CasePrepare] = 111;
   _jumpMap[399][CaseClause] = 110;
   _jumpMap[399][Factor] = 109;
   _jumpMap[399][Term] = 108;
   _jumpMap[399][Expr] = 541;
   _jumpMap[399][ProcPredicate] = 540;
   _jumpMap[399][ProcCondition] = 547;
   _jumpMap[399][ProcWhileCondition] = 546;
   _actionMap[400][CONCAT] = ActionEntry(REDUCE, 170);
   _actionMap[400][STAR] = ActionEntry(REDUCE, 170);
   _actionMap[400][DIVISION] = ActionEntry(REDUCE, 170);
   _actionMap[400][MINUS] = ActionEntry(REDUCE, 170);
   _actionMap[400][PLUS] = ActionEntry(REDUCE, 170);
   _actionMap[400][SEMICOLON] = ActionEntry(REDUCE, 170);
   _actionMap[400][EQU] = ActionEntry(SHIFT, 548);
   _actionMap[401][END_TOKEN] = ActionEntry(SHIFT, 549);
   _actionMap[402][ON] = ActionEntry(SHIFT, 550);
   _actionMap[403][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[403][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[403][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[403][ObjSpec] = 551;
   _actionMap[404][IDENTIFIER] = ActionEntry(SHIFT, 556);
   _actionMap[404][RB] = ActionEntry(REDUCE, 106);
   _jumpMap[404][ProcArg] = 554;
   _jumpMap[404][ProcArgList] = 553;
   _jumpMap[404][ProcArgOpt] = 552;
   _actionMap[405][IDENTIFIER] = ActionEntry(SHIFT, 561);
   _actionMap[405][PRIMARY] = ActionEntry(SHIFT, 560);
   _jumpMap[405][ColumnDesc] = 559;
   _jumpMap[405][KeyColumn] = 558;
   _jumpMap[405][ColumnList] = 557;
   _actionMap[406][INSERT] = ActionEntry(SHIFT, 565);
   _actionMap[406][UPDATE] = ActionEntry(SHIFT, 566);
   _actionMap[406][DELETETOK] = ActionEntry(SHIFT, 564);
   _jumpMap[406][TriggerOp] = 563;
   _jumpMap[406][TriggerCondition] = 562;
   _actionMap[407][INSERT] = ActionEntry(REDUCE, 95);
   _actionMap[407][UPDATE] = ActionEntry(REDUCE, 95);
   _actionMap[407][DELETETOK] = ActionEntry(REDUCE, 95);
}
void Cego::loadParser159()
{
   _actionMap[408][INSERT] = ActionEntry(REDUCE, 94);
   _actionMap[408][UPDATE] = ActionEntry(REDUCE, 94);
   _actionMap[408][DELETETOK] = ActionEntry(REDUCE, 94);
   _actionMap[409][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[409][SelectStatement] = 567;
   _actionMap[410][SEMICOLON] = ActionEntry(REDUCE, 350);
   _actionMap[410][WHERE] = ActionEntry(SHIFT, 413);
   _jumpMap[410][NoWhere] = 412;
   _jumpMap[410][WhereClause] = 411;
   _actionMap[411][SEMICOLON] = ActionEntry(REDUCE, 287);
   _actionMap[412][RETURNTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[412][GROUP] = ActionEntry(REDUCE, 349);
   _actionMap[412][ORDER] = ActionEntry(REDUCE, 349);
   _actionMap[412][ROWLIMIT] = ActionEntry(REDUCE, 349);
   _actionMap[412][UNION] = ActionEntry(REDUCE, 349);
   _actionMap[412][ENDTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[412][RB] = ActionEntry(REDUCE, 349);
   _actionMap[412][SEMICOLON] = ActionEntry(REDUCE, 349);
   _actionMap[413][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[413][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[413][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[413][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[413][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[413][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[413][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[413][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[413][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[413][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[413][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[413][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[413][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[413][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[413][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[413][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[413][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[413][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[413][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[413][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[413][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[413][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[413][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[413][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[413][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[413][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[413][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[413][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[413][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[413][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[413][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[413][POWER] = ActionEntry(SHIFT, 154);
}
void Cego::loadParser160()
{
   _actionMap[413][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[413][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[413][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[413][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[413][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[413][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[413][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[413][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[413][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[413][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[413][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[413][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[413][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[413][LB] = ActionEntry(SHIFT, 434);
   _actionMap[413][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[413][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[413][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[413][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[413][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[413][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[413][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[413][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[413][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[413][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[413][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[413][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[413][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[413][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[413][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[413][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[413][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[413][EXISTS] = ActionEntry(SHIFT, 432);
   _actionMap[413][NOT] = ActionEntry(SHIFT, 433);
   _jumpMap[413][ObjSpec] = 117;
   _jumpMap[413][Constant] = 116;
   _jumpMap[413][SignedFloat] = 115;
   _jumpMap[413][SignedInt] = 114;
   _jumpMap[413][Attribute] = 113;
   _jumpMap[413][QueryPredicate] = 431;
   _jumpMap[413][QueryCondition] = 568;
   _jumpMap[413][Function] = 112;
   _jumpMap[413][CasePrepare] = 111;
   _jumpMap[413][CaseClause] = 110;
   _jumpMap[413][Factor] = 109;
   _jumpMap[413][Term] = 108;
   _jumpMap[413][Expr] = 429;
   _actionMap[414][SEMICOLON] = ActionEntry(REDUCE, 26);
   _actionMap[415][SELECT] = ActionEntry(SHIFT, 34);
   _actionMap[415][VALUES] = ActionEntry(SHIFT, 418);
   _jumpMap[415][SelectStatement] = 417;
}
void Cego::loadParser161()
{
   _jumpMap[415][InsertPrepare] = 416;
   _actionMap[416][LB] = ActionEntry(SHIFT, 571);
   _jumpMap[416][InsertValueSpec] = 570;
   _jumpMap[416][InsertValueSpecList] = 569;
   _actionMap[417][SEMICOLON] = ActionEntry(REDUCE, 218);
   _actionMap[418][LB] = ActionEntry(REDUCE, 221);
   _actionMap[419][IDENTIFIER] = ActionEntry(SHIFT, 573);
   _jumpMap[419][InsertArgList] = 572;
   _actionMap[420][SEMICOLON] = ActionEntry(REDUCE, 14);
   _actionMap[421][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[421][SelectStatement] = 574;
   _actionMap[422][STAR] = ActionEntry(SHIFT, 267);
   _actionMap[422][DIVISION] = ActionEntry(SHIFT, 268);
   _actionMap[422][WHEN] = ActionEntry(REDUCE, 166);
   _actionMap[422][ELSE] = ActionEntry(REDUCE, 166);
   _actionMap[422][LEFT] = ActionEntry(REDUCE, 166);
   _actionMap[422][RIGHT] = ActionEntry(REDUCE, 166);
   _actionMap[422][INNER] = ActionEntry(REDUCE, 166);
   _actionMap[422][JOIN] = ActionEntry(REDUCE, 166);
   _actionMap[422][RETURNTOKEN] = ActionEntry(REDUCE, 166);
   _actionMap[422][ORDER] = ActionEntry(REDUCE, 166);
   _actionMap[422][GROUP] = ActionEntry(REDUCE, 166);
   _actionMap[422][WHERE] = ActionEntry(REDUCE, 166);
   _actionMap[422][BEGIN] = ActionEntry(REDUCE, 166);
   _actionMap[422][THEN] = ActionEntry(REDUCE, 166);
   _actionMap[422][OR] = ActionEntry(REDUCE, 166);
   _actionMap[422][AS] = ActionEntry(REDUCE, 166);
   _actionMap[422][FROM] = ActionEntry(REDUCE, 166);
   _actionMap[422][LIKE] = ActionEntry(REDUCE, 166);
   _actionMap[422][BETWEEN] = ActionEntry(REDUCE, 166);
   _actionMap[422][NOT] = ActionEntry(REDUCE, 166);
   _actionMap[422][INTOK] = ActionEntry(REDUCE, 166);
   _actionMap[422][END_TOKEN] = ActionEntry(REDUCE, 166);
   _actionMap[422][AND] = ActionEntry(REDUCE, 166);
   _actionMap[422][IS] = ActionEntry(REDUCE, 166);
   _actionMap[422][EQU] = ActionEntry(REDUCE, 166);
   _actionMap[422][NEGATION] = ActionEntry(REDUCE, 166);
   _actionMap[422][LT] = ActionEntry(REDUCE, 166);
   _actionMap[422][MT] = ActionEntry(REDUCE, 166);
   _actionMap[422][DESC] = ActionEntry(REDUCE, 166);
   _actionMap[422][ASC] = ActionEntry(REDUCE, 166);
   _actionMap[422][KSEP] = ActionEntry(REDUCE, 166);
   _actionMap[422][ROWLIMIT] = ActionEntry(REDUCE, 166);
   _actionMap[422][UNION] = ActionEntry(REDUCE, 166);
   _actionMap[422][ENDTOKEN] = ActionEntry(REDUCE, 166);
   _actionMap[422][RB] = ActionEntry(REDUCE, 166);
   _actionMap[422][SEMICOLON] = ActionEntry(REDUCE, 166);
   _actionMap[422][CONCAT] = ActionEntry(REDUCE, 166);
   _actionMap[422][MINUS] = ActionEntry(REDUCE, 166);
   _actionMap[422][PLUS] = ActionEntry(REDUCE, 166);
}
void Cego::loadParser162()
{
   _actionMap[423][STAR] = ActionEntry(SHIFT, 267);
   _actionMap[423][DIVISION] = ActionEntry(SHIFT, 268);
   _actionMap[423][WHEN] = ActionEntry(REDUCE, 164);
   _actionMap[423][ELSE] = ActionEntry(REDUCE, 164);
   _actionMap[423][LEFT] = ActionEntry(REDUCE, 164);
   _actionMap[423][RIGHT] = ActionEntry(REDUCE, 164);
   _actionMap[423][INNER] = ActionEntry(REDUCE, 164);
   _actionMap[423][JOIN] = ActionEntry(REDUCE, 164);
   _actionMap[423][RETURNTOKEN] = ActionEntry(REDUCE, 164);
   _actionMap[423][ORDER] = ActionEntry(REDUCE, 164);
   _actionMap[423][GROUP] = ActionEntry(REDUCE, 164);
   _actionMap[423][WHERE] = ActionEntry(REDUCE, 164);
   _actionMap[423][BEGIN] = ActionEntry(REDUCE, 164);
   _actionMap[423][THEN] = ActionEntry(REDUCE, 164);
   _actionMap[423][OR] = ActionEntry(REDUCE, 164);
   _actionMap[423][AS] = ActionEntry(REDUCE, 164);
   _actionMap[423][FROM] = ActionEntry(REDUCE, 164);
   _actionMap[423][LIKE] = ActionEntry(REDUCE, 164);
   _actionMap[423][BETWEEN] = ActionEntry(REDUCE, 164);
   _actionMap[423][NOT] = ActionEntry(REDUCE, 164);
   _actionMap[423][INTOK] = ActionEntry(REDUCE, 164);
   _actionMap[423][END_TOKEN] = ActionEntry(REDUCE, 164);
   _actionMap[423][AND] = ActionEntry(REDUCE, 164);
   _actionMap[423][IS] = ActionEntry(REDUCE, 164);
   _actionMap[423][EQU] = ActionEntry(REDUCE, 164);
   _actionMap[423][NEGATION] = ActionEntry(REDUCE, 164);
   _actionMap[423][LT] = ActionEntry(REDUCE, 164);
   _actionMap[423][MT] = ActionEntry(REDUCE, 164);
   _actionMap[423][DESC] = ActionEntry(REDUCE, 164);
   _actionMap[423][ASC] = ActionEntry(REDUCE, 164);
   _actionMap[423][KSEP] = ActionEntry(REDUCE, 164);
   _actionMap[423][ROWLIMIT] = ActionEntry(REDUCE, 164);
   _actionMap[423][UNION] = ActionEntry(REDUCE, 164);
   _actionMap[423][ENDTOKEN] = ActionEntry(REDUCE, 164);
   _actionMap[423][RB] = ActionEntry(REDUCE, 164);
   _actionMap[423][SEMICOLON] = ActionEntry(REDUCE, 164);
   _actionMap[423][CONCAT] = ActionEntry(REDUCE, 164);
   _actionMap[423][MINUS] = ActionEntry(REDUCE, 164);
   _actionMap[423][PLUS] = ActionEntry(REDUCE, 164);
   _actionMap[424][STAR] = ActionEntry(SHIFT, 267);
   _actionMap[424][DIVISION] = ActionEntry(SHIFT, 268);
   _actionMap[424][WHEN] = ActionEntry(REDUCE, 163);
   _actionMap[424][ELSE] = ActionEntry(REDUCE, 163);
   _actionMap[424][LEFT] = ActionEntry(REDUCE, 163);
   _actionMap[424][RIGHT] = ActionEntry(REDUCE, 163);
   _actionMap[424][INNER] = ActionEntry(REDUCE, 163);
   _actionMap[424][JOIN] = ActionEntry(REDUCE, 163);
   _actionMap[424][RETURNTOKEN] = ActionEntry(REDUCE, 163);
   _actionMap[424][ORDER] = ActionEntry(REDUCE, 163);
   _actionMap[424][GROUP] = ActionEntry(REDUCE, 163);
}
void Cego::loadParser163()
{
   _actionMap[424][WHERE] = ActionEntry(REDUCE, 163);
   _actionMap[424][BEGIN] = ActionEntry(REDUCE, 163);
   _actionMap[424][THEN] = ActionEntry(REDUCE, 163);
   _actionMap[424][OR] = ActionEntry(REDUCE, 163);
   _actionMap[424][AS] = ActionEntry(REDUCE, 163);
   _actionMap[424][FROM] = ActionEntry(REDUCE, 163);
   _actionMap[424][LIKE] = ActionEntry(REDUCE, 163);
   _actionMap[424][BETWEEN] = ActionEntry(REDUCE, 163);
   _actionMap[424][NOT] = ActionEntry(REDUCE, 163);
   _actionMap[424][INTOK] = ActionEntry(REDUCE, 163);
   _actionMap[424][END_TOKEN] = ActionEntry(REDUCE, 163);
   _actionMap[424][AND] = ActionEntry(REDUCE, 163);
   _actionMap[424][IS] = ActionEntry(REDUCE, 163);
   _actionMap[424][EQU] = ActionEntry(REDUCE, 163);
   _actionMap[424][NEGATION] = ActionEntry(REDUCE, 163);
   _actionMap[424][LT] = ActionEntry(REDUCE, 163);
   _actionMap[424][MT] = ActionEntry(REDUCE, 163);
   _actionMap[424][DESC] = ActionEntry(REDUCE, 163);
   _actionMap[424][ASC] = ActionEntry(REDUCE, 163);
   _actionMap[424][KSEP] = ActionEntry(REDUCE, 163);
   _actionMap[424][ROWLIMIT] = ActionEntry(REDUCE, 163);
   _actionMap[424][UNION] = ActionEntry(REDUCE, 163);
   _actionMap[424][ENDTOKEN] = ActionEntry(REDUCE, 163);
   _actionMap[424][RB] = ActionEntry(REDUCE, 163);
   _actionMap[424][SEMICOLON] = ActionEntry(REDUCE, 163);
   _actionMap[424][CONCAT] = ActionEntry(REDUCE, 163);
   _actionMap[424][MINUS] = ActionEntry(REDUCE, 163);
   _actionMap[424][PLUS] = ActionEntry(REDUCE, 163);
   _actionMap[425][WHEN] = ActionEntry(REDUCE, 167);
   _actionMap[425][ELSE] = ActionEntry(REDUCE, 167);
   _actionMap[425][LEFT] = ActionEntry(REDUCE, 167);
   _actionMap[425][RIGHT] = ActionEntry(REDUCE, 167);
   _actionMap[425][INNER] = ActionEntry(REDUCE, 167);
   _actionMap[425][JOIN] = ActionEntry(REDUCE, 167);
   _actionMap[425][RETURNTOKEN] = ActionEntry(REDUCE, 167);
   _actionMap[425][ORDER] = ActionEntry(REDUCE, 167);
   _actionMap[425][GROUP] = ActionEntry(REDUCE, 167);
   _actionMap[425][WHERE] = ActionEntry(REDUCE, 167);
   _actionMap[425][BEGIN] = ActionEntry(REDUCE, 167);
   _actionMap[425][THEN] = ActionEntry(REDUCE, 167);
   _actionMap[425][OR] = ActionEntry(REDUCE, 167);
   _actionMap[425][FROM] = ActionEntry(REDUCE, 167);
   _actionMap[425][AS] = ActionEntry(REDUCE, 167);
   _actionMap[425][END_TOKEN] = ActionEntry(REDUCE, 167);
   _actionMap[425][AND] = ActionEntry(REDUCE, 167);
   _actionMap[425][INTOK] = ActionEntry(REDUCE, 167);
   _actionMap[425][NOT] = ActionEntry(REDUCE, 167);
   _actionMap[425][BETWEEN] = ActionEntry(REDUCE, 167);
   _actionMap[425][IS] = ActionEntry(REDUCE, 167);
   _actionMap[425][LIKE] = ActionEntry(REDUCE, 167);
}
void Cego::loadParser164()
{
   _actionMap[425][MT] = ActionEntry(REDUCE, 167);
   _actionMap[425][LT] = ActionEntry(REDUCE, 167);
   _actionMap[425][NEGATION] = ActionEntry(REDUCE, 167);
   _actionMap[425][EQU] = ActionEntry(REDUCE, 167);
   _actionMap[425][RB] = ActionEntry(REDUCE, 167);
   _actionMap[425][ENDTOKEN] = ActionEntry(REDUCE, 167);
   _actionMap[425][UNION] = ActionEntry(REDUCE, 167);
   _actionMap[425][ROWLIMIT] = ActionEntry(REDUCE, 167);
   _actionMap[425][KSEP] = ActionEntry(REDUCE, 167);
   _actionMap[425][ASC] = ActionEntry(REDUCE, 167);
   _actionMap[425][DESC] = ActionEntry(REDUCE, 167);
   _actionMap[425][SEMICOLON] = ActionEntry(REDUCE, 167);
   _actionMap[425][PLUS] = ActionEntry(REDUCE, 167);
   _actionMap[425][MINUS] = ActionEntry(REDUCE, 167);
   _actionMap[425][CONCAT] = ActionEntry(REDUCE, 167);
   _actionMap[425][DIVISION] = ActionEntry(REDUCE, 167);
   _actionMap[425][STAR] = ActionEntry(REDUCE, 167);
   _actionMap[426][WHEN] = ActionEntry(REDUCE, 168);
   _actionMap[426][ELSE] = ActionEntry(REDUCE, 168);
   _actionMap[426][LEFT] = ActionEntry(REDUCE, 168);
   _actionMap[426][RIGHT] = ActionEntry(REDUCE, 168);
   _actionMap[426][INNER] = ActionEntry(REDUCE, 168);
   _actionMap[426][JOIN] = ActionEntry(REDUCE, 168);
   _actionMap[426][RETURNTOKEN] = ActionEntry(REDUCE, 168);
   _actionMap[426][ORDER] = ActionEntry(REDUCE, 168);
   _actionMap[426][GROUP] = ActionEntry(REDUCE, 168);
   _actionMap[426][WHERE] = ActionEntry(REDUCE, 168);
   _actionMap[426][BEGIN] = ActionEntry(REDUCE, 168);
   _actionMap[426][THEN] = ActionEntry(REDUCE, 168);
   _actionMap[426][OR] = ActionEntry(REDUCE, 168);
   _actionMap[426][FROM] = ActionEntry(REDUCE, 168);
   _actionMap[426][AS] = ActionEntry(REDUCE, 168);
   _actionMap[426][END_TOKEN] = ActionEntry(REDUCE, 168);
   _actionMap[426][AND] = ActionEntry(REDUCE, 168);
   _actionMap[426][INTOK] = ActionEntry(REDUCE, 168);
   _actionMap[426][NOT] = ActionEntry(REDUCE, 168);
   _actionMap[426][BETWEEN] = ActionEntry(REDUCE, 168);
   _actionMap[426][IS] = ActionEntry(REDUCE, 168);
   _actionMap[426][LIKE] = ActionEntry(REDUCE, 168);
   _actionMap[426][MT] = ActionEntry(REDUCE, 168);
   _actionMap[426][LT] = ActionEntry(REDUCE, 168);
   _actionMap[426][NEGATION] = ActionEntry(REDUCE, 168);
   _actionMap[426][EQU] = ActionEntry(REDUCE, 168);
   _actionMap[426][RB] = ActionEntry(REDUCE, 168);
   _actionMap[426][ENDTOKEN] = ActionEntry(REDUCE, 168);
   _actionMap[426][UNION] = ActionEntry(REDUCE, 168);
   _actionMap[426][ROWLIMIT] = ActionEntry(REDUCE, 168);
   _actionMap[426][KSEP] = ActionEntry(REDUCE, 168);
   _actionMap[426][ASC] = ActionEntry(REDUCE, 168);
   _actionMap[426][DESC] = ActionEntry(REDUCE, 168);
}
void Cego::loadParser165()
{
   _actionMap[426][SEMICOLON] = ActionEntry(REDUCE, 168);
   _actionMap[426][PLUS] = ActionEntry(REDUCE, 168);
   _actionMap[426][MINUS] = ActionEntry(REDUCE, 168);
   _actionMap[426][CONCAT] = ActionEntry(REDUCE, 168);
   _actionMap[426][DIVISION] = ActionEntry(REDUCE, 168);
   _actionMap[426][STAR] = ActionEntry(REDUCE, 168);
   _actionMap[427][WHEN] = ActionEntry(REDUCE, 185);
   _actionMap[427][ELSE] = ActionEntry(REDUCE, 185);
   _actionMap[428][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[428][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[428][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[428][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[428][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[428][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[428][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[428][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[428][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[428][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[428][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[428][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[428][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[428][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[428][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[428][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[428][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[428][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[428][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[428][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[428][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[428][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[428][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[428][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[428][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[428][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[428][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[428][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[428][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[428][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[428][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[428][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[428][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[428][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[428][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[428][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[428][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[428][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[428][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[428][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[428][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[428][SETCOUNT] = ActionEntry(SHIFT, 161);
}
void Cego::loadParser166()
{
   _actionMap[428][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[428][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[428][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[428][LB] = ActionEntry(SHIFT, 172);
   _actionMap[428][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[428][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[428][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[428][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[428][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[428][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[428][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[428][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[428][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[428][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[428][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[428][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[428][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[428][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[428][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[428][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[428][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[428][ObjSpec] = 117;
   _jumpMap[428][Constant] = 116;
   _jumpMap[428][SignedFloat] = 115;
   _jumpMap[428][SignedInt] = 114;
   _jumpMap[428][Attribute] = 113;
   _jumpMap[428][Function] = 112;
   _jumpMap[428][CasePrepare] = 111;
   _jumpMap[428][CaseClause] = 110;
   _jumpMap[428][Factor] = 109;
   _jumpMap[428][Term] = 108;
   _jumpMap[428][Expr] = 575;
   _actionMap[429][INTOK] = ActionEntry(SHIFT, 578);
   _actionMap[429][NOT] = ActionEntry(SHIFT, 581);
   _actionMap[429][BETWEEN] = ActionEntry(SHIFT, 577);
   _actionMap[429][IS] = ActionEntry(SHIFT, 579);
   _actionMap[429][LIKE] = ActionEntry(SHIFT, 580);
   _actionMap[429][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[429][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[429][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[429][EQU] = ActionEntry(SHIFT, 582);
   _actionMap[429][NEGATION] = ActionEntry(SHIFT, 585);
   _actionMap[429][LT] = ActionEntry(SHIFT, 583);
   _actionMap[429][MT] = ActionEntry(SHIFT, 584);
   _jumpMap[429][Comparison] = 576;
   _actionMap[430][THEN] = ActionEntry(SHIFT, 588);
   _actionMap[430][AND] = ActionEntry(SHIFT, 586);
   _actionMap[430][OR] = ActionEntry(SHIFT, 587);
   _actionMap[431][THEN] = ActionEntry(REDUCE, 353);
   _actionMap[431][LEFT] = ActionEntry(REDUCE, 353);
}
void Cego::loadParser167()
{
   _actionMap[431][RIGHT] = ActionEntry(REDUCE, 353);
   _actionMap[431][INNER] = ActionEntry(REDUCE, 353);
   _actionMap[431][JOIN] = ActionEntry(REDUCE, 353);
   _actionMap[431][RETURNTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[431][SEMICOLON] = ActionEntry(REDUCE, 353);
   _actionMap[431][RB] = ActionEntry(REDUCE, 353);
   _actionMap[431][ENDTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[431][UNION] = ActionEntry(REDUCE, 353);
   _actionMap[431][ROWLIMIT] = ActionEntry(REDUCE, 353);
   _actionMap[431][ORDER] = ActionEntry(REDUCE, 353);
   _actionMap[431][GROUP] = ActionEntry(REDUCE, 353);
   _actionMap[431][WHERE] = ActionEntry(REDUCE, 353);
   _actionMap[431][OR] = ActionEntry(REDUCE, 353);
   _actionMap[431][AND] = ActionEntry(REDUCE, 353);
   _actionMap[432][LB] = ActionEntry(SHIFT, 589);
   _actionMap[433][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[433][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[433][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[433][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[433][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[433][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[433][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[433][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[433][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[433][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[433][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[433][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[433][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[433][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[433][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[433][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[433][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[433][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[433][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[433][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[433][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[433][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[433][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[433][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[433][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[433][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[433][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[433][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[433][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[433][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[433][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[433][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[433][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[433][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[433][BITXOR] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser168()
{
   _actionMap[433][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[433][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[433][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[433][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[433][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[433][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[433][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[433][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[433][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[433][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[433][LB] = ActionEntry(SHIFT, 434);
   _actionMap[433][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[433][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[433][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[433][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[433][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[433][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[433][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[433][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[433][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[433][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[433][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[433][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[433][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[433][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[433][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[433][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[433][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[433][EXISTS] = ActionEntry(SHIFT, 432);
   _actionMap[433][NOT] = ActionEntry(SHIFT, 433);
   _jumpMap[433][ObjSpec] = 117;
   _jumpMap[433][Constant] = 116;
   _jumpMap[433][SignedFloat] = 115;
   _jumpMap[433][SignedInt] = 114;
   _jumpMap[433][Attribute] = 113;
   _jumpMap[433][QueryPredicate] = 590;
   _jumpMap[433][Function] = 112;
   _jumpMap[433][CasePrepare] = 111;
   _jumpMap[433][CaseClause] = 110;
   _jumpMap[433][Factor] = 109;
   _jumpMap[433][Term] = 108;
   _jumpMap[433][Expr] = 429;
   _actionMap[434][LONG] = ActionEntry(SHIFT, 327);
   _actionMap[434][BIGINT] = ActionEntry(SHIFT, 323);
   _actionMap[434][SMALLINT] = ActionEntry(SHIFT, 328);
   _actionMap[434][TINYINT] = ActionEntry(SHIFT, 329);
   _actionMap[434][DOUBLE] = ActionEntry(SHIFT, 325);
   _actionMap[434][DECIMAL] = ActionEntry(SHIFT, 324);
   _actionMap[434][FIXED] = ActionEntry(SHIFT, 326);
   _actionMap[434][FLOATVAL] = ActionEntry(SHIFT, 175);
}
void Cego::loadParser169()
{
   _actionMap[434][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[434][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[434][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[434][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[434][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[434][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[434][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[434][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[434][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[434][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[434][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[434][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[434][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[434][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[434][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[434][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[434][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[434][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[434][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[434][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[434][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[434][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[434][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[434][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[434][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[434][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[434][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[434][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[434][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[434][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[434][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[434][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[434][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[434][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[434][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[434][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[434][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[434][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[434][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[434][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[434][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[434][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[434][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[434][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[434][LB] = ActionEntry(SHIFT, 434);
   _actionMap[434][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[434][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[434][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[434][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[434][TRUEVAL] = ActionEntry(SHIFT, 169);
}
void Cego::loadParser170()
{
   _actionMap[434][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[434][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[434][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[434][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[434][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[434][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[434][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[434][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[434][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[434][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[434][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[434][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[434][SELECT] = ActionEntry(SHIFT, 34);
   _actionMap[434][EXISTS] = ActionEntry(SHIFT, 432);
   _actionMap[434][NOT] = ActionEntry(SHIFT, 433);
   _jumpMap[434][ObjSpec] = 117;
   _jumpMap[434][Constant] = 116;
   _jumpMap[434][SignedFloat] = 115;
   _jumpMap[434][SignedInt] = 114;
   _jumpMap[434][Attribute] = 113;
   _jumpMap[434][QueryPredicate] = 431;
   _jumpMap[434][QueryCondition] = 592;
   _jumpMap[434][Function] = 112;
   _jumpMap[434][SelectStatement] = 322;
   _jumpMap[434][CasePrepare] = 111;
   _jumpMap[434][CaseClause] = 110;
   _jumpMap[434][Factor] = 109;
   _jumpMap[434][Term] = 108;
   _jumpMap[434][Expr] = 591;
   _actionMap[435][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[435][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[435][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[435][KSEP] = ActionEntry(REDUCE, 347);
   _actionMap[435][RB] = ActionEntry(REDUCE, 347);
   _actionMap[436][RB] = ActionEntry(SHIFT, 594);
   _actionMap[436][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[437][WHEN] = ActionEntry(REDUCE, 345);
   _actionMap[437][ELSE] = ActionEntry(REDUCE, 345);
   _actionMap[437][LEFT] = ActionEntry(REDUCE, 345);
   _actionMap[437][RIGHT] = ActionEntry(REDUCE, 345);
   _actionMap[437][INNER] = ActionEntry(REDUCE, 345);
   _actionMap[437][JOIN] = ActionEntry(REDUCE, 345);
   _actionMap[437][RETURNTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[437][ORDER] = ActionEntry(REDUCE, 345);
   _actionMap[437][GROUP] = ActionEntry(REDUCE, 345);
   _actionMap[437][WHERE] = ActionEntry(REDUCE, 345);
   _actionMap[437][FROM] = ActionEntry(REDUCE, 345);
   _actionMap[437][AS] = ActionEntry(REDUCE, 345);
   _actionMap[437][END_TOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[437][BEGIN] = ActionEntry(REDUCE, 345);
}
void Cego::loadParser171()
{
   _actionMap[437][THEN] = ActionEntry(REDUCE, 345);
   _actionMap[437][OR] = ActionEntry(REDUCE, 345);
   _actionMap[437][AND] = ActionEntry(REDUCE, 345);
   _actionMap[437][INTOK] = ActionEntry(REDUCE, 345);
   _actionMap[437][NOT] = ActionEntry(REDUCE, 345);
   _actionMap[437][BETWEEN] = ActionEntry(REDUCE, 345);
   _actionMap[437][IS] = ActionEntry(REDUCE, 345);
   _actionMap[437][LIKE] = ActionEntry(REDUCE, 345);
   _actionMap[437][MT] = ActionEntry(REDUCE, 345);
   _actionMap[437][LT] = ActionEntry(REDUCE, 345);
   _actionMap[437][NEGATION] = ActionEntry(REDUCE, 345);
   _actionMap[437][EQU] = ActionEntry(REDUCE, 345);
   _actionMap[437][RB] = ActionEntry(REDUCE, 345);
   _actionMap[437][ENDTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[437][UNION] = ActionEntry(REDUCE, 345);
   _actionMap[437][ROWLIMIT] = ActionEntry(REDUCE, 345);
   _actionMap[437][KSEP] = ActionEntry(REDUCE, 345);
   _actionMap[437][ASC] = ActionEntry(REDUCE, 345);
   _actionMap[437][DESC] = ActionEntry(REDUCE, 345);
   _actionMap[437][SEMICOLON] = ActionEntry(REDUCE, 345);
   _actionMap[437][PLUS] = ActionEntry(REDUCE, 345);
   _actionMap[437][MINUS] = ActionEntry(REDUCE, 345);
   _actionMap[437][DIVISION] = ActionEntry(REDUCE, 345);
   _actionMap[437][STAR] = ActionEntry(REDUCE, 345);
   _actionMap[437][CONCAT] = ActionEntry(REDUCE, 345);
   _actionMap[438][RB] = ActionEntry(SHIFT, 595);
   _actionMap[438][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[439][RB] = ActionEntry(SHIFT, 596);
   _actionMap[439][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[439][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[439][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[440][RB] = ActionEntry(SHIFT, 597);
   _actionMap[440][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[441][RB] = ActionEntry(SHIFT, 598);
   _actionMap[441][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[442][RB] = ActionEntry(SHIFT, 599);
   _actionMap[442][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[443][RAB] = ActionEntry(SHIFT, 600);
   _actionMap[444][RB] = ActionEntry(SHIFT, 601);
   _actionMap[444][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[445][RB] = ActionEntry(SHIFT, 602);
   _actionMap[445][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[446][RAB] = ActionEntry(SHIFT, 603);
   _actionMap[447][RB] = ActionEntry(SHIFT, 604);
   _actionMap[447][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[448][RB] = ActionEntry(SHIFT, 605);
   _actionMap[448][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[449][RB] = ActionEntry(SHIFT, 606);
   _actionMap[449][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[450][RB] = ActionEntry(SHIFT, 607);
}
void Cego::loadParser172()
{
   _actionMap[450][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[450][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[450][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[451][RB] = ActionEntry(SHIFT, 608);
   _actionMap[452][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[453][KSEP] = ActionEntry(REDUCE, 411);
   _actionMap[454][RB] = ActionEntry(SHIFT, 610);
   _actionMap[454][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[455][RB] = ActionEntry(SHIFT, 611);
   _actionMap[455][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[456][RB] = ActionEntry(SHIFT, 612);
   _actionMap[456][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[457][LB] = ActionEntry(SHIFT, 613);
   _actionMap[458][RB] = ActionEntry(SHIFT, 614);
   _actionMap[458][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[459][RB] = ActionEntry(SHIFT, 615);
   _actionMap[459][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[460][RB] = ActionEntry(SHIFT, 616);
   _actionMap[460][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[461][RB] = ActionEntry(SHIFT, 617);
   _actionMap[461][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[462][RB] = ActionEntry(SHIFT, 618);
   _actionMap[462][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[463][RB] = ActionEntry(SHIFT, 619);
   _actionMap[463][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[464][RB] = ActionEntry(SHIFT, 620);
   _actionMap[464][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[465][RB] = ActionEntry(SHIFT, 621);
   _actionMap[465][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[466][RB] = ActionEntry(SHIFT, 622);
   _actionMap[466][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[467][RB] = ActionEntry(SHIFT, 623);
   _actionMap[467][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[468][RB] = ActionEntry(SHIFT, 624);
   _actionMap[468][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[468][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[468][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[469][RB] = ActionEntry(SHIFT, 625);
   _actionMap[469][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[469][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[469][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[470][RB] = ActionEntry(SHIFT, 626);
   _actionMap[470][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[471][RB] = ActionEntry(SHIFT, 627);
   _actionMap[472][RB] = ActionEntry(SHIFT, 628);
   _actionMap[472][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[473][RB] = ActionEntry(SHIFT, 629);
   _actionMap[473][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[474][RB] = ActionEntry(SHIFT, 630);
   _actionMap[474][KSEP] = ActionEntry(SHIFT, 593);
}
void Cego::loadParser173()
{
   _actionMap[475][RB] = ActionEntry(SHIFT, 631);
   _actionMap[475][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[476][RB] = ActionEntry(SHIFT, 632);
   _actionMap[476][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[477][RB] = ActionEntry(SHIFT, 633);
   _actionMap[477][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[478][RB] = ActionEntry(SHIFT, 634);
   _actionMap[478][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[479][KSEP] = ActionEntry(SHIFT, 635);
   _actionMap[480][RB] = ActionEntry(SHIFT, 636);
   _actionMap[480][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[481][RB] = ActionEntry(SHIFT, 637);
   _actionMap[481][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[481][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[481][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[482][RB] = ActionEntry(SHIFT, 638);
   _actionMap[482][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[483][RB] = ActionEntry(SHIFT, 639);
   _actionMap[483][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[484][RB] = ActionEntry(SHIFT, 640);
   _actionMap[484][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[485][RB] = ActionEntry(SHIFT, 641);
   _actionMap[485][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[486][RB] = ActionEntry(SHIFT, 642);
   _actionMap[486][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[487][RB] = ActionEntry(SHIFT, 643);
   _actionMap[487][KSEP] = ActionEntry(SHIFT, 593);
   _actionMap[488][WHEN] = ActionEntry(REDUCE, 175);
   _actionMap[488][ELSE] = ActionEntry(REDUCE, 175);
   _actionMap[488][LEFT] = ActionEntry(REDUCE, 175);
   _actionMap[488][RIGHT] = ActionEntry(REDUCE, 175);
   _actionMap[488][INNER] = ActionEntry(REDUCE, 175);
   _actionMap[488][JOIN] = ActionEntry(REDUCE, 175);
   _actionMap[488][RETURNTOKEN] = ActionEntry(REDUCE, 175);
   _actionMap[488][ORDER] = ActionEntry(REDUCE, 175);
   _actionMap[488][GROUP] = ActionEntry(REDUCE, 175);
   _actionMap[488][WHERE] = ActionEntry(REDUCE, 175);
   _actionMap[488][AS] = ActionEntry(REDUCE, 175);
   _actionMap[488][FROM] = ActionEntry(REDUCE, 175);
   _actionMap[488][END_TOKEN] = ActionEntry(REDUCE, 175);
   _actionMap[488][BEGIN] = ActionEntry(REDUCE, 175);
   _actionMap[488][THEN] = ActionEntry(REDUCE, 175);
   _actionMap[488][OR] = ActionEntry(REDUCE, 175);
   _actionMap[488][AND] = ActionEntry(REDUCE, 175);
   _actionMap[488][DESC] = ActionEntry(REDUCE, 175);
   _actionMap[488][ASC] = ActionEntry(REDUCE, 175);
   _actionMap[488][KSEP] = ActionEntry(REDUCE, 175);
   _actionMap[488][ROWLIMIT] = ActionEntry(REDUCE, 175);
   _actionMap[488][UNION] = ActionEntry(REDUCE, 175);
   _actionMap[488][ENDTOKEN] = ActionEntry(REDUCE, 175);
}
void Cego::loadParser174()
{
   _actionMap[488][SEMICOLON] = ActionEntry(REDUCE, 175);
   _actionMap[488][LIKE] = ActionEntry(REDUCE, 175);
   _actionMap[488][BETWEEN] = ActionEntry(REDUCE, 175);
   _actionMap[488][NOT] = ActionEntry(REDUCE, 175);
   _actionMap[488][INTOK] = ActionEntry(REDUCE, 175);
   _actionMap[488][RB] = ActionEntry(REDUCE, 175);
   _actionMap[488][STAR] = ActionEntry(REDUCE, 175);
   _actionMap[488][DIVISION] = ActionEntry(REDUCE, 175);
   _actionMap[488][CONCAT] = ActionEntry(REDUCE, 175);
   _actionMap[488][MINUS] = ActionEntry(REDUCE, 175);
   _actionMap[488][PLUS] = ActionEntry(REDUCE, 175);
   _actionMap[488][IS] = ActionEntry(REDUCE, 175);
   _actionMap[488][EQU] = ActionEntry(REDUCE, 175);
   _actionMap[488][NEGATION] = ActionEntry(REDUCE, 175);
   _actionMap[488][LT] = ActionEntry(REDUCE, 175);
   _actionMap[488][MT] = ActionEntry(REDUCE, 175);
   _actionMap[489][WHEN] = ActionEntry(REDUCE, 176);
   _actionMap[489][ELSE] = ActionEntry(REDUCE, 176);
   _actionMap[489][LEFT] = ActionEntry(REDUCE, 176);
   _actionMap[489][RIGHT] = ActionEntry(REDUCE, 176);
   _actionMap[489][INNER] = ActionEntry(REDUCE, 176);
   _actionMap[489][JOIN] = ActionEntry(REDUCE, 176);
   _actionMap[489][RETURNTOKEN] = ActionEntry(REDUCE, 176);
   _actionMap[489][ORDER] = ActionEntry(REDUCE, 176);
   _actionMap[489][GROUP] = ActionEntry(REDUCE, 176);
   _actionMap[489][WHERE] = ActionEntry(REDUCE, 176);
   _actionMap[489][AS] = ActionEntry(REDUCE, 176);
   _actionMap[489][FROM] = ActionEntry(REDUCE, 176);
   _actionMap[489][END_TOKEN] = ActionEntry(REDUCE, 176);
   _actionMap[489][BEGIN] = ActionEntry(REDUCE, 176);
   _actionMap[489][THEN] = ActionEntry(REDUCE, 176);
   _actionMap[489][OR] = ActionEntry(REDUCE, 176);
   _actionMap[489][AND] = ActionEntry(REDUCE, 176);
   _actionMap[489][DESC] = ActionEntry(REDUCE, 176);
   _actionMap[489][ASC] = ActionEntry(REDUCE, 176);
   _actionMap[489][KSEP] = ActionEntry(REDUCE, 176);
   _actionMap[489][ROWLIMIT] = ActionEntry(REDUCE, 176);
   _actionMap[489][UNION] = ActionEntry(REDUCE, 176);
   _actionMap[489][ENDTOKEN] = ActionEntry(REDUCE, 176);
   _actionMap[489][SEMICOLON] = ActionEntry(REDUCE, 176);
   _actionMap[489][LIKE] = ActionEntry(REDUCE, 176);
   _actionMap[489][BETWEEN] = ActionEntry(REDUCE, 176);
   _actionMap[489][NOT] = ActionEntry(REDUCE, 176);
   _actionMap[489][INTOK] = ActionEntry(REDUCE, 176);
   _actionMap[489][RB] = ActionEntry(REDUCE, 176);
   _actionMap[489][STAR] = ActionEntry(REDUCE, 176);
   _actionMap[489][DIVISION] = ActionEntry(REDUCE, 176);
   _actionMap[489][CONCAT] = ActionEntry(REDUCE, 176);
   _actionMap[489][MINUS] = ActionEntry(REDUCE, 176);
   _actionMap[489][PLUS] = ActionEntry(REDUCE, 176);
}
void Cego::loadParser175()
{
   _actionMap[489][IS] = ActionEntry(REDUCE, 176);
   _actionMap[489][EQU] = ActionEntry(REDUCE, 176);
   _actionMap[489][NEGATION] = ActionEntry(REDUCE, 176);
   _actionMap[489][LT] = ActionEntry(REDUCE, 176);
   _actionMap[489][MT] = ActionEntry(REDUCE, 176);
   _actionMap[490][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[490][MINUS] = ActionEntry(SHIFT, 645);
   _jumpMap[490][SignedInt] = 644;
   _actionMap[491][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[491][MINUS] = ActionEntry(SHIFT, 647);
   _jumpMap[491][SignedFloat] = 646;
   _actionMap[492][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[492][MINUS] = ActionEntry(SHIFT, 647);
   _jumpMap[492][SignedFloat] = 648;
   _actionMap[493][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[493][MINUS] = ActionEntry(SHIFT, 647);
   _jumpMap[493][SignedFloat] = 649;
   _actionMap[494][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[494][MINUS] = ActionEntry(SHIFT, 645);
   _jumpMap[494][SignedInt] = 650;
   _actionMap[495][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[495][MINUS] = ActionEntry(SHIFT, 645);
   _jumpMap[495][SignedInt] = 651;
   _actionMap[496][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[496][MINUS] = ActionEntry(SHIFT, 645);
   _jumpMap[496][SignedInt] = 652;
   _actionMap[497][IDENTIFIER] = ActionEntry(SHIFT, 653);
   _actionMap[498][IDENTIFIER] = ActionEntry(SHIFT, 654);
   _actionMap[499][IDENTIFIER] = ActionEntry(SHIFT, 655);
   _actionMap[500][IDENTIFIER] = ActionEntry(SHIFT, 656);
   _actionMap[501][IDENTIFIER] = ActionEntry(SHIFT, 657);
   _actionMap[502][IDENTIFIER] = ActionEntry(SHIFT, 658);
   _actionMap[503][IDENTIFIER] = ActionEntry(SHIFT, 659);
   _actionMap[504][SEMICOLON] = ActionEntry(REDUCE, 350);
   _actionMap[504][RB] = ActionEntry(REDUCE, 350);
   _actionMap[504][ENDTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[504][UNION] = ActionEntry(REDUCE, 350);
   _actionMap[504][ROWLIMIT] = ActionEntry(REDUCE, 350);
   _actionMap[504][ORDER] = ActionEntry(REDUCE, 350);
   _actionMap[504][GROUP] = ActionEntry(REDUCE, 350);
   _actionMap[504][WHERE] = ActionEntry(SHIFT, 413);
   _jumpMap[504][NoWhere] = 412;
   _jumpMap[504][WhereClause] = 660;
   _actionMap[505][WHERE] = ActionEntry(REDUCE, 239);
   _actionMap[505][GROUP] = ActionEntry(REDUCE, 239);
   _actionMap[505][ORDER] = ActionEntry(REDUCE, 239);
   _actionMap[505][ROWLIMIT] = ActionEntry(REDUCE, 239);
   _actionMap[505][UNION] = ActionEntry(REDUCE, 239);
   _actionMap[505][ENDTOKEN] = ActionEntry(REDUCE, 239);
   _actionMap[505][RB] = ActionEntry(REDUCE, 239);
}
void Cego::loadParser176()
{
   _actionMap[505][SEMICOLON] = ActionEntry(REDUCE, 239);
   _actionMap[505][RETURNTOKEN] = ActionEntry(REDUCE, 239);
   _actionMap[505][INNER] = ActionEntry(SHIFT, 663);
   _actionMap[505][JOIN] = ActionEntry(SHIFT, 664);
   _actionMap[505][LEFT] = ActionEntry(SHIFT, 665);
   _actionMap[505][RIGHT] = ActionEntry(SHIFT, 666);
   _jumpMap[505][InnerJoin] = 662;
   _jumpMap[505][JoinSpec] = 661;
   _actionMap[506][WHERE] = ActionEntry(REDUCE, 238);
   _actionMap[506][GROUP] = ActionEntry(REDUCE, 238);
   _actionMap[506][ORDER] = ActionEntry(REDUCE, 238);
   _actionMap[506][ROWLIMIT] = ActionEntry(REDUCE, 238);
   _actionMap[506][UNION] = ActionEntry(REDUCE, 238);
   _actionMap[506][ENDTOKEN] = ActionEntry(REDUCE, 238);
   _actionMap[506][RB] = ActionEntry(REDUCE, 238);
   _actionMap[506][SEMICOLON] = ActionEntry(REDUCE, 238);
   _actionMap[506][RETURNTOKEN] = ActionEntry(REDUCE, 238);
   _actionMap[507][KSEP] = ActionEntry(SHIFT, 668);
   _actionMap[507][RETURNTOKEN] = ActionEntry(REDUCE, 248);
   _actionMap[507][SEMICOLON] = ActionEntry(REDUCE, 248);
   _actionMap[507][RB] = ActionEntry(REDUCE, 248);
   _actionMap[507][ENDTOKEN] = ActionEntry(REDUCE, 248);
   _actionMap[507][UNION] = ActionEntry(REDUCE, 248);
   _actionMap[507][ROWLIMIT] = ActionEntry(REDUCE, 248);
   _actionMap[507][ORDER] = ActionEntry(REDUCE, 248);
   _actionMap[507][GROUP] = ActionEntry(REDUCE, 248);
   _actionMap[507][WHERE] = ActionEntry(REDUCE, 248);
   _actionMap[507][INNER] = ActionEntry(SHIFT, 663);
   _actionMap[507][JOIN] = ActionEntry(SHIFT, 664);
   _actionMap[507][LEFT] = ActionEntry(SHIFT, 665);
   _actionMap[507][RIGHT] = ActionEntry(SHIFT, 666);
   _jumpMap[507][InnerJoin] = 662;
   _jumpMap[507][JoinSpec] = 667;
   _actionMap[508][WHERE] = ActionEntry(REDUCE, 249);
   _actionMap[508][IDENTIFIER] = ActionEntry(SHIFT, 669);
   _actionMap[508][GROUP] = ActionEntry(REDUCE, 249);
   _actionMap[508][ORDER] = ActionEntry(REDUCE, 249);
   _actionMap[508][ROWLIMIT] = ActionEntry(REDUCE, 249);
   _actionMap[508][UNION] = ActionEntry(REDUCE, 249);
   _actionMap[508][ENDTOKEN] = ActionEntry(REDUCE, 249);
   _actionMap[508][RB] = ActionEntry(REDUCE, 249);
   _actionMap[508][SEMICOLON] = ActionEntry(REDUCE, 249);
   _actionMap[508][RETURNTOKEN] = ActionEntry(REDUCE, 249);
   _actionMap[508][LEFT] = ActionEntry(REDUCE, 249);
   _actionMap[508][RIGHT] = ActionEntry(REDUCE, 249);
   _actionMap[508][INNER] = ActionEntry(REDUCE, 249);
   _actionMap[508][JOIN] = ActionEntry(REDUCE, 249);
   _actionMap[508][KSEP] = ActionEntry(REDUCE, 249);
   _actionMap[508][ON] = ActionEntry(REDUCE, 249);
   _actionMap[509][FROM] = ActionEntry(REDUCE, 237);
}
void Cego::loadParser177()
{
   _actionMap[509][RB] = ActionEntry(REDUCE, 237);
   _actionMap[509][SEMICOLON] = ActionEntry(REDUCE, 237);
   _actionMap[509][ENDTOKEN] = ActionEntry(REDUCE, 237);
   _actionMap[509][KSEP] = ActionEntry(REDUCE, 237);
   _actionMap[510][FROM] = ActionEntry(REDUCE, 253);
   _actionMap[510][RB] = ActionEntry(REDUCE, 253);
   _actionMap[510][SEMICOLON] = ActionEntry(REDUCE, 253);
   _actionMap[510][ENDTOKEN] = ActionEntry(REDUCE, 253);
   _actionMap[510][KSEP] = ActionEntry(REDUCE, 253);
   _actionMap[511][IDENTIFIER] = ActionEntry(SHIFT, 670);
   _actionMap[512][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[512][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[512][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[512][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[512][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[512][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[512][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[512][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[512][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[512][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[512][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[512][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[512][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[512][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[512][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[512][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[512][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[512][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[512][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[512][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[512][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[512][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[512][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[512][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[512][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[512][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[512][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[512][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[512][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[512][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[512][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[512][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[512][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[512][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[512][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[512][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[512][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[512][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[512][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[512][CLOB2STR] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser178()
{
   _actionMap[512][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[512][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[512][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[512][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[512][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[512][LB] = ActionEntry(SHIFT, 172);
   _actionMap[512][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[512][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[512][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[512][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[512][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[512][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[512][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[512][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[512][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[512][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[512][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[512][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[512][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[512][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[512][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[512][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[512][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[512][ObjSpec] = 117;
   _jumpMap[512][Constant] = 116;
   _jumpMap[512][SignedFloat] = 115;
   _jumpMap[512][SignedInt] = 114;
   _jumpMap[512][Attribute] = 113;
   _jumpMap[512][Function] = 112;
   _jumpMap[512][SelectItem] = 671;
   _jumpMap[512][CasePrepare] = 111;
   _jumpMap[512][CaseClause] = 110;
   _jumpMap[512][Factor] = 109;
   _jumpMap[512][Term] = 108;
   _jumpMap[512][Expr] = 345;
   _actionMap[513][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[513][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[513][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[513][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[513][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[513][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[513][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[513][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[513][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[513][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[513][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[513][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[513][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[513][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[513][UPPER] = ActionEntry(SHIFT, 171);
}
void Cego::loadParser179()
{
   _actionMap[513][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[513][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[513][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[513][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[513][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[513][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[513][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[513][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[513][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[513][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[513][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[513][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[513][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[513][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[513][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[513][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[513][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[513][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[513][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[513][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[513][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[513][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[513][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[513][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[513][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[513][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[513][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[513][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[513][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[513][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[513][LB] = ActionEntry(SHIFT, 172);
   _actionMap[513][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[513][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[513][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[513][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[513][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[513][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[513][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[513][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[513][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[513][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[513][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[513][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[513][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[513][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[513][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[513][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[513][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[513][ObjSpec] = 117;
   _jumpMap[513][Constant] = 116;
}
void Cego::loadParser180()
{
   _jumpMap[513][SignedFloat] = 115;
   _jumpMap[513][SignedInt] = 114;
   _jumpMap[513][Attribute] = 113;
   _jumpMap[513][Function] = 112;
   _jumpMap[513][CasePrepare] = 111;
   _jumpMap[513][CaseClause] = 110;
   _jumpMap[513][Factor] = 109;
   _jumpMap[513][Term] = 108;
   _jumpMap[513][Expr] = 672;
   _actionMap[514][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[514][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[514][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[514][SEMICOLON] = ActionEntry(REDUCE, 80);
   _actionMap[515][KSEP] = ActionEntry(SHIFT, 674);
   _actionMap[515][SEMICOLON] = ActionEntry(REDUCE, 350);
   _actionMap[515][RETURNTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[515][WHERE] = ActionEntry(SHIFT, 413);
   _jumpMap[515][NoWhere] = 412;
   _jumpMap[515][WhereClause] = 673;
   _actionMap[516][KSEP] = ActionEntry(REDUCE, 280);
   _actionMap[516][WHERE] = ActionEntry(REDUCE, 280);
   _actionMap[516][GROUP] = ActionEntry(REDUCE, 280);
   _actionMap[516][ORDER] = ActionEntry(REDUCE, 280);
   _actionMap[516][ROWLIMIT] = ActionEntry(REDUCE, 280);
   _actionMap[516][UNION] = ActionEntry(REDUCE, 280);
   _actionMap[516][ENDTOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[516][RB] = ActionEntry(REDUCE, 280);
   _actionMap[516][SEMICOLON] = ActionEntry(REDUCE, 280);
   _actionMap[516][RETURNTOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[517][EQU] = ActionEntry(SHIFT, 675);
   _actionMap[518][LB] = ActionEntry(SHIFT, 676);
   _actionMap[213][SEMICOLON] = ActionEntry(REDUCE, 75);
   _actionMap[214][SEMICOLON] = ActionEntry(REDUCE, 69);
   _actionMap[215][SEMICOLON] = ActionEntry(REDUCE, 73);
   _actionMap[216][SEMICOLON] = ActionEntry(REDUCE, 84);
   _actionMap[217][TO] = ActionEntry(REDUCE, 86);
   _actionMap[217][SEMICOLON] = ActionEntry(REDUCE, 86);
   _actionMap[218][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[218][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[218][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[218][ObjSpec] = 365;
   _actionMap[219][SEMICOLON] = ActionEntry(REDUCE, 71);
   _actionMap[220][SEMICOLON] = ActionEntry(REDUCE, 68);
   _actionMap[221][SEMICOLON] = ActionEntry(REDUCE, 74);
   _actionMap[222][SEMICOLON] = ActionEntry(REDUCE, 70);
   _actionMap[223][ADD] = ActionEntry(SHIFT, 368);
   _actionMap[223][DROP] = ActionEntry(SHIFT, 369);
   _actionMap[223][MODIFY] = ActionEntry(SHIFT, 370);
   _actionMap[223][RENAME] = ActionEntry(SHIFT, 371);
   _jumpMap[223][AlterOption] = 367;
}
void Cego::loadParser181()
{
   _jumpMap[223][AlterList] = 366;
   _actionMap[224][BY] = ActionEntry(SHIFT, 372);
   _actionMap[225][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[225][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[225][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[225][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[225][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[225][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[225][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[225][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[225][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[225][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[225][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[225][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[225][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[225][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[225][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[225][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[225][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[225][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[225][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[225][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[225][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[225][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[225][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[225][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[225][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[225][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[225][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[225][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[225][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[225][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[225][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[225][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[225][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[225][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[225][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[225][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[225][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[225][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[225][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[225][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[225][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[225][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[225][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[225][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[225][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[225][LB] = ActionEntry(SHIFT, 172);
   _actionMap[225][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[225][DATE] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser182()
{
   _actionMap[225][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[225][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[225][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[225][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[225][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[225][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[225][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[225][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[225][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[225][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[225][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[225][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[225][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[225][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[225][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[225][RB] = ActionEntry(REDUCE, 140);
   _jumpMap[225][ObjSpec] = 117;
   _jumpMap[225][Constant] = 116;
   _jumpMap[225][SignedFloat] = 115;
   _jumpMap[225][SignedInt] = 114;
   _jumpMap[225][Attribute] = 113;
   _jumpMap[225][Function] = 112;
   _jumpMap[225][CasePrepare] = 111;
   _jumpMap[225][CaseClause] = 110;
   _jumpMap[225][Factor] = 109;
   _jumpMap[225][Term] = 108;
   _jumpMap[225][Expr] = 375;
   _jumpMap[225][ProcValueList] = 374;
   _jumpMap[225][ProcValueListOpt] = 373;
   _actionMap[226][SEMICOLON] = ActionEntry(REDUCE, 82);
   _actionMap[227][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[227][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[227][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[227][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[227][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[227][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[227][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[227][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[227][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[227][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[227][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[227][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[227][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[227][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[227][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[227][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[227][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[227][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[227][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[227][REPLACE] = ActionEntry(SHIFT, 157);
}
void Cego::loadParser183()
{
   _actionMap[227][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[227][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[227][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[227][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[227][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[227][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[227][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[227][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[227][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[227][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[227][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[227][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[227][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[227][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[227][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[227][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[227][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[227][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[227][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[227][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[227][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[227][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[227][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[227][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[227][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[227][LB] = ActionEntry(SHIFT, 172);
   _actionMap[227][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[227][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[227][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[227][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[227][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[227][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[227][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[227][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[227][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[227][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[227][VARREF] = ActionEntry(SHIFT, 400);
   _actionMap[227][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[227][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[227][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[227][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[227][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[227][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[227][IF] = ActionEntry(SHIFT, 394);
   _actionMap[227][BEGIN] = ActionEntry(SHIFT, 391);
   _actionMap[227][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[227][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[227][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[227][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[227][START_TOKEN] = ActionEntry(SHIFT, 37);
}
void Cego::loadParser184()
{
   _actionMap[227][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[227][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[227][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[227][VAR] = ActionEntry(SHIFT, 398);
   _actionMap[227][CURSOR] = ActionEntry(SHIFT, 393);
   _actionMap[227][CLOSE] = ActionEntry(SHIFT, 392);
   _actionMap[227][NOOP] = ActionEntry(SHIFT, 395);
   _actionMap[227][THROW] = ActionEntry(SHIFT, 397);
   _actionMap[227][RETURNTOKEN] = ActionEntry(SHIFT, 396);
   _actionMap[227][WHILE] = ActionEntry(SHIFT, 399);
   _jumpMap[227][ObjSpec] = 117;
   _jumpMap[227][Constant] = 116;
   _jumpMap[227][SignedFloat] = 115;
   _jumpMap[227][SignedInt] = 114;
   _jumpMap[227][Attribute] = 113;
   _jumpMap[227][Function] = 112;
   _jumpMap[227][DeleteStatement] = 390;
   _jumpMap[227][UpdateStatement] = 389;
   _jumpMap[227][InsertStatement] = 388;
   _jumpMap[227][UnlockStatement] = 387;
   _jumpMap[227][LockStatement] = 386;
   _jumpMap[227][RollbackStatement] = 385;
   _jumpMap[227][CommitStatement] = 384;
   _jumpMap[227][StartStatement] = 383;
   _jumpMap[227][CasePrepare] = 111;
   _jumpMap[227][CaseClause] = 110;
   _jumpMap[227][Factor] = 109;
   _jumpMap[227][Term] = 108;
   _jumpMap[227][Expr] = 382;
   _jumpMap[227][ProcStatement] = 381;
   _jumpMap[227][ProcIfPart] = 380;
   _jumpMap[227][ProcBlockStart] = 379;
   _jumpMap[227][ProcStatementList] = 378;
   _jumpMap[227][ProcStmtBlock] = 377;
   _actionMap[228][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[228][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[228][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[228][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[228][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[228][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[228][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[228][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[228][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[228][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[228][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[228][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[228][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[228][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[228][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[228][LEFT] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser185()
{
   _actionMap[228][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[228][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[228][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[228][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[228][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[228][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[228][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[228][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[228][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[228][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[228][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[228][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[228][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[228][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[228][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[228][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[228][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[228][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[228][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[228][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[228][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[228][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[228][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[228][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[228][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[228][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[228][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[228][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[228][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[228][LB] = ActionEntry(SHIFT, 172);
   _actionMap[228][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[228][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[228][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[228][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[228][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[228][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[228][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[228][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[228][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[228][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[228][VARREF] = ActionEntry(SHIFT, 400);
   _actionMap[228][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[228][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[228][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[228][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[228][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[228][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[228][IF] = ActionEntry(SHIFT, 394);
   _actionMap[228][BEGIN] = ActionEntry(SHIFT, 391);
   _actionMap[228][UNLOCK] = ActionEntry(SHIFT, 28);
}
void Cego::loadParser186()
{
   _actionMap[228][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[228][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[228][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[228][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[228][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[228][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[228][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[228][VAR] = ActionEntry(SHIFT, 398);
   _actionMap[228][CURSOR] = ActionEntry(SHIFT, 393);
   _actionMap[228][CLOSE] = ActionEntry(SHIFT, 392);
   _actionMap[228][NOOP] = ActionEntry(SHIFT, 395);
   _actionMap[228][THROW] = ActionEntry(SHIFT, 397);
   _actionMap[228][RETURNTOKEN] = ActionEntry(SHIFT, 396);
   _actionMap[228][WHILE] = ActionEntry(SHIFT, 399);
   _jumpMap[228][ObjSpec] = 117;
   _jumpMap[228][Constant] = 116;
   _jumpMap[228][SignedFloat] = 115;
   _jumpMap[228][SignedInt] = 114;
   _jumpMap[228][Attribute] = 113;
   _jumpMap[228][Function] = 112;
   _jumpMap[228][DeleteStatement] = 390;
   _jumpMap[228][UpdateStatement] = 389;
   _jumpMap[228][InsertStatement] = 388;
   _jumpMap[228][UnlockStatement] = 387;
   _jumpMap[228][LockStatement] = 386;
   _jumpMap[228][RollbackStatement] = 385;
   _jumpMap[228][CommitStatement] = 384;
   _jumpMap[228][StartStatement] = 383;
   _jumpMap[228][CasePrepare] = 111;
   _jumpMap[228][CaseClause] = 110;
   _jumpMap[228][Factor] = 109;
   _jumpMap[228][Term] = 108;
   _jumpMap[228][Expr] = 382;
   _jumpMap[228][ProcStatement] = 381;
   _jumpMap[228][ProcIfPart] = 380;
   _jumpMap[228][ProcBlockStart] = 379;
   _jumpMap[228][ProcStatementList] = 378;
   _jumpMap[228][ProcStmtBlock] = 401;
   _actionMap[229][IDENTIFIER] = ActionEntry(SHIFT, 402);
   _actionMap[230][ON] = ActionEntry(REDUCE, 209);
   _actionMap[230][IDENTIFIER] = ActionEntry(REDUCE, 209);
   _actionMap[231][ON] = ActionEntry(REDUCE, 208);
   _actionMap[231][IDENTIFIER] = ActionEntry(REDUCE, 208);
   _actionMap[232][SEMICOLON] = ActionEntry(REDUCE, 83);
   _actionMap[233][ON] = ActionEntry(SHIFT, 403);
   _actionMap[234][LB] = ActionEntry(SHIFT, 404);
   _actionMap[235][LB] = ActionEntry(SHIFT, 405);
   _actionMap[236][BEFORE] = ActionEntry(SHIFT, 408);
   _actionMap[236][AFTER] = ActionEntry(SHIFT, 407);
   _jumpMap[236][TriggerEvent] = 406;
}
void Cego::loadParser187()
{
   _actionMap[237][AS] = ActionEntry(SHIFT, 409);
   _actionMap[238][IDENTIFIER] = ActionEntry(SHIFT, 363);
   _actionMap[238][WHERE] = ActionEntry(REDUCE, 289);
   _actionMap[238][GROUP] = ActionEntry(REDUCE, 289);
   _actionMap[238][ORDER] = ActionEntry(REDUCE, 289);
   _actionMap[238][ROWLIMIT] = ActionEntry(REDUCE, 289);
   _actionMap[238][UNION] = ActionEntry(REDUCE, 289);
   _actionMap[238][ENDTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[238][RB] = ActionEntry(REDUCE, 289);
   _actionMap[238][SEMICOLON] = ActionEntry(REDUCE, 289);
   _actionMap[238][RETURNTOKEN] = ActionEntry(REDUCE, 289);
   _jumpMap[238][NoWhere] = 412;
   _jumpMap[238][WhereClause] = 411;
   _jumpMap[238][UpdDelAlias] = 410;
   _actionMap[239][SEMICOLON] = ActionEntry(REDUCE, 24);
   _actionMap[240][SEMICOLON] = ActionEntry(REDUCE, 23);
   _actionMap[241][SEMICOLON] = ActionEntry(REDUCE, 27);
   _actionMap[242][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[242][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[242][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[242][ObjSpec] = 414;
   _actionMap[243][SEMICOLON] = ActionEntry(REDUCE, 28);
   _actionMap[244][SEMICOLON] = ActionEntry(REDUCE, 22);
   _actionMap[245][SEMICOLON] = ActionEntry(REDUCE, 25);
   _actionMap[246][COUNTER] = ActionEntry(REDUCE, 77);
   _actionMap[246][BTREE] = ActionEntry(REDUCE, 77);
   _actionMap[246][INDEX] = ActionEntry(REDUCE, 77);
   _actionMap[246][TRIGGER] = ActionEntry(REDUCE, 77);
   _actionMap[246][CHECK] = ActionEntry(REDUCE, 77);
   _actionMap[246][FOREIGN] = ActionEntry(REDUCE, 77);
   _actionMap[246][PROCEDURE] = ActionEntry(REDUCE, 77);
   _actionMap[246][VIEW] = ActionEntry(REDUCE, 77);
   _actionMap[246][AVLTREE] = ActionEntry(REDUCE, 77);
   _actionMap[246][TABLE] = ActionEntry(REDUCE, 77);
   _actionMap[247][LB] = ActionEntry(SHIFT, 419);
   _actionMap[247][VALUES] = ActionEntry(REDUCE, 220);
   _actionMap[247][SELECT] = ActionEntry(REDUCE, 220);
   _jumpMap[247][SelectStatement] = 417;
   _jumpMap[247][InsertPrepare] = 416;
   _jumpMap[247][InsertArgSpec] = 415;
   _actionMap[248][SEMICOLON] = ActionEntry(REDUCE, 88);
   _actionMap[248][IDENTIFIER] = ActionEntry(REDUCE, 88);
   _actionMap[249][SEMICOLON] = ActionEntry(REDUCE, 7);
   _actionMap[250][IDENTIFIER] = ActionEntry(SHIFT, 420);
   _actionMap[251][SEMICOLON] = ActionEntry(REDUCE, 6);
   _actionMap[252][SEMICOLON] = ActionEntry(REDUCE, 12);
   _actionMap[253][SEMICOLON] = ActionEntry(REDUCE, 9);
   _actionMap[254][SEMICOLON] = ActionEntry(REDUCE, 8);
   _actionMap[255][SEMICOLON] = ActionEntry(REDUCE, 4);
   _actionMap[256][SEMICOLON] = ActionEntry(REDUCE, 10);
}
void Cego::loadParser188()
{
   _actionMap[257][SEMICOLON] = ActionEntry(REDUCE, 3);
   _actionMap[258][SEMICOLON] = ActionEntry(REDUCE, 11);
   _actionMap[259][SEMICOLON] = ActionEntry(REDUCE, 13);
   _actionMap[260][SEMICOLON] = ActionEntry(REDUCE, 5);
   _actionMap[261][AS] = ActionEntry(SHIFT, 421);
   _actionMap[262][SEMICOLON] = ActionEntry(REDUCE, 215);
   _actionMap[263][SEMICOLON] = ActionEntry(REDUCE, 216);
   _actionMap[264][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[264][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[264][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[264][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[264][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[264][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[264][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[264][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[264][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[264][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[264][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[264][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[264][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[264][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[264][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[264][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[264][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[264][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[264][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[264][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[264][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[264][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[264][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[264][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[264][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[264][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[264][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[264][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[264][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[264][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[264][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[264][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[264][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[264][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[264][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[264][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[264][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[264][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[264][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[264][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[264][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[264][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[264][CLOBREF] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser189()
{
   _actionMap[264][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[264][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[264][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[264][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[264][LB] = ActionEntry(SHIFT, 172);
   _actionMap[264][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[264][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[264][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[264][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[264][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[264][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[264][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[264][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[264][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[264][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[264][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[264][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[264][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[264][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[264][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[264][ObjSpec] = 117;
   _jumpMap[264][Constant] = 116;
   _jumpMap[264][SignedFloat] = 115;
   _jumpMap[264][SignedInt] = 114;
   _jumpMap[264][Attribute] = 113;
   _jumpMap[264][Function] = 112;
   _jumpMap[264][CasePrepare] = 111;
   _jumpMap[264][CaseClause] = 110;
   _jumpMap[264][Factor] = 109;
   _jumpMap[264][Term] = 422;
   _actionMap[265][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[265][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[265][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[265][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[265][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[265][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[265][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[265][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[265][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[265][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[265][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[265][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[265][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[265][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[265][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[265][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[265][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[265][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[265][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[265][LEFT] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser190()
{
   _actionMap[265][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[265][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[265][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[265][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[265][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[265][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[265][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[265][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[265][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[265][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[265][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[265][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[265][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[265][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[265][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[265][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[265][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[265][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[265][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[265][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[265][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[265][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[265][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[265][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[265][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[265][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[265][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[265][LB] = ActionEntry(SHIFT, 172);
   _actionMap[265][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[265][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[265][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[265][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[265][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[265][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[265][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[265][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[265][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[265][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[265][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[265][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[265][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[265][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[265][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[265][ObjSpec] = 117;
   _jumpMap[265][Constant] = 116;
   _jumpMap[265][SignedFloat] = 115;
   _jumpMap[265][SignedInt] = 114;
   _jumpMap[265][Attribute] = 113;
   _jumpMap[265][Function] = 112;
   _jumpMap[265][CasePrepare] = 111;
}
void Cego::loadParser191()
{
   _jumpMap[265][CaseClause] = 110;
   _jumpMap[265][Factor] = 109;
   _jumpMap[265][Term] = 423;
   _actionMap[266][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[266][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[266][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[266][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[266][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[266][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[266][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[266][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[266][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[266][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[266][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[266][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[266][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[266][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[266][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[266][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[266][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[266][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[266][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[266][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[266][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[266][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[266][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[266][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[266][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[266][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[266][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[266][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[266][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[266][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[266][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[266][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[266][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[266][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[266][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[266][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[266][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[266][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[266][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[266][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[266][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[266][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[266][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[266][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[266][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[266][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[266][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
}
void Cego::loadParser192()
{
   _actionMap[266][LB] = ActionEntry(SHIFT, 172);
   _actionMap[266][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[266][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[266][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[266][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[266][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[266][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[266][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[266][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[266][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[266][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[266][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[266][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[266][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[266][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[266][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[266][ObjSpec] = 117;
   _jumpMap[266][Constant] = 116;
   _jumpMap[266][SignedFloat] = 115;
   _jumpMap[266][SignedInt] = 114;
   _jumpMap[266][Attribute] = 113;
   _jumpMap[266][Function] = 112;
   _jumpMap[266][CasePrepare] = 111;
   _jumpMap[266][CaseClause] = 110;
   _jumpMap[266][Factor] = 109;
   _jumpMap[266][Term] = 424;
   _actionMap[267][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[267][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[267][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[267][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[267][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[267][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[267][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[267][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[267][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[267][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[267][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[267][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[267][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[267][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[267][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[267][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[267][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[267][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[267][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[267][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[267][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[267][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[267][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[267][REPLACE] = ActionEntry(SHIFT, 157);
}
void Cego::loadParser193()
{
   _actionMap[267][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[267][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[267][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[267][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[267][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[267][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[267][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[267][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[267][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[267][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[267][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[267][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[267][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[267][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[267][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[267][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[267][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[267][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[267][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[267][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[267][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[267][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[267][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[267][LB] = ActionEntry(SHIFT, 172);
   _actionMap[267][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[267][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[267][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[267][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[267][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[267][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[267][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[267][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[267][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[267][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[267][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[267][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[267][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[267][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[267][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[267][ObjSpec] = 117;
   _jumpMap[267][Constant] = 116;
   _jumpMap[267][SignedFloat] = 115;
   _jumpMap[267][SignedInt] = 114;
   _jumpMap[267][Attribute] = 113;
   _jumpMap[267][Function] = 112;
   _jumpMap[267][CasePrepare] = 111;
   _jumpMap[267][CaseClause] = 110;
   _jumpMap[267][Factor] = 425;
   _actionMap[268][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[268][MINUS] = ActionEntry(SHIFT, 173);
}
void Cego::loadParser194()
{
   _actionMap[268][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[268][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[268][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[268][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[268][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[268][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[268][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[268][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[268][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[268][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[268][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[268][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[268][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[268][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[268][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[268][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[268][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[268][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[268][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[268][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[268][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[268][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[268][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[268][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[268][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[268][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[268][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[268][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[268][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[268][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[268][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[268][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[268][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[268][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[268][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[268][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[268][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[268][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[268][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[268][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[268][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[268][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[268][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[268][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[268][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[268][LB] = ActionEntry(SHIFT, 172);
   _actionMap[268][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[268][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[268][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[268][NULLTOKEN] = ActionEntry(SHIFT, 153);
}
void Cego::loadParser195()
{
   _actionMap[268][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[268][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[268][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[268][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[268][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[268][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[268][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[268][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[268][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[268][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[268][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[268][ObjSpec] = 117;
   _jumpMap[268][Constant] = 116;
   _jumpMap[268][SignedFloat] = 115;
   _jumpMap[268][SignedInt] = 114;
   _jumpMap[268][Attribute] = 113;
   _jumpMap[268][Function] = 112;
   _jumpMap[268][CasePrepare] = 111;
   _jumpMap[268][CaseClause] = 110;
   _jumpMap[268][Factor] = 426;
   _actionMap[269][ELSE] = ActionEntry(SHIFT, 428);
   _actionMap[269][WHEN] = ActionEntry(SHIFT, 271);
   _jumpMap[269][CaseCondition] = 427;
   _actionMap[270][WHEN] = ActionEntry(REDUCE, 186);
   _actionMap[270][ELSE] = ActionEntry(REDUCE, 186);
   _actionMap[271][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[271][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[271][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[271][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[271][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[271][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[271][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[271][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[271][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[271][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[271][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[271][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[271][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[271][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[271][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[271][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[271][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[271][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[271][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[271][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[271][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[271][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[271][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[271][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[271][STR2DATE] = ActionEntry(SHIFT, 167);
}
void Cego::loadParser196()
{
   _actionMap[271][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[271][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[271][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[271][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[271][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[271][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[271][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[271][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[271][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[271][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[271][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[271][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[271][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[271][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[271][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[271][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[271][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[271][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[271][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[271][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[271][LB] = ActionEntry(SHIFT, 434);
   _actionMap[271][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[271][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[271][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[271][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[271][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[271][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[271][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[271][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[271][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[271][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[271][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[271][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[271][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[271][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[271][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[271][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[271][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[271][EXISTS] = ActionEntry(SHIFT, 432);
   _actionMap[271][NOT] = ActionEntry(SHIFT, 433);
   _jumpMap[271][ObjSpec] = 117;
   _jumpMap[271][Constant] = 116;
   _jumpMap[271][SignedFloat] = 115;
   _jumpMap[271][SignedInt] = 114;
   _jumpMap[271][Attribute] = 113;
   _jumpMap[271][QueryPredicate] = 431;
   _jumpMap[271][QueryCondition] = 430;
   _jumpMap[271][Function] = 112;
   _jumpMap[271][CasePrepare] = 111;
   _jumpMap[271][CaseClause] = 110;
}
void Cego::loadParser197()
{
   _jumpMap[271][Factor] = 109;
   _jumpMap[271][Term] = 108;
   _jumpMap[271][Expr] = 429;
   _actionMap[272][RB] = ActionEntry(SHIFT, 437);
   _actionMap[272][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[272][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[272][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[272][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[272][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[272][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[272][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[272][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[272][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[272][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[272][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[272][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[272][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[272][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[272][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[272][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[272][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[272][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[272][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[272][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[272][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[272][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[272][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[272][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[272][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[272][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[272][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[272][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[272][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[272][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[272][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[272][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[272][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[272][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[272][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[272][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[272][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[272][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[272][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[272][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[272][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[272][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[272][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[272][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[272][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[272][LB] = ActionEntry(SHIFT, 172);
}
void Cego::loadParser198()
{
   _actionMap[272][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[272][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[272][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[272][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[272][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[272][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[272][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[272][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[272][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[272][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[272][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[272][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[272][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[272][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[272][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[272][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[272][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[272][ObjSpec] = 117;
   _jumpMap[272][Constant] = 116;
   _jumpMap[272][SignedFloat] = 115;
   _jumpMap[272][SignedInt] = 114;
   _jumpMap[272][Attribute] = 113;
   _jumpMap[272][ExpressionList] = 436;
   _jumpMap[272][Function] = 112;
   _jumpMap[272][CasePrepare] = 111;
   _jumpMap[272][CaseClause] = 110;
   _jumpMap[272][Factor] = 109;
   _jumpMap[272][Term] = 108;
   _jumpMap[272][Expr] = 435;
   _actionMap[273][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[273][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[273][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[273][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[273][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[273][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[273][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[273][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[273][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[273][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[273][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[273][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[273][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[273][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[273][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[273][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[273][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[273][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[273][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[273][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[273][LENGTH] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser199()
{
   _actionMap[273][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[273][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[273][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[273][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[273][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[273][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[273][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[273][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[273][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[273][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[273][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[273][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[273][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[273][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[273][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[273][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[273][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[273][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[273][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[273][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[273][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[273][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[273][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[273][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[273][LB] = ActionEntry(SHIFT, 172);
   _actionMap[273][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[273][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[273][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[273][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[273][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[273][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[273][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[273][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[273][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[273][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[273][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[273][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[273][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[273][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[273][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[273][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[273][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[273][ObjSpec] = 117;
   _jumpMap[273][Constant] = 116;
   _jumpMap[273][SignedFloat] = 115;
   _jumpMap[273][SignedInt] = 114;
   _jumpMap[273][Attribute] = 113;
   _jumpMap[273][ExpressionList] = 438;
   _jumpMap[273][Function] = 112;
   _jumpMap[273][CasePrepare] = 111;
}
void Cego::loadParser200()
{
   _jumpMap[273][CaseClause] = 110;
   _jumpMap[273][Factor] = 109;
   _jumpMap[273][Term] = 108;
   _jumpMap[273][Expr] = 435;
   _actionMap[274][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[274][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[274][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[274][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[274][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[274][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[274][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[274][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[274][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[274][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[274][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[274][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[274][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[274][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[274][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[274][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[274][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[274][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[274][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[274][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[274][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[274][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[274][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[274][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[274][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[274][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[274][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[274][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[274][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[274][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[274][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[274][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[274][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[274][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[274][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[274][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[274][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[274][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[274][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[274][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[274][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[274][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[274][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[274][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[274][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[274][LB] = ActionEntry(SHIFT, 172);
}
void Cego::loadParser201()
{
   _actionMap[274][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[274][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[274][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[274][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[274][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[274][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[274][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[274][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[274][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[274][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[274][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[274][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[274][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[274][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[274][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[274][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[274][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[274][ObjSpec] = 117;
   _jumpMap[274][Constant] = 116;
   _jumpMap[274][SignedFloat] = 115;
   _jumpMap[274][SignedInt] = 114;
   _jumpMap[274][Attribute] = 113;
   _jumpMap[274][Function] = 112;
   _jumpMap[274][CasePrepare] = 111;
   _jumpMap[274][CaseClause] = 110;
   _jumpMap[274][Factor] = 109;
   _jumpMap[274][Term] = 108;
   _jumpMap[274][Expr] = 439;
   _actionMap[275][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[275][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[275][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[275][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[275][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[275][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[275][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[275][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[275][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[275][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[275][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[275][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[275][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[275][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[275][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[275][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[275][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[275][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[275][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[275][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[275][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[275][TRUNC] = ActionEntry(SHIFT, 170);
}
void Cego::loadParser202()
{
   _actionMap[275][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[275][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[275][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[275][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[275][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[275][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[275][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[275][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[275][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[275][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[275][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[275][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[275][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[275][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[275][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[275][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[275][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[275][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[275][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[275][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[275][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[275][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[275][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[275][LB] = ActionEntry(SHIFT, 172);
   _actionMap[275][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[275][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[275][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[275][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[275][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[275][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[275][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[275][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[275][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[275][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[275][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[275][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[275][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[275][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[275][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[275][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[275][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[275][ObjSpec] = 117;
   _jumpMap[275][Constant] = 116;
   _jumpMap[275][SignedFloat] = 115;
   _jumpMap[275][SignedInt] = 114;
   _jumpMap[275][Attribute] = 113;
   _jumpMap[275][ExpressionList] = 440;
   _jumpMap[275][Function] = 112;
   _jumpMap[275][CasePrepare] = 111;
   _jumpMap[275][CaseClause] = 110;
}
void Cego::loadParser203()
{
   _jumpMap[275][Factor] = 109;
   _jumpMap[275][Term] = 108;
   _jumpMap[275][Expr] = 435;
   _actionMap[276][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[276][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[276][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[276][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[276][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[276][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[276][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[276][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[276][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[276][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[276][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[276][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[276][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[276][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[276][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[276][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[276][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[276][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[276][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[276][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[276][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[276][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[276][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[276][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[276][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[276][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[276][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[276][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[276][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[276][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[276][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[276][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[276][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[276][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[276][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[276][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[276][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[276][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[276][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[276][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[276][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[276][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[276][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[276][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[276][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[276][LB] = ActionEntry(SHIFT, 172);
   _actionMap[276][STRINGVAL] = ActionEntry(SHIFT, 118);
}
void Cego::loadParser204()
{
   _actionMap[276][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[276][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[276][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[276][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[276][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[276][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[276][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[276][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[276][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[276][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[276][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[276][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[276][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[276][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[276][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[276][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[276][ObjSpec] = 117;
   _jumpMap[276][Constant] = 116;
   _jumpMap[276][SignedFloat] = 115;
   _jumpMap[276][SignedInt] = 114;
   _jumpMap[276][Attribute] = 113;
   _jumpMap[276][ExpressionList] = 441;
   _jumpMap[276][Function] = 112;
   _jumpMap[276][CasePrepare] = 111;
   _jumpMap[276][CaseClause] = 110;
   _jumpMap[276][Factor] = 109;
   _jumpMap[276][Term] = 108;
   _jumpMap[276][Expr] = 435;
   _actionMap[277][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[277][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[277][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[277][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[277][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[277][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[277][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[277][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[277][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[277][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[277][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[277][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[277][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[277][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[277][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[277][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[277][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[277][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[277][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[277][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[277][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[277][TRUNC] = ActionEntry(SHIFT, 170);
}
void Cego::loadParser205()
{
   _actionMap[277][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[277][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[277][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[277][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[277][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[277][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[277][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[277][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[277][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[277][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[277][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[277][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[277][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[277][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[277][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[277][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[277][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[277][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[277][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[277][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[277][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[277][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[277][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[277][LB] = ActionEntry(SHIFT, 172);
   _actionMap[277][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[277][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[277][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[277][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[277][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[277][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[277][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[277][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[277][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[277][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[277][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[277][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[277][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[277][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[277][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[277][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[277][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[277][ObjSpec] = 117;
   _jumpMap[277][Constant] = 116;
   _jumpMap[277][SignedFloat] = 115;
   _jumpMap[277][SignedInt] = 114;
   _jumpMap[277][Attribute] = 113;
   _jumpMap[277][ExpressionList] = 442;
   _jumpMap[277][Function] = 112;
   _jumpMap[277][CasePrepare] = 111;
   _jumpMap[277][CaseClause] = 110;
}
void Cego::loadParser206()
{
   _jumpMap[277][Factor] = 109;
   _jumpMap[277][Term] = 108;
   _jumpMap[277][Expr] = 435;
   _actionMap[278][INTVAL] = ActionEntry(SHIFT, 443);
   _actionMap[279][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[279][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[279][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[279][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[279][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[279][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[279][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[279][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[279][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[279][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[279][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[279][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[279][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[279][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[279][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[279][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[279][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[279][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[279][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[279][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[279][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[279][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[279][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[279][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[279][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[279][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[279][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[279][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[279][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[279][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[279][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[279][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[279][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[279][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[279][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[279][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[279][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[279][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[279][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[279][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[279][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[279][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[279][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[279][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[279][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[279][LB] = ActionEntry(SHIFT, 172);
}
void Cego::loadParser207()
{
   _actionMap[279][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[279][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[279][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[279][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[279][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[279][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[279][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[279][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[279][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[279][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[279][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[279][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[279][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[279][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[279][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[279][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[279][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[279][ObjSpec] = 117;
   _jumpMap[279][Constant] = 116;
   _jumpMap[279][SignedFloat] = 115;
   _jumpMap[279][SignedInt] = 114;
   _jumpMap[279][Attribute] = 113;
   _jumpMap[279][ExpressionList] = 444;
   _jumpMap[279][Function] = 112;
   _jumpMap[279][CasePrepare] = 111;
   _jumpMap[279][CaseClause] = 110;
   _jumpMap[279][Factor] = 109;
   _jumpMap[279][Term] = 108;
   _jumpMap[279][Expr] = 435;
   _actionMap[280][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[280][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[280][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[280][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[280][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[280][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[280][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[280][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[280][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[280][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[280][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[280][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[280][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[280][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[280][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[280][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[280][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[280][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[280][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[280][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[280][LENGTH] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser208()
{
   _actionMap[280][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[280][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[280][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[280][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[280][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[280][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[280][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[280][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[280][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[280][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[280][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[280][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[280][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[280][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[280][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[280][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[280][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[280][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[280][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[280][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[280][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[280][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[280][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[280][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[280][LB] = ActionEntry(SHIFT, 172);
   _actionMap[280][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[280][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[280][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[280][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[280][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[280][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[280][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[280][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[280][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[280][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[280][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[280][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[280][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[280][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[280][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[280][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[280][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[280][ObjSpec] = 117;
   _jumpMap[280][Constant] = 116;
   _jumpMap[280][SignedFloat] = 115;
   _jumpMap[280][SignedInt] = 114;
   _jumpMap[280][Attribute] = 113;
   _jumpMap[280][ExpressionList] = 445;
   _jumpMap[280][Function] = 112;
   _jumpMap[280][CasePrepare] = 111;
}
void Cego::loadParser209()
{
   _jumpMap[280][CaseClause] = 110;
   _jumpMap[280][Factor] = 109;
   _jumpMap[280][Term] = 108;
   _jumpMap[280][Expr] = 435;
   _actionMap[281][INTVAL] = ActionEntry(SHIFT, 446);
   _actionMap[282][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[282][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[282][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[282][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[282][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[282][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[282][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[282][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[282][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[282][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[282][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[282][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[282][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[282][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[282][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[282][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[282][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[282][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[282][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[282][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[282][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[282][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[282][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[282][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[282][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[282][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[282][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[282][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[282][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[282][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[282][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[282][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[282][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[282][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[282][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[282][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[282][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[282][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[282][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[282][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[282][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[282][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[282][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[282][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[282][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
}
void Cego::loadParser210()
{
   _actionMap[282][LB] = ActionEntry(SHIFT, 172);
   _actionMap[282][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[282][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[282][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[282][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[282][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[282][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[282][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[282][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[282][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[282][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[282][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[282][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[282][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[282][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[282][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[282][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[282][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[282][ObjSpec] = 117;
   _jumpMap[282][Constant] = 116;
   _jumpMap[282][SignedFloat] = 115;
   _jumpMap[282][SignedInt] = 114;
   _jumpMap[282][Attribute] = 113;
   _jumpMap[282][ExpressionList] = 447;
   _jumpMap[282][Function] = 112;
   _jumpMap[282][CasePrepare] = 111;
   _jumpMap[282][CaseClause] = 110;
   _jumpMap[282][Factor] = 109;
   _jumpMap[282][Term] = 108;
   _jumpMap[282][Expr] = 435;
   _actionMap[283][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[283][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[283][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[283][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[283][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[283][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[283][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[283][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[283][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[283][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[283][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[283][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[283][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[283][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[283][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[283][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[283][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[283][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[283][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[283][REPLACE] = ActionEntry(SHIFT, 157);
}
void Cego::loadParser211()
{
   _actionMap[283][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[283][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[283][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[283][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[283][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[283][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[283][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[283][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[283][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[283][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[283][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[283][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[283][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[283][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[283][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[283][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[283][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[283][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[283][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[283][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[283][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[283][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[283][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[283][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[283][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[283][LB] = ActionEntry(SHIFT, 172);
   _actionMap[283][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[283][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[283][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[283][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[283][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[283][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[283][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[283][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[283][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[283][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[283][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[283][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[283][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[283][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[283][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[283][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[283][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[283][ObjSpec] = 117;
   _jumpMap[283][Constant] = 116;
   _jumpMap[283][SignedFloat] = 115;
   _jumpMap[283][SignedInt] = 114;
   _jumpMap[283][Attribute] = 113;
   _jumpMap[283][ExpressionList] = 448;
   _jumpMap[283][Function] = 112;
}
void Cego::loadParser212()
{
   _jumpMap[283][CasePrepare] = 111;
   _jumpMap[283][CaseClause] = 110;
   _jumpMap[283][Factor] = 109;
   _jumpMap[283][Term] = 108;
   _jumpMap[283][Expr] = 435;
   _actionMap[284][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[284][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[284][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[284][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[284][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[284][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[284][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[284][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[284][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[284][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[284][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[284][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[284][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[284][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[284][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[284][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[284][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[284][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[284][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[284][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[284][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[284][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[284][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[284][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[284][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[284][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[284][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[284][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[284][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[284][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[284][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[284][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[284][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[284][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[284][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[284][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[284][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[284][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[284][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[284][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[284][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[284][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[284][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[284][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[284][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
}
void Cego::loadParser213()
{
   _actionMap[284][LB] = ActionEntry(SHIFT, 172);
   _actionMap[284][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[284][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[284][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[284][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[284][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[284][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[284][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[284][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[284][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[284][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[284][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[284][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[284][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[284][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[284][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[284][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[284][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[284][ObjSpec] = 117;
   _jumpMap[284][Constant] = 116;
   _jumpMap[284][SignedFloat] = 115;
   _jumpMap[284][SignedInt] = 114;
   _jumpMap[284][Attribute] = 113;
   _jumpMap[284][ExpressionList] = 449;
   _jumpMap[284][Function] = 112;
   _jumpMap[284][CasePrepare] = 111;
   _jumpMap[284][CaseClause] = 110;
   _jumpMap[284][Factor] = 109;
   _jumpMap[284][Term] = 108;
   _jumpMap[284][Expr] = 435;
   _actionMap[285][STAR] = ActionEntry(SHIFT, 451);
   _actionMap[285][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[285][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[285][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[285][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[285][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[285][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[285][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[285][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[285][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[285][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[285][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[285][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[285][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[285][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[285][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[285][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[285][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[285][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[285][SUBSTR] = ActionEntry(SHIFT, 162);
}
void Cego::loadParser214()
{
   _actionMap[285][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[285][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[285][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[285][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[285][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[285][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[285][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[285][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[285][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[285][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[285][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[285][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[285][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[285][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[285][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[285][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[285][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[285][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[285][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[285][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[285][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[285][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[285][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[285][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[285][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[285][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[285][LB] = ActionEntry(SHIFT, 172);
   _actionMap[285][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[285][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[285][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[285][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[285][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[285][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[285][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[285][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[285][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[285][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[285][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[285][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[285][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[285][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[285][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[285][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[285][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[285][ObjSpec] = 117;
   _jumpMap[285][Constant] = 116;
   _jumpMap[285][SignedFloat] = 115;
   _jumpMap[285][SignedInt] = 114;
   _jumpMap[285][Attribute] = 113;
   _jumpMap[285][Function] = 112;
}
void Cego::loadParser215()
{
   _jumpMap[285][CasePrepare] = 111;
   _jumpMap[285][CaseClause] = 110;
   _jumpMap[285][Factor] = 109;
   _jumpMap[285][Term] = 108;
   _jumpMap[285][Expr] = 450;
   _actionMap[286][STRINGVAL] = ActionEntry(SHIFT, 453);
   _jumpMap[286][DateFormat] = 452;
   _actionMap[287][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[287][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[287][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[287][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[287][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[287][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[287][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[287][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[287][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[287][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[287][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[287][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[287][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[287][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[287][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[287][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[287][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[287][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[287][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[287][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[287][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[287][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[287][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[287][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[287][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[287][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[287][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[287][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[287][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[287][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[287][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[287][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[287][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[287][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[287][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[287][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[287][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[287][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[287][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[287][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[287][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[287][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[287][IDENTIFIER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser216()
{
   _actionMap[287][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[287][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[287][LB] = ActionEntry(SHIFT, 172);
   _actionMap[287][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[287][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[287][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[287][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[287][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[287][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[287][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[287][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[287][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[287][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[287][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[287][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[287][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[287][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[287][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[287][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[287][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[287][ObjSpec] = 117;
   _jumpMap[287][Constant] = 116;
   _jumpMap[287][SignedFloat] = 115;
   _jumpMap[287][SignedInt] = 114;
   _jumpMap[287][Attribute] = 113;
   _jumpMap[287][ExpressionList] = 454;
   _jumpMap[287][Function] = 112;
   _jumpMap[287][CasePrepare] = 111;
   _jumpMap[287][CaseClause] = 110;
   _jumpMap[287][Factor] = 109;
   _jumpMap[287][Term] = 108;
   _jumpMap[287][Expr] = 435;
   _actionMap[288][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[288][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[288][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[288][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[288][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[288][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[288][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[288][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[288][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[288][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[288][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[288][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[288][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[288][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[288][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[288][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[288][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[288][GETPOS] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser217()
{
   _actionMap[288][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[288][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[288][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[288][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[288][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[288][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[288][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[288][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[288][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[288][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[288][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[288][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[288][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[288][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[288][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[288][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[288][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[288][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[288][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[288][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[288][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[288][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[288][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[288][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[288][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[288][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[288][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[288][LB] = ActionEntry(SHIFT, 172);
   _actionMap[288][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[288][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[288][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[288][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[288][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[288][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[288][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[288][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[288][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[288][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[288][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[288][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[288][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[288][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[288][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[288][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[288][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[288][ObjSpec] = 117;
   _jumpMap[288][Constant] = 116;
   _jumpMap[288][SignedFloat] = 115;
   _jumpMap[288][SignedInt] = 114;
   _jumpMap[288][Attribute] = 113;
}
void Cego::loadParser218()
{
   _jumpMap[288][ExpressionList] = 455;
   _jumpMap[288][Function] = 112;
   _jumpMap[288][CasePrepare] = 111;
   _jumpMap[288][CaseClause] = 110;
   _jumpMap[288][Factor] = 109;
   _jumpMap[288][Term] = 108;
   _jumpMap[288][Expr] = 435;
   _actionMap[289][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[289][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[289][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[289][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[289][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[289][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[289][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[289][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[289][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[289][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[289][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[289][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[289][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[289][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[289][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[289][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[289][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[289][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[289][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[289][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[289][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[289][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[289][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[289][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[289][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[289][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[289][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[289][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[289][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[289][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[289][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[289][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[289][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[289][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[289][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[289][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[289][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[289][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[289][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[289][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[289][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[289][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[289][IDENTIFIER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser219()
{
   _actionMap[289][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[289][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[289][LB] = ActionEntry(SHIFT, 172);
   _actionMap[289][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[289][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[289][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[289][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[289][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[289][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[289][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[289][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[289][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[289][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[289][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[289][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[289][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[289][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[289][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[289][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[289][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[289][ObjSpec] = 117;
   _jumpMap[289][Constant] = 116;
   _jumpMap[289][SignedFloat] = 115;
   _jumpMap[289][SignedInt] = 114;
   _jumpMap[289][Attribute] = 113;
   _jumpMap[289][ExpressionList] = 456;
   _jumpMap[289][Function] = 112;
   _jumpMap[289][CasePrepare] = 111;
   _jumpMap[289][CaseClause] = 110;
   _jumpMap[289][Factor] = 109;
   _jumpMap[289][Term] = 108;
   _jumpMap[289][Expr] = 435;
   _actionMap[290][INTO] = ActionEntry(SHIFT, 457);
   _actionMap[291][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[291][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[291][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[291][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[291][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[291][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[291][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[291][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[291][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[291][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[291][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[291][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[291][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[291][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[291][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[291][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[291][RIGHT] = ActionEntry(SHIFT, 158);
}
void Cego::loadParser220()
{
   _actionMap[291][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[291][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[291][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[291][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[291][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[291][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[291][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[291][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[291][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[291][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[291][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[291][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[291][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[291][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[291][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[291][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[291][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[291][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[291][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[291][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[291][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[291][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[291][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[291][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[291][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[291][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[291][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[291][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[291][LB] = ActionEntry(SHIFT, 172);
   _actionMap[291][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[291][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[291][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[291][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[291][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[291][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[291][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[291][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[291][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[291][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[291][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[291][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[291][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[291][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[291][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[291][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[291][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[291][ObjSpec] = 117;
   _jumpMap[291][Constant] = 116;
   _jumpMap[291][SignedFloat] = 115;
   _jumpMap[291][SignedInt] = 114;
}
void Cego::loadParser221()
{
   _jumpMap[291][Attribute] = 113;
   _jumpMap[291][ExpressionList] = 458;
   _jumpMap[291][Function] = 112;
   _jumpMap[291][CasePrepare] = 111;
   _jumpMap[291][CaseClause] = 110;
   _jumpMap[291][Factor] = 109;
   _jumpMap[291][Term] = 108;
   _jumpMap[291][Expr] = 435;
   _actionMap[292][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[292][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[292][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[292][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[292][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[292][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[292][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[292][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[292][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[292][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[292][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[292][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[292][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[292][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[292][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[292][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[292][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[292][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[292][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[292][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[292][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[292][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[292][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[292][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[292][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[292][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[292][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[292][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[292][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[292][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[292][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[292][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[292][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[292][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[292][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[292][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[292][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[292][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[292][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[292][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[292][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[292][SETCOUNT] = ActionEntry(SHIFT, 161);
}
void Cego::loadParser222()
{
   _actionMap[292][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[292][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[292][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[292][LB] = ActionEntry(SHIFT, 172);
   _actionMap[292][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[292][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[292][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[292][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[292][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[292][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[292][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[292][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[292][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[292][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[292][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[292][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[292][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[292][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[292][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[292][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[292][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[292][ObjSpec] = 117;
   _jumpMap[292][Constant] = 116;
   _jumpMap[292][SignedFloat] = 115;
   _jumpMap[292][SignedInt] = 114;
   _jumpMap[292][Attribute] = 113;
   _jumpMap[292][ExpressionList] = 459;
   _jumpMap[292][Function] = 112;
   _jumpMap[292][CasePrepare] = 111;
   _jumpMap[292][CaseClause] = 110;
   _jumpMap[292][Factor] = 109;
   _jumpMap[292][Term] = 108;
   _jumpMap[292][Expr] = 435;
   _actionMap[293][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[293][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[293][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[293][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[293][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[293][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[293][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[293][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[293][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[293][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[293][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[293][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[293][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[293][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[293][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[293][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[293][RIGHT] = ActionEntry(SHIFT, 158);
}
void Cego::loadParser223()
{
   _actionMap[293][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[293][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[293][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[293][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[293][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[293][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[293][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[293][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[293][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[293][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[293][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[293][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[293][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[293][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[293][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[293][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[293][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[293][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[293][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[293][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[293][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[293][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[293][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[293][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[293][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[293][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[293][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[293][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[293][LB] = ActionEntry(SHIFT, 172);
   _actionMap[293][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[293][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[293][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[293][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[293][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[293][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[293][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[293][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[293][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[293][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[293][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[293][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[293][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[293][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[293][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[293][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[293][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[293][ObjSpec] = 117;
   _jumpMap[293][Constant] = 116;
   _jumpMap[293][SignedFloat] = 115;
   _jumpMap[293][SignedInt] = 114;
}
void Cego::loadParser224()
{
   _jumpMap[293][Attribute] = 113;
   _jumpMap[293][ExpressionList] = 460;
   _jumpMap[293][Function] = 112;
   _jumpMap[293][CasePrepare] = 111;
   _jumpMap[293][CaseClause] = 110;
   _jumpMap[293][Factor] = 109;
   _jumpMap[293][Term] = 108;
   _jumpMap[293][Expr] = 435;
   _actionMap[294][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[294][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[294][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[294][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[294][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[294][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[294][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[294][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[294][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[294][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[294][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[294][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[294][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[294][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[294][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[294][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[294][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[294][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[294][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[294][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[294][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[294][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[294][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[294][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[294][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[294][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[294][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[294][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[294][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[294][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[294][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[294][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[294][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[294][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[294][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[294][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[294][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[294][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[294][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[294][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[294][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[294][SETCOUNT] = ActionEntry(SHIFT, 161);
}
void Cego::loadParser225()
{
   _actionMap[294][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[294][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[294][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[294][LB] = ActionEntry(SHIFT, 172);
   _actionMap[294][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[294][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[294][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[294][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[294][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[294][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[294][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[294][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[294][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[294][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[294][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[294][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[294][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[294][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[294][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[294][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[294][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[294][ObjSpec] = 117;
   _jumpMap[294][Constant] = 116;
   _jumpMap[294][SignedFloat] = 115;
   _jumpMap[294][SignedInt] = 114;
   _jumpMap[294][Attribute] = 113;
   _jumpMap[294][ExpressionList] = 461;
   _jumpMap[294][Function] = 112;
   _jumpMap[294][CasePrepare] = 111;
   _jumpMap[294][CaseClause] = 110;
   _jumpMap[294][Factor] = 109;
   _jumpMap[294][Term] = 108;
   _jumpMap[294][Expr] = 435;
   _actionMap[295][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[295][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[295][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[295][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[295][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[295][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[295][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[295][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[295][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[295][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[295][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[295][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[295][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[295][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[295][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[295][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[295][RIGHT] = ActionEntry(SHIFT, 158);
}
void Cego::loadParser226()
{
   _actionMap[295][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[295][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[295][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[295][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[295][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[295][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[295][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[295][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[295][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[295][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[295][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[295][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[295][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[295][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[295][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[295][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[295][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[295][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[295][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[295][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[295][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[295][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[295][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[295][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[295][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[295][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[295][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[295][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[295][LB] = ActionEntry(SHIFT, 172);
   _actionMap[295][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[295][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[295][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[295][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[295][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[295][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[295][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[295][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[295][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[295][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[295][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[295][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[295][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[295][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[295][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[295][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[295][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[295][ObjSpec] = 117;
   _jumpMap[295][Constant] = 116;
   _jumpMap[295][SignedFloat] = 115;
   _jumpMap[295][SignedInt] = 114;
}
void Cego::loadParser227()
{
   _jumpMap[295][Attribute] = 113;
   _jumpMap[295][ExpressionList] = 462;
   _jumpMap[295][Function] = 112;
   _jumpMap[295][CasePrepare] = 111;
   _jumpMap[295][CaseClause] = 110;
   _jumpMap[295][Factor] = 109;
   _jumpMap[295][Term] = 108;
   _jumpMap[295][Expr] = 435;
   _actionMap[296][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[296][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[296][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[296][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[296][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[296][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[296][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[296][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[296][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[296][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[296][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[296][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[296][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[296][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[296][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[296][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[296][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[296][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[296][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[296][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[296][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[296][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[296][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[296][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[296][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[296][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[296][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[296][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[296][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[296][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[296][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[296][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[296][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[296][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[296][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[296][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[296][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[296][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[296][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[296][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[296][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[296][SETCOUNT] = ActionEntry(SHIFT, 161);
}
void Cego::loadParser228()
{
   _actionMap[296][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[296][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[296][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[296][LB] = ActionEntry(SHIFT, 172);
   _actionMap[296][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[296][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[296][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[296][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[296][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[296][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[296][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[296][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[296][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[296][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[296][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[296][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[296][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[296][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[296][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[296][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[296][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[296][ObjSpec] = 117;
   _jumpMap[296][Constant] = 116;
   _jumpMap[296][SignedFloat] = 115;
   _jumpMap[296][SignedInt] = 114;
   _jumpMap[296][Attribute] = 113;
   _jumpMap[296][ExpressionList] = 463;
   _jumpMap[296][Function] = 112;
   _jumpMap[296][CasePrepare] = 111;
   _jumpMap[296][CaseClause] = 110;
   _jumpMap[296][Factor] = 109;
   _jumpMap[296][Term] = 108;
   _jumpMap[296][Expr] = 435;
   _actionMap[297][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[297][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[297][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[297][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[297][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[297][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[297][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[297][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[297][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[297][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[297][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[297][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[297][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[297][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[297][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[297][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[297][RIGHT] = ActionEntry(SHIFT, 158);
}
void Cego::loadParser229()
{
   _actionMap[297][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[297][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[297][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[297][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[297][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[297][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[297][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[297][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[297][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[297][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[297][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[297][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[297][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[297][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[297][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[297][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[297][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[297][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[297][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[297][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[297][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[297][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[297][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[297][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[297][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[297][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[297][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[297][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[297][LB] = ActionEntry(SHIFT, 172);
   _actionMap[297][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[297][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[297][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[297][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[297][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[297][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[297][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[297][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[297][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[297][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[297][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[297][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[297][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[297][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[297][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[297][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[297][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[297][ObjSpec] = 117;
   _jumpMap[297][Constant] = 116;
   _jumpMap[297][SignedFloat] = 115;
   _jumpMap[297][SignedInt] = 114;
}
void Cego::loadParser230()
{
   _jumpMap[297][Attribute] = 113;
   _jumpMap[297][ExpressionList] = 464;
   _jumpMap[297][Function] = 112;
   _jumpMap[297][CasePrepare] = 111;
   _jumpMap[297][CaseClause] = 110;
   _jumpMap[297][Factor] = 109;
   _jumpMap[297][Term] = 108;
   _jumpMap[297][Expr] = 435;
   _actionMap[298][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[298][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[298][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[298][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[298][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[298][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[298][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[298][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[298][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[298][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[298][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[298][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[298][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[298][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[298][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[298][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[298][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[298][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[298][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[298][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[298][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[298][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[298][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[298][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[298][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[298][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[298][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[298][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[298][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[298][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[298][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[298][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[298][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[298][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[298][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[298][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[298][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[298][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[298][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[298][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[298][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[298][SETCOUNT] = ActionEntry(SHIFT, 161);
}
void Cego::loadParser231()
{
   _actionMap[298][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[298][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[298][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[298][LB] = ActionEntry(SHIFT, 172);
   _actionMap[298][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[298][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[298][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[298][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[298][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[298][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[298][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[298][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[298][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[298][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[298][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[298][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[298][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[298][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[298][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[298][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[298][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[298][ObjSpec] = 117;
   _jumpMap[298][Constant] = 116;
   _jumpMap[298][SignedFloat] = 115;
   _jumpMap[298][SignedInt] = 114;
   _jumpMap[298][Attribute] = 113;
   _jumpMap[298][ExpressionList] = 465;
   _jumpMap[298][Function] = 112;
   _jumpMap[298][CasePrepare] = 111;
   _jumpMap[298][CaseClause] = 110;
   _jumpMap[298][Factor] = 109;
   _jumpMap[298][Term] = 108;
   _jumpMap[298][Expr] = 435;
   _actionMap[299][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[299][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[299][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[299][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[299][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[299][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[299][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[299][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[299][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[299][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[299][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[299][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[299][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[299][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[299][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[299][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[299][RIGHT] = ActionEntry(SHIFT, 158);
}
void Cego::loadParser232()
{
   _actionMap[299][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[299][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[299][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[299][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[299][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[299][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[299][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[299][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[299][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[299][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[299][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[299][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[299][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[299][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[299][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[299][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[299][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[299][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[299][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[299][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[299][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[299][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[299][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[299][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[299][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[299][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[299][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[299][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[299][LB] = ActionEntry(SHIFT, 172);
   _actionMap[299][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[299][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[299][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[299][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[299][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[299][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[299][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[299][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[299][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[299][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[299][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[299][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[299][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[299][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[299][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[299][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[299][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[299][ObjSpec] = 117;
   _jumpMap[299][Constant] = 116;
   _jumpMap[299][SignedFloat] = 115;
   _jumpMap[299][SignedInt] = 114;
}
void Cego::loadParser233()
{
   _jumpMap[299][Attribute] = 113;
   _jumpMap[299][ExpressionList] = 466;
   _jumpMap[299][Function] = 112;
   _jumpMap[299][CasePrepare] = 111;
   _jumpMap[299][CaseClause] = 110;
   _jumpMap[299][Factor] = 109;
   _jumpMap[299][Term] = 108;
   _jumpMap[299][Expr] = 435;
   _actionMap[300][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[300][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[300][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[300][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[300][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[300][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[300][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[300][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[300][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[300][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[300][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[300][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[300][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[300][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[300][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[300][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[300][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[300][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[300][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[300][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[300][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[300][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[300][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[300][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[300][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[300][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[300][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[300][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[300][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[300][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[300][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[300][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[300][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[300][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[300][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[300][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[300][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[300][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[300][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[300][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[300][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[300][SETCOUNT] = ActionEntry(SHIFT, 161);
}
void Cego::loadParser234()
{
   _actionMap[300][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[300][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[300][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[300][LB] = ActionEntry(SHIFT, 172);
   _actionMap[300][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[300][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[300][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[300][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[300][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[300][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[300][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[300][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[300][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[300][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[300][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[300][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[300][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[300][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[300][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[300][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[300][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[300][ObjSpec] = 117;
   _jumpMap[300][Constant] = 116;
   _jumpMap[300][SignedFloat] = 115;
   _jumpMap[300][SignedInt] = 114;
   _jumpMap[300][Attribute] = 113;
   _jumpMap[300][ExpressionList] = 467;
   _jumpMap[300][Function] = 112;
   _jumpMap[300][CasePrepare] = 111;
   _jumpMap[300][CaseClause] = 110;
   _jumpMap[300][Factor] = 109;
   _jumpMap[300][Term] = 108;
   _jumpMap[300][Expr] = 435;
   _actionMap[301][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[301][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[301][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[301][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[301][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[301][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[301][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[301][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[301][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[301][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[301][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[301][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[301][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[301][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[301][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[301][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[301][RIGHT] = ActionEntry(SHIFT, 158);
}
void Cego::loadParser235()
{
   _actionMap[301][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[301][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[301][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[301][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[301][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[301][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[301][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[301][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[301][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[301][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[301][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[301][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[301][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[301][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[301][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[301][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[301][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[301][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[301][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[301][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[301][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[301][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[301][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[301][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[301][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[301][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[301][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[301][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[301][LB] = ActionEntry(SHIFT, 172);
   _actionMap[301][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[301][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[301][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[301][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[301][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[301][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[301][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[301][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[301][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[301][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[301][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[301][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[301][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[301][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[301][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[301][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[301][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[301][ObjSpec] = 117;
   _jumpMap[301][Constant] = 116;
   _jumpMap[301][SignedFloat] = 115;
   _jumpMap[301][SignedInt] = 114;
}
void Cego::loadParser236()
{
   _jumpMap[301][Attribute] = 113;
   _jumpMap[301][Function] = 112;
   _jumpMap[301][CasePrepare] = 111;
   _jumpMap[301][CaseClause] = 110;
   _jumpMap[301][Factor] = 109;
   _jumpMap[301][Term] = 108;
   _jumpMap[301][Expr] = 468;
   _actionMap[302][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[302][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[302][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[302][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[302][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[302][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[302][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[302][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[302][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[302][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[302][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[302][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[302][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[302][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[302][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[302][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[302][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[302][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[302][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[302][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[302][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[302][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[302][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[302][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[302][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[302][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[302][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[302][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[302][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[302][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[302][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[302][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[302][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[302][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[302][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[302][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[302][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[302][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[302][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[302][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[302][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[302][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[302][IDENTIFIER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser237()
{
   _actionMap[302][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[302][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[302][LB] = ActionEntry(SHIFT, 172);
   _actionMap[302][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[302][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[302][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[302][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[302][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[302][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[302][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[302][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[302][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[302][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[302][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[302][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[302][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[302][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[302][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[302][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[302][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[302][ObjSpec] = 117;
   _jumpMap[302][Constant] = 116;
   _jumpMap[302][SignedFloat] = 115;
   _jumpMap[302][SignedInt] = 114;
   _jumpMap[302][Attribute] = 113;
   _jumpMap[302][Function] = 112;
   _jumpMap[302][CasePrepare] = 111;
   _jumpMap[302][CaseClause] = 110;
   _jumpMap[302][Factor] = 109;
   _jumpMap[302][Term] = 108;
   _jumpMap[302][Expr] = 469;
   _actionMap[303][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[303][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[303][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[303][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[303][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[303][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[303][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[303][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[303][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[303][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[303][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[303][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[303][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[303][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[303][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[303][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[303][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[303][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[303][SUBSTR] = ActionEntry(SHIFT, 162);
}
void Cego::loadParser238()
{
   _actionMap[303][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[303][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[303][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[303][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[303][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[303][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[303][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[303][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[303][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[303][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[303][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[303][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[303][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[303][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[303][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[303][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[303][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[303][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[303][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[303][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[303][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[303][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[303][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[303][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[303][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[303][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[303][LB] = ActionEntry(SHIFT, 172);
   _actionMap[303][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[303][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[303][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[303][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[303][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[303][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[303][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[303][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[303][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[303][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[303][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[303][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[303][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[303][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[303][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[303][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[303][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[303][ObjSpec] = 117;
   _jumpMap[303][Constant] = 116;
   _jumpMap[303][SignedFloat] = 115;
   _jumpMap[303][SignedInt] = 114;
   _jumpMap[303][Attribute] = 113;
   _jumpMap[303][ExpressionList] = 470;
}
void Cego::loadParser239()
{
   _jumpMap[303][Function] = 112;
   _jumpMap[303][CasePrepare] = 111;
   _jumpMap[303][CaseClause] = 110;
   _jumpMap[303][Factor] = 109;
   _jumpMap[303][Term] = 108;
   _jumpMap[303][Expr] = 435;
   _actionMap[304][IDENTIFIER] = ActionEntry(SHIFT, 471);
   _actionMap[305][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[305][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[305][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[305][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[305][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[305][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[305][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[305][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[305][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[305][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[305][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[305][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[305][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[305][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[305][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[305][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[305][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[305][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[305][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[305][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[305][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[305][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[305][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[305][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[305][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[305][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[305][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[305][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[305][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[305][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[305][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[305][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[305][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[305][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[305][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[305][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[305][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[305][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[305][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[305][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[305][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[305][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[305][IDENTIFIER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser240()
{
   _actionMap[305][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[305][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[305][LB] = ActionEntry(SHIFT, 172);
   _actionMap[305][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[305][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[305][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[305][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[305][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[305][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[305][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[305][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[305][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[305][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[305][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[305][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[305][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[305][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[305][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[305][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[305][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[305][ObjSpec] = 117;
   _jumpMap[305][Constant] = 116;
   _jumpMap[305][SignedFloat] = 115;
   _jumpMap[305][SignedInt] = 114;
   _jumpMap[305][Attribute] = 113;
   _jumpMap[305][ExpressionList] = 472;
   _jumpMap[305][Function] = 112;
   _jumpMap[305][CasePrepare] = 111;
   _jumpMap[305][CaseClause] = 110;
   _jumpMap[305][Factor] = 109;
   _jumpMap[305][Term] = 108;
   _jumpMap[305][Expr] = 435;
   _actionMap[306][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[306][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[306][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[306][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[306][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[306][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[306][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[306][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[306][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[306][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[306][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[306][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[306][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[306][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[306][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[306][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[306][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[306][GETPOS] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser241()
{
   _actionMap[306][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[306][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[306][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[306][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[306][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[306][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[306][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[306][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[306][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[306][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[306][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[306][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[306][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[306][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[306][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[306][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[306][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[306][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[306][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[306][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[306][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[306][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[306][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[306][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[306][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[306][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[306][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[306][LB] = ActionEntry(SHIFT, 172);
   _actionMap[306][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[306][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[306][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[306][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[306][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[306][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[306][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[306][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[306][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[306][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[306][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[306][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[306][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[306][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[306][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[306][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[306][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[306][ObjSpec] = 117;
   _jumpMap[306][Constant] = 116;
   _jumpMap[306][SignedFloat] = 115;
   _jumpMap[306][SignedInt] = 114;
   _jumpMap[306][Attribute] = 113;
}
void Cego::loadParser242()
{
   _jumpMap[306][ExpressionList] = 473;
   _jumpMap[306][Function] = 112;
   _jumpMap[306][CasePrepare] = 111;
   _jumpMap[306][CaseClause] = 110;
   _jumpMap[306][Factor] = 109;
   _jumpMap[306][Term] = 108;
   _jumpMap[306][Expr] = 435;
   _actionMap[307][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[307][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[307][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[307][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[307][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[307][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[307][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[307][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[307][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[307][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[307][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[307][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[307][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[307][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[307][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[307][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[307][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[307][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[307][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[307][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[307][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[307][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[307][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[307][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[307][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[307][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[307][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[307][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[307][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[307][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[307][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[307][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[307][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[307][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[307][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[307][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[307][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[307][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[307][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[307][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[307][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[307][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[307][IDENTIFIER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser243()
{
   _actionMap[307][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[307][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[307][LB] = ActionEntry(SHIFT, 172);
   _actionMap[307][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[307][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[307][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[307][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[307][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[307][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[307][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[307][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[307][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[307][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[307][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[307][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[307][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[307][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[307][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[307][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[307][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[307][ObjSpec] = 117;
   _jumpMap[307][Constant] = 116;
   _jumpMap[307][SignedFloat] = 115;
   _jumpMap[307][SignedInt] = 114;
   _jumpMap[307][Attribute] = 113;
   _jumpMap[307][ExpressionList] = 474;
   _jumpMap[307][Function] = 112;
   _jumpMap[307][CasePrepare] = 111;
   _jumpMap[307][CaseClause] = 110;
   _jumpMap[307][Factor] = 109;
   _jumpMap[307][Term] = 108;
   _jumpMap[307][Expr] = 435;
   _actionMap[308][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[308][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[308][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[308][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[308][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[308][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[308][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[308][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[308][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[308][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[308][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[308][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[308][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[308][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[308][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[308][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[308][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[308][GETPOS] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser244()
{
   _actionMap[308][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[308][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[308][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[308][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[308][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[308][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[308][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[308][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[308][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[308][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[308][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[308][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[308][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[308][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[308][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[308][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[308][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[308][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[308][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[308][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[308][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[308][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[308][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[308][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[308][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[308][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[308][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[308][LB] = ActionEntry(SHIFT, 172);
   _actionMap[308][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[308][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[308][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[308][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[308][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[308][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[308][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[308][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[308][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[308][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[308][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[308][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[308][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[308][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[308][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[308][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[308][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[308][ObjSpec] = 117;
   _jumpMap[308][Constant] = 116;
   _jumpMap[308][SignedFloat] = 115;
   _jumpMap[308][SignedInt] = 114;
   _jumpMap[308][Attribute] = 113;
}
void Cego::loadParser245()
{
   _jumpMap[308][ExpressionList] = 475;
   _jumpMap[308][Function] = 112;
   _jumpMap[308][CasePrepare] = 111;
   _jumpMap[308][CaseClause] = 110;
   _jumpMap[308][Factor] = 109;
   _jumpMap[308][Term] = 108;
   _jumpMap[308][Expr] = 435;
   _actionMap[309][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[309][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[309][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[309][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[309][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[309][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[309][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[309][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[309][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[309][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[309][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[309][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[309][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[309][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[309][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[309][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[309][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[309][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[309][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[309][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[309][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[309][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[309][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[309][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[309][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[309][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[309][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[309][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[309][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[309][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[309][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[309][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[309][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[309][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[309][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[309][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[309][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[309][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[309][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[309][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[309][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[309][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[309][IDENTIFIER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser246()
{
   _actionMap[309][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[309][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[309][LB] = ActionEntry(SHIFT, 172);
   _actionMap[309][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[309][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[309][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[309][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[309][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[309][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[309][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[309][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[309][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[309][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[309][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[309][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[309][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[309][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[309][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[309][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[309][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[309][ObjSpec] = 117;
   _jumpMap[309][Constant] = 116;
   _jumpMap[309][SignedFloat] = 115;
   _jumpMap[309][SignedInt] = 114;
   _jumpMap[309][Attribute] = 113;
   _jumpMap[309][ExpressionList] = 476;
   _jumpMap[309][Function] = 112;
   _jumpMap[309][CasePrepare] = 111;
   _jumpMap[309][CaseClause] = 110;
   _jumpMap[309][Factor] = 109;
   _jumpMap[309][Term] = 108;
   _jumpMap[309][Expr] = 435;
   _actionMap[310][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[310][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[310][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[310][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[310][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[310][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[310][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[310][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[310][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[310][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[310][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[310][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[310][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[310][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[310][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[310][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[310][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[310][GETPOS] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser247()
{
   _actionMap[310][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[310][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[310][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[310][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[310][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[310][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[310][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[310][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[310][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[310][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[310][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[310][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[310][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[310][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[310][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[310][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[310][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[310][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[310][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[310][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[310][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[310][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[310][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[310][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[310][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[310][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[310][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[310][LB] = ActionEntry(SHIFT, 172);
   _actionMap[310][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[310][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[310][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[310][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[310][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[310][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[310][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[310][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[310][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[310][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[310][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[310][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[310][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[310][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[310][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[310][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[310][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[310][ObjSpec] = 117;
   _jumpMap[310][Constant] = 116;
   _jumpMap[310][SignedFloat] = 115;
   _jumpMap[310][SignedInt] = 114;
   _jumpMap[310][Attribute] = 113;
}
void Cego::loadParser248()
{
   _jumpMap[310][ExpressionList] = 477;
   _jumpMap[310][Function] = 112;
   _jumpMap[310][CasePrepare] = 111;
   _jumpMap[310][CaseClause] = 110;
   _jumpMap[310][Factor] = 109;
   _jumpMap[310][Term] = 108;
   _jumpMap[310][Expr] = 435;
   _actionMap[311][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[311][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[311][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[311][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[311][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[311][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[311][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[311][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[311][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[311][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[311][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[311][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[311][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[311][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[311][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[311][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[311][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[311][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[311][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[311][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[311][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[311][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[311][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[311][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[311][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[311][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[311][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[311][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[311][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[311][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[311][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[311][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[311][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[311][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[311][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[311][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[311][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[311][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[311][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[311][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[311][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[311][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[311][IDENTIFIER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser249()
{
   _actionMap[311][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[311][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[311][LB] = ActionEntry(SHIFT, 172);
   _actionMap[311][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[311][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[311][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[311][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[311][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[311][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[311][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[311][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[311][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[311][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[311][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[311][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[311][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[311][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[311][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[311][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[311][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[311][ObjSpec] = 117;
   _jumpMap[311][Constant] = 116;
   _jumpMap[311][SignedFloat] = 115;
   _jumpMap[311][SignedInt] = 114;
   _jumpMap[311][Attribute] = 113;
   _jumpMap[311][ExpressionList] = 478;
   _jumpMap[311][Function] = 112;
   _jumpMap[311][CasePrepare] = 111;
   _jumpMap[311][CaseClause] = 110;
   _jumpMap[311][Factor] = 109;
   _jumpMap[311][Term] = 108;
   _jumpMap[311][Expr] = 435;
   _actionMap[312][IDENTIFIER] = ActionEntry(SHIFT, 479);
   _actionMap[313][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[313][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[313][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[313][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[313][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[313][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[313][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[313][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[313][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[313][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[313][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[313][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[313][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[313][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[313][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[313][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[313][RIGHT] = ActionEntry(SHIFT, 158);
}
void Cego::loadParser250()
{
   _actionMap[313][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[313][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[313][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[313][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[313][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[313][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[313][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[313][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[313][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[313][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[313][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[313][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[313][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[313][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[313][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[313][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[313][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[313][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[313][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[313][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[313][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[313][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[313][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[313][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[313][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[313][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[313][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[313][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[313][LB] = ActionEntry(SHIFT, 172);
   _actionMap[313][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[313][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[313][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[313][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[313][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[313][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[313][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[313][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[313][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[313][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[313][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[313][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[313][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[313][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[313][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[313][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[313][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[313][ObjSpec] = 117;
   _jumpMap[313][Constant] = 116;
   _jumpMap[313][SignedFloat] = 115;
   _jumpMap[313][SignedInt] = 114;
}
void Cego::loadParser251()
{
   _jumpMap[313][Attribute] = 113;
   _jumpMap[313][ExpressionList] = 480;
   _jumpMap[313][Function] = 112;
   _jumpMap[313][CasePrepare] = 111;
   _jumpMap[313][CaseClause] = 110;
   _jumpMap[313][Factor] = 109;
   _jumpMap[313][Term] = 108;
   _jumpMap[313][Expr] = 435;
   _actionMap[314][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[314][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[314][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[314][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[314][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[314][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[314][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[314][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[314][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[314][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[314][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[314][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[314][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[314][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[314][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[314][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[314][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[314][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[314][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[314][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[314][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[314][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[314][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[314][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[314][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[314][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[314][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[314][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[314][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[314][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[314][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[314][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[314][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[314][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[314][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[314][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[314][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[314][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[314][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[314][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[314][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[314][SETCOUNT] = ActionEntry(SHIFT, 161);
}
void Cego::loadParser252()
{
   _actionMap[314][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[314][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[314][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[314][LB] = ActionEntry(SHIFT, 172);
   _actionMap[314][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[314][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[314][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[314][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[314][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[314][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[314][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[314][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[314][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[314][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[314][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[314][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[314][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[314][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[314][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[314][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[314][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[314][ObjSpec] = 117;
   _jumpMap[314][Constant] = 116;
   _jumpMap[314][SignedFloat] = 115;
   _jumpMap[314][SignedInt] = 114;
   _jumpMap[314][Attribute] = 113;
   _jumpMap[314][Function] = 112;
   _jumpMap[314][CasePrepare] = 111;
   _jumpMap[314][CaseClause] = 110;
   _jumpMap[314][Factor] = 109;
   _jumpMap[314][Term] = 108;
   _jumpMap[314][Expr] = 481;
   _actionMap[315][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[315][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[315][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[315][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[315][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[315][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[315][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[315][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[315][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[315][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[315][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[315][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[315][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[315][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[315][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[315][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[315][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[315][GETPOS] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser253()
{
   _actionMap[315][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[315][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[315][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[315][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[315][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[315][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[315][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[315][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[315][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[315][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[315][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[315][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[315][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[315][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[315][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[315][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[315][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[315][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[315][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[315][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[315][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[315][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[315][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[315][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[315][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[315][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[315][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[315][LB] = ActionEntry(SHIFT, 172);
   _actionMap[315][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[315][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[315][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[315][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[315][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[315][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[315][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[315][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[315][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[315][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[315][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[315][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[315][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[315][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[315][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[315][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[315][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[315][ObjSpec] = 117;
   _jumpMap[315][Constant] = 116;
   _jumpMap[315][SignedFloat] = 115;
   _jumpMap[315][SignedInt] = 114;
   _jumpMap[315][Attribute] = 113;
}
void Cego::loadParser254()
{
   _jumpMap[315][ExpressionList] = 482;
   _jumpMap[315][Function] = 112;
   _jumpMap[315][CasePrepare] = 111;
   _jumpMap[315][CaseClause] = 110;
   _jumpMap[315][Factor] = 109;
   _jumpMap[315][Term] = 108;
   _jumpMap[315][Expr] = 435;
   _actionMap[316][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[316][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[316][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[316][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[316][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[316][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[316][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[316][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[316][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[316][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[316][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[316][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[316][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[316][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[316][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[316][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[316][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[316][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[316][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[316][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[316][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[316][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[316][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[316][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[316][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[316][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[316][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[316][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[316][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[316][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[316][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[316][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[316][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[316][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[316][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[316][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[316][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[316][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[316][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[316][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[316][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[316][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[316][IDENTIFIER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser255()
{
   _actionMap[316][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[316][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[316][LB] = ActionEntry(SHIFT, 172);
   _actionMap[316][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[316][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[316][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[316][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[316][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[316][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[316][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[316][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[316][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[316][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[316][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[316][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[316][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[316][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[316][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[316][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[316][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[316][ObjSpec] = 117;
   _jumpMap[316][Constant] = 116;
   _jumpMap[316][SignedFloat] = 115;
   _jumpMap[316][SignedInt] = 114;
   _jumpMap[316][Attribute] = 113;
   _jumpMap[316][ExpressionList] = 483;
   _jumpMap[316][Function] = 112;
   _jumpMap[316][CasePrepare] = 111;
   _jumpMap[316][CaseClause] = 110;
   _jumpMap[316][Factor] = 109;
   _jumpMap[316][Term] = 108;
   _jumpMap[316][Expr] = 435;
   _actionMap[317][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[317][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[317][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[317][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[317][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[317][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[317][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[317][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[317][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[317][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[317][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[317][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[317][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[317][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[317][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[317][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[317][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[317][GETPOS] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser256()
{
   _actionMap[317][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[317][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[317][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[317][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[317][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[317][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[317][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[317][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[317][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[317][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[317][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[317][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[317][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[317][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[317][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[317][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[317][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[317][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[317][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[317][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[317][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[317][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[317][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[317][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[317][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[317][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[317][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[317][LB] = ActionEntry(SHIFT, 172);
   _actionMap[317][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[317][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[317][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[317][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[317][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[317][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[317][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[317][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[317][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[317][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[317][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[317][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[317][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[317][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[317][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[317][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[317][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[317][ObjSpec] = 117;
   _jumpMap[317][Constant] = 116;
   _jumpMap[317][SignedFloat] = 115;
   _jumpMap[317][SignedInt] = 114;
   _jumpMap[317][Attribute] = 113;
}
void Cego::loadParser257()
{
   _jumpMap[317][ExpressionList] = 484;
   _jumpMap[317][Function] = 112;
   _jumpMap[317][CasePrepare] = 111;
   _jumpMap[317][CaseClause] = 110;
   _jumpMap[317][Factor] = 109;
   _jumpMap[317][Term] = 108;
   _jumpMap[317][Expr] = 435;
   _actionMap[318][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[318][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[318][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[318][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[318][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[318][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[318][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[318][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[318][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[318][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[318][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[318][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[318][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[318][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[318][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[318][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[318][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[318][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[318][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[318][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[318][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[318][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[318][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[318][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[318][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[318][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[318][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[318][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[318][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[318][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[318][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[318][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[318][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[318][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[318][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[318][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[318][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[318][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[318][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[318][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[318][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[318][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[318][IDENTIFIER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser258()
{
   _actionMap[318][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[318][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[318][LB] = ActionEntry(SHIFT, 172);
   _actionMap[318][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[318][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[318][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[318][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[318][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[318][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[318][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[318][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[318][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[318][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[318][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[318][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[318][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[318][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[318][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[318][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[318][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[318][ObjSpec] = 117;
   _jumpMap[318][Constant] = 116;
   _jumpMap[318][SignedFloat] = 115;
   _jumpMap[318][SignedInt] = 114;
   _jumpMap[318][Attribute] = 113;
   _jumpMap[318][ExpressionList] = 485;
   _jumpMap[318][Function] = 112;
   _jumpMap[318][CasePrepare] = 111;
   _jumpMap[318][CaseClause] = 110;
   _jumpMap[318][Factor] = 109;
   _jumpMap[318][Term] = 108;
   _jumpMap[318][Expr] = 435;
   _actionMap[319][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[319][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[319][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[319][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[319][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[319][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[319][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[319][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[319][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[319][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[319][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[319][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[319][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[319][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[319][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[319][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[319][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[319][GETPOS] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser259()
{
   _actionMap[319][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[319][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[319][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[319][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[319][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[319][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[319][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[319][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[319][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[319][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[319][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[319][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[319][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[319][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[319][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[319][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[319][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[319][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[319][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[319][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[319][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[319][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[319][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[319][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[319][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[319][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[319][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[319][LB] = ActionEntry(SHIFT, 172);
   _actionMap[319][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[319][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[319][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[319][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[319][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[319][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[319][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[319][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[319][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[319][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[319][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[319][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[319][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[319][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[319][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[319][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[319][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[319][ObjSpec] = 117;
   _jumpMap[319][Constant] = 116;
   _jumpMap[319][SignedFloat] = 115;
   _jumpMap[319][SignedInt] = 114;
   _jumpMap[319][Attribute] = 113;
}
void Cego::loadParser260()
{
   _jumpMap[319][ExpressionList] = 486;
   _jumpMap[319][Function] = 112;
   _jumpMap[319][CasePrepare] = 111;
   _jumpMap[319][CaseClause] = 110;
   _jumpMap[319][Factor] = 109;
   _jumpMap[319][Term] = 108;
   _jumpMap[319][Expr] = 435;
   _actionMap[320][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[320][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[320][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[320][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[320][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[320][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[320][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[320][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[320][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[320][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[320][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[320][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[320][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[320][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[320][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[320][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[320][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[320][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[320][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[320][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[320][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[320][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[320][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[320][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[320][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[320][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[320][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[320][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[320][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[320][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[320][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[320][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[320][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[320][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[320][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[320][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[320][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[320][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[320][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[320][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[320][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[320][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[320][IDENTIFIER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser261()
{
   _actionMap[320][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[320][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[320][LB] = ActionEntry(SHIFT, 172);
   _actionMap[320][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[320][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[320][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[320][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[320][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[320][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[320][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[320][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[320][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[320][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[320][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[320][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[320][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[320][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[320][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[320][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[320][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[320][ObjSpec] = 117;
   _jumpMap[320][Constant] = 116;
   _jumpMap[320][SignedFloat] = 115;
   _jumpMap[320][SignedInt] = 114;
   _jumpMap[320][Attribute] = 113;
   _jumpMap[320][ExpressionList] = 487;
   _jumpMap[320][Function] = 112;
   _jumpMap[320][CasePrepare] = 111;
   _jumpMap[320][CaseClause] = 110;
   _jumpMap[320][Factor] = 109;
   _jumpMap[320][Term] = 108;
   _jumpMap[320][Expr] = 435;
   _actionMap[321][RB] = ActionEntry(SHIFT, 488);
   _actionMap[321][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[321][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[321][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[322][RB] = ActionEntry(SHIFT, 489);
   _actionMap[323][RB] = ActionEntry(SHIFT, 490);
   _actionMap[324][RB] = ActionEntry(SHIFT, 491);
   _actionMap[325][RB] = ActionEntry(SHIFT, 492);
   _actionMap[326][RB] = ActionEntry(SHIFT, 493);
   _actionMap[327][RB] = ActionEntry(SHIFT, 494);
   _actionMap[328][RB] = ActionEntry(SHIFT, 495);
   _actionMap[329][RB] = ActionEntry(SHIFT, 496);
   _actionMap[330][WHEN] = ActionEntry(REDUCE, 391);
   _actionMap[330][ELSE] = ActionEntry(REDUCE, 391);
   _actionMap[330][LEFT] = ActionEntry(REDUCE, 391);
   _actionMap[330][RIGHT] = ActionEntry(REDUCE, 391);
   _actionMap[330][INNER] = ActionEntry(REDUCE, 391);
   _actionMap[330][JOIN] = ActionEntry(REDUCE, 391);
}
void Cego::loadParser262()
{
   _actionMap[330][RETURNTOKEN] = ActionEntry(REDUCE, 391);
   _actionMap[330][ORDER] = ActionEntry(REDUCE, 391);
   _actionMap[330][GROUP] = ActionEntry(REDUCE, 391);
   _actionMap[330][WHERE] = ActionEntry(REDUCE, 391);
   _actionMap[330][AS] = ActionEntry(REDUCE, 391);
   _actionMap[330][FROM] = ActionEntry(REDUCE, 391);
   _actionMap[330][END_TOKEN] = ActionEntry(REDUCE, 391);
   _actionMap[330][BEGIN] = ActionEntry(REDUCE, 391);
   _actionMap[330][THEN] = ActionEntry(REDUCE, 391);
   _actionMap[330][OR] = ActionEntry(REDUCE, 391);
   _actionMap[330][AND] = ActionEntry(REDUCE, 391);
   _actionMap[330][NULLTOKEN] = ActionEntry(REDUCE, 391);
   _actionMap[330][LIKE] = ActionEntry(REDUCE, 391);
   _actionMap[330][IS] = ActionEntry(REDUCE, 391);
   _actionMap[330][BETWEEN] = ActionEntry(REDUCE, 391);
   _actionMap[330][NOT] = ActionEntry(REDUCE, 391);
   _actionMap[330][INTOK] = ActionEntry(REDUCE, 391);
   _actionMap[330][EQU] = ActionEntry(REDUCE, 391);
   _actionMap[330][NEGATION] = ActionEntry(REDUCE, 391);
   _actionMap[330][LT] = ActionEntry(REDUCE, 391);
   _actionMap[330][MT] = ActionEntry(REDUCE, 391);
   _actionMap[330][DESC] = ActionEntry(REDUCE, 391);
   _actionMap[330][ASC] = ActionEntry(REDUCE, 391);
   _actionMap[330][KSEP] = ActionEntry(REDUCE, 391);
   _actionMap[330][ROWLIMIT] = ActionEntry(REDUCE, 391);
   _actionMap[330][UNION] = ActionEntry(REDUCE, 391);
   _actionMap[330][ENDTOKEN] = ActionEntry(REDUCE, 391);
   _actionMap[330][RB] = ActionEntry(REDUCE, 391);
   _actionMap[330][SEMICOLON] = ActionEntry(REDUCE, 391);
   _actionMap[330][CONCAT] = ActionEntry(REDUCE, 391);
   _actionMap[330][STAR] = ActionEntry(REDUCE, 391);
   _actionMap[330][DIVISION] = ActionEntry(REDUCE, 391);
   _actionMap[330][MINUS] = ActionEntry(REDUCE, 391);
   _actionMap[330][PLUS] = ActionEntry(REDUCE, 391);
   _actionMap[331][WHEN] = ActionEntry(REDUCE, 393);
   _actionMap[331][ELSE] = ActionEntry(REDUCE, 393);
   _actionMap[331][LEFT] = ActionEntry(REDUCE, 393);
   _actionMap[331][RIGHT] = ActionEntry(REDUCE, 393);
   _actionMap[331][INNER] = ActionEntry(REDUCE, 393);
   _actionMap[331][JOIN] = ActionEntry(REDUCE, 393);
   _actionMap[331][RETURNTOKEN] = ActionEntry(REDUCE, 393);
   _actionMap[331][ORDER] = ActionEntry(REDUCE, 393);
   _actionMap[331][GROUP] = ActionEntry(REDUCE, 393);
   _actionMap[331][WHERE] = ActionEntry(REDUCE, 393);
   _actionMap[331][AS] = ActionEntry(REDUCE, 393);
   _actionMap[331][FROM] = ActionEntry(REDUCE, 393);
   _actionMap[331][END_TOKEN] = ActionEntry(REDUCE, 393);
   _actionMap[331][BEGIN] = ActionEntry(REDUCE, 393);
   _actionMap[331][THEN] = ActionEntry(REDUCE, 393);
   _actionMap[331][OR] = ActionEntry(REDUCE, 393);
}
void Cego::loadParser263()
{
   _actionMap[331][AND] = ActionEntry(REDUCE, 393);
   _actionMap[331][NULLTOKEN] = ActionEntry(REDUCE, 393);
   _actionMap[331][LIKE] = ActionEntry(REDUCE, 393);
   _actionMap[331][IS] = ActionEntry(REDUCE, 393);
   _actionMap[331][BETWEEN] = ActionEntry(REDUCE, 393);
   _actionMap[331][NOT] = ActionEntry(REDUCE, 393);
   _actionMap[331][INTOK] = ActionEntry(REDUCE, 393);
   _actionMap[331][EQU] = ActionEntry(REDUCE, 393);
   _actionMap[331][NEGATION] = ActionEntry(REDUCE, 393);
   _actionMap[331][LT] = ActionEntry(REDUCE, 393);
   _actionMap[331][MT] = ActionEntry(REDUCE, 393);
   _actionMap[331][DESC] = ActionEntry(REDUCE, 393);
   _actionMap[331][ASC] = ActionEntry(REDUCE, 393);
   _actionMap[331][KSEP] = ActionEntry(REDUCE, 393);
   _actionMap[331][ROWLIMIT] = ActionEntry(REDUCE, 393);
   _actionMap[331][UNION] = ActionEntry(REDUCE, 393);
   _actionMap[331][ENDTOKEN] = ActionEntry(REDUCE, 393);
   _actionMap[331][RB] = ActionEntry(REDUCE, 393);
   _actionMap[331][SEMICOLON] = ActionEntry(REDUCE, 393);
   _actionMap[331][CONCAT] = ActionEntry(REDUCE, 393);
   _actionMap[331][STAR] = ActionEntry(REDUCE, 393);
   _actionMap[331][DIVISION] = ActionEntry(REDUCE, 393);
   _actionMap[331][MINUS] = ActionEntry(REDUCE, 393);
   _actionMap[331][PLUS] = ActionEntry(REDUCE, 393);
   _actionMap[332][WHEN] = ActionEntry(REDUCE, 389);
   _actionMap[332][ELSE] = ActionEntry(REDUCE, 389);
   _actionMap[332][LEFT] = ActionEntry(REDUCE, 389);
   _actionMap[332][RIGHT] = ActionEntry(REDUCE, 389);
   _actionMap[332][INNER] = ActionEntry(REDUCE, 389);
   _actionMap[332][JOIN] = ActionEntry(REDUCE, 389);
   _actionMap[332][RETURNTOKEN] = ActionEntry(REDUCE, 389);
   _actionMap[332][GROUP] = ActionEntry(REDUCE, 389);
   _actionMap[332][WHERE] = ActionEntry(REDUCE, 389);
   _actionMap[332][FROM] = ActionEntry(REDUCE, 389);
   _actionMap[332][AS] = ActionEntry(REDUCE, 389);
   _actionMap[332][END_TOKEN] = ActionEntry(REDUCE, 389);
   _actionMap[332][BEGIN] = ActionEntry(REDUCE, 389);
   _actionMap[332][THEN] = ActionEntry(REDUCE, 389);
   _actionMap[332][OR] = ActionEntry(REDUCE, 389);
   _actionMap[332][AND] = ActionEntry(REDUCE, 389);
   _actionMap[332][INTOK] = ActionEntry(REDUCE, 389);
   _actionMap[332][NOT] = ActionEntry(REDUCE, 389);
   _actionMap[332][BETWEEN] = ActionEntry(REDUCE, 389);
   _actionMap[332][IS] = ActionEntry(REDUCE, 389);
   _actionMap[332][LIKE] = ActionEntry(REDUCE, 389);
   _actionMap[332][HAVING] = ActionEntry(REDUCE, 389);
   _actionMap[332][ORDER] = ActionEntry(REDUCE, 389);
   _actionMap[332][MT] = ActionEntry(REDUCE, 389);
   _actionMap[332][LT] = ActionEntry(REDUCE, 389);
   _actionMap[332][NEGATION] = ActionEntry(REDUCE, 389);
}
void Cego::loadParser264()
{
   _actionMap[332][EQU] = ActionEntry(REDUCE, 389);
   _actionMap[332][RB] = ActionEntry(REDUCE, 389);
   _actionMap[332][ENDTOKEN] = ActionEntry(REDUCE, 389);
   _actionMap[332][UNION] = ActionEntry(REDUCE, 389);
   _actionMap[332][ROWLIMIT] = ActionEntry(REDUCE, 389);
   _actionMap[332][KSEP] = ActionEntry(REDUCE, 389);
   _actionMap[332][ASC] = ActionEntry(REDUCE, 389);
   _actionMap[332][DESC] = ActionEntry(REDUCE, 389);
   _actionMap[332][SEMICOLON] = ActionEntry(REDUCE, 389);
   _actionMap[332][PLUS] = ActionEntry(REDUCE, 389);
   _actionMap[332][MINUS] = ActionEntry(REDUCE, 389);
   _actionMap[332][DIVISION] = ActionEntry(REDUCE, 389);
   _actionMap[332][STAR] = ActionEntry(REDUCE, 389);
   _actionMap[332][CONCAT] = ActionEntry(REDUCE, 389);
   _actionMap[333][TO] = ActionEntry(SHIFT, 497);
   _actionMap[334][TO] = ActionEntry(SHIFT, 498);
   _actionMap[335][TO] = ActionEntry(SHIFT, 499);
   _actionMap[336][TO] = ActionEntry(SHIFT, 500);
   _actionMap[337][TO] = ActionEntry(SHIFT, 501);
   _actionMap[338][TO] = ActionEntry(SHIFT, 502);
   _actionMap[339][TO] = ActionEntry(SHIFT, 503);
   _actionMap[340][SEMICOLON] = ActionEntry(REDUCE, 46);
   _actionMap[341][SEMICOLON] = ActionEntry(REDUCE, 45);
   _actionMap[342][SEMICOLON] = ActionEntry(REDUCE, 229);
   _actionMap[342][RB] = ActionEntry(REDUCE, 229);
   _actionMap[343][SEMICOLON] = ActionEntry(REDUCE, 231);
   _actionMap[343][RB] = ActionEntry(REDUCE, 231);
   _actionMap[344][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[344][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[344][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[344][ObjSpec] = 508;
   _jumpMap[344][Table] = 507;
   _jumpMap[344][TableList] = 506;
   _jumpMap[344][JoinSpecList] = 505;
   _jumpMap[344][TableSource] = 504;
   _actionMap[345][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[345][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[345][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[345][FROM] = ActionEntry(REDUCE, 254);
   _actionMap[345][AS] = ActionEntry(SHIFT, 511);
   _actionMap[345][RB] = ActionEntry(REDUCE, 254);
   _actionMap[345][SEMICOLON] = ActionEntry(REDUCE, 254);
   _actionMap[345][ENDTOKEN] = ActionEntry(REDUCE, 254);
   _actionMap[345][KSEP] = ActionEntry(REDUCE, 254);
   _jumpMap[345][NoAliasOpt] = 510;
   _jumpMap[345][AliasOpt] = 509;
   _actionMap[346][KSEP] = ActionEntry(SHIFT, 512);
   _actionMap[346][FROM] = ActionEntry(REDUCE, 233);
   _actionMap[346][RB] = ActionEntry(REDUCE, 233);
   _actionMap[346][SEMICOLON] = ActionEntry(REDUCE, 233);
}
void Cego::loadParser265()
{
   _actionMap[346][ENDTOKEN] = ActionEntry(REDUCE, 233);
   _actionMap[347][FROM] = ActionEntry(REDUCE, 236);
   _actionMap[347][RB] = ActionEntry(REDUCE, 236);
   _actionMap[347][SEMICOLON] = ActionEntry(REDUCE, 236);
   _actionMap[347][ENDTOKEN] = ActionEntry(REDUCE, 236);
   _actionMap[347][KSEP] = ActionEntry(REDUCE, 236);
   _actionMap[348][SEMICOLON] = ActionEntry(REDUCE, 41);
   _actionMap[349][SEMICOLON] = ActionEntry(REDUCE, 40);
   _actionMap[350][SEMICOLON] = ActionEntry(REDUCE, 43);
   _actionMap[351][SEMICOLON] = ActionEntry(REDUCE, 42);
   _actionMap[352][TO] = ActionEntry(SHIFT, 513);
   _actionMap[353][SEMICOLON] = ActionEntry(REDUCE, 44);
   _actionMap[354][SEMICOLON] = ActionEntry(REDUCE, 33);
   _actionMap[355][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[355][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[355][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[355][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[355][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[355][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[355][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[355][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[355][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[355][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[355][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[355][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[355][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[355][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[355][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[355][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[355][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[355][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[355][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[355][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[355][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[355][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[355][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[355][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[355][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[355][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[355][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[355][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[355][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[355][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[355][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[355][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[355][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[355][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[355][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[355][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[355][BLOBREF] = ActionEntry(SHIFT, 126);
}
void Cego::loadParser266()
{
   _actionMap[355][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[355][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[355][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[355][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[355][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[355][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[355][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[355][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[355][LB] = ActionEntry(SHIFT, 172);
   _actionMap[355][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[355][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[355][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[355][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[355][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[355][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[355][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[355][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[355][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[355][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[355][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[355][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[355][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[355][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[355][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[355][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[355][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[355][ObjSpec] = 117;
   _jumpMap[355][Constant] = 116;
   _jumpMap[355][SignedFloat] = 115;
   _jumpMap[355][SignedInt] = 114;
   _jumpMap[355][Attribute] = 113;
   _jumpMap[355][Function] = 112;
   _jumpMap[355][CasePrepare] = 111;
   _jumpMap[355][CaseClause] = 110;
   _jumpMap[355][Factor] = 109;
   _jumpMap[355][Term] = 108;
   _jumpMap[355][Expr] = 514;
   _actionMap[356][SEMICOLON] = ActionEntry(REDUCE, 31);
   _actionMap[357][SEMICOLON] = ActionEntry(REDUCE, 29);
   _actionMap[358][SEMICOLON] = ActionEntry(REDUCE, 32);
   _actionMap[359][SEMICOLON] = ActionEntry(REDUCE, 30);
   _actionMap[360][SEMICOLON] = ActionEntry(REDUCE, 67);
   _actionMap[361][SET] = ActionEntry(SHIFT, 362);
   _actionMap[362][IDENTIFIER] = ActionEntry(SHIFT, 517);
   _jumpMap[362][Assignment] = 516;
   _jumpMap[362][UpdateList] = 515;
   _actionMap[363][SET] = ActionEntry(REDUCE, 288);
   _actionMap[363][WHERE] = ActionEntry(REDUCE, 288);
   _actionMap[363][GROUP] = ActionEntry(REDUCE, 288);
   _actionMap[363][ORDER] = ActionEntry(REDUCE, 288);
}
void Cego::loadParser267()
{
   _actionMap[363][ROWLIMIT] = ActionEntry(REDUCE, 288);
   _actionMap[363][UNION] = ActionEntry(REDUCE, 288);
   _actionMap[363][ENDTOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[363][RB] = ActionEntry(REDUCE, 288);
   _actionMap[363][SEMICOLON] = ActionEntry(REDUCE, 288);
   _actionMap[363][RETURNTOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[364][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[364][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[364][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[364][ObjSpec] = 518;
   _actionMap[46][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[46][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[46][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[46][ObjSpec] = 213;
   _actionMap[47][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[47][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[47][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[47][ObjSpec] = 214;
   _actionMap[48][FOR] = ActionEntry(REDUCE, 210);
   _actionMap[48][SEMICOLON] = ActionEntry(REDUCE, 210);
   _actionMap[48][QUALIFIEDOBJ] = ActionEntry(REDUCE, 210);
   _actionMap[48][QUALIFIEDTS] = ActionEntry(REDUCE, 210);
   _actionMap[48][ON] = ActionEntry(REDUCE, 210);
   _actionMap[48][IDENTIFIER] = ActionEntry(REDUCE, 210);
   _actionMap[49][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[49][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[49][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[49][ObjSpec] = 215;
   _actionMap[50][IDENTIFIER] = ActionEntry(SHIFT, 217);
   _jumpMap[50][CounterId] = 216;
   _actionMap[51][KEY] = ActionEntry(SHIFT, 218);
   _actionMap[52][FOR] = ActionEntry(REDUCE, 211);
   _actionMap[52][SEMICOLON] = ActionEntry(REDUCE, 211);
   _actionMap[52][QUALIFIEDOBJ] = ActionEntry(REDUCE, 211);
   _actionMap[52][QUALIFIEDTS] = ActionEntry(REDUCE, 211);
   _actionMap[52][ON] = ActionEntry(REDUCE, 211);
   _actionMap[52][IDENTIFIER] = ActionEntry(REDUCE, 211);
   _actionMap[53][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[53][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[53][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[53][ObjSpec] = 219;
   _actionMap[54][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[54][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[54][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[54][ObjSpec] = 220;
   _actionMap[55][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[55][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[55][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[55][ObjSpec] = 221;
   _actionMap[56][IDENTIFIER] = ActionEntry(SHIFT, 61);
}
void Cego::loadParser268()
{
   _actionMap[56][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[56][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[56][ObjSpec] = 222;
   _actionMap[57][ENDTOKEN] = ActionEntry(ACCEPT, 0);
   _actionMap[58][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[58][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[58][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[58][ObjSpec] = 223;
   _actionMap[59][IDENTIFIED] = ActionEntry(SHIFT, 224);
   _actionMap[60][LB] = ActionEntry(SHIFT, 225);
   _actionMap[61][BEGIN] = ActionEntry(REDUCE, 413);
   _actionMap[61][TO] = ActionEntry(REDUCE, 413);
   _actionMap[61][VALUES] = ActionEntry(REDUCE, 413);
   _actionMap[61][SELECT] = ActionEntry(REDUCE, 413);
   _actionMap[61][SET] = ActionEntry(REDUCE, 413);
   _actionMap[61][AS] = ActionEntry(REDUCE, 413);
   _actionMap[61][BEFORE] = ActionEntry(REDUCE, 413);
   _actionMap[61][AFTER] = ActionEntry(REDUCE, 413);
   _actionMap[61][DROP] = ActionEntry(REDUCE, 413);
   _actionMap[61][MODIFY] = ActionEntry(REDUCE, 413);
   _actionMap[61][RENAME] = ActionEntry(REDUCE, 413);
   _actionMap[61][ADD] = ActionEntry(REDUCE, 413);
   _actionMap[61][JOIN] = ActionEntry(REDUCE, 413);
   _actionMap[61][INNER] = ActionEntry(REDUCE, 413);
   _actionMap[61][RIGHT] = ActionEntry(REDUCE, 413);
   _actionMap[61][LEFT] = ActionEntry(REDUCE, 413);
   _actionMap[61][KSEP] = ActionEntry(REDUCE, 413);
   _actionMap[61][RETURNTOKEN] = ActionEntry(REDUCE, 413);
   _actionMap[61][SEMICOLON] = ActionEntry(REDUCE, 413);
   _actionMap[61][RB] = ActionEntry(REDUCE, 413);
   _actionMap[61][ENDTOKEN] = ActionEntry(REDUCE, 413);
   _actionMap[61][UNION] = ActionEntry(REDUCE, 413);
   _actionMap[61][ROWLIMIT] = ActionEntry(REDUCE, 413);
   _actionMap[61][ORDER] = ActionEntry(REDUCE, 413);
   _actionMap[61][GROUP] = ActionEntry(REDUCE, 413);
   _actionMap[61][WHERE] = ActionEntry(REDUCE, 413);
   _actionMap[61][LB] = ActionEntry(REDUCE, 413);
   _actionMap[61][IDENTIFIER] = ActionEntry(REDUCE, 413);
   _actionMap[61][ON] = ActionEntry(REDUCE, 413);
   _actionMap[62][BEGIN] = ActionEntry(REDUCE, 414);
   _actionMap[62][TO] = ActionEntry(REDUCE, 414);
   _actionMap[62][VALUES] = ActionEntry(REDUCE, 414);
   _actionMap[62][SELECT] = ActionEntry(REDUCE, 414);
   _actionMap[62][SET] = ActionEntry(REDUCE, 414);
   _actionMap[62][AS] = ActionEntry(REDUCE, 414);
   _actionMap[62][BEFORE] = ActionEntry(REDUCE, 414);
   _actionMap[62][AFTER] = ActionEntry(REDUCE, 414);
   _actionMap[62][DROP] = ActionEntry(REDUCE, 414);
   _actionMap[62][MODIFY] = ActionEntry(REDUCE, 414);
   _actionMap[62][RENAME] = ActionEntry(REDUCE, 414);
}
void Cego::loadParser269()
{
   _actionMap[62][ADD] = ActionEntry(REDUCE, 414);
   _actionMap[62][JOIN] = ActionEntry(REDUCE, 414);
   _actionMap[62][INNER] = ActionEntry(REDUCE, 414);
   _actionMap[62][RIGHT] = ActionEntry(REDUCE, 414);
   _actionMap[62][LEFT] = ActionEntry(REDUCE, 414);
   _actionMap[62][KSEP] = ActionEntry(REDUCE, 414);
   _actionMap[62][RETURNTOKEN] = ActionEntry(REDUCE, 414);
   _actionMap[62][SEMICOLON] = ActionEntry(REDUCE, 414);
   _actionMap[62][RB] = ActionEntry(REDUCE, 414);
   _actionMap[62][ENDTOKEN] = ActionEntry(REDUCE, 414);
   _actionMap[62][UNION] = ActionEntry(REDUCE, 414);
   _actionMap[62][ROWLIMIT] = ActionEntry(REDUCE, 414);
   _actionMap[62][ORDER] = ActionEntry(REDUCE, 414);
   _actionMap[62][GROUP] = ActionEntry(REDUCE, 414);
   _actionMap[62][WHERE] = ActionEntry(REDUCE, 414);
   _actionMap[62][LB] = ActionEntry(REDUCE, 414);
   _actionMap[62][IDENTIFIER] = ActionEntry(REDUCE, 414);
   _actionMap[62][ON] = ActionEntry(REDUCE, 414);
   _actionMap[63][BEGIN] = ActionEntry(REDUCE, 415);
   _actionMap[63][TO] = ActionEntry(REDUCE, 415);
   _actionMap[63][VALUES] = ActionEntry(REDUCE, 415);
   _actionMap[63][SELECT] = ActionEntry(REDUCE, 415);
   _actionMap[63][SET] = ActionEntry(REDUCE, 415);
   _actionMap[63][AS] = ActionEntry(REDUCE, 415);
   _actionMap[63][BEFORE] = ActionEntry(REDUCE, 415);
   _actionMap[63][AFTER] = ActionEntry(REDUCE, 415);
   _actionMap[63][DROP] = ActionEntry(REDUCE, 415);
   _actionMap[63][MODIFY] = ActionEntry(REDUCE, 415);
   _actionMap[63][RENAME] = ActionEntry(REDUCE, 415);
   _actionMap[63][ADD] = ActionEntry(REDUCE, 415);
   _actionMap[63][JOIN] = ActionEntry(REDUCE, 415);
   _actionMap[63][INNER] = ActionEntry(REDUCE, 415);
   _actionMap[63][RIGHT] = ActionEntry(REDUCE, 415);
   _actionMap[63][LEFT] = ActionEntry(REDUCE, 415);
   _actionMap[63][KSEP] = ActionEntry(REDUCE, 415);
   _actionMap[63][RETURNTOKEN] = ActionEntry(REDUCE, 415);
   _actionMap[63][SEMICOLON] = ActionEntry(REDUCE, 415);
   _actionMap[63][RB] = ActionEntry(REDUCE, 415);
   _actionMap[63][ENDTOKEN] = ActionEntry(REDUCE, 415);
   _actionMap[63][UNION] = ActionEntry(REDUCE, 415);
   _actionMap[63][ROWLIMIT] = ActionEntry(REDUCE, 415);
   _actionMap[63][ORDER] = ActionEntry(REDUCE, 415);
   _actionMap[63][GROUP] = ActionEntry(REDUCE, 415);
   _actionMap[63][WHERE] = ActionEntry(REDUCE, 415);
   _actionMap[63][IDENTIFIER] = ActionEntry(REDUCE, 415);
   _actionMap[63][ON] = ActionEntry(REDUCE, 415);
   _actionMap[63][LB] = ActionEntry(REDUCE, 415);
   _actionMap[64][IDENTIFIER] = ActionEntry(SHIFT, 226);
   _actionMap[65][SEMICOLON] = ActionEntry(REDUCE, 65);
   _actionMap[66][BEGIN] = ActionEntry(SHIFT, 227);
}
void Cego::loadParser270()
{
   _actionMap[67][BEGIN] = ActionEntry(SHIFT, 228);
   _actionMap[68][SEMICOLON] = ActionEntry(REDUCE, 56);
   _actionMap[69][BTREE] = ActionEntry(SHIFT, 48);
   _actionMap[69][INDEX] = ActionEntry(SHIFT, 52);
   _actionMap[69][AVLTREE] = ActionEntry(SHIFT, 231);
   _jumpMap[69][BtreeType] = 230;
   _jumpMap[69][IndexType] = 229;
   _actionMap[70][IDENTIFIER] = ActionEntry(SHIFT, 217);
   _jumpMap[70][CounterId] = 232;
   _actionMap[71][BTREE] = ActionEntry(SHIFT, 48);
   _actionMap[71][INDEX] = ActionEntry(SHIFT, 52);
   _actionMap[71][AVLTREE] = ActionEntry(SHIFT, 231);
   _jumpMap[71][BtreeType] = 230;
   _jumpMap[71][IndexType] = 233;
   _actionMap[72][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[72][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[72][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[72][ObjSpec] = 234;
   _actionMap[73][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[73][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[73][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[73][ObjSpec] = 235;
   _actionMap[74][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[74][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[74][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[74][ObjSpec] = 236;
   _actionMap[75][AVLTREE] = ActionEntry(REDUCE, 206);
   _actionMap[75][BTREE] = ActionEntry(REDUCE, 206);
   _actionMap[75][INDEX] = ActionEntry(REDUCE, 206);
   _actionMap[76][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[76][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[76][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[76][ObjSpec] = 237;
   _actionMap[77][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[77][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[77][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[77][ObjSpec] = 238;
   _actionMap[78][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[78][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[78][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[78][ObjSpec] = 239;
   _actionMap[79][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[79][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[79][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[79][ObjSpec] = 240;
   _actionMap[80][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[80][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[80][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[80][ObjSpec] = 241;
   _actionMap[81][KEY] = ActionEntry(SHIFT, 242);
}
void Cego::loadParser271()
{
   _actionMap[82][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[82][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[82][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[82][ObjSpec] = 243;
   _actionMap[83][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[83][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[83][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[83][ObjSpec] = 244;
   _actionMap[84][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[84][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[84][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[84][ObjSpec] = 245;
   _actionMap[85][EXISTS] = ActionEntry(SHIFT, 246);
   _actionMap[86][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[86][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[86][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[86][ObjSpec] = 247;
   _actionMap[87][IDENTIFIER] = ActionEntry(SHIFT, 248);
   _actionMap[87][SEMICOLON] = ActionEntry(REDUCE, 87);
   _actionMap[88][IDENTIFIER] = ActionEntry(REDUCE, 89);
   _actionMap[88][SEMICOLON] = ActionEntry(REDUCE, 89);
   _actionMap[89][FOR] = ActionEntry(SHIFT, 250);
   _actionMap[89][SEMICOLON] = ActionEntry(REDUCE, 15);
   _jumpMap[89][TableSetOpt] = 249;
   _actionMap[90][FOR] = ActionEntry(SHIFT, 250);
   _actionMap[90][SEMICOLON] = ActionEntry(REDUCE, 15);
   _jumpMap[90][TableSetOpt] = 251;
   _actionMap[91][FOR] = ActionEntry(SHIFT, 250);
   _actionMap[91][SEMICOLON] = ActionEntry(REDUCE, 15);
   _jumpMap[91][TableSetOpt] = 252;
   _actionMap[92][FOR] = ActionEntry(SHIFT, 250);
   _actionMap[92][SEMICOLON] = ActionEntry(REDUCE, 15);
   _jumpMap[92][TableSetOpt] = 253;
   _actionMap[93][FOR] = ActionEntry(SHIFT, 250);
   _actionMap[93][SEMICOLON] = ActionEntry(REDUCE, 15);
   _jumpMap[93][TableSetOpt] = 254;
   _actionMap[94][FOR] = ActionEntry(SHIFT, 250);
   _actionMap[94][SEMICOLON] = ActionEntry(REDUCE, 15);
   _jumpMap[94][TableSetOpt] = 255;
   _actionMap[95][FOR] = ActionEntry(SHIFT, 250);
   _actionMap[95][SEMICOLON] = ActionEntry(REDUCE, 15);
   _jumpMap[95][TableSetOpt] = 256;
   _actionMap[96][FOR] = ActionEntry(SHIFT, 250);
   _actionMap[96][SEMICOLON] = ActionEntry(REDUCE, 15);
   _jumpMap[96][TableSetOpt] = 257;
   _actionMap[97][SEMICOLON] = ActionEntry(REDUCE, 2);
   _actionMap[98][FOR] = ActionEntry(SHIFT, 250);
   _actionMap[98][SEMICOLON] = ActionEntry(REDUCE, 15);
   _jumpMap[98][TableSetOpt] = 258;
   _actionMap[99][FOR] = ActionEntry(SHIFT, 250);
}
void Cego::loadParser272()
{
   _actionMap[99][SEMICOLON] = ActionEntry(REDUCE, 15);
   _jumpMap[99][TableSetOpt] = 259;
   _actionMap[100][FOR] = ActionEntry(SHIFT, 250);
   _actionMap[100][SEMICOLON] = ActionEntry(REDUCE, 15);
   _jumpMap[100][TableSetOpt] = 260;
   _actionMap[101][SEMICOLON] = ActionEntry(REDUCE, 66);
   _actionMap[102][SEMICOLON] = ActionEntry(REDUCE, 57);
   _actionMap[103][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[103][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[103][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[103][ObjSpec] = 261;
   _actionMap[104][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[104][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[104][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[104][ObjSpec] = 262;
   _actionMap[105][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[105][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[105][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[105][ObjSpec] = 263;
   _actionMap[106][SEMICOLON] = ActionEntry(REDUCE, 48);
   _actionMap[107][PLUS] = ActionEntry(SHIFT, 266);
   _actionMap[107][MINUS] = ActionEntry(SHIFT, 265);
   _actionMap[107][CONCAT] = ActionEntry(SHIFT, 264);
   _actionMap[107][SEMICOLON] = ActionEntry(REDUCE, 81);
   _actionMap[108][STAR] = ActionEntry(SHIFT, 267);
   _actionMap[108][DIVISION] = ActionEntry(SHIFT, 268);
   _actionMap[108][WHEN] = ActionEntry(REDUCE, 165);
   _actionMap[108][ELSE] = ActionEntry(REDUCE, 165);
   _actionMap[108][LEFT] = ActionEntry(REDUCE, 165);
   _actionMap[108][RIGHT] = ActionEntry(REDUCE, 165);
   _actionMap[108][INNER] = ActionEntry(REDUCE, 165);
   _actionMap[108][JOIN] = ActionEntry(REDUCE, 165);
   _actionMap[108][RETURNTOKEN] = ActionEntry(REDUCE, 165);
   _actionMap[108][ORDER] = ActionEntry(REDUCE, 165);
   _actionMap[108][GROUP] = ActionEntry(REDUCE, 165);
   _actionMap[108][WHERE] = ActionEntry(REDUCE, 165);
   _actionMap[108][BEGIN] = ActionEntry(REDUCE, 165);
   _actionMap[108][THEN] = ActionEntry(REDUCE, 165);
   _actionMap[108][OR] = ActionEntry(REDUCE, 165);
   _actionMap[108][AS] = ActionEntry(REDUCE, 165);
   _actionMap[108][FROM] = ActionEntry(REDUCE, 165);
   _actionMap[108][END_TOKEN] = ActionEntry(REDUCE, 165);
   _actionMap[108][AND] = ActionEntry(REDUCE, 165);
   _actionMap[108][LIKE] = ActionEntry(REDUCE, 165);
   _actionMap[108][IS] = ActionEntry(REDUCE, 165);
   _actionMap[108][BETWEEN] = ActionEntry(REDUCE, 165);
   _actionMap[108][NOT] = ActionEntry(REDUCE, 165);
   _actionMap[108][INTOK] = ActionEntry(REDUCE, 165);
   _actionMap[108][EQU] = ActionEntry(REDUCE, 165);
   _actionMap[108][NEGATION] = ActionEntry(REDUCE, 165);
}
void Cego::loadParser273()
{
   _actionMap[108][LT] = ActionEntry(REDUCE, 165);
   _actionMap[108][MT] = ActionEntry(REDUCE, 165);
   _actionMap[108][DESC] = ActionEntry(REDUCE, 165);
   _actionMap[108][ASC] = ActionEntry(REDUCE, 165);
   _actionMap[108][KSEP] = ActionEntry(REDUCE, 165);
   _actionMap[108][ROWLIMIT] = ActionEntry(REDUCE, 165);
   _actionMap[108][UNION] = ActionEntry(REDUCE, 165);
   _actionMap[108][ENDTOKEN] = ActionEntry(REDUCE, 165);
   _actionMap[108][RB] = ActionEntry(REDUCE, 165);
   _actionMap[108][SEMICOLON] = ActionEntry(REDUCE, 165);
   _actionMap[108][CONCAT] = ActionEntry(REDUCE, 165);
   _actionMap[108][MINUS] = ActionEntry(REDUCE, 165);
   _actionMap[108][PLUS] = ActionEntry(REDUCE, 165);
   _actionMap[109][WHEN] = ActionEntry(REDUCE, 169);
   _actionMap[109][ELSE] = ActionEntry(REDUCE, 169);
   _actionMap[109][LEFT] = ActionEntry(REDUCE, 169);
   _actionMap[109][RIGHT] = ActionEntry(REDUCE, 169);
   _actionMap[109][INNER] = ActionEntry(REDUCE, 169);
   _actionMap[109][JOIN] = ActionEntry(REDUCE, 169);
   _actionMap[109][RETURNTOKEN] = ActionEntry(REDUCE, 169);
   _actionMap[109][ORDER] = ActionEntry(REDUCE, 169);
   _actionMap[109][GROUP] = ActionEntry(REDUCE, 169);
   _actionMap[109][WHERE] = ActionEntry(REDUCE, 169);
   _actionMap[109][BEGIN] = ActionEntry(REDUCE, 169);
   _actionMap[109][THEN] = ActionEntry(REDUCE, 169);
   _actionMap[109][OR] = ActionEntry(REDUCE, 169);
   _actionMap[109][FROM] = ActionEntry(REDUCE, 169);
   _actionMap[109][AS] = ActionEntry(REDUCE, 169);
   _actionMap[109][END_TOKEN] = ActionEntry(REDUCE, 169);
   _actionMap[109][AND] = ActionEntry(REDUCE, 169);
   _actionMap[109][INTOK] = ActionEntry(REDUCE, 169);
   _actionMap[109][NOT] = ActionEntry(REDUCE, 169);
   _actionMap[109][BETWEEN] = ActionEntry(REDUCE, 169);
   _actionMap[109][IS] = ActionEntry(REDUCE, 169);
   _actionMap[109][LIKE] = ActionEntry(REDUCE, 169);
   _actionMap[109][MT] = ActionEntry(REDUCE, 169);
   _actionMap[109][LT] = ActionEntry(REDUCE, 169);
   _actionMap[109][NEGATION] = ActionEntry(REDUCE, 169);
   _actionMap[109][EQU] = ActionEntry(REDUCE, 169);
   _actionMap[109][RB] = ActionEntry(REDUCE, 169);
   _actionMap[109][ENDTOKEN] = ActionEntry(REDUCE, 169);
   _actionMap[109][UNION] = ActionEntry(REDUCE, 169);
   _actionMap[109][ROWLIMIT] = ActionEntry(REDUCE, 169);
   _actionMap[109][KSEP] = ActionEntry(REDUCE, 169);
   _actionMap[109][ASC] = ActionEntry(REDUCE, 169);
   _actionMap[109][DESC] = ActionEntry(REDUCE, 169);
   _actionMap[109][SEMICOLON] = ActionEntry(REDUCE, 169);
   _actionMap[109][PLUS] = ActionEntry(REDUCE, 169);
   _actionMap[109][MINUS] = ActionEntry(REDUCE, 169);
   _actionMap[109][DIVISION] = ActionEntry(REDUCE, 169);
}
void Cego::loadParser274()
{
   _actionMap[109][STAR] = ActionEntry(REDUCE, 169);
   _actionMap[109][CONCAT] = ActionEntry(REDUCE, 169);
   _actionMap[110][WHEN] = ActionEntry(REDUCE, 177);
   _actionMap[110][ELSE] = ActionEntry(REDUCE, 177);
   _actionMap[110][LEFT] = ActionEntry(REDUCE, 177);
   _actionMap[110][RIGHT] = ActionEntry(REDUCE, 177);
   _actionMap[110][INNER] = ActionEntry(REDUCE, 177);
   _actionMap[110][JOIN] = ActionEntry(REDUCE, 177);
   _actionMap[110][RETURNTOKEN] = ActionEntry(REDUCE, 177);
   _actionMap[110][ORDER] = ActionEntry(REDUCE, 177);
   _actionMap[110][GROUP] = ActionEntry(REDUCE, 177);
   _actionMap[110][WHERE] = ActionEntry(REDUCE, 177);
   _actionMap[110][BEGIN] = ActionEntry(REDUCE, 177);
   _actionMap[110][THEN] = ActionEntry(REDUCE, 177);
   _actionMap[110][OR] = ActionEntry(REDUCE, 177);
   _actionMap[110][AS] = ActionEntry(REDUCE, 177);
   _actionMap[110][FROM] = ActionEntry(REDUCE, 177);
   _actionMap[110][END_TOKEN] = ActionEntry(REDUCE, 177);
   _actionMap[110][AND] = ActionEntry(REDUCE, 177);
   _actionMap[110][LIKE] = ActionEntry(REDUCE, 177);
   _actionMap[110][IS] = ActionEntry(REDUCE, 177);
   _actionMap[110][BETWEEN] = ActionEntry(REDUCE, 177);
   _actionMap[110][NOT] = ActionEntry(REDUCE, 177);
   _actionMap[110][INTOK] = ActionEntry(REDUCE, 177);
   _actionMap[110][EQU] = ActionEntry(REDUCE, 177);
   _actionMap[110][NEGATION] = ActionEntry(REDUCE, 177);
   _actionMap[110][LT] = ActionEntry(REDUCE, 177);
   _actionMap[110][MT] = ActionEntry(REDUCE, 177);
   _actionMap[110][DESC] = ActionEntry(REDUCE, 177);
   _actionMap[110][ASC] = ActionEntry(REDUCE, 177);
   _actionMap[110][KSEP] = ActionEntry(REDUCE, 177);
   _actionMap[110][ROWLIMIT] = ActionEntry(REDUCE, 177);
   _actionMap[110][UNION] = ActionEntry(REDUCE, 177);
   _actionMap[110][ENDTOKEN] = ActionEntry(REDUCE, 177);
   _actionMap[110][RB] = ActionEntry(REDUCE, 177);
   _actionMap[110][SEMICOLON] = ActionEntry(REDUCE, 177);
   _actionMap[110][CONCAT] = ActionEntry(REDUCE, 177);
   _actionMap[110][STAR] = ActionEntry(REDUCE, 177);
   _actionMap[110][DIVISION] = ActionEntry(REDUCE, 177);
   _actionMap[110][MINUS] = ActionEntry(REDUCE, 177);
   _actionMap[110][PLUS] = ActionEntry(REDUCE, 177);
   _actionMap[111][WHEN] = ActionEntry(SHIFT, 271);
   _jumpMap[111][CaseCondition] = 270;
   _jumpMap[111][CaseConditionList] = 269;
   _actionMap[112][WHEN] = ActionEntry(REDUCE, 174);
   _actionMap[112][ELSE] = ActionEntry(REDUCE, 174);
   _actionMap[112][LEFT] = ActionEntry(REDUCE, 174);
   _actionMap[112][RIGHT] = ActionEntry(REDUCE, 174);
   _actionMap[112][INNER] = ActionEntry(REDUCE, 174);
   _actionMap[112][JOIN] = ActionEntry(REDUCE, 174);
}
void Cego::loadParser275()
{
   _actionMap[112][RETURNTOKEN] = ActionEntry(REDUCE, 174);
   _actionMap[112][ORDER] = ActionEntry(REDUCE, 174);
   _actionMap[112][GROUP] = ActionEntry(REDUCE, 174);
   _actionMap[112][WHERE] = ActionEntry(REDUCE, 174);
   _actionMap[112][BEGIN] = ActionEntry(REDUCE, 174);
   _actionMap[112][THEN] = ActionEntry(REDUCE, 174);
   _actionMap[112][OR] = ActionEntry(REDUCE, 174);
   _actionMap[112][AS] = ActionEntry(REDUCE, 174);
   _actionMap[112][FROM] = ActionEntry(REDUCE, 174);
   _actionMap[112][END_TOKEN] = ActionEntry(REDUCE, 174);
   _actionMap[112][AND] = ActionEntry(REDUCE, 174);
   _actionMap[112][LIKE] = ActionEntry(REDUCE, 174);
   _actionMap[112][IS] = ActionEntry(REDUCE, 174);
   _actionMap[112][BETWEEN] = ActionEntry(REDUCE, 174);
   _actionMap[112][NOT] = ActionEntry(REDUCE, 174);
   _actionMap[112][INTOK] = ActionEntry(REDUCE, 174);
   _actionMap[112][EQU] = ActionEntry(REDUCE, 174);
   _actionMap[112][NEGATION] = ActionEntry(REDUCE, 174);
   _actionMap[112][LT] = ActionEntry(REDUCE, 174);
   _actionMap[112][MT] = ActionEntry(REDUCE, 174);
   _actionMap[112][DESC] = ActionEntry(REDUCE, 174);
   _actionMap[112][ASC] = ActionEntry(REDUCE, 174);
   _actionMap[112][KSEP] = ActionEntry(REDUCE, 174);
   _actionMap[112][ROWLIMIT] = ActionEntry(REDUCE, 174);
   _actionMap[112][UNION] = ActionEntry(REDUCE, 174);
   _actionMap[112][ENDTOKEN] = ActionEntry(REDUCE, 174);
   _actionMap[112][RB] = ActionEntry(REDUCE, 174);
   _actionMap[112][SEMICOLON] = ActionEntry(REDUCE, 174);
   _actionMap[112][CONCAT] = ActionEntry(REDUCE, 174);
   _actionMap[112][STAR] = ActionEntry(REDUCE, 174);
   _actionMap[112][DIVISION] = ActionEntry(REDUCE, 174);
   _actionMap[112][MINUS] = ActionEntry(REDUCE, 174);
   _actionMap[112][PLUS] = ActionEntry(REDUCE, 174);
   _actionMap[113][WHEN] = ActionEntry(REDUCE, 173);
   _actionMap[113][ELSE] = ActionEntry(REDUCE, 173);
   _actionMap[113][LEFT] = ActionEntry(REDUCE, 173);
   _actionMap[113][RIGHT] = ActionEntry(REDUCE, 173);
   _actionMap[113][INNER] = ActionEntry(REDUCE, 173);
   _actionMap[113][JOIN] = ActionEntry(REDUCE, 173);
   _actionMap[113][RETURNTOKEN] = ActionEntry(REDUCE, 173);
   _actionMap[113][ORDER] = ActionEntry(REDUCE, 173);
   _actionMap[113][GROUP] = ActionEntry(REDUCE, 173);
   _actionMap[113][WHERE] = ActionEntry(REDUCE, 173);
   _actionMap[113][AS] = ActionEntry(REDUCE, 173);
   _actionMap[113][FROM] = ActionEntry(REDUCE, 173);
   _actionMap[113][END_TOKEN] = ActionEntry(REDUCE, 173);
   _actionMap[113][BEGIN] = ActionEntry(REDUCE, 173);
   _actionMap[113][THEN] = ActionEntry(REDUCE, 173);
   _actionMap[113][OR] = ActionEntry(REDUCE, 173);
   _actionMap[113][AND] = ActionEntry(REDUCE, 173);
}
void Cego::loadParser276()
{
   _actionMap[113][LIKE] = ActionEntry(REDUCE, 173);
   _actionMap[113][IS] = ActionEntry(REDUCE, 173);
   _actionMap[113][BETWEEN] = ActionEntry(REDUCE, 173);
   _actionMap[113][NOT] = ActionEntry(REDUCE, 173);
   _actionMap[113][INTOK] = ActionEntry(REDUCE, 173);
   _actionMap[113][EQU] = ActionEntry(REDUCE, 173);
   _actionMap[113][NEGATION] = ActionEntry(REDUCE, 173);
   _actionMap[113][LT] = ActionEntry(REDUCE, 173);
   _actionMap[113][MT] = ActionEntry(REDUCE, 173);
   _actionMap[113][DESC] = ActionEntry(REDUCE, 173);
   _actionMap[113][ASC] = ActionEntry(REDUCE, 173);
   _actionMap[113][KSEP] = ActionEntry(REDUCE, 173);
   _actionMap[113][ROWLIMIT] = ActionEntry(REDUCE, 173);
   _actionMap[113][UNION] = ActionEntry(REDUCE, 173);
   _actionMap[113][ENDTOKEN] = ActionEntry(REDUCE, 173);
   _actionMap[113][RB] = ActionEntry(REDUCE, 173);
   _actionMap[113][SEMICOLON] = ActionEntry(REDUCE, 173);
   _actionMap[113][CONCAT] = ActionEntry(REDUCE, 173);
   _actionMap[113][STAR] = ActionEntry(REDUCE, 173);
   _actionMap[113][DIVISION] = ActionEntry(REDUCE, 173);
   _actionMap[113][MINUS] = ActionEntry(REDUCE, 173);
   _actionMap[113][PLUS] = ActionEntry(REDUCE, 173);
   _actionMap[114][WHEN] = ActionEntry(REDUCE, 394);
   _actionMap[114][ELSE] = ActionEntry(REDUCE, 394);
   _actionMap[114][LEFT] = ActionEntry(REDUCE, 394);
   _actionMap[114][RIGHT] = ActionEntry(REDUCE, 394);
   _actionMap[114][INNER] = ActionEntry(REDUCE, 394);
   _actionMap[114][JOIN] = ActionEntry(REDUCE, 394);
   _actionMap[114][RETURNTOKEN] = ActionEntry(REDUCE, 394);
   _actionMap[114][ORDER] = ActionEntry(REDUCE, 394);
   _actionMap[114][GROUP] = ActionEntry(REDUCE, 394);
   _actionMap[114][WHERE] = ActionEntry(REDUCE, 394);
   _actionMap[114][NULLTOKEN] = ActionEntry(REDUCE, 394);
   _actionMap[114][FROM] = ActionEntry(REDUCE, 394);
   _actionMap[114][AS] = ActionEntry(REDUCE, 394);
   _actionMap[114][END_TOKEN] = ActionEntry(REDUCE, 394);
   _actionMap[114][BEGIN] = ActionEntry(REDUCE, 394);
   _actionMap[114][THEN] = ActionEntry(REDUCE, 394);
   _actionMap[114][OR] = ActionEntry(REDUCE, 394);
   _actionMap[114][AND] = ActionEntry(REDUCE, 394);
   _actionMap[114][INTOK] = ActionEntry(REDUCE, 394);
   _actionMap[114][NOT] = ActionEntry(REDUCE, 394);
   _actionMap[114][BETWEEN] = ActionEntry(REDUCE, 394);
   _actionMap[114][IS] = ActionEntry(REDUCE, 394);
   _actionMap[114][LIKE] = ActionEntry(REDUCE, 394);
   _actionMap[114][MT] = ActionEntry(REDUCE, 394);
   _actionMap[114][LT] = ActionEntry(REDUCE, 394);
   _actionMap[114][NEGATION] = ActionEntry(REDUCE, 394);
   _actionMap[114][EQU] = ActionEntry(REDUCE, 394);
   _actionMap[114][RB] = ActionEntry(REDUCE, 394);
}
void Cego::loadParser277()
{
   _actionMap[114][ENDTOKEN] = ActionEntry(REDUCE, 394);
   _actionMap[114][UNION] = ActionEntry(REDUCE, 394);
   _actionMap[114][ROWLIMIT] = ActionEntry(REDUCE, 394);
   _actionMap[114][KSEP] = ActionEntry(REDUCE, 394);
   _actionMap[114][ASC] = ActionEntry(REDUCE, 394);
   _actionMap[114][DESC] = ActionEntry(REDUCE, 394);
   _actionMap[114][SEMICOLON] = ActionEntry(REDUCE, 394);
   _actionMap[114][PLUS] = ActionEntry(REDUCE, 394);
   _actionMap[114][MINUS] = ActionEntry(REDUCE, 394);
   _actionMap[114][DIVISION] = ActionEntry(REDUCE, 394);
   _actionMap[114][STAR] = ActionEntry(REDUCE, 394);
   _actionMap[114][CONCAT] = ActionEntry(REDUCE, 394);
   _actionMap[115][WHEN] = ActionEntry(REDUCE, 400);
   _actionMap[115][ELSE] = ActionEntry(REDUCE, 400);
   _actionMap[115][LEFT] = ActionEntry(REDUCE, 400);
   _actionMap[115][RIGHT] = ActionEntry(REDUCE, 400);
   _actionMap[115][INNER] = ActionEntry(REDUCE, 400);
   _actionMap[115][JOIN] = ActionEntry(REDUCE, 400);
   _actionMap[115][RETURNTOKEN] = ActionEntry(REDUCE, 400);
   _actionMap[115][ORDER] = ActionEntry(REDUCE, 400);
   _actionMap[115][GROUP] = ActionEntry(REDUCE, 400);
   _actionMap[115][WHERE] = ActionEntry(REDUCE, 400);
   _actionMap[115][NULLTOKEN] = ActionEntry(REDUCE, 400);
   _actionMap[115][FROM] = ActionEntry(REDUCE, 400);
   _actionMap[115][AS] = ActionEntry(REDUCE, 400);
   _actionMap[115][END_TOKEN] = ActionEntry(REDUCE, 400);
   _actionMap[115][BEGIN] = ActionEntry(REDUCE, 400);
   _actionMap[115][THEN] = ActionEntry(REDUCE, 400);
   _actionMap[115][OR] = ActionEntry(REDUCE, 400);
   _actionMap[115][AND] = ActionEntry(REDUCE, 400);
   _actionMap[115][INTOK] = ActionEntry(REDUCE, 400);
   _actionMap[115][NOT] = ActionEntry(REDUCE, 400);
   _actionMap[115][BETWEEN] = ActionEntry(REDUCE, 400);
   _actionMap[115][IS] = ActionEntry(REDUCE, 400);
   _actionMap[115][LIKE] = ActionEntry(REDUCE, 400);
   _actionMap[115][MT] = ActionEntry(REDUCE, 400);
   _actionMap[115][LT] = ActionEntry(REDUCE, 400);
   _actionMap[115][NEGATION] = ActionEntry(REDUCE, 400);
   _actionMap[115][EQU] = ActionEntry(REDUCE, 400);
   _actionMap[115][RB] = ActionEntry(REDUCE, 400);
   _actionMap[115][ENDTOKEN] = ActionEntry(REDUCE, 400);
   _actionMap[115][UNION] = ActionEntry(REDUCE, 400);
   _actionMap[115][ROWLIMIT] = ActionEntry(REDUCE, 400);
   _actionMap[115][KSEP] = ActionEntry(REDUCE, 400);
   _actionMap[115][ASC] = ActionEntry(REDUCE, 400);
   _actionMap[115][DESC] = ActionEntry(REDUCE, 400);
   _actionMap[115][SEMICOLON] = ActionEntry(REDUCE, 400);
   _actionMap[115][PLUS] = ActionEntry(REDUCE, 400);
   _actionMap[115][MINUS] = ActionEntry(REDUCE, 400);
   _actionMap[115][DIVISION] = ActionEntry(REDUCE, 400);
}
void Cego::loadParser278()
{
   _actionMap[115][STAR] = ActionEntry(REDUCE, 400);
   _actionMap[115][CONCAT] = ActionEntry(REDUCE, 400);
   _actionMap[116][WHEN] = ActionEntry(REDUCE, 171);
   _actionMap[116][ELSE] = ActionEntry(REDUCE, 171);
   _actionMap[116][LEFT] = ActionEntry(REDUCE, 171);
   _actionMap[116][RIGHT] = ActionEntry(REDUCE, 171);
   _actionMap[116][INNER] = ActionEntry(REDUCE, 171);
   _actionMap[116][JOIN] = ActionEntry(REDUCE, 171);
   _actionMap[116][RETURNTOKEN] = ActionEntry(REDUCE, 171);
   _actionMap[116][ORDER] = ActionEntry(REDUCE, 171);
   _actionMap[116][GROUP] = ActionEntry(REDUCE, 171);
   _actionMap[116][WHERE] = ActionEntry(REDUCE, 171);
   _actionMap[116][AS] = ActionEntry(REDUCE, 171);
   _actionMap[116][FROM] = ActionEntry(REDUCE, 171);
   _actionMap[116][END_TOKEN] = ActionEntry(REDUCE, 171);
   _actionMap[116][BEGIN] = ActionEntry(REDUCE, 171);
   _actionMap[116][THEN] = ActionEntry(REDUCE, 171);
   _actionMap[116][OR] = ActionEntry(REDUCE, 171);
   _actionMap[116][AND] = ActionEntry(REDUCE, 171);
   _actionMap[116][LIKE] = ActionEntry(REDUCE, 171);
   _actionMap[116][IS] = ActionEntry(REDUCE, 171);
   _actionMap[116][BETWEEN] = ActionEntry(REDUCE, 171);
   _actionMap[116][NOT] = ActionEntry(REDUCE, 171);
   _actionMap[116][INTOK] = ActionEntry(REDUCE, 171);
   _actionMap[116][EQU] = ActionEntry(REDUCE, 171);
   _actionMap[116][NEGATION] = ActionEntry(REDUCE, 171);
   _actionMap[116][LT] = ActionEntry(REDUCE, 171);
   _actionMap[116][MT] = ActionEntry(REDUCE, 171);
   _actionMap[116][DESC] = ActionEntry(REDUCE, 171);
   _actionMap[116][ASC] = ActionEntry(REDUCE, 171);
   _actionMap[116][KSEP] = ActionEntry(REDUCE, 171);
   _actionMap[116][ROWLIMIT] = ActionEntry(REDUCE, 171);
   _actionMap[116][UNION] = ActionEntry(REDUCE, 171);
   _actionMap[116][ENDTOKEN] = ActionEntry(REDUCE, 171);
   _actionMap[116][RB] = ActionEntry(REDUCE, 171);
   _actionMap[116][SEMICOLON] = ActionEntry(REDUCE, 171);
   _actionMap[116][CONCAT] = ActionEntry(REDUCE, 171);
   _actionMap[116][STAR] = ActionEntry(REDUCE, 171);
   _actionMap[116][DIVISION] = ActionEntry(REDUCE, 171);
   _actionMap[116][MINUS] = ActionEntry(REDUCE, 171);
   _actionMap[116][PLUS] = ActionEntry(REDUCE, 171);
   _actionMap[117][LB] = ActionEntry(SHIFT, 272);
   _actionMap[118][WHEN] = ActionEntry(REDUCE, 399);
   _actionMap[118][ELSE] = ActionEntry(REDUCE, 399);
   _actionMap[118][LEFT] = ActionEntry(REDUCE, 399);
   _actionMap[118][RIGHT] = ActionEntry(REDUCE, 399);
   _actionMap[118][INNER] = ActionEntry(REDUCE, 399);
   _actionMap[118][JOIN] = ActionEntry(REDUCE, 399);
   _actionMap[118][RETURNTOKEN] = ActionEntry(REDUCE, 399);
   _actionMap[118][ORDER] = ActionEntry(REDUCE, 399);
}
void Cego::loadParser279()
{
   _actionMap[118][GROUP] = ActionEntry(REDUCE, 399);
   _actionMap[118][WHERE] = ActionEntry(REDUCE, 399);
   _actionMap[118][NULLTOKEN] = ActionEntry(REDUCE, 399);
   _actionMap[118][FROM] = ActionEntry(REDUCE, 399);
   _actionMap[118][AS] = ActionEntry(REDUCE, 399);
   _actionMap[118][END_TOKEN] = ActionEntry(REDUCE, 399);
   _actionMap[118][BEGIN] = ActionEntry(REDUCE, 399);
   _actionMap[118][THEN] = ActionEntry(REDUCE, 399);
   _actionMap[118][OR] = ActionEntry(REDUCE, 399);
   _actionMap[118][AND] = ActionEntry(REDUCE, 399);
   _actionMap[118][INTOK] = ActionEntry(REDUCE, 399);
   _actionMap[118][NOT] = ActionEntry(REDUCE, 399);
   _actionMap[118][BETWEEN] = ActionEntry(REDUCE, 399);
   _actionMap[118][IS] = ActionEntry(REDUCE, 399);
   _actionMap[118][LIKE] = ActionEntry(REDUCE, 399);
   _actionMap[118][MT] = ActionEntry(REDUCE, 399);
   _actionMap[118][LT] = ActionEntry(REDUCE, 399);
   _actionMap[118][NEGATION] = ActionEntry(REDUCE, 399);
   _actionMap[118][EQU] = ActionEntry(REDUCE, 399);
   _actionMap[118][RB] = ActionEntry(REDUCE, 399);
   _actionMap[118][ENDTOKEN] = ActionEntry(REDUCE, 399);
   _actionMap[118][UNION] = ActionEntry(REDUCE, 399);
   _actionMap[118][ROWLIMIT] = ActionEntry(REDUCE, 399);
   _actionMap[118][KSEP] = ActionEntry(REDUCE, 399);
   _actionMap[118][ASC] = ActionEntry(REDUCE, 399);
   _actionMap[118][DESC] = ActionEntry(REDUCE, 399);
   _actionMap[118][SEMICOLON] = ActionEntry(REDUCE, 399);
   _actionMap[118][PLUS] = ActionEntry(REDUCE, 399);
   _actionMap[118][MINUS] = ActionEntry(REDUCE, 399);
   _actionMap[118][DIVISION] = ActionEntry(REDUCE, 399);
   _actionMap[118][STAR] = ActionEntry(REDUCE, 399);
   _actionMap[118][CONCAT] = ActionEntry(REDUCE, 399);
   _actionMap[119][LB] = ActionEntry(SHIFT, 273);
   _actionMap[120][LB] = ActionEntry(SHIFT, 274);
   _actionMap[121][LB] = ActionEntry(SHIFT, 275);
   _actionMap[122][LB] = ActionEntry(SHIFT, 276);
   _actionMap[123][LB] = ActionEntry(SHIFT, 277);
   _actionMap[124][LAB] = ActionEntry(SHIFT, 278);
   _actionMap[125][LB] = ActionEntry(SHIFT, 279);
   _actionMap[126][LB] = ActionEntry(SHIFT, 280);
   _actionMap[127][WHEN] = ActionEntry(REDUCE, 188);
   _actionMap[128][LAB] = ActionEntry(SHIFT, 281);
   _actionMap[129][LB] = ActionEntry(SHIFT, 282);
   _actionMap[130][LB] = ActionEntry(SHIFT, 283);
   _actionMap[131][LB] = ActionEntry(SHIFT, 284);
   _actionMap[132][LB] = ActionEntry(SHIFT, 285);
   _actionMap[133][LB] = ActionEntry(SHIFT, 286);
   _actionMap[134][LB] = ActionEntry(SHIFT, 287);
   _actionMap[135][LB] = ActionEntry(SHIFT, 288);
   _actionMap[136][LB] = ActionEntry(SHIFT, 289);
}
void Cego::loadParser280()
{
   _actionMap[137][WHEN] = ActionEntry(REDUCE, 408);
   _actionMap[137][ELSE] = ActionEntry(REDUCE, 408);
   _actionMap[137][LEFT] = ActionEntry(REDUCE, 408);
   _actionMap[137][RIGHT] = ActionEntry(REDUCE, 408);
   _actionMap[137][INNER] = ActionEntry(REDUCE, 408);
   _actionMap[137][JOIN] = ActionEntry(REDUCE, 408);
   _actionMap[137][RETURNTOKEN] = ActionEntry(REDUCE, 408);
   _actionMap[137][ORDER] = ActionEntry(REDUCE, 408);
   _actionMap[137][GROUP] = ActionEntry(REDUCE, 408);
   _actionMap[137][WHERE] = ActionEntry(REDUCE, 408);
   _actionMap[137][FROM] = ActionEntry(REDUCE, 408);
   _actionMap[137][AS] = ActionEntry(REDUCE, 408);
   _actionMap[137][END_TOKEN] = ActionEntry(REDUCE, 408);
   _actionMap[137][BEGIN] = ActionEntry(REDUCE, 408);
   _actionMap[137][THEN] = ActionEntry(REDUCE, 408);
   _actionMap[137][OR] = ActionEntry(REDUCE, 408);
   _actionMap[137][AND] = ActionEntry(REDUCE, 408);
   _actionMap[137][NULLTOKEN] = ActionEntry(REDUCE, 408);
   _actionMap[137][INTOK] = ActionEntry(REDUCE, 408);
   _actionMap[137][NOT] = ActionEntry(REDUCE, 408);
   _actionMap[137][BETWEEN] = ActionEntry(REDUCE, 408);
   _actionMap[137][IS] = ActionEntry(REDUCE, 408);
   _actionMap[137][LIKE] = ActionEntry(REDUCE, 408);
   _actionMap[137][MT] = ActionEntry(REDUCE, 408);
   _actionMap[137][LT] = ActionEntry(REDUCE, 408);
   _actionMap[137][NEGATION] = ActionEntry(REDUCE, 408);
   _actionMap[137][EQU] = ActionEntry(REDUCE, 408);
   _actionMap[137][RB] = ActionEntry(REDUCE, 408);
   _actionMap[137][ENDTOKEN] = ActionEntry(REDUCE, 408);
   _actionMap[137][UNION] = ActionEntry(REDUCE, 408);
   _actionMap[137][ROWLIMIT] = ActionEntry(REDUCE, 408);
   _actionMap[137][KSEP] = ActionEntry(REDUCE, 408);
   _actionMap[137][ASC] = ActionEntry(REDUCE, 408);
   _actionMap[137][DESC] = ActionEntry(REDUCE, 408);
   _actionMap[137][SEMICOLON] = ActionEntry(REDUCE, 408);
   _actionMap[137][PLUS] = ActionEntry(REDUCE, 408);
   _actionMap[137][MINUS] = ActionEntry(REDUCE, 408);
   _actionMap[137][DIVISION] = ActionEntry(REDUCE, 408);
   _actionMap[137][STAR] = ActionEntry(REDUCE, 408);
   _actionMap[137][CONCAT] = ActionEntry(REDUCE, 408);
   _actionMap[138][IDENTIFIER] = ActionEntry(SHIFT, 290);
   _actionMap[139][LB] = ActionEntry(SHIFT, 291);
   _actionMap[140][LB] = ActionEntry(SHIFT, 292);
   _actionMap[141][LB] = ActionEntry(SHIFT, 293);
   _actionMap[142][LB] = ActionEntry(SHIFT, 294);
   _actionMap[143][LB] = ActionEntry(SHIFT, 295);
   _actionMap[144][LB] = ActionEntry(SHIFT, 296);
   _actionMap[145][LB] = ActionEntry(SHIFT, 297);
   _actionMap[146][LB] = ActionEntry(SHIFT, 298);
   _actionMap[147][LB] = ActionEntry(SHIFT, 299);
}
void Cego::loadParser281()
{
   _actionMap[148][LB] = ActionEntry(SHIFT, 300);
   _actionMap[149][LB] = ActionEntry(SHIFT, 301);
   _actionMap[150][LB] = ActionEntry(SHIFT, 302);
   _actionMap[151][LB] = ActionEntry(SHIFT, 303);
   _actionMap[152][LB] = ActionEntry(SHIFT, 304);
   _actionMap[153][WHEN] = ActionEntry(REDUCE, 406);
   _actionMap[153][ELSE] = ActionEntry(REDUCE, 406);
   _actionMap[153][LEFT] = ActionEntry(REDUCE, 406);
   _actionMap[153][RIGHT] = ActionEntry(REDUCE, 406);
   _actionMap[153][INNER] = ActionEntry(REDUCE, 406);
   _actionMap[153][JOIN] = ActionEntry(REDUCE, 406);
   _actionMap[153][RETURNTOKEN] = ActionEntry(REDUCE, 406);
   _actionMap[153][ORDER] = ActionEntry(REDUCE, 406);
   _actionMap[153][GROUP] = ActionEntry(REDUCE, 406);
   _actionMap[153][WHERE] = ActionEntry(REDUCE, 406);
   _actionMap[153][FROM] = ActionEntry(REDUCE, 406);
   _actionMap[153][AS] = ActionEntry(REDUCE, 406);
   _actionMap[153][END_TOKEN] = ActionEntry(REDUCE, 406);
   _actionMap[153][BEGIN] = ActionEntry(REDUCE, 406);
   _actionMap[153][THEN] = ActionEntry(REDUCE, 406);
   _actionMap[153][OR] = ActionEntry(REDUCE, 406);
   _actionMap[153][AND] = ActionEntry(REDUCE, 406);
   _actionMap[153][NULLTOKEN] = ActionEntry(REDUCE, 406);
   _actionMap[153][INTOK] = ActionEntry(REDUCE, 406);
   _actionMap[153][NOT] = ActionEntry(REDUCE, 406);
   _actionMap[153][BETWEEN] = ActionEntry(REDUCE, 406);
   _actionMap[153][IS] = ActionEntry(REDUCE, 406);
   _actionMap[153][LIKE] = ActionEntry(REDUCE, 406);
   _actionMap[153][MT] = ActionEntry(REDUCE, 406);
   _actionMap[153][LT] = ActionEntry(REDUCE, 406);
   _actionMap[153][NEGATION] = ActionEntry(REDUCE, 406);
   _actionMap[153][EQU] = ActionEntry(REDUCE, 406);
   _actionMap[153][RB] = ActionEntry(REDUCE, 406);
   _actionMap[153][ENDTOKEN] = ActionEntry(REDUCE, 406);
   _actionMap[153][UNION] = ActionEntry(REDUCE, 406);
   _actionMap[153][ROWLIMIT] = ActionEntry(REDUCE, 406);
   _actionMap[153][KSEP] = ActionEntry(REDUCE, 406);
   _actionMap[153][ASC] = ActionEntry(REDUCE, 406);
   _actionMap[153][DESC] = ActionEntry(REDUCE, 406);
   _actionMap[153][SEMICOLON] = ActionEntry(REDUCE, 406);
   _actionMap[153][PLUS] = ActionEntry(REDUCE, 406);
   _actionMap[153][MINUS] = ActionEntry(REDUCE, 406);
   _actionMap[153][DIVISION] = ActionEntry(REDUCE, 406);
   _actionMap[153][STAR] = ActionEntry(REDUCE, 406);
   _actionMap[153][CONCAT] = ActionEntry(REDUCE, 406);
   _actionMap[154][LB] = ActionEntry(SHIFT, 305);
   _actionMap[155][LB] = ActionEntry(SHIFT, 306);
   _actionMap[156][LB] = ActionEntry(SHIFT, 307);
   _actionMap[157][LB] = ActionEntry(SHIFT, 308);
   _actionMap[158][LB] = ActionEntry(SHIFT, 309);
}
void Cego::loadParser282()
{
   _actionMap[159][LB] = ActionEntry(SHIFT, 310);
   _actionMap[160][LB] = ActionEntry(SHIFT, 311);
   _actionMap[161][LB] = ActionEntry(SHIFT, 312);
   _actionMap[162][LB] = ActionEntry(SHIFT, 313);
   _actionMap[163][LB] = ActionEntry(SHIFT, 314);
   _actionMap[164][WHEN] = ActionEntry(REDUCE, 405);
   _actionMap[164][ELSE] = ActionEntry(REDUCE, 405);
   _actionMap[164][LEFT] = ActionEntry(REDUCE, 405);
   _actionMap[164][RIGHT] = ActionEntry(REDUCE, 405);
   _actionMap[164][INNER] = ActionEntry(REDUCE, 405);
   _actionMap[164][JOIN] = ActionEntry(REDUCE, 405);
   _actionMap[164][RETURNTOKEN] = ActionEntry(REDUCE, 405);
   _actionMap[164][ORDER] = ActionEntry(REDUCE, 405);
   _actionMap[164][GROUP] = ActionEntry(REDUCE, 405);
   _actionMap[164][WHERE] = ActionEntry(REDUCE, 405);
   _actionMap[164][FROM] = ActionEntry(REDUCE, 405);
   _actionMap[164][AS] = ActionEntry(REDUCE, 405);
   _actionMap[164][END_TOKEN] = ActionEntry(REDUCE, 405);
   _actionMap[164][BEGIN] = ActionEntry(REDUCE, 405);
   _actionMap[164][THEN] = ActionEntry(REDUCE, 405);
   _actionMap[164][OR] = ActionEntry(REDUCE, 405);
   _actionMap[164][AND] = ActionEntry(REDUCE, 405);
   _actionMap[164][NULLTOKEN] = ActionEntry(REDUCE, 405);
   _actionMap[164][INTOK] = ActionEntry(REDUCE, 405);
   _actionMap[164][NOT] = ActionEntry(REDUCE, 405);
   _actionMap[164][BETWEEN] = ActionEntry(REDUCE, 405);
   _actionMap[164][IS] = ActionEntry(REDUCE, 405);
   _actionMap[164][LIKE] = ActionEntry(REDUCE, 405);
   _actionMap[164][MT] = ActionEntry(REDUCE, 405);
   _actionMap[164][LT] = ActionEntry(REDUCE, 405);
   _actionMap[164][NEGATION] = ActionEntry(REDUCE, 405);
   _actionMap[164][EQU] = ActionEntry(REDUCE, 405);
   _actionMap[164][RB] = ActionEntry(REDUCE, 405);
   _actionMap[164][ENDTOKEN] = ActionEntry(REDUCE, 405);
   _actionMap[164][UNION] = ActionEntry(REDUCE, 405);
   _actionMap[164][ROWLIMIT] = ActionEntry(REDUCE, 405);
   _actionMap[164][KSEP] = ActionEntry(REDUCE, 405);
   _actionMap[164][ASC] = ActionEntry(REDUCE, 405);
   _actionMap[164][DESC] = ActionEntry(REDUCE, 405);
   _actionMap[164][SEMICOLON] = ActionEntry(REDUCE, 405);
   _actionMap[164][PLUS] = ActionEntry(REDUCE, 405);
   _actionMap[164][MINUS] = ActionEntry(REDUCE, 405);
   _actionMap[164][DIVISION] = ActionEntry(REDUCE, 405);
   _actionMap[164][STAR] = ActionEntry(REDUCE, 405);
   _actionMap[164][CONCAT] = ActionEntry(REDUCE, 405);
   _actionMap[165][LB] = ActionEntry(SHIFT, 315);
   _actionMap[166][LB] = ActionEntry(SHIFT, 316);
   _actionMap[167][LB] = ActionEntry(SHIFT, 317);
   _actionMap[168][LB] = ActionEntry(SHIFT, 318);
   _actionMap[169][WHEN] = ActionEntry(REDUCE, 407);
}
void Cego::loadParser283()
{
   _actionMap[169][ELSE] = ActionEntry(REDUCE, 407);
   _actionMap[169][LEFT] = ActionEntry(REDUCE, 407);
   _actionMap[169][RIGHT] = ActionEntry(REDUCE, 407);
   _actionMap[169][INNER] = ActionEntry(REDUCE, 407);
   _actionMap[169][JOIN] = ActionEntry(REDUCE, 407);
   _actionMap[169][RETURNTOKEN] = ActionEntry(REDUCE, 407);
   _actionMap[169][ORDER] = ActionEntry(REDUCE, 407);
   _actionMap[169][GROUP] = ActionEntry(REDUCE, 407);
   _actionMap[169][WHERE] = ActionEntry(REDUCE, 407);
   _actionMap[169][FROM] = ActionEntry(REDUCE, 407);
   _actionMap[169][AS] = ActionEntry(REDUCE, 407);
   _actionMap[169][END_TOKEN] = ActionEntry(REDUCE, 407);
   _actionMap[169][BEGIN] = ActionEntry(REDUCE, 407);
   _actionMap[169][THEN] = ActionEntry(REDUCE, 407);
   _actionMap[169][OR] = ActionEntry(REDUCE, 407);
   _actionMap[169][AND] = ActionEntry(REDUCE, 407);
   _actionMap[169][NULLTOKEN] = ActionEntry(REDUCE, 407);
   _actionMap[169][INTOK] = ActionEntry(REDUCE, 407);
   _actionMap[169][NOT] = ActionEntry(REDUCE, 407);
   _actionMap[169][BETWEEN] = ActionEntry(REDUCE, 407);
   _actionMap[169][IS] = ActionEntry(REDUCE, 407);
   _actionMap[169][LIKE] = ActionEntry(REDUCE, 407);
   _actionMap[169][MT] = ActionEntry(REDUCE, 407);
   _actionMap[169][LT] = ActionEntry(REDUCE, 407);
   _actionMap[169][NEGATION] = ActionEntry(REDUCE, 407);
   _actionMap[169][EQU] = ActionEntry(REDUCE, 407);
   _actionMap[169][RB] = ActionEntry(REDUCE, 407);
   _actionMap[169][ENDTOKEN] = ActionEntry(REDUCE, 407);
   _actionMap[169][UNION] = ActionEntry(REDUCE, 407);
   _actionMap[169][ROWLIMIT] = ActionEntry(REDUCE, 407);
   _actionMap[169][KSEP] = ActionEntry(REDUCE, 407);
   _actionMap[169][ASC] = ActionEntry(REDUCE, 407);
   _actionMap[169][DESC] = ActionEntry(REDUCE, 407);
   _actionMap[169][SEMICOLON] = ActionEntry(REDUCE, 407);
   _actionMap[169][PLUS] = ActionEntry(REDUCE, 407);
   _actionMap[169][MINUS] = ActionEntry(REDUCE, 407);
   _actionMap[169][DIVISION] = ActionEntry(REDUCE, 407);
   _actionMap[169][STAR] = ActionEntry(REDUCE, 407);
   _actionMap[169][CONCAT] = ActionEntry(REDUCE, 407);
   _actionMap[170][LB] = ActionEntry(SHIFT, 319);
   _actionMap[171][LB] = ActionEntry(SHIFT, 320);
   _actionMap[172][LONG] = ActionEntry(SHIFT, 327);
   _actionMap[172][BIGINT] = ActionEntry(SHIFT, 323);
   _actionMap[172][SMALLINT] = ActionEntry(SHIFT, 328);
   _actionMap[172][TINYINT] = ActionEntry(SHIFT, 329);
   _actionMap[172][DOUBLE] = ActionEntry(SHIFT, 325);
   _actionMap[172][DECIMAL] = ActionEntry(SHIFT, 324);
   _actionMap[172][FIXED] = ActionEntry(SHIFT, 326);
   _actionMap[172][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[172][MINUS] = ActionEntry(SHIFT, 173);
}
void Cego::loadParser284()
{
   _actionMap[172][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[172][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[172][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[172][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[172][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[172][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[172][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[172][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[172][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[172][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[172][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[172][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[172][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[172][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[172][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[172][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[172][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[172][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[172][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[172][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[172][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[172][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[172][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[172][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[172][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[172][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[172][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[172][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[172][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[172][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[172][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[172][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[172][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[172][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[172][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[172][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[172][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[172][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[172][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[172][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[172][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[172][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[172][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[172][LB] = ActionEntry(SHIFT, 172);
   _actionMap[172][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[172][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[172][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[172][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[172][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[172][FALSEVAL] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser285()
{
   _actionMap[172][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[172][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[172][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[172][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[172][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[172][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[172][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[172][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[172][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[172][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[172][MAX] = ActionEntry(SHIFT, 150);
   _actionMap[172][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[172][ObjSpec] = 117;
   _jumpMap[172][Constant] = 116;
   _jumpMap[172][SignedFloat] = 115;
   _jumpMap[172][SignedInt] = 114;
   _jumpMap[172][Attribute] = 113;
   _jumpMap[172][Function] = 112;
   _jumpMap[172][SelectStatement] = 322;
   _jumpMap[172][CasePrepare] = 111;
   _jumpMap[172][CaseClause] = 110;
   _jumpMap[172][Factor] = 109;
   _jumpMap[172][Term] = 108;
   _jumpMap[172][Expr] = 321;
   _actionMap[173][FLOATVAL] = ActionEntry(SHIFT, 331);
   _actionMap[173][INTVAL] = ActionEntry(SHIFT, 330);
   _actionMap[174][WHEN] = ActionEntry(REDUCE, 390);
   _actionMap[174][ELSE] = ActionEntry(REDUCE, 390);
   _actionMap[174][LEFT] = ActionEntry(REDUCE, 390);
   _actionMap[174][RIGHT] = ActionEntry(REDUCE, 390);
   _actionMap[174][INNER] = ActionEntry(REDUCE, 390);
   _actionMap[174][JOIN] = ActionEntry(REDUCE, 390);
   _actionMap[174][RETURNTOKEN] = ActionEntry(REDUCE, 390);
   _actionMap[174][ORDER] = ActionEntry(REDUCE, 390);
   _actionMap[174][GROUP] = ActionEntry(REDUCE, 390);
   _actionMap[174][WHERE] = ActionEntry(REDUCE, 390);
   _actionMap[174][AS] = ActionEntry(REDUCE, 390);
   _actionMap[174][FROM] = ActionEntry(REDUCE, 390);
   _actionMap[174][END_TOKEN] = ActionEntry(REDUCE, 390);
   _actionMap[174][BEGIN] = ActionEntry(REDUCE, 390);
   _actionMap[174][THEN] = ActionEntry(REDUCE, 390);
   _actionMap[174][OR] = ActionEntry(REDUCE, 390);
   _actionMap[174][AND] = ActionEntry(REDUCE, 390);
   _actionMap[174][NULLTOKEN] = ActionEntry(REDUCE, 390);
   _actionMap[174][LIKE] = ActionEntry(REDUCE, 390);
   _actionMap[174][IS] = ActionEntry(REDUCE, 390);
   _actionMap[174][BETWEEN] = ActionEntry(REDUCE, 390);
   _actionMap[174][NOT] = ActionEntry(REDUCE, 390);
   _actionMap[174][INTOK] = ActionEntry(REDUCE, 390);
   _actionMap[174][EQU] = ActionEntry(REDUCE, 390);
}
void Cego::loadParser286()
{
   _actionMap[174][NEGATION] = ActionEntry(REDUCE, 390);
   _actionMap[174][LT] = ActionEntry(REDUCE, 390);
   _actionMap[174][MT] = ActionEntry(REDUCE, 390);
   _actionMap[174][DESC] = ActionEntry(REDUCE, 390);
   _actionMap[174][ASC] = ActionEntry(REDUCE, 390);
   _actionMap[174][KSEP] = ActionEntry(REDUCE, 390);
   _actionMap[174][ROWLIMIT] = ActionEntry(REDUCE, 390);
   _actionMap[174][UNION] = ActionEntry(REDUCE, 390);
   _actionMap[174][ENDTOKEN] = ActionEntry(REDUCE, 390);
   _actionMap[174][RB] = ActionEntry(REDUCE, 390);
   _actionMap[174][SEMICOLON] = ActionEntry(REDUCE, 390);
   _actionMap[174][CONCAT] = ActionEntry(REDUCE, 390);
   _actionMap[174][STAR] = ActionEntry(REDUCE, 390);
   _actionMap[174][DIVISION] = ActionEntry(REDUCE, 390);
   _actionMap[174][MINUS] = ActionEntry(REDUCE, 390);
   _actionMap[174][PLUS] = ActionEntry(REDUCE, 390);
   _actionMap[175][WHEN] = ActionEntry(REDUCE, 392);
   _actionMap[175][ELSE] = ActionEntry(REDUCE, 392);
   _actionMap[175][LEFT] = ActionEntry(REDUCE, 392);
   _actionMap[175][RIGHT] = ActionEntry(REDUCE, 392);
   _actionMap[175][INNER] = ActionEntry(REDUCE, 392);
   _actionMap[175][JOIN] = ActionEntry(REDUCE, 392);
   _actionMap[175][RETURNTOKEN] = ActionEntry(REDUCE, 392);
   _actionMap[175][ORDER] = ActionEntry(REDUCE, 392);
   _actionMap[175][GROUP] = ActionEntry(REDUCE, 392);
   _actionMap[175][WHERE] = ActionEntry(REDUCE, 392);
   _actionMap[175][AS] = ActionEntry(REDUCE, 392);
   _actionMap[175][FROM] = ActionEntry(REDUCE, 392);
   _actionMap[175][END_TOKEN] = ActionEntry(REDUCE, 392);
   _actionMap[175][BEGIN] = ActionEntry(REDUCE, 392);
   _actionMap[175][THEN] = ActionEntry(REDUCE, 392);
   _actionMap[175][OR] = ActionEntry(REDUCE, 392);
   _actionMap[175][AND] = ActionEntry(REDUCE, 392);
   _actionMap[175][NULLTOKEN] = ActionEntry(REDUCE, 392);
   _actionMap[175][LIKE] = ActionEntry(REDUCE, 392);
   _actionMap[175][IS] = ActionEntry(REDUCE, 392);
   _actionMap[175][BETWEEN] = ActionEntry(REDUCE, 392);
   _actionMap[175][NOT] = ActionEntry(REDUCE, 392);
   _actionMap[175][INTOK] = ActionEntry(REDUCE, 392);
   _actionMap[175][EQU] = ActionEntry(REDUCE, 392);
   _actionMap[175][NEGATION] = ActionEntry(REDUCE, 392);
   _actionMap[175][LT] = ActionEntry(REDUCE, 392);
   _actionMap[175][MT] = ActionEntry(REDUCE, 392);
   _actionMap[175][DESC] = ActionEntry(REDUCE, 392);
   _actionMap[175][ASC] = ActionEntry(REDUCE, 392);
   _actionMap[175][KSEP] = ActionEntry(REDUCE, 392);
   _actionMap[175][ROWLIMIT] = ActionEntry(REDUCE, 392);
   _actionMap[175][UNION] = ActionEntry(REDUCE, 392);
   _actionMap[175][ENDTOKEN] = ActionEntry(REDUCE, 392);
   _actionMap[175][RB] = ActionEntry(REDUCE, 392);
}
void Cego::loadParser287()
{
   _actionMap[175][SEMICOLON] = ActionEntry(REDUCE, 392);
   _actionMap[175][CONCAT] = ActionEntry(REDUCE, 392);
   _actionMap[175][STAR] = ActionEntry(REDUCE, 392);
   _actionMap[175][DIVISION] = ActionEntry(REDUCE, 392);
   _actionMap[175][MINUS] = ActionEntry(REDUCE, 392);
   _actionMap[175][PLUS] = ActionEntry(REDUCE, 392);
   _actionMap[176][WHEN] = ActionEntry(REDUCE, 387);
   _actionMap[176][ELSE] = ActionEntry(REDUCE, 387);
   _actionMap[176][LEFT] = ActionEntry(REDUCE, 387);
   _actionMap[176][RIGHT] = ActionEntry(REDUCE, 387);
   _actionMap[176][INNER] = ActionEntry(REDUCE, 387);
   _actionMap[176][JOIN] = ActionEntry(REDUCE, 387);
   _actionMap[176][RETURNTOKEN] = ActionEntry(REDUCE, 387);
   _actionMap[176][ORDER] = ActionEntry(REDUCE, 387);
   _actionMap[176][GROUP] = ActionEntry(REDUCE, 387);
   _actionMap[176][WHERE] = ActionEntry(REDUCE, 387);
   _actionMap[176][FROM] = ActionEntry(REDUCE, 387);
   _actionMap[176][AS] = ActionEntry(REDUCE, 387);
   _actionMap[176][END_TOKEN] = ActionEntry(REDUCE, 387);
   _actionMap[176][BEGIN] = ActionEntry(REDUCE, 387);
   _actionMap[176][THEN] = ActionEntry(REDUCE, 387);
   _actionMap[176][OR] = ActionEntry(REDUCE, 387);
   _actionMap[176][AND] = ActionEntry(REDUCE, 387);
   _actionMap[176][INTOK] = ActionEntry(REDUCE, 387);
   _actionMap[176][NOT] = ActionEntry(REDUCE, 387);
   _actionMap[176][BETWEEN] = ActionEntry(REDUCE, 387);
   _actionMap[176][IS] = ActionEntry(REDUCE, 387);
   _actionMap[176][LIKE] = ActionEntry(REDUCE, 387);
   _actionMap[176][MT] = ActionEntry(REDUCE, 387);
   _actionMap[176][LT] = ActionEntry(REDUCE, 387);
   _actionMap[176][NEGATION] = ActionEntry(REDUCE, 387);
   _actionMap[176][EQU] = ActionEntry(REDUCE, 387);
   _actionMap[176][RB] = ActionEntry(REDUCE, 387);
   _actionMap[176][ENDTOKEN] = ActionEntry(REDUCE, 387);
   _actionMap[176][UNION] = ActionEntry(REDUCE, 387);
   _actionMap[176][ROWLIMIT] = ActionEntry(REDUCE, 387);
   _actionMap[176][KSEP] = ActionEntry(REDUCE, 387);
   _actionMap[176][ASC] = ActionEntry(REDUCE, 387);
   _actionMap[176][DESC] = ActionEntry(REDUCE, 387);
   _actionMap[176][SEMICOLON] = ActionEntry(REDUCE, 387);
   _actionMap[176][PLUS] = ActionEntry(REDUCE, 387);
   _actionMap[176][MINUS] = ActionEntry(REDUCE, 387);
   _actionMap[176][LB] = ActionEntry(REDUCE, 413);
   _actionMap[176][DIVISION] = ActionEntry(REDUCE, 387);
   _actionMap[176][STAR] = ActionEntry(REDUCE, 387);
   _actionMap[176][CONCAT] = ActionEntry(REDUCE, 387);
   _actionMap[177][WHEN] = ActionEntry(REDUCE, 170);
   _actionMap[177][ELSE] = ActionEntry(REDUCE, 170);
   _actionMap[177][LEFT] = ActionEntry(REDUCE, 170);
   _actionMap[177][RIGHT] = ActionEntry(REDUCE, 170);
}
void Cego::loadParser288()
{
   _actionMap[177][INNER] = ActionEntry(REDUCE, 170);
   _actionMap[177][JOIN] = ActionEntry(REDUCE, 170);
   _actionMap[177][RETURNTOKEN] = ActionEntry(REDUCE, 170);
   _actionMap[177][ORDER] = ActionEntry(REDUCE, 170);
   _actionMap[177][GROUP] = ActionEntry(REDUCE, 170);
   _actionMap[177][WHERE] = ActionEntry(REDUCE, 170);
   _actionMap[177][AS] = ActionEntry(REDUCE, 170);
   _actionMap[177][FROM] = ActionEntry(REDUCE, 170);
   _actionMap[177][END_TOKEN] = ActionEntry(REDUCE, 170);
   _actionMap[177][BEGIN] = ActionEntry(REDUCE, 170);
   _actionMap[177][THEN] = ActionEntry(REDUCE, 170);
   _actionMap[177][OR] = ActionEntry(REDUCE, 170);
   _actionMap[177][AND] = ActionEntry(REDUCE, 170);
   _actionMap[177][LIKE] = ActionEntry(REDUCE, 170);
   _actionMap[177][IS] = ActionEntry(REDUCE, 170);
   _actionMap[177][BETWEEN] = ActionEntry(REDUCE, 170);
   _actionMap[177][NOT] = ActionEntry(REDUCE, 170);
   _actionMap[177][INTOK] = ActionEntry(REDUCE, 170);
   _actionMap[177][EQU] = ActionEntry(REDUCE, 170);
   _actionMap[177][NEGATION] = ActionEntry(REDUCE, 170);
   _actionMap[177][LT] = ActionEntry(REDUCE, 170);
   _actionMap[177][MT] = ActionEntry(REDUCE, 170);
   _actionMap[177][DESC] = ActionEntry(REDUCE, 170);
   _actionMap[177][ASC] = ActionEntry(REDUCE, 170);
   _actionMap[177][KSEP] = ActionEntry(REDUCE, 170);
   _actionMap[177][ROWLIMIT] = ActionEntry(REDUCE, 170);
   _actionMap[177][UNION] = ActionEntry(REDUCE, 170);
   _actionMap[177][ENDTOKEN] = ActionEntry(REDUCE, 170);
   _actionMap[177][RB] = ActionEntry(REDUCE, 170);
   _actionMap[177][SEMICOLON] = ActionEntry(REDUCE, 170);
   _actionMap[177][CONCAT] = ActionEntry(REDUCE, 170);
   _actionMap[177][STAR] = ActionEntry(REDUCE, 170);
   _actionMap[177][DIVISION] = ActionEntry(REDUCE, 170);
   _actionMap[177][MINUS] = ActionEntry(REDUCE, 170);
   _actionMap[177][PLUS] = ActionEntry(REDUCE, 170);
   _actionMap[178][WHEN] = ActionEntry(REDUCE, 388);
   _actionMap[178][ELSE] = ActionEntry(REDUCE, 388);
   _actionMap[178][LEFT] = ActionEntry(REDUCE, 388);
   _actionMap[178][RIGHT] = ActionEntry(REDUCE, 388);
   _actionMap[178][INNER] = ActionEntry(REDUCE, 388);
   _actionMap[178][JOIN] = ActionEntry(REDUCE, 388);
   _actionMap[178][RETURNTOKEN] = ActionEntry(REDUCE, 388);
   _actionMap[178][ORDER] = ActionEntry(REDUCE, 388);
   _actionMap[178][GROUP] = ActionEntry(REDUCE, 388);
   _actionMap[178][WHERE] = ActionEntry(REDUCE, 388);
   _actionMap[178][FROM] = ActionEntry(REDUCE, 388);
   _actionMap[178][AS] = ActionEntry(REDUCE, 388);
   _actionMap[178][END_TOKEN] = ActionEntry(REDUCE, 388);
   _actionMap[178][BEGIN] = ActionEntry(REDUCE, 388);
   _actionMap[178][THEN] = ActionEntry(REDUCE, 388);
}
void Cego::loadParser289()
{
   _actionMap[178][OR] = ActionEntry(REDUCE, 388);
   _actionMap[178][AND] = ActionEntry(REDUCE, 388);
   _actionMap[178][INTOK] = ActionEntry(REDUCE, 388);
   _actionMap[178][NOT] = ActionEntry(REDUCE, 388);
   _actionMap[178][BETWEEN] = ActionEntry(REDUCE, 388);
   _actionMap[178][IS] = ActionEntry(REDUCE, 388);
   _actionMap[178][LIKE] = ActionEntry(REDUCE, 388);
   _actionMap[178][MT] = ActionEntry(REDUCE, 388);
   _actionMap[178][LT] = ActionEntry(REDUCE, 388);
   _actionMap[178][NEGATION] = ActionEntry(REDUCE, 388);
   _actionMap[178][EQU] = ActionEntry(REDUCE, 388);
   _actionMap[178][RB] = ActionEntry(REDUCE, 388);
   _actionMap[178][ENDTOKEN] = ActionEntry(REDUCE, 388);
   _actionMap[178][UNION] = ActionEntry(REDUCE, 388);
   _actionMap[178][ROWLIMIT] = ActionEntry(REDUCE, 388);
   _actionMap[178][KSEP] = ActionEntry(REDUCE, 388);
   _actionMap[178][ASC] = ActionEntry(REDUCE, 388);
   _actionMap[178][DESC] = ActionEntry(REDUCE, 388);
   _actionMap[178][SEMICOLON] = ActionEntry(REDUCE, 388);
   _actionMap[178][PLUS] = ActionEntry(REDUCE, 388);
   _actionMap[178][MINUS] = ActionEntry(REDUCE, 388);
   _actionMap[178][LB] = ActionEntry(REDUCE, 414);
   _actionMap[178][DIVISION] = ActionEntry(REDUCE, 388);
   _actionMap[178][STAR] = ActionEntry(REDUCE, 388);
   _actionMap[178][CONCAT] = ActionEntry(REDUCE, 388);
   _actionMap[179][STAR] = ActionEntry(SHIFT, 332);
   _actionMap[180][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[180][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[180][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[180][ObjSpec] = 333;
   _actionMap[181][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[181][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[181][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[181][ObjSpec] = 334;
   _actionMap[182][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[182][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[182][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[182][ObjSpec] = 335;
   _actionMap[183][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[183][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[183][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[183][ObjSpec] = 336;
   _actionMap[184][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[184][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[184][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[184][ObjSpec] = 337;
   _actionMap[185][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[185][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[185][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[185][ObjSpec] = 338;
}
void Cego::loadParser290()
{
   _actionMap[186][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[186][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[186][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[186][ObjSpec] = 339;
   _actionMap[187][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[187][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[187][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[187][ObjSpec] = 340;
   _actionMap[188][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[188][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[188][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[188][ObjSpec] = 341;
   _actionMap[189][SEMICOLON] = ActionEntry(REDUCE, 232);
   _actionMap[189][FROM] = ActionEntry(SHIFT, 344);
   _actionMap[189][RB] = ActionEntry(REDUCE, 232);
   _jumpMap[189][NoFromOption] = 343;
   _jumpMap[189][FromOption] = 342;
   _actionMap[190][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[190][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[190][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[190][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[190][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[190][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[190][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[190][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[190][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[190][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[190][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[190][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[190][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[190][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[190][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[190][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[190][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[190][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[190][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[190][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[190][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[190][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[190][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[190][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[190][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[190][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[190][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[190][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[190][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[190][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[190][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[190][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[190][BITAND] = ActionEntry(SHIFT, 121);
}
void Cego::loadParser291()
{
   _actionMap[190][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[190][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[190][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[190][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[190][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[190][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[190][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[190][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[190][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[190][IDENTIFIER] = ActionEntry(SHIFT, 176);
   _actionMap[190][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[190][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[190][LB] = ActionEntry(SHIFT, 172);
   _actionMap[190][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[190][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[190][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[190][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[190][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[190][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[190][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[190][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[190][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[190][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[190][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[190][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[190][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[190][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[190][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[190][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[190][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[190][ObjSpec] = 117;
   _jumpMap[190][Constant] = 116;
   _jumpMap[190][SignedFloat] = 115;
   _jumpMap[190][SignedInt] = 114;
   _jumpMap[190][Attribute] = 113;
   _jumpMap[190][Function] = 112;
   _jumpMap[190][SelectItem] = 347;
   _jumpMap[190][SelectionList] = 346;
   _jumpMap[190][CasePrepare] = 111;
   _jumpMap[190][CaseClause] = 110;
   _jumpMap[190][Factor] = 109;
   _jumpMap[190][Term] = 108;
   _jumpMap[190][Expr] = 345;
   _actionMap[191][VARREF] = ActionEntry(REDUCE, 273);
   _actionMap[191][FETCH] = ActionEntry(REDUCE, 273);
   _actionMap[191][LB] = ActionEntry(REDUCE, 273);
   _actionMap[191][COUNT] = ActionEntry(REDUCE, 273);
   _actionMap[191][SUM] = ActionEntry(REDUCE, 273);
   _actionMap[191][AVG] = ActionEntry(REDUCE, 273);
   _actionMap[191][MIN] = ActionEntry(REDUCE, 273);
}
void Cego::loadParser292()
{
   _actionMap[191][MAX] = ActionEntry(REDUCE, 273);
   _actionMap[191][CASE] = ActionEntry(REDUCE, 273);
   _actionMap[191][INT2ASC] = ActionEntry(REDUCE, 273);
   _actionMap[191][ASC2INT] = ActionEntry(REDUCE, 273);
   _actionMap[191][TRIM] = ActionEntry(REDUCE, 273);
   _actionMap[191][RTRIM] = ActionEntry(REDUCE, 273);
   _actionMap[191][LTRIM] = ActionEntry(REDUCE, 273);
   _actionMap[191][ROUND] = ActionEntry(REDUCE, 273);
   _actionMap[191][DATE2STR] = ActionEntry(REDUCE, 273);
   _actionMap[191][DATE2LONG] = ActionEntry(REDUCE, 273);
   _actionMap[191][LONG2DATE] = ActionEntry(REDUCE, 273);
   _actionMap[191][NEWDATE] = ActionEntry(REDUCE, 273);
   _actionMap[191][LOWER] = ActionEntry(REDUCE, 273);
   _actionMap[191][UPPER] = ActionEntry(REDUCE, 273);
   _actionMap[191][LEFT] = ActionEntry(REDUCE, 273);
   _actionMap[191][RIGHT] = ActionEntry(REDUCE, 273);
   _actionMap[191][GETPOS] = ActionEntry(REDUCE, 273);
   _actionMap[191][SUBSTR] = ActionEntry(REDUCE, 273);
   _actionMap[191][REPLACE] = ActionEntry(REDUCE, 273);
   _actionMap[191][LENGTH] = ActionEntry(REDUCE, 273);
   _actionMap[191][TRUNC] = ActionEntry(REDUCE, 273);
   _actionMap[191][STR2INT] = ActionEntry(REDUCE, 273);
   _actionMap[191][STR2LONG] = ActionEntry(REDUCE, 273);
   _actionMap[191][STR2DATE] = ActionEntry(REDUCE, 273);
   _actionMap[191][RANDSTR] = ActionEntry(REDUCE, 273);
   _actionMap[191][RANDINT] = ActionEntry(REDUCE, 273);
   _actionMap[191][MOD] = ActionEntry(REDUCE, 273);
   _actionMap[191][DIV] = ActionEntry(REDUCE, 273);
   _actionMap[191][LMOD] = ActionEntry(REDUCE, 273);
   _actionMap[191][LDIV] = ActionEntry(REDUCE, 273);
   _actionMap[191][POWER] = ActionEntry(REDUCE, 273);
   _actionMap[191][BITAND] = ActionEntry(REDUCE, 273);
   _actionMap[191][BITOR] = ActionEntry(REDUCE, 273);
   _actionMap[191][BITXOR] = ActionEntry(REDUCE, 273);
   _actionMap[191][BLOBSIZE] = ActionEntry(REDUCE, 273);
   _actionMap[191][BLOBREF] = ActionEntry(REDUCE, 273);
   _actionMap[191][CLOBSIZE] = ActionEntry(REDUCE, 273);
   _actionMap[191][CLOBREF] = ActionEntry(REDUCE, 273);
   _actionMap[191][CLOB2STR] = ActionEntry(REDUCE, 273);
   _actionMap[191][NEXTCOUNT] = ActionEntry(REDUCE, 273);
   _actionMap[191][SETCOUNT] = ActionEntry(REDUCE, 273);
   _actionMap[191][IDENTIFIER] = ActionEntry(REDUCE, 273);
   _actionMap[191][QUALIFIEDOBJ] = ActionEntry(REDUCE, 273);
   _actionMap[191][QUALIFIEDTS] = ActionEntry(REDUCE, 273);
   _actionMap[191][QUALIFIEDPRE] = ActionEntry(REDUCE, 273);
   _actionMap[191][STRINGVAL] = ActionEntry(REDUCE, 273);
   _actionMap[191][DATE] = ActionEntry(REDUCE, 273);
   _actionMap[191][SYSDATE] = ActionEntry(REDUCE, 273);
   _actionMap[191][NULLTOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[191][TRUEVAL] = ActionEntry(REDUCE, 273);
}
void Cego::loadParser293()
{
   _actionMap[191][FALSEVAL] = ActionEntry(REDUCE, 273);
   _actionMap[191][BLOB] = ActionEntry(REDUCE, 273);
   _actionMap[191][CLOB] = ActionEntry(REDUCE, 273);
   _actionMap[191][FLOATVAL] = ActionEntry(REDUCE, 273);
   _actionMap[191][MINUS] = ActionEntry(REDUCE, 273);
   _actionMap[191][INTVAL] = ActionEntry(REDUCE, 273);
   _actionMap[192][VARREF] = ActionEntry(REDUCE, 272);
   _actionMap[192][FETCH] = ActionEntry(REDUCE, 272);
   _actionMap[192][LB] = ActionEntry(REDUCE, 272);
   _actionMap[192][COUNT] = ActionEntry(REDUCE, 272);
   _actionMap[192][SUM] = ActionEntry(REDUCE, 272);
   _actionMap[192][AVG] = ActionEntry(REDUCE, 272);
   _actionMap[192][MIN] = ActionEntry(REDUCE, 272);
   _actionMap[192][MAX] = ActionEntry(REDUCE, 272);
   _actionMap[192][CASE] = ActionEntry(REDUCE, 272);
   _actionMap[192][INT2ASC] = ActionEntry(REDUCE, 272);
   _actionMap[192][ASC2INT] = ActionEntry(REDUCE, 272);
   _actionMap[192][TRIM] = ActionEntry(REDUCE, 272);
   _actionMap[192][RTRIM] = ActionEntry(REDUCE, 272);
   _actionMap[192][LTRIM] = ActionEntry(REDUCE, 272);
   _actionMap[192][ROUND] = ActionEntry(REDUCE, 272);
   _actionMap[192][DATE2STR] = ActionEntry(REDUCE, 272);
   _actionMap[192][DATE2LONG] = ActionEntry(REDUCE, 272);
   _actionMap[192][LONG2DATE] = ActionEntry(REDUCE, 272);
   _actionMap[192][NEWDATE] = ActionEntry(REDUCE, 272);
   _actionMap[192][LOWER] = ActionEntry(REDUCE, 272);
   _actionMap[192][UPPER] = ActionEntry(REDUCE, 272);
   _actionMap[192][LEFT] = ActionEntry(REDUCE, 272);
   _actionMap[192][RIGHT] = ActionEntry(REDUCE, 272);
   _actionMap[192][GETPOS] = ActionEntry(REDUCE, 272);
   _actionMap[192][SUBSTR] = ActionEntry(REDUCE, 272);
   _actionMap[192][REPLACE] = ActionEntry(REDUCE, 272);
   _actionMap[192][LENGTH] = ActionEntry(REDUCE, 272);
   _actionMap[192][TRUNC] = ActionEntry(REDUCE, 272);
   _actionMap[192][STR2INT] = ActionEntry(REDUCE, 272);
   _actionMap[192][STR2LONG] = ActionEntry(REDUCE, 272);
   _actionMap[192][STR2DATE] = ActionEntry(REDUCE, 272);
   _actionMap[192][RANDSTR] = ActionEntry(REDUCE, 272);
   _actionMap[192][RANDINT] = ActionEntry(REDUCE, 272);
   _actionMap[192][MOD] = ActionEntry(REDUCE, 272);
   _actionMap[192][DIV] = ActionEntry(REDUCE, 272);
   _actionMap[192][LMOD] = ActionEntry(REDUCE, 272);
   _actionMap[192][LDIV] = ActionEntry(REDUCE, 272);
   _actionMap[192][POWER] = ActionEntry(REDUCE, 272);
   _actionMap[192][BITAND] = ActionEntry(REDUCE, 272);
   _actionMap[192][BITOR] = ActionEntry(REDUCE, 272);
   _actionMap[192][BITXOR] = ActionEntry(REDUCE, 272);
   _actionMap[192][BLOBSIZE] = ActionEntry(REDUCE, 272);
   _actionMap[192][BLOBREF] = ActionEntry(REDUCE, 272);
   _actionMap[192][CLOBSIZE] = ActionEntry(REDUCE, 272);
}
void Cego::loadParser294()
{
   _actionMap[192][CLOBREF] = ActionEntry(REDUCE, 272);
   _actionMap[192][CLOB2STR] = ActionEntry(REDUCE, 272);
   _actionMap[192][NEXTCOUNT] = ActionEntry(REDUCE, 272);
   _actionMap[192][SETCOUNT] = ActionEntry(REDUCE, 272);
   _actionMap[192][IDENTIFIER] = ActionEntry(REDUCE, 272);
   _actionMap[192][QUALIFIEDOBJ] = ActionEntry(REDUCE, 272);
   _actionMap[192][QUALIFIEDTS] = ActionEntry(REDUCE, 272);
   _actionMap[192][QUALIFIEDPRE] = ActionEntry(REDUCE, 272);
   _actionMap[192][STRINGVAL] = ActionEntry(REDUCE, 272);
   _actionMap[192][DATE] = ActionEntry(REDUCE, 272);
   _actionMap[192][SYSDATE] = ActionEntry(REDUCE, 272);
   _actionMap[192][NULLTOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[192][TRUEVAL] = ActionEntry(REDUCE, 272);
   _actionMap[192][FALSEVAL] = ActionEntry(REDUCE, 272);
   _actionMap[192][BLOB] = ActionEntry(REDUCE, 272);
   _actionMap[192][CLOB] = ActionEntry(REDUCE, 272);
   _actionMap[192][FLOATVAL] = ActionEntry(REDUCE, 272);
   _actionMap[192][MINUS] = ActionEntry(REDUCE, 272);
   _actionMap[192][INTVAL] = ActionEntry(REDUCE, 272);
   _actionMap[193][FROM] = ActionEntry(REDUCE, 234);
   _actionMap[193][RB] = ActionEntry(REDUCE, 234);
   _actionMap[193][SEMICOLON] = ActionEntry(REDUCE, 234);
   _actionMap[193][ENDTOKEN] = ActionEntry(REDUCE, 234);
   _actionMap[194][OFF] = ActionEntry(SHIFT, 348);
   _actionMap[194][ON] = ActionEntry(SHIFT, 349);
   _actionMap[195][OFF] = ActionEntry(SHIFT, 350);
   _actionMap[195][ON] = ActionEntry(SHIFT, 351);
   _actionMap[196][IDENTIFIER] = ActionEntry(SHIFT, 217);
   _jumpMap[196][CounterId] = 352;
   _actionMap[197][IDENTIFIER] = ActionEntry(SHIFT, 353);
   _actionMap[198][IDENTIFIER] = ActionEntry(SHIFT, 354);
   _actionMap[199][EQU] = ActionEntry(SHIFT, 355);
   _actionMap[200][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[200][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[200][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[200][ObjSpec] = 356;
   _actionMap[201][SEMICOLON] = ActionEntry(REDUCE, 20);
   _actionMap[202][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[202][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[202][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[202][ObjSpec] = 357;
   _actionMap[203][SEMICOLON] = ActionEntry(REDUCE, 21);
   _actionMap[204][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[204][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[204][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[204][ObjSpec] = 358;
   _actionMap[205][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[205][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[205][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[205][ObjSpec] = 359;
}
void Cego::loadParser295()
{
   _actionMap[206][SEMICOLON] = ActionEntry(REDUCE, 212);
   _actionMap[207][SEMICOLON] = ActionEntry(REDUCE, 16);
   _actionMap[208][SEMICOLON] = ActionEntry(REDUCE, 17);
   _actionMap[209][SEMICOLON] = ActionEntry(REDUCE, 18);
   _actionMap[210][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[210][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[210][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[210][ObjSpec] = 360;
   _actionMap[211][IDENTIFIER] = ActionEntry(SHIFT, 363);
   _actionMap[211][SET] = ActionEntry(REDUCE, 289);
   _jumpMap[211][UpdDelAlias] = 361;
   _actionMap[212][CALL] = ActionEntry(SHIFT, 364);
   _actionMap[1][TABLE] = ActionEntry(SHIFT, 54);
   _actionMap[1][AVLTREE] = ActionEntry(SHIFT, 47);
   _actionMap[1][VIEW] = ActionEntry(SHIFT, 56);
   _actionMap[1][PROCEDURE] = ActionEntry(SHIFT, 53);
   _actionMap[1][FOREIGN] = ActionEntry(SHIFT, 51);
   _actionMap[1][CHECK] = ActionEntry(SHIFT, 49);
   _actionMap[1][TRIGGER] = ActionEntry(SHIFT, 55);
   _actionMap[1][COUNTER] = ActionEntry(SHIFT, 50);
   _actionMap[1][BTREE] = ActionEntry(SHIFT, 48);
   _actionMap[1][INDEX] = ActionEntry(SHIFT, 52);
   _jumpMap[1][BtreeType] = 46;
   _actionMap[2][SEMICOLON] = ActionEntry(SHIFT, 57);
   _actionMap[3][SEMICOLON] = ActionEntry(REDUCE, 35);
   _actionMap[4][SEMICOLON] = ActionEntry(REDUCE, 36);
   _actionMap[5][SEMICOLON] = ActionEntry(REDUCE, 37);
   _actionMap[6][SEMICOLON] = ActionEntry(REDUCE, 38);
   _actionMap[7][SEMICOLON] = ActionEntry(REDUCE, 39);
   _actionMap[8][SEMICOLON] = ActionEntry(REDUCE, 49);
   _actionMap[9][SEMICOLON] = ActionEntry(REDUCE, 47);
   _actionMap[10][SEMICOLON] = ActionEntry(REDUCE, 51);
   _actionMap[11][SEMICOLON] = ActionEntry(REDUCE, 50);
   _actionMap[12][SEMICOLON] = ActionEntry(REDUCE, 52);
   _actionMap[13][SEMICOLON] = ActionEntry(REDUCE, 53);
   _actionMap[14][TABLE] = ActionEntry(SHIFT, 58);
   _actionMap[15][IDENTIFIER] = ActionEntry(SHIFT, 59);
   _actionMap[16][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[16][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[16][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[16][ObjSpec] = 60;
   _actionMap[17][AVLTREE] = ActionEntry(SHIFT, 64);
   _actionMap[18][SEMICOLON] = ActionEntry(REDUCE, 213);
   _actionMap[19][VIEW] = ActionEntry(SHIFT, 76);
   _actionMap[19][TABLE] = ActionEntry(SHIFT, 73);
   _actionMap[19][PRIMARY] = ActionEntry(SHIFT, 71);
   _actionMap[19][COUNTER] = ActionEntry(SHIFT, 70);
   _actionMap[19][PROCEDURE] = ActionEntry(SHIFT, 72);
   _actionMap[19][UNIQUE] = ActionEntry(SHIFT, 75);
   _actionMap[19][AVLTREE] = ActionEntry(REDUCE, 207);
}
void Cego::loadParser296()
{
   _actionMap[19][BTREE] = ActionEntry(REDUCE, 207);
   _actionMap[19][INDEX] = ActionEntry(REDUCE, 207);
   _actionMap[19][TRIGGER] = ActionEntry(SHIFT, 74);
   _jumpMap[19][IndexOption] = 69;
   _jumpMap[19][ProcDef] = 68;
   _jumpMap[19][ProcHead] = 67;
   _jumpMap[19][TriggerHead] = 66;
   _jumpMap[19][TriggerDef] = 65;
   _actionMap[20][FROM] = ActionEntry(SHIFT, 77);
   _actionMap[21][TABLE] = ActionEntry(SHIFT, 83);
   _actionMap[21][AVLTREE] = ActionEntry(SHIFT, 79);
   _actionMap[21][VIEW] = ActionEntry(SHIFT, 84);
   _actionMap[21][FOREIGN] = ActionEntry(SHIFT, 81);
   _actionMap[21][CHECK] = ActionEntry(SHIFT, 80);
   _actionMap[21][PROCEDURE] = ActionEntry(SHIFT, 82);
   _actionMap[21][BTREE] = ActionEntry(SHIFT, 48);
   _actionMap[21][INDEX] = ActionEntry(SHIFT, 52);
   _jumpMap[21][BtreeType] = 78;
   _actionMap[22][COUNTER] = ActionEntry(REDUCE, 76);
   _actionMap[22][IF] = ActionEntry(SHIFT, 85);
   _actionMap[22][BTREE] = ActionEntry(REDUCE, 76);
   _actionMap[22][INDEX] = ActionEntry(REDUCE, 76);
   _actionMap[22][TRIGGER] = ActionEntry(REDUCE, 76);
   _actionMap[22][CHECK] = ActionEntry(REDUCE, 76);
   _actionMap[22][FOREIGN] = ActionEntry(REDUCE, 76);
   _actionMap[22][PROCEDURE] = ActionEntry(REDUCE, 76);
   _actionMap[22][VIEW] = ActionEntry(REDUCE, 76);
   _actionMap[22][AVLTREE] = ActionEntry(REDUCE, 76);
   _actionMap[22][TABLE] = ActionEntry(REDUCE, 76);
   _actionMap[23][INTO] = ActionEntry(SHIFT, 86);
   _actionMap[24][IDENTIFIER] = ActionEntry(SHIFT, 88);
   _jumpMap[24][JdbcArgList] = 87;
   _actionMap[25][TABLESET] = ActionEntry(SHIFT, 97);
   _actionMap[25][TABLE] = ActionEntry(SHIFT, 96);
   _actionMap[25][PROCEDURE] = ActionEntry(SHIFT, 94);
   _actionMap[25][VIEW] = ActionEntry(SHIFT, 100);
   _actionMap[25][AVLTREE] = ActionEntry(SHIFT, 90);
   _actionMap[25][KEY] = ActionEntry(SHIFT, 93);
   _actionMap[25][COUNTER] = ActionEntry(SHIFT, 92);
   _actionMap[25][SYSOBJ] = ActionEntry(SHIFT, 95);
   _actionMap[25][TMPOBJ] = ActionEntry(SHIFT, 98);
   _actionMap[25][CHECK] = ActionEntry(SHIFT, 91);
   _actionMap[25][TRIGGER] = ActionEntry(SHIFT, 99);
   _actionMap[25][BTREE] = ActionEntry(SHIFT, 48);
   _actionMap[25][INDEX] = ActionEntry(SHIFT, 52);
   _jumpMap[25][BtreeType] = 89;
   _actionMap[26][VIEW] = ActionEntry(SHIFT, 103);
   _actionMap[26][PROCEDURE] = ActionEntry(SHIFT, 72);
   _actionMap[26][TRIGGER] = ActionEntry(SHIFT, 74);
   _jumpMap[26][ProcDef] = 102;
}
void Cego::loadParser297()
{
   _jumpMap[26][ProcHead] = 67;
   _jumpMap[26][TriggerHead] = 66;
   _jumpMap[26][TriggerDef] = 101;
   _actionMap[27][TABLE] = ActionEntry(SHIFT, 104);
   _actionMap[28][TABLE] = ActionEntry(SHIFT, 105);
   _actionMap[29][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[29][SelectStatement] = 106;
   _actionMap[30][FLOATVAL] = ActionEntry(SHIFT, 175);
   _actionMap[30][MINUS] = ActionEntry(SHIFT, 173);
   _actionMap[30][INTVAL] = ActionEntry(SHIFT, 174);
   _actionMap[30][INT2ASC] = ActionEntry(SHIFT, 142);
   _actionMap[30][ASC2INT] = ActionEntry(SHIFT, 119);
   _actionMap[30][TRIM] = ActionEntry(SHIFT, 168);
   _actionMap[30][RTRIM] = ActionEntry(SHIFT, 160);
   _actionMap[30][LTRIM] = ActionEntry(SHIFT, 148);
   _actionMap[30][ROUND] = ActionEntry(SHIFT, 159);
   _actionMap[30][DATE2STR] = ActionEntry(SHIFT, 134);
   _actionMap[30][DATE2LONG] = ActionEntry(SHIFT, 135);
   _actionMap[30][LONG2DATE] = ActionEntry(SHIFT, 140);
   _actionMap[30][NEWDATE] = ActionEntry(SHIFT, 141);
   _actionMap[30][LOWER] = ActionEntry(SHIFT, 147);
   _actionMap[30][UPPER] = ActionEntry(SHIFT, 171);
   _actionMap[30][LEFT] = ActionEntry(SHIFT, 143);
   _actionMap[30][RIGHT] = ActionEntry(SHIFT, 158);
   _actionMap[30][GETPOS] = ActionEntry(SHIFT, 139);
   _actionMap[30][SUBSTR] = ActionEntry(SHIFT, 162);
   _actionMap[30][REPLACE] = ActionEntry(SHIFT, 157);
   _actionMap[30][LENGTH] = ActionEntry(SHIFT, 144);
   _actionMap[30][TRUNC] = ActionEntry(SHIFT, 170);
   _actionMap[30][STR2INT] = ActionEntry(SHIFT, 165);
   _actionMap[30][STR2LONG] = ActionEntry(SHIFT, 166);
   _actionMap[30][STR2DATE] = ActionEntry(SHIFT, 167);
   _actionMap[30][RANDSTR] = ActionEntry(SHIFT, 155);
   _actionMap[30][RANDINT] = ActionEntry(SHIFT, 156);
   _actionMap[30][MOD] = ActionEntry(SHIFT, 151);
   _actionMap[30][DIV] = ActionEntry(SHIFT, 136);
   _actionMap[30][LMOD] = ActionEntry(SHIFT, 146);
   _actionMap[30][LDIV] = ActionEntry(SHIFT, 145);
   _actionMap[30][POWER] = ActionEntry(SHIFT, 154);
   _actionMap[30][BITAND] = ActionEntry(SHIFT, 121);
   _actionMap[30][BITOR] = ActionEntry(SHIFT, 122);
   _actionMap[30][BITXOR] = ActionEntry(SHIFT, 123);
   _actionMap[30][BLOBSIZE] = ActionEntry(SHIFT, 125);
   _actionMap[30][BLOBREF] = ActionEntry(SHIFT, 126);
   _actionMap[30][CLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[30][CLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[30][CLOB2STR] = ActionEntry(SHIFT, 131);
   _actionMap[30][NEXTCOUNT] = ActionEntry(SHIFT, 152);
   _actionMap[30][SETCOUNT] = ActionEntry(SHIFT, 161);
   _actionMap[30][IDENTIFIER] = ActionEntry(SHIFT, 176);
}
void Cego::loadParser298()
{
   _actionMap[30][QUALIFIEDOBJ] = ActionEntry(SHIFT, 178);
   _actionMap[30][QUALIFIEDPRE] = ActionEntry(SHIFT, 179);
   _actionMap[30][LB] = ActionEntry(SHIFT, 172);
   _actionMap[30][STRINGVAL] = ActionEntry(SHIFT, 118);
   _actionMap[30][DATE] = ActionEntry(SHIFT, 133);
   _actionMap[30][SYSDATE] = ActionEntry(SHIFT, 164);
   _actionMap[30][NULLTOKEN] = ActionEntry(SHIFT, 153);
   _actionMap[30][TRUEVAL] = ActionEntry(SHIFT, 169);
   _actionMap[30][FALSEVAL] = ActionEntry(SHIFT, 137);
   _actionMap[30][BLOB] = ActionEntry(SHIFT, 124);
   _actionMap[30][CLOB] = ActionEntry(SHIFT, 128);
   _actionMap[30][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _actionMap[30][CASE] = ActionEntry(SHIFT, 127);
   _actionMap[30][VARREF] = ActionEntry(SHIFT, 177);
   _actionMap[30][FETCH] = ActionEntry(SHIFT, 138);
   _actionMap[30][COUNT] = ActionEntry(SHIFT, 132);
   _actionMap[30][SUM] = ActionEntry(SHIFT, 163);
   _actionMap[30][AVG] = ActionEntry(SHIFT, 120);
   _actionMap[30][MIN] = ActionEntry(SHIFT, 149);
   _actionMap[30][MAX] = ActionEntry(SHIFT, 150);
   _jumpMap[30][ObjSpec] = 117;
   _jumpMap[30][Constant] = 116;
   _jumpMap[30][SignedFloat] = 115;
   _jumpMap[30][SignedInt] = 114;
   _jumpMap[30][Attribute] = 113;
   _jumpMap[30][Function] = 112;
   _jumpMap[30][CasePrepare] = 111;
   _jumpMap[30][CaseClause] = 110;
   _jumpMap[30][Factor] = 109;
   _jumpMap[30][Term] = 108;
   _jumpMap[30][Expr] = 107;
   _actionMap[31][TABLE] = ActionEntry(SHIFT, 185);
   _actionMap[31][AVLTREE] = ActionEntry(SHIFT, 181);
   _actionMap[31][KEY] = ActionEntry(SHIFT, 183);
   _actionMap[31][PROCEDURE] = ActionEntry(SHIFT, 184);
   _actionMap[31][VIEW] = ActionEntry(SHIFT, 186);
   _actionMap[31][CHECK] = ActionEntry(SHIFT, 182);
   _actionMap[31][BTREE] = ActionEntry(SHIFT, 48);
   _actionMap[31][INDEX] = ActionEntry(SHIFT, 52);
   _jumpMap[31][BtreeType] = 180;
   _actionMap[32][TABLE] = ActionEntry(SHIFT, 188);
   _actionMap[32][AVLTREE] = ActionEntry(SHIFT, 187);
   _actionMap[33][SEMICOLON] = ActionEntry(REDUCE, 214);
   _actionMap[34][INTVAL] = ActionEntry(REDUCE, 274);
   _actionMap[34][MINUS] = ActionEntry(REDUCE, 274);
   _actionMap[34][FLOATVAL] = ActionEntry(REDUCE, 274);
   _actionMap[34][CLOB] = ActionEntry(REDUCE, 274);
   _actionMap[34][BLOB] = ActionEntry(REDUCE, 274);
   _actionMap[34][FALSEVAL] = ActionEntry(REDUCE, 274);
   _actionMap[34][TRUEVAL] = ActionEntry(REDUCE, 274);
}
void Cego::loadParser299()
{
   _actionMap[34][NULLTOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[34][SYSDATE] = ActionEntry(REDUCE, 274);
   _actionMap[34][DATE] = ActionEntry(REDUCE, 274);
   _actionMap[34][STRINGVAL] = ActionEntry(REDUCE, 274);
   _actionMap[34][QUALIFIEDPRE] = ActionEntry(REDUCE, 274);
   _actionMap[34][QUALIFIEDTS] = ActionEntry(REDUCE, 274);
   _actionMap[34][QUALIFIEDOBJ] = ActionEntry(REDUCE, 274);
   _actionMap[34][IDENTIFIER] = ActionEntry(REDUCE, 274);
   _actionMap[34][SETCOUNT] = ActionEntry(REDUCE, 274);
   _actionMap[34][NEXTCOUNT] = ActionEntry(REDUCE, 274);
   _actionMap[34][CLOB2STR] = ActionEntry(REDUCE, 274);
   _actionMap[34][CLOBREF] = ActionEntry(REDUCE, 274);
   _actionMap[34][CLOBSIZE] = ActionEntry(REDUCE, 274);
   _actionMap[34][BLOBREF] = ActionEntry(REDUCE, 274);
   _actionMap[34][BLOBSIZE] = ActionEntry(REDUCE, 274);
   _actionMap[34][BITXOR] = ActionEntry(REDUCE, 274);
   _actionMap[34][BITOR] = ActionEntry(REDUCE, 274);
   _actionMap[34][BITAND] = ActionEntry(REDUCE, 274);
   _actionMap[34][POWER] = ActionEntry(REDUCE, 274);
   _actionMap[34][LDIV] = ActionEntry(REDUCE, 274);
   _actionMap[34][LMOD] = ActionEntry(REDUCE, 274);
   _actionMap[34][DIV] = ActionEntry(REDUCE, 274);
   _actionMap[34][MOD] = ActionEntry(REDUCE, 274);
   _actionMap[34][RANDINT] = ActionEntry(REDUCE, 274);
   _actionMap[34][RANDSTR] = ActionEntry(REDUCE, 274);
   _actionMap[34][STR2DATE] = ActionEntry(REDUCE, 274);
   _actionMap[34][STR2LONG] = ActionEntry(REDUCE, 274);
   _actionMap[34][STR2INT] = ActionEntry(REDUCE, 274);
   _actionMap[34][TRUNC] = ActionEntry(REDUCE, 274);
   _actionMap[34][LENGTH] = ActionEntry(REDUCE, 274);
   _actionMap[34][REPLACE] = ActionEntry(REDUCE, 274);
   _actionMap[34][SUBSTR] = ActionEntry(REDUCE, 274);
   _actionMap[34][GETPOS] = ActionEntry(REDUCE, 274);
   _actionMap[34][RIGHT] = ActionEntry(REDUCE, 274);
   _actionMap[34][LEFT] = ActionEntry(REDUCE, 274);
   _actionMap[34][UPPER] = ActionEntry(REDUCE, 274);
   _actionMap[34][LOWER] = ActionEntry(REDUCE, 274);
   _actionMap[34][NEWDATE] = ActionEntry(REDUCE, 274);
   _actionMap[34][LONG2DATE] = ActionEntry(REDUCE, 274);
   _actionMap[34][DATE2LONG] = ActionEntry(REDUCE, 274);
   _actionMap[34][DATE2STR] = ActionEntry(REDUCE, 274);
   _actionMap[34][ROUND] = ActionEntry(REDUCE, 274);
   _actionMap[34][LTRIM] = ActionEntry(REDUCE, 274);
   _actionMap[34][RTRIM] = ActionEntry(REDUCE, 274);
   _actionMap[34][TRIM] = ActionEntry(REDUCE, 274);
   _actionMap[34][ASC2INT] = ActionEntry(REDUCE, 274);
   _actionMap[34][INT2ASC] = ActionEntry(REDUCE, 274);
   _actionMap[34][CASE] = ActionEntry(REDUCE, 274);
   _actionMap[34][MAX] = ActionEntry(REDUCE, 274);
   _actionMap[34][MIN] = ActionEntry(REDUCE, 274);
}
void Cego::loadParser300()
{
   _actionMap[34][AVG] = ActionEntry(REDUCE, 274);
   _actionMap[34][SUM] = ActionEntry(REDUCE, 274);
   _actionMap[34][COUNT] = ActionEntry(REDUCE, 274);
   _actionMap[34][LB] = ActionEntry(REDUCE, 274);
   _actionMap[34][FETCH] = ActionEntry(REDUCE, 274);
   _actionMap[34][VARREF] = ActionEntry(REDUCE, 274);
   _actionMap[34][DISTINCT] = ActionEntry(SHIFT, 192);
   _actionMap[34][STAR] = ActionEntry(SHIFT, 193);
   _jumpMap[34][NoDistinctOpt] = 191;
   _jumpMap[34][DistinctOpt] = 190;
   _jumpMap[34][Selection] = 189;
   _actionMap[35][TABLESET] = ActionEntry(SHIFT, 198);
   _actionMap[35][APPEND] = ActionEntry(SHIFT, 194);
   _actionMap[35][AUTOCOMMIT] = ActionEntry(SHIFT, 195);
   _actionMap[35][ISOLATION] = ActionEntry(SHIFT, 197);
   _actionMap[35][IDENTIFIER] = ActionEntry(SHIFT, 199);
   _actionMap[35][COUNTER] = ActionEntry(SHIFT, 196);
   _actionMap[36][POOL] = ActionEntry(SHIFT, 201);
   _actionMap[36][SYSTEMSPACE] = ActionEntry(SHIFT, 203);
   _actionMap[36][PROCEDURE] = ActionEntry(SHIFT, 202);
   _actionMap[36][VIEW] = ActionEntry(SHIFT, 205);
   _actionMap[36][CHECK] = ActionEntry(SHIFT, 200);
   _actionMap[36][TRIGGER] = ActionEntry(SHIFT, 204);
   _actionMap[37][TRANSACTION] = ActionEntry(SHIFT, 206);
   _actionMap[38][SEMICOLON] = ActionEntry(REDUCE, 1);
   _actionMap[39][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[39][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[39][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[39][ObjSpec] = 207;
   _actionMap[40][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[40][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[40][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[40][ObjSpec] = 208;
   _actionMap[41][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[41][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[41][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[41][ObjSpec] = 209;
   _actionMap[42][TABLE] = ActionEntry(SHIFT, 210);
   _actionMap[43][IDENTIFIER] = ActionEntry(SHIFT, 61);
   _actionMap[43][QUALIFIEDOBJ] = ActionEntry(SHIFT, 62);
   _actionMap[43][QUALIFIEDTS] = ActionEntry(SHIFT, 63);
   _jumpMap[43][ObjSpec] = 211;
   _actionMap[44][SEMICOLON] = ActionEntry(REDUCE, 19);
   _actionMap[45][EQU] = ActionEntry(SHIFT, 212);
   _actionMap[0][DROP] = ActionEntry(SHIFT, 22);
   _actionMap[0][RENAME] = ActionEntry(SHIFT, 31);
   _actionMap[0][ALTER] = ActionEntry(SHIFT, 14);
   _actionMap[0][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[0][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[0][INSERT] = ActionEntry(SHIFT, 23);
}
void Cego::loadParser301()
{
   _actionMap[0][SELECT] = ActionEntry(SHIFT, 34);
   _actionMap[0][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[0][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[0][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[0][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[0][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[0][SYNC] = ActionEntry(SHIFT, 38);
   _actionMap[0][LIST] = ActionEntry(SHIFT, 25);
   _actionMap[0][TABLEINFO] = ActionEntry(SHIFT, 39);
   _actionMap[0][TABLESIZE] = ActionEntry(SHIFT, 40);
   _actionMap[0][TUPLEINFO] = ActionEntry(SHIFT, 41);
   _actionMap[0][UPTIME] = ActionEntry(SHIFT, 44);
   _actionMap[0][SHOW] = ActionEntry(SHIFT, 36);
   _actionMap[0][DESC] = ActionEntry(SHIFT, 21);
   _actionMap[0][SET] = ActionEntry(SHIFT, 35);
   _actionMap[0][AUTHORIZE] = ActionEntry(SHIFT, 15);
   _actionMap[0][REORGANIZE] = ActionEntry(SHIFT, 32);
   _actionMap[0][PLAN] = ActionEntry(SHIFT, 29);
   _actionMap[0][CREATE] = ActionEntry(SHIFT, 19);
   _actionMap[0][LOAD] = ActionEntry(SHIFT, 26);
   _actionMap[0][CALL] = ActionEntry(SHIFT, 16);
   _actionMap[0][VARREF] = ActionEntry(SHIFT, 45);
   _actionMap[0][TRUNCATE] = ActionEntry(SHIFT, 42);
   _actionMap[0][PRINT] = ActionEntry(SHIFT, 30);
   _actionMap[0][CHECK] = ActionEntry(SHIFT, 17);
   _actionMap[0][JDBC] = ActionEntry(SHIFT, 24);
   _jumpMap[0][RenameStatement] = 13;
   _jumpMap[0][AlterStatement] = 12;
   _jumpMap[0][DeleteStatement] = 11;
   _jumpMap[0][UpdateStatement] = 10;
   _jumpMap[0][SelectStatement] = 9;
   _jumpMap[0][InsertStatement] = 8;
   _jumpMap[0][UnlockStatement] = 7;
   _jumpMap[0][LockStatement] = 6;
   _jumpMap[0][RollbackStatement] = 5;
   _jumpMap[0][CommitStatement] = 4;
   _jumpMap[0][StartStatement] = 3;
   _jumpMap[0][Statement] = 2;
   _jumpMap[0][DropOpt] = 1;
}
void Cego::loadParser302()
{
   _prodInfo.Insert(ProdEntry(415, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(414, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(413, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(412, DateValue, 1));
   _prodInfo.Insert(ProdEntry(411, DateFormat, 1));
   _prodInfo.Insert(ProdEntry(410, Constant, 4));
   _prodInfo.Insert(ProdEntry(409, Constant, 4));
   _prodInfo.Insert(ProdEntry(408, Constant, 1));
   _prodInfo.Insert(ProdEntry(407, Constant, 1));
   _prodInfo.Insert(ProdEntry(406, Constant, 1));
   _prodInfo.Insert(ProdEntry(405, Constant, 1));
   _prodInfo.Insert(ProdEntry(404, Constant, 6));
   _prodInfo.Insert(ProdEntry(403, Constant, 4));
   _prodInfo.Insert(ProdEntry(402, Constant, 4));
   _prodInfo.Insert(ProdEntry(401, Constant, 4));
   _prodInfo.Insert(ProdEntry(400, Constant, 1));
   _prodInfo.Insert(ProdEntry(399, Constant, 1));
   _prodInfo.Insert(ProdEntry(398, Constant, 4));
   _prodInfo.Insert(ProdEntry(397, Constant, 4));
   _prodInfo.Insert(ProdEntry(396, Constant, 4));
   _prodInfo.Insert(ProdEntry(395, Constant, 4));
   _prodInfo.Insert(ProdEntry(394, Constant, 1));
   _prodInfo.Insert(ProdEntry(393, SignedFloat, 2));
   _prodInfo.Insert(ProdEntry(392, SignedFloat, 1));
   _prodInfo.Insert(ProdEntry(391, SignedInt, 2));
   _prodInfo.Insert(ProdEntry(390, SignedInt, 1));
   _prodInfo.Insert(ProdEntry(389, Attribute, 2));
   _prodInfo.Insert(ProdEntry(388, Attribute, 1));
   _prodInfo.Insert(ProdEntry(387, Attribute, 1));
   _prodInfo.Insert(ProdEntry(386, Comparison, 2));
   _prodInfo.Insert(ProdEntry(385, Comparison, 2));
   _prodInfo.Insert(ProdEntry(384, Comparison, 1));
   _prodInfo.Insert(ProdEntry(383, Comparison, 1));
   _prodInfo.Insert(ProdEntry(382, Comparison, 2));
   _prodInfo.Insert(ProdEntry(381, Comparison, 1));
   _prodInfo.Insert(ProdEntry(380, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(379, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(378, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(377, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(376, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(375, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(374, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(373, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(372, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(371, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(370, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(369, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(368, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(367, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(366, QueryPredicate, 2));
   _prodInfo.Insert(ProdEntry(365, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(364, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(363, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(362, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(361, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(360, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(359, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(358, QueryPredicate, 6));
   _prodInfo.Insert(ProdEntry(357, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(356, QueryPredicate, 6));
   _prodInfo.Insert(ProdEntry(355, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(354, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(353, QueryCondition, 1));
   _prodInfo.Insert(ProdEntry(352, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(351, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(350, NoWhere, 0));
   _prodInfo.Insert(ProdEntry(349, WhereClause, 1));
   _prodInfo.Insert(ProdEntry(348, WhereClause, 2));
   _prodInfo.Insert(ProdEntry(347, ExpressionList, 1));
   _prodInfo.Insert(ProdEntry(346, ExpressionList, 3));
   _prodInfo.Insert(ProdEntry(345, Function, 3));
   _prodInfo.Insert(ProdEntry(344, Function, 4));
   _prodInfo.Insert(ProdEntry(343, Function, 6));
   _prodInfo.Insert(ProdEntry(342, Function, 4));
   _prodInfo.Insert(ProdEntry(341, Function, 4));
   _prodInfo.Insert(ProdEntry(340, Function, 4));
   _prodInfo.Insert(ProdEntry(339, Function, 4));
   _prodInfo.Insert(ProdEntry(338, Function, 4));
   _prodInfo.Insert(ProdEntry(337, Function, 4));
   _prodInfo.Insert(ProdEntry(336, Function, 4));
   _prodInfo.Insert(ProdEntry(335, Function, 4));
   _prodInfo.Insert(ProdEntry(334, Function, 4));
   _prodInfo.Insert(ProdEntry(333, Function, 4));
   _prodInfo.Insert(ProdEntry(332, Function, 4));
   _prodInfo.Insert(ProdEntry(331, Function, 4));
   _prodInfo.Insert(ProdEntry(330, Function, 4));
   _prodInfo.Insert(ProdEntry(329, Function, 4));
   _prodInfo.Insert(ProdEntry(328, Function, 4));
   _prodInfo.Insert(ProdEntry(327, Function, 4));
   _prodInfo.Insert(ProdEntry(326, Function, 4));
   _prodInfo.Insert(ProdEntry(325, Function, 4));
   _prodInfo.Insert(ProdEntry(324, Function, 4));
   _prodInfo.Insert(ProdEntry(323, Function, 4));
   _prodInfo.Insert(ProdEntry(322, Function, 4));
   _prodInfo.Insert(ProdEntry(321, Function, 4));
   _prodInfo.Insert(ProdEntry(320, Function, 4));
   _prodInfo.Insert(ProdEntry(319, Function, 4));
   _prodInfo.Insert(ProdEntry(318, Function, 4));
   _prodInfo.Insert(ProdEntry(317, Function, 4));
   _prodInfo.Insert(ProdEntry(316, Function, 4));
   _prodInfo.Insert(ProdEntry(315, Function, 4));
   _prodInfo.Insert(ProdEntry(314, Function, 4));
   _prodInfo.Insert(ProdEntry(313, Function, 4));
   _prodInfo.Insert(ProdEntry(312, Function, 4));
   _prodInfo.Insert(ProdEntry(311, Function, 4));
   _prodInfo.Insert(ProdEntry(310, Function, 4));
   _prodInfo.Insert(ProdEntry(309, Function, 4));
   _prodInfo.Insert(ProdEntry(308, Function, 4));
   _prodInfo.Insert(ProdEntry(307, Function, 4));
   _prodInfo.Insert(ProdEntry(306, Function, 4));
   _prodInfo.Insert(ProdEntry(305, Function, 4));
   _prodInfo.Insert(ProdEntry(304, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(303, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(302, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(301, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(300, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(299, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(298, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(297, AlterOption, 5));
   _prodInfo.Insert(ProdEntry(296, AlterOption, 5));
   _prodInfo.Insert(ProdEntry(295, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(294, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(293, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(292, AlterList, 1));
   _prodInfo.Insert(ProdEntry(291, AlterList, 3));
   _prodInfo.Insert(ProdEntry(290, AlterStatement, 4));
   _prodInfo.Insert(ProdEntry(289, UpdDelAlias, 0));
   _prodInfo.Insert(ProdEntry(288, UpdDelAlias, 1));
   _prodInfo.Insert(ProdEntry(287, DeleteStatement, 5));
   _prodInfo.Insert(ProdEntry(286, ReturnVar, 3));
   _prodInfo.Insert(ProdEntry(285, ReturnVarList, 1));
   _prodInfo.Insert(ProdEntry(284, ReturnVarList, 3));
   _prodInfo.Insert(ProdEntry(283, UpdReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(282, UpdReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(281, Assignment, 3));
   _prodInfo.Insert(ProdEntry(280, UpdateList, 1));
   _prodInfo.Insert(ProdEntry(279, UpdateList, 3));
   _prodInfo.Insert(ProdEntry(278, UpdateStatement, 7));
   _prodInfo.Insert(ProdEntry(277, NoLimit, 0));
   _prodInfo.Insert(ProdEntry(276, LimitOpt, 1));
   _prodInfo.Insert(ProdEntry(275, LimitOpt, 2));
   _prodInfo.Insert(ProdEntry(274, NoDistinctOpt, 0));
   _prodInfo.Insert(ProdEntry(273, DistinctOpt, 1));
   _prodInfo.Insert(ProdEntry(272, DistinctOpt, 1));
   _prodInfo.Insert(ProdEntry(271, DefaultOrderOpt, 0));
   _prodInfo.Insert(ProdEntry(270, DefaultOrderOpt, 1));
   _prodInfo.Insert(ProdEntry(269, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(268, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(267, OrderingList, 2));
   _prodInfo.Insert(ProdEntry(266, OrderingList, 4));
   _prodInfo.Insert(ProdEntry(265, NoOrdering, 0));
   _prodInfo.Insert(ProdEntry(264, OrderingClause, 1));
   _prodInfo.Insert(ProdEntry(263, OrderingClause, 3));
   _prodInfo.Insert(ProdEntry(262, NoHaving, 0));
   _prodInfo.Insert(ProdEntry(261, HavingClause, 1));
   _prodInfo.Insert(ProdEntry(260, HavingClause, 4));
   _prodInfo.Insert(ProdEntry(259, GroupList, 1));
   _prodInfo.Insert(ProdEntry(258, GroupList, 3));
   _prodInfo.Insert(ProdEntry(257, NoGroup, 0));
   _prodInfo.Insert(ProdEntry(256, GroupClause, 1));
   _prodInfo.Insert(ProdEntry(255, GroupClause, 4));
   _prodInfo.Insert(ProdEntry(254, NoAliasOpt, 0));
   _prodInfo.Insert(ProdEntry(253, AliasOpt, 1));
   _prodInfo.Insert(ProdEntry(252, AliasOpt, 2));
   _prodInfo.Insert(ProdEntry(251, JoinTableOn, 1));
   _prodInfo.Insert(ProdEntry(250, Table, 2));
   _prodInfo.Insert(ProdEntry(249, Table, 1));
   _prodInfo.Insert(ProdEntry(248, TableList, 1));
   _prodInfo.Insert(ProdEntry(247, TableList, 3));
   _prodInfo.Insert(ProdEntry(246, InnerJoin, 1));
   _prodInfo.Insert(ProdEntry(245, InnerJoin, 2));
   _prodInfo.Insert(ProdEntry(244, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(243, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(242, JoinSpec, 4));
   _prodInfo.Insert(ProdEntry(241, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(240, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(239, TableSource, 1));
   _prodInfo.Insert(ProdEntry(238, TableSource, 1));
   _prodInfo.Insert(ProdEntry(237, SelectItem, 2));
   _prodInfo.Insert(ProdEntry(236, SelectionList, 1));
   _prodInfo.Insert(ProdEntry(235, SelectionList, 3));
   _prodInfo.Insert(ProdEntry(234, Selection, 1));
   _prodInfo.Insert(ProdEntry(233, Selection, 2));
   _prodInfo.Insert(ProdEntry(232, NoFromOption, 0));
   _prodInfo.Insert(ProdEntry(231, FromOption, 1));
   _prodInfo.Insert(ProdEntry(230, FromOption, 7));
   _prodInfo.Insert(ProdEntry(229, SelectStatement, 3));
   _prodInfo.Insert(ProdEntry(228, InsertValueList, 1));
   _prodInfo.Insert(ProdEntry(227, InsertValueList, 3));
   _prodInfo.Insert(ProdEntry(226, InsertArgList, 1));
   _prodInfo.Insert(ProdEntry(225, InsertArgList, 3));
   _prodInfo.Insert(ProdEntry(224, InsertValueSpec, 3));
   _prodInfo.Insert(ProdEntry(223, InsertValueSpecList, 1));
   _prodInfo.Insert(ProdEntry(222, InsertValueSpecList, 3));
   _prodInfo.Insert(ProdEntry(221, InsertPrepare, 1));
   _prodInfo.Insert(ProdEntry(220, InsertArgSpec, 0));
   _prodInfo.Insert(ProdEntry(219, InsertArgSpec, 3));
   _prodInfo.Insert(ProdEntry(218, InsertStatement, 5));
   _prodInfo.Insert(ProdEntry(217, InsertStatement, 6));
   _prodInfo.Insert(ProdEntry(216, UnlockStatement, 3));
   _prodInfo.Insert(ProdEntry(215, LockStatement, 3));
   _prodInfo.Insert(ProdEntry(214, RollbackStatement, 1));
   _prodInfo.Insert(ProdEntry(213, CommitStatement, 1));
   _prodInfo.Insert(ProdEntry(212, StartStatement, 2));
   _prodInfo.Insert(ProdEntry(211, BtreeType, 1));
   _prodInfo.Insert(ProdEntry(210, BtreeType, 1));
   _prodInfo.Insert(ProdEntry(209, IndexType, 1));
   _prodInfo.Insert(ProdEntry(208, IndexType, 1));
   _prodInfo.Insert(ProdEntry(207, IndexOption, 0));
   _prodInfo.Insert(ProdEntry(206, IndexOption, 1));
   _prodInfo.Insert(ProdEntry(205, SimpleAttr, 1));
   _prodInfo.Insert(ProdEntry(204, SimpleAttrList, 1));
   _prodInfo.Insert(ProdEntry(203, SimpleAttrList, 3));
   _prodInfo.Insert(ProdEntry(202, DefaultDefOpt, 0));
   _prodInfo.Insert(ProdEntry(201, DefaultOpt, 1));
   _prodInfo.Insert(ProdEntry(200, DefaultOpt, 2));
   _prodInfo.Insert(ProdEntry(199, DefaultNullOpt, 0));
   _prodInfo.Insert(ProdEntry(198, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(197, NullOpt, 2));
   _prodInfo.Insert(ProdEntry(196, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(195, ColumnDesc, 4));
   _prodInfo.Insert(ProdEntry(194, KeyColumn, 1));
   _prodInfo.Insert(ProdEntry(193, KeyColumn, 2));
   _prodInfo.Insert(ProdEntry(192, ColumnList, 1));
   _prodInfo.Insert(ProdEntry(191, ColumnList, 3));
   _prodInfo.Insert(ProdEntry(190, FetchArgList, 1));
   _prodInfo.Insert(ProdEntry(189, FetchArgList, 3));
   _prodInfo.Insert(ProdEntry(188, CasePrepare, 1));
   _prodInfo.Insert(ProdEntry(187, CaseCondition, 4));
   _prodInfo.Insert(ProdEntry(186, CaseConditionList, 1));
   _prodInfo.Insert(ProdEntry(185, CaseConditionList, 2));
   _prodInfo.Insert(ProdEntry(184, CaseClause, 5));
   _prodInfo.Insert(ProdEntry(183, Factor, 4));
   _prodInfo.Insert(ProdEntry(182, Factor, 4));
   _prodInfo.Insert(ProdEntry(181, Factor, 4));
   _prodInfo.Insert(ProdEntry(180, Factor, 4));
   _prodInfo.Insert(ProdEntry(179, Factor, 4));
   _prodInfo.Insert(ProdEntry(178, Factor, 4));
   _prodInfo.Insert(ProdEntry(177, Factor, 1));
   _prodInfo.Insert(ProdEntry(176, Factor, 3));
   _prodInfo.Insert(ProdEntry(175, Factor, 3));
   _prodInfo.Insert(ProdEntry(174, Factor, 1));
   _prodInfo.Insert(ProdEntry(173, Factor, 1));
   _prodInfo.Insert(ProdEntry(172, Factor, 6));
   _prodInfo.Insert(ProdEntry(171, Factor, 1));
   _prodInfo.Insert(ProdEntry(170, Factor, 1));
   _prodInfo.Insert(ProdEntry(169, Term, 1));
   _prodInfo.Insert(ProdEntry(168, Term, 3));
   _prodInfo.Insert(ProdEntry(167, Term, 3));
   _prodInfo.Insert(ProdEntry(166, Expr, 3));
   _prodInfo.Insert(ProdEntry(165, Expr, 1));
   _prodInfo.Insert(ProdEntry(164, Expr, 3));
   _prodInfo.Insert(ProdEntry(163, Expr, 3));
   _prodInfo.Insert(ProdEntry(162, ProcPredicate, 4));
   _prodInfo.Insert(ProdEntry(161, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(160, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(159, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(158, ProcCondition, 1));
   _prodInfo.Insert(ProdEntry(157, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(156, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(155, ProcWhileCondition, 1));
   _prodInfo.Insert(ProdEntry(154, ProcStatement, 5));
   _prodInfo.Insert(ProdEntry(153, ProcElsIfCondition, 1));
   _prodInfo.Insert(ProdEntry(152, ProcIfCondition, 1));
   _prodInfo.Insert(ProdEntry(151, ProcElsePart, 1));
   _prodInfo.Insert(ProdEntry(150, ProcElseOpt, 0));
   _prodInfo.Insert(ProdEntry(149, ProcElseOpt, 2));
   _prodInfo.Insert(ProdEntry(148, ProcElsIfOpt, 4));
   _prodInfo.Insert(ProdEntry(147, ProcElsIfList, 0));
   _prodInfo.Insert(ProdEntry(146, ProcElsIfList, 2));
   _prodInfo.Insert(ProdEntry(145, ProcIfPart, 4));
   _prodInfo.Insert(ProdEntry(144, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(143, ProcExceptionType, 1));
   _prodInfo.Insert(ProdEntry(142, ProcValueList, 1));
   _prodInfo.Insert(ProdEntry(141, ProcValueList, 3));
   _prodInfo.Insert(ProdEntry(140, ProcValueListOpt, 0));
   _prodInfo.Insert(ProdEntry(139, ProcValueListOpt, 1));
   _prodInfo.Insert(ProdEntry(138, ProcExceptionStmt, 5));
   _prodInfo.Insert(ProdEntry(137, ProcExceptionList, 0));
   _prodInfo.Insert(ProdEntry(136, ProcExceptionList, 2));
   _prodInfo.Insert(ProdEntry(135, ProcBlockStart, 1));
   _prodInfo.Insert(ProdEntry(134, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(133, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(132, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(131, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(130, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(129, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(128, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(127, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(126, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(125, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(124, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(123, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(122, ProcNoAssignment, 0));
   _prodInfo.Insert(ProdEntry(121, ProcInitialAssignment, 1));
   _prodInfo.Insert(ProdEntry(120, ProcInitialAssignment, 2));
   _prodInfo.Insert(ProdEntry(119, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(118, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(117, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(116, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(115, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(114, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(113, ProcStatementList, 2));
   _prodInfo.Insert(ProdEntry(112, ProcStatementList, 3));
   _prodInfo.Insert(ProdEntry(111, ProcStmtBlock, 2));
   _prodInfo.Insert(ProdEntry(110, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(109, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(108, ProcArgList, 1));
   _prodInfo.Insert(ProdEntry(107, ProcArgList, 3));
   _prodInfo.Insert(ProdEntry(106, ProcArgOpt, 0));
   _prodInfo.Insert(ProdEntry(105, ProcArgOpt, 1));
   _prodInfo.Insert(ProdEntry(104, ReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(103, ReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(102, ProcDef, 4));
   _prodInfo.Insert(ProdEntry(101, ProcHead, 6));
   _prodInfo.Insert(ProdEntry(100, TriggerOp, 1));
   _prodInfo.Insert(ProdEntry(99, TriggerOp, 1));
   _prodInfo.Insert(ProdEntry(98, TriggerOp, 1));
   _prodInfo.Insert(ProdEntry(97, TriggerCondition, 1));
   _prodInfo.Insert(ProdEntry(96, TriggerCondition, 3));
   _prodInfo.Insert(ProdEntry(95, TriggerEvent, 1));
   _prodInfo.Insert(ProdEntry(94, TriggerEvent, 1));
   _prodInfo.Insert(ProdEntry(93, TriggerHead, 6));
   _prodInfo.Insert(ProdEntry(92, TriggerDef, 4));
   _prodInfo.Insert(ProdEntry(91, UnionAllOpt, 0));
   _prodInfo.Insert(ProdEntry(90, UnionAllOpt, 3));
   _prodInfo.Insert(ProdEntry(89, JdbcArgList, 1));
   _prodInfo.Insert(ProdEntry(88, JdbcArgList, 2));
   _prodInfo.Insert(ProdEntry(87, Statement, 2));
   _prodInfo.Insert(ProdEntry(86, CounterId, 1));
   _prodInfo.Insert(ProdEntry(85, Statement, 5));
   _prodInfo.Insert(ProdEntry(84, Statement, 3));
   _prodInfo.Insert(ProdEntry(83, Statement, 3));
   _prodInfo.Insert(ProdEntry(82, Statement, 3));
   _prodInfo.Insert(ProdEntry(81, Statement, 2));
   _prodInfo.Insert(ProdEntry(80, Statement, 4));
   _prodInfo.Insert(ProdEntry(79, Statement, 8));
   _prodInfo.Insert(ProdEntry(78, Statement, 15));
   _prodInfo.Insert(ProdEntry(77, DropOpt, 3));
   _prodInfo.Insert(ProdEntry(76, DropOpt, 1));
   _prodInfo.Insert(ProdEntry(75, Statement, 3));
   _prodInfo.Insert(ProdEntry(74, Statement, 3));
   _prodInfo.Insert(ProdEntry(73, Statement, 3));
   _prodInfo.Insert(ProdEntry(72, Statement, 4));
   _prodInfo.Insert(ProdEntry(71, Statement, 3));
   _prodInfo.Insert(ProdEntry(70, Statement, 3));
   _prodInfo.Insert(ProdEntry(69, Statement, 3));
   _prodInfo.Insert(ProdEntry(68, Statement, 3));
   _prodInfo.Insert(ProdEntry(67, Statement, 3));
   _prodInfo.Insert(ProdEntry(66, Statement, 2));
   _prodInfo.Insert(ProdEntry(65, Statement, 2));
   _prodInfo.Insert(ProdEntry(64, CachedOpt, 0));
   _prodInfo.Insert(ProdEntry(63, CachedOpt, 1));
   _prodInfo.Insert(ProdEntry(62, Statement, 10));
   _prodInfo.Insert(ProdEntry(61, Statement, 9));
   _prodInfo.Insert(ProdEntry(60, Statement, 6));
   _prodInfo.Insert(ProdEntry(59, Statement, 7));
   _prodInfo.Insert(ProdEntry(58, Statement, 5));
   _prodInfo.Insert(ProdEntry(57, Statement, 2));
   _prodInfo.Insert(ProdEntry(56, Statement, 2));
   _prodInfo.Insert(ProdEntry(55, Statement, 5));
   _prodInfo.Insert(ProdEntry(54, Statement, 5));
   _prodInfo.Insert(ProdEntry(53, Statement, 1));
   _prodInfo.Insert(ProdEntry(52, Statement, 1));
   _prodInfo.Insert(ProdEntry(51, Statement, 1));
   _prodInfo.Insert(ProdEntry(50, Statement, 1));
   _prodInfo.Insert(ProdEntry(49, Statement, 1));
   _prodInfo.Insert(ProdEntry(48, Statement, 2));
   _prodInfo.Insert(ProdEntry(47, Statement, 1));
   _prodInfo.Insert(ProdEntry(46, Statement, 3));
   _prodInfo.Insert(ProdEntry(45, Statement, 3));
   _prodInfo.Insert(ProdEntry(44, Statement, 3));
   _prodInfo.Insert(ProdEntry(43, Statement, 3));
   _prodInfo.Insert(ProdEntry(42, Statement, 3));
   _prodInfo.Insert(ProdEntry(41, Statement, 3));
   _prodInfo.Insert(ProdEntry(40, Statement, 3));
   _prodInfo.Insert(ProdEntry(39, Statement, 1));
   _prodInfo.Insert(ProdEntry(38, Statement, 1));
   _prodInfo.Insert(ProdEntry(37, Statement, 1));
   _prodInfo.Insert(ProdEntry(36, Statement, 1));
   _prodInfo.Insert(ProdEntry(35, Statement, 1));
   _prodInfo.Insert(ProdEntry(34, Statement, 7));
   _prodInfo.Insert(ProdEntry(33, Statement, 3));
   _prodInfo.Insert(ProdEntry(32, Statement, 3));
   _prodInfo.Insert(ProdEntry(31, Statement, 3));
   _prodInfo.Insert(ProdEntry(30, Statement, 3));
   _prodInfo.Insert(ProdEntry(29, Statement, 3));
   _prodInfo.Insert(ProdEntry(28, Statement, 3));
   _prodInfo.Insert(ProdEntry(27, Statement, 3));
   _prodInfo.Insert(ProdEntry(26, Statement, 4));
   _prodInfo.Insert(ProdEntry(25, Statement, 3));
   _prodInfo.Insert(ProdEntry(24, Statement, 3));
   _prodInfo.Insert(ProdEntry(23, Statement, 3));
   _prodInfo.Insert(ProdEntry(22, Statement, 3));
   _prodInfo.Insert(ProdEntry(21, Statement, 2));
   _prodInfo.Insert(ProdEntry(20, Statement, 2));
   _prodInfo.Insert(ProdEntry(19, Statement, 1));
   _prodInfo.Insert(ProdEntry(18, Statement, 2));
   _prodInfo.Insert(ProdEntry(17, Statement, 2));
   _prodInfo.Insert(ProdEntry(16, Statement, 2));
   _prodInfo.Insert(ProdEntry(15, TableSetOpt, 0));
   _prodInfo.Insert(ProdEntry(14, TableSetOpt, 2));
   _prodInfo.Insert(ProdEntry(13, Statement, 3));
   _prodInfo.Insert(ProdEntry(12, Statement, 3));
   _prodInfo.Insert(ProdEntry(11, Statement, 3));
   _prodInfo.Insert(ProdEntry(10, Statement, 3));
   _prodInfo.Insert(ProdEntry(9, Statement, 3));
   _prodInfo.Insert(ProdEntry(8, Statement, 3));
   _prodInfo.Insert(ProdEntry(7, Statement, 3));
   _prodInfo.Insert(ProdEntry(6, Statement, 3));
   _prodInfo.Insert(ProdEntry(5, Statement, 3));
   _prodInfo.Insert(ProdEntry(4, Statement, 3));
   _prodInfo.Insert(ProdEntry(3, Statement, 3));
   _prodInfo.Insert(ProdEntry(2, Statement, 2));
   _prodInfo.Insert(ProdEntry(1, Statement, 1));
   _prodInfo.Insert(ProdEntry(0, Start, 2));
}

Cego::Cego()
{
   loadScanner();
   for ( int i=0; i < 936; i++)
   {
      int j;
      for ( j = 0; j < 199; j++)
         _actionMap[i][j] = ActionEntry();
      for ( j = 0; j < 129; j++)
         _jumpMap[i][j] = -1;
   }
   loadParser0();
   loadParser1();
   loadParser2();
   loadParser3();
   loadParser4();
   loadParser5();
   loadParser6();
   loadParser7();
   loadParser8();
   loadParser9();
   loadParser10();
   loadParser11();
   loadParser12();
   loadParser13();
   loadParser14();
   loadParser15();
   loadParser16();
   loadParser17();
   loadParser18();
   loadParser19();
   loadParser20();
   loadParser21();
   loadParser22();
   loadParser23();
   loadParser24();
   loadParser25();
   loadParser26();
   loadParser27();
   loadParser28();
   loadParser29();
   loadParser30();
   loadParser31();
   loadParser32();
   loadParser33();
   loadParser34();
   loadParser35();
   loadParser36();
   loadParser37();
   loadParser38();
   loadParser39();
   loadParser40();
   loadParser41();
   loadParser42();
   loadParser43();
   loadParser44();
   loadParser45();
   loadParser46();
   loadParser47();
   loadParser48();
   loadParser49();
   loadParser50();
   loadParser51();
   loadParser52();
   loadParser53();
   loadParser54();
   loadParser55();
   loadParser56();
   loadParser57();
   loadParser58();
   loadParser59();
   loadParser60();
   loadParser61();
   loadParser62();
   loadParser63();
   loadParser64();
   loadParser65();
   loadParser66();
   loadParser67();
   loadParser68();
   loadParser69();
   loadParser70();
   loadParser71();
   loadParser72();
   loadParser73();
   loadParser74();
   loadParser75();
   loadParser76();
   loadParser77();
   loadParser78();
   loadParser79();
   loadParser80();
   loadParser81();
   loadParser82();
   loadParser83();
   loadParser84();
   loadParser85();
   loadParser86();
   loadParser87();
   loadParser88();
   loadParser89();
   loadParser90();
   loadParser91();
   loadParser92();
   loadParser93();
   loadParser94();
   loadParser95();
   loadParser96();
   loadParser97();
   loadParser98();
   loadParser99();
   loadParser100();
   loadParser101();
   loadParser102();
   loadParser103();
   loadParser104();
   loadParser105();
   loadParser106();
   loadParser107();
   loadParser108();
   loadParser109();
   loadParser110();
   loadParser111();
   loadParser112();
   loadParser113();
   loadParser114();
   loadParser115();
   loadParser116();
   loadParser117();
   loadParser118();
   loadParser119();
   loadParser120();
   loadParser121();
   loadParser122();
   loadParser123();
   loadParser124();
   loadParser125();
   loadParser126();
   loadParser127();
   loadParser128();
   loadParser129();
   loadParser130();
   loadParser131();
   loadParser132();
   loadParser133();
   loadParser134();
   loadParser135();
   loadParser136();
   loadParser137();
   loadParser138();
   loadParser139();
   loadParser140();
   loadParser141();
   loadParser142();
   loadParser143();
   loadParser144();
   loadParser145();
   loadParser146();
   loadParser147();
   loadParser148();
   loadParser149();
   loadParser150();
   loadParser151();
   loadParser152();
   loadParser153();
   loadParser154();
   loadParser155();
   loadParser156();
   loadParser157();
   loadParser158();
   loadParser159();
   loadParser160();
   loadParser161();
   loadParser162();
   loadParser163();
   loadParser164();
   loadParser165();
   loadParser166();
   loadParser167();
   loadParser168();
   loadParser169();
   loadParser170();
   loadParser171();
   loadParser172();
   loadParser173();
   loadParser174();
   loadParser175();
   loadParser176();
   loadParser177();
   loadParser178();
   loadParser179();
   loadParser180();
   loadParser181();
   loadParser182();
   loadParser183();
   loadParser184();
   loadParser185();
   loadParser186();
   loadParser187();
   loadParser188();
   loadParser189();
   loadParser190();
   loadParser191();
   loadParser192();
   loadParser193();
   loadParser194();
   loadParser195();
   loadParser196();
   loadParser197();
   loadParser198();
   loadParser199();
   loadParser200();
   loadParser201();
   loadParser202();
   loadParser203();
   loadParser204();
   loadParser205();
   loadParser206();
   loadParser207();
   loadParser208();
   loadParser209();
   loadParser210();
   loadParser211();
   loadParser212();
   loadParser213();
   loadParser214();
   loadParser215();
   loadParser216();
   loadParser217();
   loadParser218();
   loadParser219();
   loadParser220();
   loadParser221();
   loadParser222();
   loadParser223();
   loadParser224();
   loadParser225();
   loadParser226();
   loadParser227();
   loadParser228();
   loadParser229();
   loadParser230();
   loadParser231();
   loadParser232();
   loadParser233();
   loadParser234();
   loadParser235();
   loadParser236();
   loadParser237();
   loadParser238();
   loadParser239();
   loadParser240();
   loadParser241();
   loadParser242();
   loadParser243();
   loadParser244();
   loadParser245();
   loadParser246();
   loadParser247();
   loadParser248();
   loadParser249();
   loadParser250();
   loadParser251();
   loadParser252();
   loadParser253();
   loadParser254();
   loadParser255();
   loadParser256();
   loadParser257();
   loadParser258();
   loadParser259();
   loadParser260();
   loadParser261();
   loadParser262();
   loadParser263();
   loadParser264();
   loadParser265();
   loadParser266();
   loadParser267();
   loadParser268();
   loadParser269();
   loadParser270();
   loadParser271();
   loadParser272();
   loadParser273();
   loadParser274();
   loadParser275();
   loadParser276();
   loadParser277();
   loadParser278();
   loadParser279();
   loadParser280();
   loadParser281();
   loadParser282();
   loadParser283();
   loadParser284();
   loadParser285();
   loadParser286();
   loadParser287();
   loadParser288();
   loadParser289();
   loadParser290();
   loadParser291();
   loadParser292();
   loadParser293();
   loadParser294();
   loadParser295();
   loadParser296();
   loadParser297();
   loadParser298();
   loadParser299();
   loadParser300();
   loadParser301();
   loadParser302();
   _isReserved = false;
}

Cego::~Cego()
{
}

void Cego::parse()
{
   StackT<StackEntry> s;
   StackEntry se(NONE, 0, 0);
   s.Push(se);
   _isReserved = false;
   if ( shiftToken() == false )
   {
      Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
      throw Exception(EXLOC, msg);
   }
   while ( true )
   {
      Action a;
      int num;
      if ( getAction(s.getTop()->getState(), _token, a, num) )
      {
         switch (a)
         {
            case SHIFT:
            {
               StackEntry se(TOKEN, _token, num, _tokenVal);
               s.Push(se);
               if ( shiftToken() == false )
               {
                  Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               break;
            }
            case REDUCE:
            {
               _tokenList.Empty();
               ProdEntry* pPE = _prodInfo.Find(num);
               for (int i=0; i<pPE->getNumSymbol();i++)
               {
                  StackEntry se;
                  s.Pop(se);
                  if (se.getSymbol() == TOKEN)
                     _tokenList.Insert(se.getTval());
               }
               int fstate;
               if (getJump(s.getTop()->getState(), pPE->getProd(), fstate))
               {
                  StackEntry se(PROD, pPE->getId(), fstate, _tokenVal);
                  s.Push(se);
               }
               else
               {
                  Chain msg = "Cannot reduce after token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               switch (num)
               {
                  case 415:
                     setObject3();
                     break;
                  case 414:
                     setObject2();
                     break;
                  case 413:
                     setObject1();
                     break;
                  case 412:
                     miscDateValue();
                     break;
                  case 411:
                     miscDateFormat();
                     break;
                  case 410:
                     miscClobRef();
                     break;
                  case 409:
                     miscBlobRef();
                     break;
                  case 408:
                     miscFalseValue();
                     break;
                  case 407:
                     miscTrueValue();
                     break;
                  case 406:
                     miscNull();
                     break;
                  case 405:
                     miscSysDate();
                     break;
                  case 404:
                     miscFormatDate();
                     break;
                  case 403:
                     miscFixedValue();
                     break;
                  case 402:
                     miscDecimalValue();
                     break;
                  case 401:
                     miscDoubleValue();
                     break;
                  case 400:
                     miscFloatValue();
                     break;
                  case 399:
                     miscStringValue();
                     break;
                  case 398:
                     miscTinyIntValue();
                     break;
                  case 397:
                     miscSmallIntValue();
                     break;
                  case 396:
                     miscBigIntValue();
                     break;
                  case 395:
                     miscLongValue();
                     break;
                  case 394:
                     miscIntValue();
                     break;
                  case 393:
                     miscNegatedFloatString();
                     break;
                  case 392:
                     miscFloatString();
                     break;
                  case 391:
                     miscNegatedIntString();
                     break;
                  case 390:
                     miscIntString();
                     break;
                  case 389:
                     miscAttribute3();
                     break;
                  case 388:
                     miscAttribute2();
                     break;
                  case 387:
                     miscAttribute1();
                     break;
                  case 386:
                     miscMoreEqualComp();
                     break;
                  case 385:
                     miscLessEqualComp();
                     break;
                  case 384:
                     miscMoreComp();
                     break;
                  case 383:
                     miscLessComp();
                     break;
                  case 382:
                     miscNotEqualComp();
                     break;
                  case 381:
                     miscEqualComp();
                     break;
                  case 380:
                     miscClobType();
                     break;
                  case 379:
                     miscBlobType();
                     break;
                  case 378:
                     miscFixedType();
                     break;
                  case 377:
                     miscDecimalType();
                     break;
                  case 376:
                     miscTinyIntType();
                     break;
                  case 375:
                     miscSmallIntType();
                     break;
                  case 374:
                     miscDoubleType();
                     break;
                  case 373:
                     miscFloatType();
                     break;
                  case 372:
                     miscBigIntType();
                     break;
                  case 371:
                     miscBoolType();
                     break;
                  case 370:
                     miscDateTimeType();
                     break;
                  case 369:
                     miscStringType();
                     break;
                  case 368:
                     miscLongType();
                     break;
                  case 367:
                     miscIntType();
                     break;
                  case 366:
                     wcPredicateNotPredicate();
                     break;
                  case 365:
                     wcPredicateCondition();
                     break;
                  case 364:
                     wcPredicateNotLikeComp();
                     break;
                  case 363:
                     wcPredicateLikeComp();
                     break;
                  case 362:
                     wcPredicateNotNullComp();
                     break;
                  case 361:
                     wcPredicateNullComp();
                     break;
                  case 360:
                     wcPredicateBetween();
                     break;
                  case 359:
                     wcPredicateExprComp();
                     break;
                  case 358:
                     wcPredicateQueryNotIn();
                     break;
                  case 357:
                     wcPredicateQueryIn();
                     break;
                  case 356:
                     wcPredicateNotIn();
                     break;
                  case 355:
                     wcPredicateIn();
                     break;
                  case 354:
                     wcPredicateQueryExists();
                     break;
                  case 353:
                     wcConditionPredicate();
                     break;
                  case 352:
                     wcConditionOr();
                     break;
                  case 351:
                     wcConditionAnd();
                     break;
                  case 349:
                     wcEmptyClause();
                     break;
                  case 348:
                     wcWhereClause();
                     break;
                  case 347:
                     storeExprList2();
                     break;
                  case 346:
                     storeExprList1();
                     break;
                  case 345:
                     functionUserDef2();
                     break;
                  case 344:
                     functionUserDef1();
                     break;
                  case 343:
                     functionSetCount();
                     break;
                  case 342:
                     functionNextCount();
                     break;
                  case 341:
                     functionNative();
                     break;
                  case 340:
                     functionNative();
                     break;
                  case 339:
                     functionNative();
                     break;
                  case 338:
                     functionNative();
                     break;
                  case 337:
                     functionNative();
                     break;
                  case 336:
                     functionNative();
                     break;
                  case 335:
                     functionNative();
                     break;
                  case 334:
                     functionNative();
                     break;
                  case 333:
                     functionNative();
                     break;
                  case 332:
                     functionNative();
                     break;
                  case 331:
                     functionNative();
                     break;
                  case 330:
                     functionNative();
                     break;
                  case 329:
                     functionNative();
                     break;
                  case 328:
                     functionNative();
                     break;
                  case 327:
                     functionNative();
                     break;
                  case 326:
                     functionNative();
                     break;
                  case 325:
                     functionNative();
                     break;
                  case 324:
                     functionNative();
                     break;
                  case 323:
                     functionNative();
                     break;
                  case 322:
                     functionNative();
                     break;
                  case 321:
                     functionNative();
                     break;
                  case 320:
                     functionNative();
                     break;
                  case 319:
                     functionNative();
                     break;
                  case 318:
                     functionNative();
                     break;
                  case 317:
                     functionNative();
                     break;
                  case 316:
                     functionNative();
                     break;
                  case 315:
                     functionNative();
                     break;
                  case 314:
                     functionNative();
                     break;
                  case 313:
                     functionNative();
                     break;
                  case 312:
                     functionNative();
                     break;
                  case 311:
                     functionNative();
                     break;
                  case 310:
                     functionNative();
                     break;
                  case 309:
                     functionNative();
                     break;
                  case 308:
                     functionNative();
                     break;
                  case 307:
                     functionNative();
                     break;
                  case 306:
                     functionNative();
                     break;
                  case 305:
                     functionNative();
                     break;
                  case 304:
                     renameCheck();
                     break;
                  case 303:
                     renameView();
                     break;
                  case 302:
                     renameProcedure();
                     break;
                  case 301:
                     renameKey();
                     break;
                  case 300:
                     renameBTree();
                     break;
                  case 299:
                     renameIndex();
                     break;
                  case 298:
                     renameTable();
                     break;
                  case 297:
                     alterRenameCol();
                     break;
                  case 296:
                     alterModDefault();
                     break;
                  case 295:
                     alterModCol();
                     break;
                  case 294:
                     alterAddCol();
                     break;
                  case 293:
                     alterDropCol();
                     break;
                  case 290:
                     alterStore();
                     break;
                  case 288:
                     setUpdDelAlias();
                     break;
                  case 287:
                     deleteStore();
                     break;
                  case 286:
                     returnVarAssignment();
                     break;
                  case 281:
                     updateAssignment();
                     break;
                  case 278:
                     updateStore();
                     break;
                  case 276:
                     selectLimitOpt2();
                     break;
                  case 275:
                     selectLimitOpt1();
                     break;
                  case 273:
                     selectNoDistinctOpt();
                     break;
                  case 272:
                     selectDistinctOpt();
                     break;
                  case 269:
                     selectOrderingDesc();
                     break;
                  case 268:
                     selectOrderingAsc();
                     break;
                  case 267:
                     selectOrderingList2();
                     break;
                  case 266:
                     selectOrderingList1();
                     break;
                  case 264:
                     selectEmptyOrderingClause();
                     break;
                  case 263:
                     selectOrderingClause();
                     break;
                  case 261:
                     selectEmptyHavingClause();
                     break;
                  case 260:
                     selectHavingClause();
                     break;
                  case 259:
                     selectGroupList2();
                     break;
                  case 258:
                     selectGroupList1();
                     break;
                  case 256:
                     selectEmptyGroupClause();
                     break;
                  case 255:
                     selectGroupClause();
                     break;
                  case 253:
                     noAliasOpt();
                     break;
                  case 252:
                     aliasOpt();
                     break;
                  case 251:
                     selectStackJoinTable();
                     break;
                  case 250:
                     selectTable2();
                     break;
                  case 249:
                     selectTable1();
                     break;
                  case 244:
                     selectRightOuterJoinStore();
                     break;
                  case 243:
                     selectLeftOuterJoinStore();
                     break;
                  case 242:
                     selectInnerJoinStore();
                     break;
                  case 239:
                     selectJoinSpecStore();
                     break;
                  case 238:
                     selectTableListStore();
                     break;
                  case 237:
                     selectItem();
                     break;
                  case 236:
                     selectionList2();
                     break;
                  case 235:
                     selectionList1();
                     break;
                  case 234:
                     selectSelectionStore2();
                     break;
                  case 233:
                     selectSelectionStore1();
                     break;
                  case 231:
                     noFromOption();
                     break;
                  case 229:
                     selectStore();
                     break;
                  case 228:
                     insertExprValue();
                     break;
                  case 227:
                     insertExprValue();
                     break;
                  case 226:
                     insertArg();
                     break;
                  case 225:
                     insertArg();
                     break;
                  case 224:
                     insertValueSpecStore();
                     break;
                  case 221:
                     insertPrepare();
                     break;
                  case 218:
                     insertBySelectStore();
                     break;
                  case 217:
                     insertStore();
                     break;
                  case 216:
                     unlockStore();
                     break;
                  case 215:
                     lockStore();
                     break;
                  case 214:
                     rollbackStore();
                     break;
                  case 213:
                     commitStore();
                     break;
                  case 212:
                     startStore();
                     break;
                  case 209:
                     setBTreeIndex();
                     break;
                  case 208:
                     setAVLIndex();
                     break;
                  case 206:
                     setUniqueIndex();
                     break;
                  case 205:
                     createSimpleAttr();
                     break;
                  case 204:
                     createSimpleAttrList();
                     break;
                  case 201:
                     defaultNullOpt();
                     break;
                  case 200:
                     defaultOpt();
                     break;
                  case 198:
                     setNullOpt();
                     break;
                  case 197:
                     setNotNullOpt();
                     break;
                  case 196:
                     setNullOpt();
                     break;
                  case 195:
                     setColumnDesc();
                     break;
                  case 194:
                     setOrdinaryColumn();
                     break;
                  case 193:
                     setPrimaryColumn();
                     break;
                  case 190:
                     procStoreFetchArg2();
                     break;
                  case 189:
                     procStoreFetchArg1();
                     break;
                  case 188:
                     casePrepare();
                     break;
                  case 187:
                     caseCondition();
                     break;
                  case 186:
                     caseConditionList2();
                     break;
                  case 185:
                     caseConditionList1();
                     break;
                  case 184:
                     caseClause();
                     break;
                  case 183:
                     procFactor14();
                     break;
                  case 182:
                     procFactor13();
                     break;
                  case 181:
                     procFactor12();
                     break;
                  case 180:
                     procFactor11();
                     break;
                  case 179:
                     procFactor10();
                     break;
                  case 178:
                     procFactor9();
                     break;
                  case 177:
                     procFactor8();
                     break;
                  case 176:
                     procFactor7();
                     break;
                  case 175:
                     procFactor6();
                     break;
                  case 174:
                     procFactor5();
                     break;
                  case 173:
                     procFactor4();
                     break;
                  case 172:
                     procFactor3();
                     break;
                  case 171:
                     procFactor2();
                     break;
                  case 170:
                     procFactor1();
                     break;
                  case 169:
                     procTerm3();
                     break;
                  case 168:
                     procTerm2();
                     break;
                  case 167:
                     procTerm1();
                     break;
                  case 166:
                     procExpr4();
                     break;
                  case 165:
                     procExpr3();
                     break;
                  case 164:
                     procExpr2();
                     break;
                  case 163:
                     procExpr1();
                     break;
                  case 162:
                     procPredicate4();
                     break;
                  case 161:
                     procPredicate3();
                     break;
                  case 160:
                     procPredicate2();
                     break;
                  case 159:
                     procPredicate1();
                     break;
                  case 158:
                     procCondition3();
                     break;
                  case 157:
                     procCondition2();
                     break;
                  case 156:
                     procCondition1();
                     break;
                  case 155:
                     procWhileCondition();
                     break;
                  case 154:
                     procWhileStatement();
                     break;
                  case 153:
                     procElsIfCondition();
                     break;
                  case 152:
                     procIfCondition();
                     break;
                  case 151:
                     procElsePart();
                     break;
                  case 149:
                     procStoreElseBlock();
                     break;
                  case 148:
                     procStoreIfBlock();
                     break;
                  case 145:
                     procStoreIfBlock();
                     break;
                  case 144:
                     procIfStatement();
                     break;
                  case 143:
                     procExceptionCondition();
                     break;
                  case 142:
                     procExprValue();
                     break;
                  case 141:
                     procExprValue();
                     break;
                  case 139:
                     procValueSpec();
                     break;
                  case 138:
                     procExceptionStatement();
                     break;
                  case 135:
                     procBlockStart();
                     break;
                  case 134:
                     procBlockStatement();
                     break;
                  case 133:
                     procReturnStatement2();
                     break;
                  case 132:
                     procReturnStatement1();
                     break;
                  case 131:
                     procQueryStatement();
                     break;
                  case 130:
                     procQueryStatement();
                     break;
                  case 129:
                     procQueryStatement();
                     break;
                  case 128:
                     procQueryStatement();
                     break;
                  case 127:
                     procQueryStatement();
                     break;
                  case 126:
                     procQueryStatement();
                     break;
                  case 125:
                     procQueryStatement();
                     break;
                  case 124:
                     procQueryStatement();
                     break;
                  case 123:
                     procThrowStatement();
                     break;
                  case 121:
                     procInitialAssignment2();
                     break;
                  case 120:
                     procInitialAssignment1();
                     break;
                  case 119:
                     procNoopStatement();
                     break;
                  case 118:
                     procAssign2NullStatement();
                     break;
                  case 117:
                     procAssignStatement();
                     break;
                  case 116:
                     procCursorCloseStatement();
                     break;
                  case 115:
                     procCursorCreateStatement();
                     break;
                  case 114:
                     procVarStatement();
                     break;
                  case 113:
                     procStoreBlock();
                     break;
                  case 110:
                     procArg2();
                     break;
                  case 109:
                     procArg1();
                     break;
                  case 103:
                     procReturnOpt();
                     break;
                  case 102:
                     procStore();
                     break;
                  case 101:
                     procHead();
                     break;
                  case 100:
                     addDeleteTrigger();
                     break;
                  case 99:
                     addUpdateTrigger();
                     break;
                  case 98:
                     addInsertTrigger();
                     break;
                  case 95:
                     setTriggerAfter();
                     break;
                  case 94:
                     setTriggerBefore();
                     break;
                  case 93:
                     triggerHead();
                     break;
                  case 92:
                     triggerStore();
                     break;
                  case 90:
                     unionAllStore();
                     break;
                  case 89:
                     jdbcArg2();
                     break;
                  case 88:
                     jdbcArg1();
                     break;
                  case 87:
                     setJDBCInfoMethod();
                     break;
                  case 86:
                     setCounterId();
                     break;
                  case 85:
                     setSetCounterMethod();
                     break;
                  case 84:
                     setDropCounterMethod();
                     break;
                  case 83:
                     setCreateCounterMethod();
                     break;
                  case 82:
                     setIndexCheckMethod();
                     break;
                  case 81:
                     setPrintMethod();
                     break;
                  case 80:
                     setAssignStatementMethod();
                     break;
                  case 79:
                     setCheckCreateMethod();
                     break;
                  case 78:
                     setForeignKeyCreateMethod();
                     break;
                  case 77:
                     dropOpt2();
                     break;
                  case 76:
                     dropOpt1();
                     break;
                  case 75:
                     setBTreeDropMethod();
                     break;
                  case 74:
                     setTriggerDropMethod();
                     break;
                  case 73:
                     setCheckDropMethod();
                     break;
                  case 72:
                     setFKeyDropMethod();
                     break;
                  case 71:
                     setProcDropMethod();
                     break;
                  case 70:
                     setViewDropMethod();
                     break;
                  case 69:
                     setIndexDropMethod();
                     break;
                  case 68:
                     setTableDropMethod();
                     break;
                  case 67:
                     setTableTruncateMethod();
                     break;
                  case 66:
                     setTriggerLoadMethod();
                     break;
                  case 65:
                     setTriggerCreateMethod();
                     break;
                  case 63:
                     setCachedOption();
                     break;
                  case 62:
                     setIndexCreateMethod();
                     break;
                  case 61:
                     setPrimaryIndexCreateMethod();
                     break;
                  case 60:
                     setUserTableCreateMethod();
                     break;
                  case 59:
                     setFuncCallMethod();
                     break;
                  case 58:
                     setProcCallMethod();
                     break;
                  case 57:
                     setProcLoadMethod();
                     break;
                  case 56:
                     setProcCreateMethod();
                     break;
                  case 55:
                     setViewLoadMethod();
                     break;
                  case 54:
                     setViewCreateMethod();
                     break;
                  case 53:
                     setQueryMethod();
                     break;
                  case 52:
                     setQueryMethod();
                     break;
                  case 51:
                     setQueryMethod();
                     break;
                  case 50:
                     setQueryMethod();
                     break;
                  case 49:
                     setQueryMethod();
                     break;
                  case 48:
                     setSelectPlanMethod();
                     break;
                  case 47:
                     setSelectMethod();
                     break;
                  case 46:
                     setIndexReorganizeMethod();
                     break;
                  case 45:
                     setTableReorganizeMethod();
                     break;
                  case 44:
                     setSetIsolationMethod();
                     break;
                  case 43:
                     setDisableAutoCommitMethod();
                     break;
                  case 42:
                     setEnableAutoCommitMethod();
                     break;
                  case 41:
                     setDisableAppendModeMethod();
                     break;
                  case 40:
                     setEnableAppendModeMethod();
                     break;
                  case 39:
                     setQueryMethod();
                     break;
                  case 38:
                     setQueryMethod();
                     break;
                  case 37:
                     setQueryMethod();
                     break;
                  case 36:
                     setQueryMethod();
                     break;
                  case 35:
                     setQueryMethod();
                     break;
                  case 34:
                     setAuthUserMethod();
                     break;
                  case 33:
                     setSetTableSetMethod();
                     break;
                  case 32:
                     setTriggerShowMethod();
                     break;
                  case 31:
                     setCheckShowMethod();
                     break;
                  case 30:
                     setViewShowMethod();
                     break;
                  case 29:
                     setProcShowMethod();
                     break;
                  case 28:
                     setProcDescMethod();
                     break;
                  case 27:
                     setCheckDescMethod();
                     break;
                  case 26:
                     setKeyDescMethod();
                     break;
                  case 25:
                     setViewDescMethod();
                     break;
                  case 24:
                     setBTreeDescMethod();
                     break;
                  case 23:
                     setIndexDescMethod();
                     break;
                  case 22:
                     setTableDescMethod();
                     break;
                  case 21:
                     setShowSystemSpaceMethod();
                     break;
                  case 20:
                     setShowPoolMethod();
                     break;
                  case 19:
                     setShowUptimeMethod();
                     break;
                  case 18:
                     setTupleInfoMethod();
                     break;
                  case 17:
                     setTableSizeMethod();
                     break;
                  case 16:
                     setTableInfoMethod();
                     break;
                  case 14:
                     setTableSetOpt();
                     break;
                  case 13:
                     setListTriggerMethod();
                     break;
                  case 12:
                     setListCheckMethod();
                     break;
                  case 11:
                     setListTmpObjMethod();
                     break;
                  case 10:
                     setListSysObjMethod();
                     break;
                  case 9:
                     setListCounterMethod();
                     break;
                  case 8:
                     setListKeyMethod();
                     break;
                  case 7:
                     setListBTreeMethod();
                     break;
                  case 6:
                     setListIndexMethod();
                     break;
                  case 5:
                     setListViewMethod();
                     break;
                  case 4:
                     setListProcMethod();
                     break;
                  case 3:
                     setListTableMethod();
                     break;
                  case 2:
                     setListTableSetMethod();
                     break;
                  case 1:
                     setSyncMethod();
                     break;
               }
               break;
            }
            case ACCEPT:
            {
               return;
            }
            default:
               break;
         }
      }
      else
      {
         Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
         throw Exception(EXLOC, msg);
      }
   }
}


bool Cego::getAction(int state, Cego::Token token, Cego::Action& a, int& num)
{
    if (_actionMap[state][token].getAction() != NULLACTION )
    {
	a = _actionMap[state][token].getAction();
	num = _actionMap[state][token].getNum();
	return true;
    }
    else
    {
	return false;
    }
}

bool Cego::getJump(int state, Production prod, int& fstate)
{
    if ( _jumpMap[state][prod] > 0 )
    {
       fstate = _jumpMap[state][prod];
	    return true;
    }
    else
    {
	    return false;
    }
}

bool Cego::isSepSign(char c)
{
   if (c == ';') return true;
   if (c == ',') return true;
   if (c == '=') return true;
   if (c == '<') return true;
   if (c == '>') return true;
   if (c == ')') return true;
   if (c == '(') return true;
   if (c == '[') return true;
   if (c == ']') return true;
   if (c == '/') return true;
   if (c == '+') return true;
   if (c == '-') return true;
   if (c == '|') return true;
   if (c == '!') return true;
   if (c == '*') return true;
   return false;
}
bool Cego::isSepIgnore(char c)
{
   if (c == '\t') return true;
   if (c == ' ') return true;
   if (c == '\n') return true;
   return false;
}
bool Cego::shiftToken()
{
   unsigned long i=0;
   char c;
   while ( isSepIgnore(c = nextChar()) && ! _isReserved );
   if ( _isReserved )
   {
      _token = _reservedToken;
      _isReserved = false;
      return true;
   }
   if (c == 0)
   {
      _token = ENDTOKEN;
      return true;
   }
   if (isSepSign(c))
   {
      _tokenVal[i]=c;
       i++;
   }
   else
   {
      while (c && ! isSepIgnore(c) && ! ( isSepSign(c) && i>0 ) )
      {
         _tokenVal[i]=c;
         i++;
         c = nextChar();
      }
      if (isSepSign(c)) backChar();
   }
   _tokenVal[i]=0;
   Scanner* pS = _scannerList.First();
   while (pS)
   {
      if (pS->checkPattern(_tokenVal))
      {
         _token = pS->getToken();
         return true;
      }
      pS=_scannerList.Next();
   }
   return false;
}
void Cego::setReserved(Token t)
{
   _reservedToken = t;
   _isReserved = true;
}
